<?php
//لاتنسونا من صالح دعائكم
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة
namespace App\Http\Controllers\Admin;
use App\Models\Admin;
use App\Models\inv_stores_transfer;
use App\Models\inv_stores_transfer_details;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\Store;
use App\Models\Inv_itemcard_movements;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemcard_batches;
use App\Models\inv_itemcard_retails_uoms;
use App\Http\Requests\Inv_stores_transferRequest;
use App\Http\Requests\Inv_stores_transferRequestUpdate;
use App\Http\Controllers\Controller;
use App\Models\Admins_stores;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class Inv_stores_transferController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(86);
        }
        $com_code = auth()->user()->com_code;
        $Mystores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
        $data = get_cols_where_whereIN_p(new inv_stores_transfer(), array("*"), array("com_code" => $com_code), "transfer_from_store_id", $Mystores, 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
                $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
            }
        }
        if (!empty($Mystores)) {
            foreach ($Mystores as $info) {
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }
        $allStores = get_cols_where(new Store(), array("id", "name"), array("com_code" => $com_code));
        return view('admin.inv_stores_transfer.index', ['data' => $data, 'Mystores' => $Mystores, 'allStores' => $allStores]);
    }
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(87);
        }
        $com_code = auth()->user()->com_code;
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
        if (!empty($stores)) {
            foreach ($stores as $info) {
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }

        return view('admin.inv_stores_transfer.create', ['stores' => $stores]);
    }
    public function store(Inv_stores_transferRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(87);
        }
        try {
            $com_code = auth()->user()->com_code;
            if ($request->transfer_from_store_id == $request->transfer_to_store_id) {
                return redirect()->back()
                    ->with(['error' => 'عفوا  لايمكن ان يكون مخزن الصرف هو نفسه مخزن الاستلام  !!'])
                    ->withInput();
            }
            $CheckOpenOrder = get_cols_where_row(new inv_stores_transfer(), array("auto_serial"), array("com_code" => $com_code, 'transfer_from_store_id' => $request->transfer_from_store_id, "transfer_to_store_id" => $request->transfer_to_store_id, 'is_approved' => 0));
            if (!empty($CheckOpenOrder)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا هناك بالفعل أمر تحويل مازال مفتوح بين المخزنين   !!'])
                    ->withInput();
            }
            $row = get_cols_where_row_orderby(new inv_stores_transfer(), array("auto_serial"), array("com_code" => $com_code), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['auto_serial'] = $row['auto_serial'] + 1;
            } else {
                $data_insert['auto_serial'] = 1;
            }
            $data_insert['order_date'] = $request->order_date;
            $data_insert['transfer_from_store_id'] = $request->transfer_from_store_id;
            $data_insert['transfer_to_store_id'] = $request->transfer_to_store_id;
            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['com_code'] = $com_code;
            insert(new inv_stores_transfer(), $data_insert);
            return redirect()->route("admin.inv_stores_transfer.index")->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }

    public function show($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(90);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
            $data['from_store_name'] = Store::where('id', $data['transfer_from_store_id'])->value('name');
            $data['to_store_name'] = Store::where('id', $data['transfer_to_store_id'])->value('name');
            $data['store_name'] = Store::where('id', $data['store_id'])->value('name');
            if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
            }
            $data['notgiveStatecounter_details'] = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $data['auto_serial'], 'is_approved' => 0, 'is_canceld_receive' => 0));
            $data['items_counter'] = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $data['auto_serial']));

            $details = get_cols_where(new inv_stores_transfer_details(), array("*"), array('inv_stores_transfer_auto_serial' => $data['auto_serial'],  'com_code' => $com_code), 'id', 'DESC');
            if (!empty($details)) {
                foreach ($details as $info) {
                    $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                    $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                    $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                    if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                        $info->updated_by_admin = Admin::where('id', $data['updated_by'])->value('name');
                    }
                    if ($info->is_canceld_receive == 1 and $info->canceld_by != null) {
                        $info->canceld_by_admin = Admin::where('id', $info->canceld_by)->value('name');
                    }

                    if ($info->is_approved == 1 and $info->approved_by != null) {
                        $info->approved_by_admin = Admin::where('id', $info->approved_by)->value('name');
                    }
                }
            }
            $dmin_panel_settings = Admin_panel_setting::select("settingForDecimalPoint")->where(['com_code' => auth()->user()->com_code])->first();

            return view("admin.inv_stores_transfer.show", ['data' => $data, 'details' => $details, 'dmin_panel_settings' => $dmin_panel_settings]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(88);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
        if (empty($data)) {
            return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
        }
        if ($data['is_approved'] == 1) {
            return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا لايمكن التحديث علي فاتورة معتمدة ومؤرشفة']);
        }
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
        if (!empty($stores)) {
            foreach ($stores as $info) {
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }
        $added_counter_details = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $data['auto_serial']));
        return view('admin.inv_stores_transfer.edit', ['data' => $data, 'stores' => $stores, 'added_counter_details' => $added_counter_details]);
    }
    public function update($id, Inv_stores_transferRequestUpdate $request)
    {
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "auto_serial"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            if ($data['is_approved'] == 1) {
                return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا لايمكن التحديث علي فاتورة معتمدة ومؤرشفة']);
            }
            if ($request->transfer_from_store_id == $request->transfer_to_store_id) {
                return redirect()->back()
                    ->with(['error' => 'عفوا  لايمكن ان يكون مخزن الصرف هو نفسه مخزن الاستلام  !!'])
                    ->withInput();
            }

            $added_counter_details = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $data['auto_serial']));
            if ($added_counter_details == 0) {
                $data_to_update['transfer_from_store_id'] = $request->transfer_from_store_id;
                $data_to_update['transfer_to_store_id'] = $request->transfer_to_store_id;
            }
            $data_to_update['order_date'] = $request->order_date;
            $data_to_update['notes'] = $request->notes;
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            update(new inv_stores_transfer(), $data_to_update, array("id" => $id, "com_code" => $com_code));
            return redirect()->route('admin.inv_stores_transfer.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function delete($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(89);
        }
        try {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "auto_serial"), array("id" => $id, "com_code" => $com_code));
            if (empty($parent_pill_data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
            if ($parent_pill_data['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }
            $added_counter_details = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $parent_pill_data['auto_serial']));
            if ($added_counter_details > 0) {
                return redirect()->back()
                    ->with(['error' => 'عفوا  لايمكن الحذف لوجوده اصناف بالفعل مضافة علي أمر التحويل!   ']);
            }
            //حنحذف الفاتورة الاب
            $flag = delete(new inv_stores_transfer(), array("id" => $id, "com_code" => $com_code));
            if ($flag) {
                delete(new inv_stores_transfer_details(), array("inv_stores_transfer_auto_serial" => $parent_pill_data['auto_serail'], "com_code" => $com_code));
            }
            return redirect()->route('admin.inv_stores_transfer.index')->with(['success' => 'لقد تم حذف  البيانات بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function load_modal_add_details(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "transfer_from_store_id"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code));
            if (!empty($parent_pill_data)) {
                if ($parent_pill_data['is_approved'] == 0) {
                    $item_cards = get_cols_where(new Inv_itemCard(), array("name", "item_code", "item_type","barcode"), array('active' => 1, 'com_code' => $com_code), 'name', 'ASC');
                    $stores = get_cols_where(new Store(), array('id', 'name'), array('com_code' => $com_code, 'id' => $parent_pill_data['transfer_from_store_id']), 'id', 'DESC');
                    return view("admin.inv_stores_transfer.load_add_new_itemdetails", ['parent_pill_data' => $parent_pill_data, 'item_cards' => $item_cards, 'stores' => $stores]);
                }
            }
        }
    }
    public function get_item_uoms(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $item_code = $request->item_code;
            $item_card_Data = get_cols_where_row(new Inv_itemCard(), array("does_has_retailunit", "uom_id", "item_code", "cost_price"), array("item_code" => $item_code, "com_code" => $com_code));
            if (!empty($item_card_Data)) {
                if ($item_card_Data['does_has_retailunit'] == 1) {
                    $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                    $item_card_Data['retails_uoms'] = get_cols_where(new inv_itemcard_retails_uoms(), array("retail_uom_id", "cost_price_retail"), array("com_code" => $com_code, "item_code" => $item_card_Data['item_code']), 'id', 'ASC');
                    if (!empty($item_card_Data['retails_uoms'])) {
                        foreach ($item_card_Data['retails_uoms'] as $info) {
                            $info->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->retail_uom_id));
                        }
                    }
                } else {
                    $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                }
            }
            return view("admin.inv_stores_transfer.get_item_uoms", ['item_card_Data' => $item_card_Data]);
        }
    }


    public function get_item_batches(Request $request)
    {
        $com_code = auth()->user()->com_code;
        if ($request->ajax()) {
            $item_card_Data = get_cols_where_row(new Inv_itemCard(), array("item_type", "uom_id"), array("com_code" => $com_code, "item_code" => $request->item_code));
            if (!empty($item_card_Data)) {
                $requesed['uom_id'] = $request->uom_id;
                $requesed['store_id'] = $request->store_id;
                $requesed['item_code'] = $request->item_code;
                $parent_uom = $item_card_Data['uom_id'];
                $uom_Data = get_cols_where_row(new Inv_uom(), array("name"), array("com_code" => $com_code, "id" => $requesed['uom_id']));
                if (!empty($uom_Data)) {
                    $uom_Data['isparentuom'] = $request->isparentuom;
                    //لو صنف مخزني يبقي ههتم بالتواريخ
                    if ($item_card_Data['item_type'] == 2) {
                        $inv_itemcard_batches = Inv_itemcard_batches::select("unit_cost_price", "quantity", "production_date", "expired_date", "auto_serial")->where('com_code', '=', $com_code)->where('store_id', '=', $requesed['store_id'])->where('item_code', '=', $requesed['item_code'])->where('inv_uoms_id', '=', $parent_uom)->where('quantity', '>', 0)->orderby('production_date', 'ASC')->get();
                    } else {
                        $inv_itemcard_batches = Inv_itemcard_batches::select("unit_cost_price", "quantity", "auto_serial")->where('com_code', '=', $com_code)->where('store_id', '=', $requesed['store_id'])->where('item_code', '=', $requesed['item_code'])->where('inv_uoms_id', '=', $parent_uom)->where('quantity', '>', 0)->orderby('id', 'ASC')->get();
                    }
                    $item_card_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $requesed['item_code'], "com_code" => $com_code, "retail_uom_id" => $requesed['uom_id']));

                    if (!empty($inv_itemcard_batches)) {
                        foreach ($inv_itemcard_batches as $info) {
                            if ($uom_Data['isparentuom'] == 0) {
                                $info->quantity = todecimal($info->quantity * $item_card_Data['retail_uom_quntToParent'], 5);
                            }
                        }
                    }

                    return view("admin.inv_stores_transfer.get_item_batches", ['item_card_Data' => $item_card_Data, 'requesed' => $requesed, 'uom_Data' => $uom_Data, 'inv_itemcard_batches' => $inv_itemcard_batches]);
                }
            }
        }
    }
    public function Add_item_to_invoice(Request $request)
    {
        try {
            if ($request->ajax()) {
                $com_code = auth()->user()->com_code;
                $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "order_date", "id", "transfer_from_store_id", "transfer_to_store_id"), array("com_code" => $com_code, "auto_serial" => $request->autoserailparent));
                if (!empty($invoice_data)) {
                    if ($invoice_data['is_approved'] == 0) {
                        $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "unit_cost_price", "id", "production_date", "expired_date"), array("com_code" => $com_code, "auto_serial" => $request->inv_itemcard_batches_autoserial, 'store_id' => $request->store_id, 'item_code' => $request->item_code));
                        if (!empty($batch_data)) {
                            $datainsert_items['deliverd_quantity'] = todecimal($request->item_quantity, 5);
                            $datainsert_items['item_code'] = $request->item_code;
                            $datainsert_items['uom_id'] = $request->uom_id;
                            $datainsert_items['isparentuom'] = $request->isparentuom;
                            if($datainsert_items['isparentuom']==1){
                                $datainsert_items['quantityByParentUom']=  $datainsert_items['deliverd_quantity'] ;
                             }else{
                                $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$datainsert_items['item_code'], "com_code" => $com_code,"retail_uom_id"=> $datainsert_items['uom_id']));
                          $datainsert_items['quantityByParentUom'] = todecimal($datainsert_items['deliverd_quantity'] / $retail_uom_quntToParent,5);
                          
                            }

                            if ($batch_data['quantity'] >= $datainsert_items['quantityByParentUom']) {
                                $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $request->item_code));
                                if (!empty($itemCard_Data)) {
                                    DB::beginTransaction();
                                    $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                                    $datainsert_items['inv_stores_transfer_auto_serial'] = $request->autoserailparent;
                                    $datainsert_items['inv_stores_transfer_id'] = $invoice_data['id'];
                                    $datainsert_items['order_date'] = $invoice_data['order_date'];
                              
                                    $datainsert_items['transfer_from_batch_id'] = $request->inv_itemcard_batches_autoserial;
                                    $datainsert_items['unit_price'] = todecimal($request->item_price);
                                    $datainsert_items['total_price'] = todecimal($request->item_total);
                                
                                    $datainsert_items['item_card_type'] = $itemCard_Data['item_type'];
                                    $datainsert_items['production_date'] = $batch_data['production_date'];
                                    $datainsert_items['expire_date'] = $batch_data['expired_date'];
                                    $datainsert_items['added_by'] = auth()->user()->id;
                                    $datainsert_items['created_at'] = date("Y-m-d H:i:s");
                                    $datainsert_items['com_code'] = $com_code;
                                    $flag_datainsert_items = insert(new inv_stores_transfer_details(), $datainsert_items, true);
                                    if (!empty($flag_datainsert_items)) {
                                        $this->recalclate_parent_invoice($request->autoserailparent);
                                        //خصم الكمية من الباتش 
                                        //كمية الصنف بكل المخازن قبل الحركة
                                        $quantityBeforMove = get_sum_where(
                                            new Inv_itemcard_batches(),
                                            "quantity",
                                            array(
                                                "item_code" => $request->item_code,
                                                "com_code" => $com_code
                                            )
                                        );
                                        //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
                                        $quantityBeforMoveCurrntStore = get_sum_where(
                                            new Inv_itemcard_batches(),
                                            "quantity",
                                            array(
                                                "item_code" => $request->item_code, "com_code" => $com_code,
                                                'store_id' => $request->store_id
                                            )
                                        );
                                        //هنا حخصم الكمية لحظيا من باتش الصنف
                                        //update current Batch تحديث علي الباتش القديمة
                                        if ($request->isparentuom == 1) {
                                            //حخصم بشكل مباشر لانه بنفس وحده الباتش الاب
                                            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] - todecimal($request->item_quantity, 5), 5);
                                        } else {
                                            //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل الخصم انتبه !!
                                            $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $request->item_code, "com_code" => $com_code, "retail_uom_id" => $request->uom_id));

                                            $item_quantityByParentUom = todecimal(todecimal($request->item_quantity, 5) / $itemCard_Data['retail_uom_quntToParent'], 5);
                                            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] - $item_quantityByParentUom, 5);
                                        }
                                        $dataUpdateOldBatch['total_cost_price'] = todecimal($batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
                                        $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                                        $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                                        $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
                                        if ($flag) {
                                            $quantityAfterMove = get_sum_where(
                                                new Inv_itemcard_batches(),
                                                "quantity",
                                                array(
                                                    "item_code" => $request->item_code,
                                                    "com_code" => $com_code
                                                )
                                            );
                                            //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
                                            $quantityAfterMoveCurrentStore = get_sum_where(
                                                new Inv_itemcard_batches(),
                                                "quantity",
                                                array("item_code" => $request->item_code, "com_code" => $com_code, 'store_id' => $request->store_id)
                                            );
                                            //التاثير في حركة كارت الصنف
                                            $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                                            $dataInsert_inv_itemcard_movements['items_movements_types'] = 20;
                                            $dataInsert_inv_itemcard_movements['item_code'] = $request->item_code;
                                            //كود الفاتورة الاب
                                            $dataInsert_inv_itemcard_movements['FK_table'] = $request->autoserailparent;
                                            //كود صف الابن بتفاصيل الفاتورة
                                            $dataInsert_inv_itemcard_movements['FK_table_details'] = $flag_datainsert_items['id'];
                                            $to_store_name = Store::where('id', $invoice_data['transfer_to_store_id'])->value('name');
                                            $dataInsert_inv_itemcard_movements['byan'] = " نظير صرف أصناف  الي مخزن الاستلام " . " " . $to_store_name . " أمر تحويل رقم" . " " . $request->autoserailparent;
                                            //كمية الصنف بكل المخازن قبل الحركة
                                            $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                                            // كمية الصنف بكل المخازن بعد  الحركة
                                            $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                                            //كمية الصنف  المخزن الحالي قبل الحركة
                                            $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                                            // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                                            $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                                            $dataInsert_inv_itemcard_movements["store_id"] = $request->store_id;
                                            $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                                            $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                                            $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                                            $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                                            $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                                            if ($flag) {
                                                //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                                                do_update_itemCardQuantity(
                                                    new Inv_itemCard(),
                                                    $request->item_code,
                                                    new Inv_itemcard_batches()
                                                );
                                                echo  json_encode("done");
                                            }
                                        }
                                    }
                                    DB::commit();
                                }
                            }
                        }
                    }
                }
            }
        } catch (\Exception $ex) {
            DB::rollBack();
            echo "there is error " . $ex->getMessage();
        }
    }
    function recalclate_parent_invoice($auto_serial)
    {
        $com_code = auth()->user()->com_code;
        $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("auto_serial"), array("com_code" => $com_code, "auto_serial" => $auto_serial));
        if (!empty($invoice_data)) {
            //first get sum of details
            $dataUpdateParent['total_cost_items'] = get_sum_where(new inv_stores_transfer_details(), "total_price", array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $auto_serial));
            $dataUpdateParent['items_counter'] = get_sum_where(new inv_stores_transfer_details(), "deliverd_quantity", array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $auto_serial));
            $dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
            $dataUpdateParent['updated_by'] = auth()->user()->com_code;
            update(new inv_stores_transfer(), $dataUpdateParent, array("com_code" => $com_code, "auto_serial" => $auto_serial));
        }
    }
    public function reload_parent_pill(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code));
            if (!empty($data)) {
                $data['notgiveStatecounter_details'] = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $data['auto_serial'], 'is_approved' => 0, 'is_canceld_receive' => 0));
                $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                $data['from_store_name'] = Store::where('id', $data['transfer_from_store_id'])->value('name');
                $data['to_store_name'] = Store::where('id', $data['transfer_to_store_id'])->value('name');
                $data['store_name'] = Store::where('id', $data['store_id'])->value('name');
                if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                    $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
                }
                return view("admin.inv_stores_transfer.reload_parent_pill", ['data' => $data]);
            }
        }
    }
    public function reload_itemsdetials(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $auto_serial = $request->autoserailparent;
            $data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "id"), array("auto_serial" => $auto_serial, "com_code" => $com_code));
            $details = get_cols_where(new inv_stores_transfer_details(), array("*"), array('inv_stores_transfer_auto_serial' => $auto_serial, 'com_code' => $com_code), 'id', 'DESC');
            if (!empty($details)) {
                foreach ($details as $info) {
                    $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                    $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                    $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                    if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                        $info->updated_by_admin = Admin::where('id', $data['updated_by'])->value('name');
                    }
                    if ($info->is_canceld_receive == 1 and $info->canceld_by != null) {
                        $info->canceld_by_admin = Admin::where('id', $info->canceld_by)->value('name');
                    }

                    if ($info->is_approved == 1 and $info->approved_by != null) {
                        $info->approved_by_admin = Admin::where('id', $info->approved_by)->value('name');
                    }
                }
            }
            return view("admin.inv_stores_transfer.reload_itemsdetials", ['data' => $data, 'details' => $details]);
        }
    }


    public function delete_details($id, $parent_id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(94);
        }
        try {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "auto_serial", "transfer_from_store_id", "transfer_to_store_id"), array("id" => $parent_id, "com_code" => $com_code));
            if (empty($parent_pill_data)) {
                return redirect()->back()
                    ->with(['error' => ' عفوا حدث خطأ ما']);
            }
            if ($parent_pill_data['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }


            $item_row = get_cols_where_row(new inv_stores_transfer_details(), array("*"), array("com_code" => $com_code, "id" => $id));
            if (!empty($item_row)) {

                if ($item_row['is_approved'] == 1) {

                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف   لانه تم اعتماده من مخزن الاستلام ']);
                }


                if ($item_row['is_canceld_receive'] == 1) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف   لانه تم الغاؤه من مخزن الاستلام ']);
                }

                $flag = delete(new inv_stores_transfer_details(), array("com_code" => $com_code, "id" => $id));
                if ($flag) {
                    DB::beginTransaction();
                    /** update parent pill */
                    $this->recalclate_parent_invoice($parent_pill_data['auto_serial']);
                    $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $item_row['item_code']));
                    $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "unit_cost_price", "id", "production_date", "expired_date"), array("com_code" => $com_code, "auto_serial" => $item_row['transfer_from_batch_id'], 'store_id' => $parent_pill_data['transfer_from_store_id'], 'item_code' => $item_row['item_code']));
                    if (!empty($itemCard_Data) and !empty($batch_data)) {
                        //خصم الكمية من الباتش 
                        //كمية الصنف بكل المخازن قبل الحركة
                        $quantityBeforMove = get_sum_where(
                            new Inv_itemcard_batches(),
                            "quantity",
                            array(
                                "item_code" => $item_row['item_code'],
                                "com_code" => $com_code
                            )
                        );
                        //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
                        $quantityBeforMoveCurrntStore = get_sum_where(
                            new Inv_itemcard_batches(),
                            "quantity",
                            array(
                                "item_code" => $item_row['item_code'], "com_code" => $com_code,
                                'store_id' => $parent_pill_data['transfer_from_store_id']
                            )
                        );
                        //حنرجع  الكمية لحظيا من باتش الصنف
                        //update current Batch تحديث علي الباتش القديمة
                        if ($item_row['isparentuom'] == 1) {
                            //حنرجع بشكل مباشر لانه بنفس وحده الباتش الاب
                            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_row['deliverd_quantity'], 5);
                        } else {
                            //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل الخصم انتبه !!
                            $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $item_row['item_code'], "com_code" => $com_code, "retail_uom_id" => $item_row['uom_id']));

                            $item_quantityByParentUom = $item_row['deliverd_quantity'] / $itemCard_Data['retail_uom_quntToParent'];
                            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_quantityByParentUom);
                        }
                        $dataUpdateOldBatch['total_cost_price'] = todecimal($batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
                        $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                        $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                        $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
                        if ($flag) {
                            $quantityAfterMove = get_sum_where(
                                new Inv_itemcard_batches(),
                                "quantity",
                                array(
                                    "item_code" => $item_row['item_code'],
                                    "com_code" => $com_code
                                )
                            );
                            //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
                            $quantityAfterMoveCurrentStore = get_sum_where(
                                new Inv_itemcard_batches(),
                                "quantity",
                                array("item_code" => $item_row['item_code'], "com_code" => $com_code, 'store_id' => $parent_pill_data['transfer_from_store_id'])
                            );
                            //التاثير في حركة كارت الصنف
                            $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                            $dataInsert_inv_itemcard_movements['items_movements_types'] = 21;
                            $dataInsert_inv_itemcard_movements['item_code'] = $item_row['item_code'];
                            //كود الفاتورة الاب
                            $dataInsert_inv_itemcard_movements['FK_table'] = $parent_pill_data['auto_serial'];
                            //كود صف الابن بتفاصيل الفاتورة
                            $dataInsert_inv_itemcard_movements['FK_table_details'] = $item_row['id'];
                            $to_store_name = Store::where('id', $parent_pill_data['transfer_to_store_id'])->value('name');
                            $from_store_name = Store::where('id', $parent_pill_data['transfer_from_store_id'])->value('name');
                            $dataInsert_inv_itemcard_movements['byan'] = " نظير حذف سطر الصنف من أمر تحويل من المخزن            " . " " . $from_store_name . "  الي المخزن" . $to_store_name . " امر تحويل" . " " . $parent_pill_data['auto_serial'];
                            $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                            //كمية الصنف بكل المخازن قبل الحركة
                            $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                            // كمية الصنف بكل المخازن بعد  الحركة
                            $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                            //كمية الصنف  المخزن الحالي قبل الحركة
                            $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                            // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                            $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                            $dataInsert_inv_itemcard_movements["store_id"] = $parent_pill_data['transfer_from_store_id'];
                            $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                            $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                            $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                            $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                            $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                            if ($flag) {
                                //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                                do_update_itemCardQuantity(
                                    new Inv_itemCard(),
                                    $item_row['item_code'],
                                    new Inv_itemcard_batches()
                                );
                                DB::commit();
                                return redirect()->back()
                                    ->with(['success' => '   تم حذف البيانات بنجاح']);
                            }
                        } else {
                            return redirect()->back()
                                ->with(['error' => 'عفوا حدث خطأ ما']);
                        }
                    } else {
                        return redirect()->back()
                            ->with(['error' => 'عفوا حدث خطأ ما']);
                    }
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            DB::rollback();
            return redirect()->back()
                ->with(['error' => '5عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function do_approve($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(92);
        }
        try {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "auto_serial"), array("id" => $id, "com_code" => $com_code));
            if (empty($parent_pill_data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
            if ($parent_pill_data['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }
            $added_counter_details = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $parent_pill_data['auto_serial']));
            if ($added_counter_details == 0) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اغلاق وارشفة الامر قبل اضافة الاصناف عليه!   ']);
            }
            $notgiveStatecounter_details = get_count_where(new inv_stores_transfer_details(), array("com_code" => $com_code, "inv_stores_transfer_auto_serial" => $parent_pill_data['auto_serial'], 'is_approved' => 0, 'is_canceld_receive' => 0));
            if ($notgiveStatecounter_details > 0) {
                return redirect()->back()
                    ->with(['error' => 'عفوا هناك اصناف مازالت لم تأخذ اي حركة اعتماد او الغاء الاستلام !!  ']);
            }

            $DataToUpdate['is_approved'] = 1;
            $DataToUpdate["approved_at"] = date("Y-m-d H:i:s");
            $DataToUpdate["approved_by"] = auth()->user()->id;
            $flag = update(new inv_stores_transfer(), $DataToUpdate, array("id" => $id, "com_code" => $com_code));
            return redirect()->route('admin.inv_stores_transfer.index')->with(['success' => 'لقد تم اغلاق وأرشفة الامر بنجاح  البيانات بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }


    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $search_by_text = $request->search_by_text;
            $transfer_from_store_id_search = $request->transfer_from_store_id_search;
            $transfer_to_store_id_search = $request->transfer_to_store_id_search;
            $order_date_form = $request->order_date_form;
            $order_date_to = $request->order_date_to;
            $searchbyradio = $request->searchbyradio;
            $is_approved = $request->is_approved;

            if ($transfer_from_store_id_search == 'all') {
                //دائما  true
                $wherein = "all";
            } else {
                $field1 = "transfer_from_store_id";
                $operator1 = "=";
                $value1 = $transfer_from_store_id_search;
            }
            if ($transfer_to_store_id_search == 'all') {
                //دائما  true
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "transfer_to_store_id";
                $operator2 = "=";
                $value2 = $transfer_to_store_id_search;
            }
            if ($order_date_form == '') {
                //دائما  true
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "order_date";
                $operator3 = ">=";
                $value3 = $order_date_form;
            }
            if ($order_date_to == '') {
                //دائما  true
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "order_date";
                $operator4 = "<=";
                $value4 = $order_date_to;
            }
            if ($search_by_text != '') {
                $field5 = "auto_serial";
                $operator5 = "=";
                $value5 = $search_by_text;
            } else {
                //true 
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            }

            if ($is_approved == 'all') {
                //دائما  true
                $field6 = "id";
                $operator6 = ">";
                $value6 = 0;
            } else {
                $field6 = "is_approved";
                $operator6 = "=";
                $value6 = $is_approved;
            }
            $com_code = auth()->user()->com_code;
            $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
            if (isset($wherein)) {
                $data = inv_stores_transfer::where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->whereIn('transfer_from_store_id',  $stores)->orderBy('id', 'DESC')->paginate(PC);
            } else {
                $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->orderBy('id', 'DESC')->paginate(PC);
            }
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
                    $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                }
            }
            return view('admin.inv_stores_transfer.ajax_search', ['data' => $data]);
        }
    }

    public function printsaleswina4($id, $size)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(91);
        }
        try {
            $com_code = auth()->user()->com_code;
            $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
            if (empty($invoice_data)) {
                return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $invoice_data['added_by_admin'] = Admin::where('id', $invoice_data['added_by'])->value('name');
            $invoice_data['from_store_name'] = Store::where('id', $invoice_data['transfer_from_store_id'])->value('name');
            $invoice_data['to_store_name'] = Store::where('id', $invoice_data['transfer_to_store_id'])->value('name');

            $invoices_details =  inv_stores_transfer_details::select('*')
            ->join('inv_itemcard', 'inv_itemcard.item_code', '=', 'inv_stores_transfer_details.item_code')
            ->where("inv_stores_transfer_details.com_code","=",$com_code)->where("inv_stores_transfer_details.inv_stores_transfer_auto_serial","=",$invoice_data['auto_serial'])
            ->orderby('inv_itemcard.name','ASC')->get();
           
            if (!empty($invoices_details)) {
                foreach ($invoices_details as $info) {
                    $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                    $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                }
            }
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

            if ($size == "A4") {
                return view('admin.inv_stores_transfer.printsaleswina4', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
            } else {
                return view('admin.inv_stores_transfer.printsaleswina6', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function AddAllItemsInStore($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(233);
        }
        try {
            $com_code = auth()->user()->com_code;
            $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
            if (empty($invoice_data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
            if ($invoice_data['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }
            $allItemsInStore = Inv_itemcard_batches::select("*")->where("com_code", "=", $com_code)
                ->where("store_id", "=", $invoice_data['transfer_from_store_id'])
                ->where("quantity", ">", 0)->orderby("item_code", "ASC")->get();

            if (!empty($allItemsInStore)) {
                foreach ($allItemsInStore as $info) {

                    $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $info->item_code));
                    if (!empty($itemCard_Data)) {
                        $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $info->inv_uoms_id));
                     
                        $datainsert_items['inv_stores_transfer_auto_serial'] = $invoice_data['auto_serial'];
                        $datainsert_items['inv_stores_transfer_id'] = $invoice_data['id'];
                        $datainsert_items['order_date'] = $invoice_data['order_date'];
                        $datainsert_items['item_code'] = $info->item_code;
                        $datainsert_items['uom_id'] =  $info->inv_uoms_id;
                        $datainsert_items['transfer_from_batch_id'] = $info->auto_serial;
                        $datainsert_items['deliverd_quantity'] = todecimal($info->quantity, 5);
                        $datainsert_items['unit_price'] = todecimal($info->unit_cost_price);
                        $datainsert_items['total_price'] = todecimal($info->total_cost_price);
                        $datainsert_items['isparentuom'] = 1;
                        if($datainsert_items['isparentuom']==1){
                            $datainsert_items['quantityByParentUom']=  $datainsert_items['deliverd_quantity'] ;
                         }else{
                            $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$datainsert_items['item_code'], "com_code" => $com_code,"retail_uom_id"=> $datainsert_items['uom_id']));
                      $datainsert_items['quantityByParentUom'] = todecimal($datainsert_items['deliverd_quantity'] / $retail_uom_quntToParent,5);
                      
                        }
                        $datainsert_items['item_card_type'] = $itemCard_Data['item_type'];
                        $datainsert_items['production_date'] = $info->production_date;
                        $datainsert_items['expire_date'] = $info->expired_date;
                        $datainsert_items['added_by'] = auth()->user()->id;
                        $datainsert_items['created_at'] = date("Y-m-d H:i:s");
                        $datainsert_items['com_code'] = $com_code;
                        $flag_datainsert_items = insert(new inv_stores_transfer_details(), $datainsert_items, true); 
                        if (!empty($flag_datainsert_items)) {

                            //خصم الكمية من الباتش 
                            //كمية الصنف بكل المخازن قبل الحركة
                            $quantityBeforMove = get_sum_where(
                                new Inv_itemcard_batches(),
                                "quantity",
                                array(
                                    "item_code" => $info->item_code,
                                    "com_code" => $com_code
                                )
                            );
                            //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
                            $quantityBeforMoveCurrntStore = get_sum_where(
                                new Inv_itemcard_batches(),
                                "quantity",
                                array(
                                    "item_code" => $info->item_code, "com_code" => $com_code,
                                    'store_id' => $invoice_data['store_id']
                                )
                            );
                            //هنا حخصم الكمية لحظيا من باتش الصنف
                            //update current Batch تحديث علي الباتش القديمة

                            //حخصم بشكل مباشر لانه بنفس وحده الباتش الاب
                            $dataUpdateOldBatch['quantity'] = 0;
                            $dataUpdateOldBatch['unit_cost_price'] = 0;
                            $dataUpdateOldBatch['total_cost_price'] = 0;
                            $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                            $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                            $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $info->id, "com_code" => $com_code));
                            if ($flag) {
                                $quantityAfterMove = get_sum_where(
                                    new Inv_itemcard_batches(),
                                    "quantity",
                                    array(
                                        "item_code" => $info->item_code,
                                        "com_code" => $com_code
                                    )
                                );
                                //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
                                $quantityAfterMoveCurrentStore = get_sum_where(
                                    new Inv_itemcard_batches(),
                                    "quantity",
                                    array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $invoice_data['store_id'])
                                );
                                //التاثير في حركة كارت الصنف
                                $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                                $dataInsert_inv_itemcard_movements['items_movements_types'] = 20;
                                $dataInsert_inv_itemcard_movements['item_code'] = $info->item_code;
                                //كود الفاتورة الاب
                                $dataInsert_inv_itemcard_movements['FK_table'] = $invoice_data['auto_serial'];
                                //كود صف الابن بتفاصيل الفاتورة
                                $dataInsert_inv_itemcard_movements['FK_table_details'] = $flag_datainsert_items['id'];
                                $to_store_name = Store::where('id', $invoice_data['transfer_to_store_id'])->value('name');
                                $dataInsert_inv_itemcard_movements['byan'] = " نظير صرف أصناف  الي مخزن الاستلام " . " " . $to_store_name . " أمر تحويل رقم" . " " . $invoice_data['auto_serial'];
                                //كمية الصنف بكل المخازن قبل الحركة
                                $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                                // كمية الصنف بكل المخازن بعد  الحركة
                                $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                                //كمية الصنف  المخزن الحالي قبل الحركة
                                $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                                // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                                $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                                $dataInsert_inv_itemcard_movements["store_id"] = $invoice_data['transfer_from_store_id'];
                                $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                                $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                                $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                                $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                                $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                                if ($flag) {
                                    //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                                    do_update_itemCardQuantity(
                                        new Inv_itemCard(),
                                        $info->item_code,
                                        new Inv_itemcard_batches()
                                    );
                                }
                            }
                        }
                    }
                }
            }
            $this->recalclate_parent_invoice($invoice_data['auto_serial']);


            return redirect()->route('admin.inv_stores_transfer.show', $id)->with(['success' => 'لقد تم تحويل كل اصناف المخزن   بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function print_search(Request $request)
    {
    
            $search_by_text = $request->search_by_text;
            $transfer_from_store_id_search = $request->transfer_from_store_id_search;
            $transfer_to_store_id_search = $request->transfer_to_store_id_search;
            $order_date_form = $request->order_date_form;
            $order_date_to = $request->order_date_to;
            $searchbyradio = $request->searchbyradio;
            $is_approved = $request->is_approved;

            if ($transfer_from_store_id_search == 'all') {
                //دائما  true
                $wherein = "all";
            } else {
                $field1 = "transfer_from_store_id";
                $operator1 = "=";
                $value1 = $transfer_from_store_id_search;
            }
            if ($transfer_to_store_id_search == 'all') {
                //دائما  true
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "transfer_to_store_id";
                $operator2 = "=";
                $value2 = $transfer_to_store_id_search;
            }
            if ($order_date_form == '') {
                //دائما  true
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "order_date";
                $operator3 = ">=";
                $value3 = $order_date_form;
            }
            if ($order_date_to == '') {
                //دائما  true
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "order_date";
                $operator4 = "<=";
                $value4 = $order_date_to;
            }
            if ($search_by_text != '') {
                $field5 = "auto_serial";
                $operator5 = "=";
                $value5 = $search_by_text;
            } else {
                //true 
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            }

            if ($is_approved == 'all') {
                //دائما  true
                $field6 = "id";
                $operator6 = ">";
                $value6 = 0;
            } else {
                $field6 = "is_approved";
                $operator6 = "=";
                $value6 = $is_approved;
            }
            $com_code = auth()->user()->com_code;
            $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
            if (isset($wherein)) {
                $data = inv_stores_transfer::where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->whereIn('transfer_from_store_id',  $stores)->orderBy('id', 'DESC')->get();
            } else {
                $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->orderBy('id', 'DESC')->get();
            }
            $total_sum=0;
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
                    $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $total_sum+=$info->total_cost_items;  
                }
            }
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));
            return view('admin.inv_stores_transfer.print_search', ['data' => $data,'systemData'=>$systemData,'total_sum'=>$total_sum]);
        
    }


}
