<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Employees_attedanceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
         'finance_cln_periods_id'=>'required',
         'employee_code'=>'required',
         'attendace_date'=>'required',
        ];
    }

    public function messages()
    {
        return [
        'finance_cln_periods_id.required'=>'اسم الشهر المالي مطلوب',
        'employee_code.required'=>'   اسم الموظف مطلوب',
        'attendace_date.required'=>'    تاريخ سجل الحضور مطلوب',
        ];
    }
}
