<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Finance_calendersRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
        'FINANCE_YR'=>'required',
        'FINANCE_YR_DESC'=>'required' ,
        'start_date'=>'required',
        'end_date'=>'required'
        ];
    }
    public function messages()
    {
        return [
     'FINANCE_YR.required'=>'كود السنة المالية مطلوب',
     'FINANCE_YR_DESC'=>'وصف السنة المالية مطلوب',
     'start_date.required'=>'تاريخ بداية السنة المالية مطلوب',
     'end_date.required'=>'تاريخ نهاية السنة المالية مطلوب'

        ];

    }
}
