<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Treasuriesakarasactionequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
         'treasuries_id_trasfer_to'=>'required',
         'treasuries_id_trasfer_from'=>'required',
         'money'=>'required|numeric|gt:0',
         'byan'=>'required',
        ];
    }

    public function messages()
    {
        return [
        'treasuries_id_trasfer_to.required'=>'اسم الخزنة المحول لها',
        'treasuries_id_trasfer_from.required'=>'اسم الخزنة المحول منها',
        'money.required'=>'قيمة مبلغ التحويل',
        'byan.required'=>'بيان  التحويل',

        ];
    }
}
