@if (@isset($data) && !@empty($data))
      <form action="{{ route('admin.Finance_Montes_Salaries.do_edit_action',$data['id']) }}" method="post" >
               @csrf
               <div class="row">
         
               <div class="col-md-4">
                  <div class="form-group">
                     <label style="color: black !important">   نوع الحركة</label>
                     <select  name="action_add" id="action_add" class="form-control select2 ">
                        <option value="">اختر النوع</option>
                        <option @if($data['action']==1) selected  @endif value="1"> اضافي</option>
                        <option @if($data['action']==2) selected  @endif  value="2"> خصم</option>
                        <option @if($data['action']==3) selected  @endif  value="3"> سلفة</option>
                        <option @if($data['action']==4) selected  @endif  value="4"> رد سلفة</option>

                     </select>

                  </div>
               </div>
               <div class="col-md-4" id="additional_types_div"  @if($data['action']!=1) style="display: none;" @endif>
                  <div class="form-group">
                     <label style="color: black !important">       انواع حركات الاضافي</label>
                     <select name="additional_types_id" id="additional_types_id" class="form-control select2">
                        <option value="">اختر الحركة</option>
                        @if (@isset($other['additional_types']) && !@empty($other['additional_types']))
                        @foreach ($other['additional_types'] as $info )
                        <option @if($data['action_fk']==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{ $info->name }} </option>
                        @endforeach
                        @endif
                     </select>
                 
                  </div>
               </div>

               <div class="col-md-4" id="discount_types_div" @if($data['action']!=2) style="display: none;" @endif>
                  <div class="form-group">
                     <label style="color: black !important">       انواع حركات الخصم</label>
                     <select name="discount_types_id" id="discount_types_id" class="form-control select2">
                        <option value="">اختر الحركة</option>
                        @if (@isset($other['discount_types']) && !@empty($other['discount_types']))
                        @foreach ($other['discount_types'] as $info )
                        <option @if($data['action_fk']==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{ $info->name }} </option>
                        @endforeach
                        @endif
                     </select>
                 
                  </div>
               </div>

               <div class="col-md-4">
               <div class="form-group">
                  <label style="color: black !important"> قيمة  الحركة </label>
                  <input  name="money_value" id="money_value" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ $data['money']*1 }}"    >
                  @error('money_value')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
               </div>
            </div>
               <div class="row" id="ajax_load_action_add_moveDiv">

                  @if($data['action']==1)
                  <div class="col-md-4">
                      <div class="form-group">
                         <label style="color: black !important" >
                       
                          هل يتم صرف الاضافي الان 
                           
                           </label>
                         <select  name="is_dissmissial_collect_done" id="is_dissmissial_collect_done" class="form-control  ">
                            <option value="">اختر الإجراء</option>
                            <option selected  value="0"> يؤجل وينزل علي الراتب للموظف</option>
                            <option value="1">  يتم الصرف الآن لحظياً</option>
                  
                         </select>
                  
                      </div>
                   </div>
                  
                   <div class="col-md-4 related_shift" style="display: none;" > 
                     <div class="form-group">
                        <label style="color: black !important" >  خزنة الصرف</label>
                        <select name="treasuries_id" id="treasuries_id" class="form-control ">
                           @if(!@empty($checkExistsOpenShift))
                           <option  value="{{ $checkExistsOpenShift['treasuries_id'] }}"> {{ $checkExistsOpenShift['treasuries_name'] }} </option>
                          @else
                          <option value="">عفوا لايوجد شفت خزنة  الان</option>
                          @endif
                        </select>
                  
                     </div>
                  </div>
                  <div class="col-md-4 related_shift" style="display: none;" > 
                     <div class="form-group">
                        <label style="color: black !important" >  الرصيد المتاح بالخزنة   </label>
                     @if(!@empty($checkExistsOpenShift))
                     <input  readonly name="treasuries_balance" id="treasuries_balance" class="form-control"  value="{{ $checkExistsOpenShift['treasuries_balance_now']*1 }}"  >
                     @else
                     <input  readonly name="treasuries_balance" id="treasuries_balance" class="form-control"  value="0"  >
                  
                     @endif
                  </div>
                  </div>
                   
                   @elseif($data['action']==2)
                  
                   <div class="col-md-4 "  > 
                     <div class="form-group">
                        <label style="color: black !important" >
                      
                         هل يتم تحصيل الخصم الان 
                          
                          </label>
                        <select  name="is_dissmissial_collect_done" id="is_dissmissial_collect_done" class="form-control  ">
                           <option value="">اختر الإجراء</option>
                           <option selected value="0"> يؤجل وينزل علي الراتب للموظف</option>
                           <option value="1">  يتم التحصيل الآن لحظياً</option>
                  
                        </select>
                  
                     </div>
                  </div>
                  
                  <div class="col-md-4 related_shift" style="display: none;" > 
                     <div class="form-group">
                        <label style="color: black !important" >   خزنة التحصيل</label>
                        <select name="treasuries_id" id="treasuries_id" class="form-control ">
                           @if(!@empty($checkExistsOpenShift))
                           <option  value="{{ $checkExistsOpenShift['treasuries_id'] }}"> {{ $checkExistsOpenShift['treasuries_name'] }} </option>
                          @else
                          <option value="">عفوا لايوجد شفت خزنة  الان</option>
                          @endif
                        </select>
                  
                     </div>
                  </div>
                  <div class="col-md-4 related_shift" style="display: none;" > 
                     <div class="form-group">
                        <label style="color: black !important" >  الرصيد المتاح بالخزنة   </label>
                  
                     @if(!@empty($checkExistsOpenShift))
                     <input  readonly name="treasuries_balance" id="treasuries_balance" class="form-control"  value="{{ $checkExistsOpenShift['treasuries_balance_now']*1 }}"  >
                     @else
                     <input  readonly name="treasuries_balance" id="treasuries_balance" class="form-control"  value="0"  >
                  
                     @endif
                  </div>
                 
                  
          
                  @else
                  <!-- oothing -->
                  
                  
                   @endif


               </div>
            </div>

               <div class="col-md-12">
                  <div class="form-group text-center">
                     <button id="do_add_action" type="submit" class="btn btn-primary btn-sm"> تعديل</button>
                  </div>
               </div>
              
            </form>
            @else
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            @endif
