@if (@isset($data) && !@empty($data))
@php
$i=1;   
@endphp
<table id="example2" class="table table-bordered table-hover">
   <thead class="custom_thead">
      <th>كود الشفت</th>
      <th>اسم المستخدم</th>
      <th> اسم الخزنة </th>
      <th> توقيت الفتح</th>
      <th>  حالة الانتهاء</th>
      <th>  حالة المراجعة</th>
      <th></th>
   </thead>
   <tbody>
      @foreach ($data as $info )
      <tr>
         <td>{{ $info->id }}
            @if($info->is_finished==0 and $info->admin_id==auth()->user()->id) 
            <br>
            <span style="color:brown"> شفتك الحالي</span>
            @endif
         </td>
         <td>{{ $info->admin_name }}</td>
         <td>{{ $info->treasuries_name }}</td>
         <td > 
            @php
            $dt=new DateTime($info->created_at);
            $date=$dt->format("Y-m-d");
            $time=$dt->format("h:i");
            $newDateTime=date("A",strtotime($time));
            $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
            @endphp
            {{ $date }} <br>
            {{ $time }}
            {{ $newDateTimeType }} 
         </td>
         <td>@if($info->is_finished==1)  تم الانتهاء @else  مازال مفتوح @endif</td>
         <td>@if($info->is_delivered_and_review==1)  تمت المراجعة @else  
            @if($info->is_finished==1)   بإنتظار المراجعة  
            @endif
            @endif
         </td>
         <td>
           
            @if($info->is_finished==0 and $info->admin_id==auth()->user()->id) 
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(145)) 
            <a href="{{ route('admin.admin_shift.finish',$info->id) }}" class="btn btn-sm  are_you_sure btn-success">  انهاء الشفت</a>   
            @endif
            @endif
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(146)) 
            <a target="_blank" href="{{ route('admin.admin_shift.print_details',$info->id) }}" class="btn btn-sm  btn-primary"> طباعة الكشف</a>   
            @endif
            @if($info->is_finished==1 and $info->is_delivered_and_review==0  ) 
            @if (@isset($checkExistsOpenShift) && !@empty($checkExistsOpenShift ) )
             @if($info->can_review==true)
             @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(147)) 
             <button data-id={{ $info->id }} class="btn btn-sm  review_now  btn-danger"> مراجعة واستلام</a>   
               @endif
            @endif
            @endif
            @endif
         </td>
      </tr>
      @endforeach
   </tbody>
</table>
<br>
<div class="col-md-12" id="ajax_pagination_in_search">
   {{ $data->links() }}
</div>
@else
<div class="alert alert-danger">
   عفوا لاتوجد بيانات لعرضها !!
</div>
@endif