@if (@isset($data) && !@empty($data) && count($data)>0)
@php
$i=1;   
@endphp
<table id="example2" class="table table-bordered table-hover">
   <thead class="custom_thead">
      <th>مسلسل</th>
      <th>القسم </th>
      <th>  نوع الحركة</th>
      <th style="width: 30%;">البيان</th>
      <th>هل مميز</th>
      <th> تاريخ الحركة</th>
      <th></th>
   </thead>
   <tbody>
      @foreach ($data as $info )
      <tr >
         <td>{{ $info->id}}</td>
         <td>{{ $info->alert_modules_name }}</td>
         <td>{{ $info->alert_movetype_name }}</td>
         <td>{{ $info->content }}</td>
         <td @if($info->is_marked==1) class="bg-danger"  @endif>@if($info->is_marked==1) نعم  @else  لا @endif</td>

         <td > 
            @php
            $dt=new DateTime($info->created_at);
            $date=$dt->format("Y-m-d");
            $time=$dt->format("h:i");
            $newDateTime=date("A",strtotime($info->created_at));
            $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
            @endphp
            {{ $date }} <br>
            {{ $time }}
            {{ $newDateTimeType }}  <br>
            بواسطة 
            {{ $info->added_by_admin}}
         </td>
     
         
         <td>
       
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(215)) 
            @if($info->is_marked==0)
            <button data-id="{{ $info->id }}" class="btn btn-sm do_mark  btn-danger">تمييز</button>   
          @else
          <button data-id="{{ $info->id }}" class="btn btn-sm do_mark  btn-info"> لاتمييز</button>   
          @endif

            @endif
         </td>
      </tr>
      @php
      $i++; 
      @endphp
      @endforeach
   </tbody>
</table>
<br>
<div class="col-md-12" id="ajax_pagination_in_search">
   {{ $data->links() }}
</div>
@else
<div class="alert alert-danger">
   عفوا لاتوجد بيانات لعرضها !!
</div>
@endif