@if (@isset($data) && !@empty($data))
<table id="example2" class="table table-bordered table-hover">
   <tr>
      <td class="width30"> كود الجرد الالي</td>
      <td > {{ $data['auto_serial'] }}</td>
   </tr>
   <tr>
      <td class="width30">   تاريخ الجرد </td>
      <td > {{ $data['inventory_date'] }}</td>
   </tr>
   <tr>
      <td class="width30">   مخزن الجرد </td>
      <td > {{ $data['store_name'] }}</td>
   </tr>
   <tr>
      <td class="width30"> نوع الجرد</td>
      <td > 
         @if($data['inventory_type']==1)جرد يومي 
         @elseif($data['inventory_type']==2)جرد اسبوعي  
         @elseif($data['inventory_type']==3)جرد شهري  
         @elseif($data['inventory_type']==4)جرد سنوي  
         @else     لم يحدد @endif
      </td>
   </tr>
   <tr>
      <td class="width30">   اجمالي باتشات الجرد </td>
      <td > {{ $data['total_cost_batches']*(1) }}</td>
   </tr>
   <tr>
      <td class="width30">       حالة الجرد </td>
      <td > @if($data['is_closed']==1)  مغلق ومؤرشف @else مازال مفتوح  @endif</td>
   </tr>
   <tr>
      <td class="width30">  تاريخ  الاضافة</td>
      <td > 
         @php
         $dt=new DateTime($data['created_at']);
         $date=$dt->format("Y-m-d");
         $time=$dt->format("h:i");
         $newDateTime=date("A",strtotime($time));
         $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
         @endphp
         {{ $date }}
         {{ $time }}
         {{ $newDateTimeType }}
         بواسطة 
         {{ $data['added_by_admin'] }}
      </td>
   </tr>
   <tr>
      <td class="width30">  تاريخ اخر تحديث</td>
      <td > 
         @if($data['updated_by']>0 and $data['updated_by']!=null )
         @php
         $dt=new DateTime($data['updated_at']);
         $date=$dt->format("Y-m-d");
         $time=$dt->format("h:i");
         $newDateTime=date("A",strtotime($time));
         $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
         @endphp
         {{ $date }}
         {{ $time }}
         {{ $newDateTimeType }}
         بواسطة 
         {{ $data['updated_by_admin'] }}
         @else
         لايوجد تحديث
         @endif

         @if($data['is_closed']==0)

         @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(102))    
      <a href="{{ route('admin.stores_inventory.delete',$data['id']) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
      @endif
 
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(101))    
      <a href="{{ route('admin.stores_inventory.edit',$data['id']) }}" class="btn btn-sm btn-success">تعديل</a>
      @endif
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(103))    
      <a href="{{ route('admin.stores_inventory.do_close_parent',$data['id']) }}" class="btn btn-sm are_you_sure  btn-primary">اغلاق وترحيل أمر الجرد</a>   
      @endif
      @endif
      </td>
   </tr>
</table>
@else
<div class="alert alert-danger">
   عفوا لاتوجد بيانات لعرضها !!
</div>
@endif
