<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\inv_itemcard_categorie;
use App\Models\Inv_itemcard_batches;
use App\Models\Store;
use App\Models\Admins_stores;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemcard_retails_uoms;

class ItemcardBalanceController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(110);
        }
        //get all itemscars ordery by quantity
        $com_code = auth()->user()->com_code;
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
        $inv_itemcard_categories = get_cols_where(new inv_itemcard_categorie(), array('id', 'name'), array('com_code' => $com_code, 'active' => 1), 'id', 'DESC');
        $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
        $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->paginate(PC);
        if (!empty($allitemscardData)) {
            foreach ($allitemscardData as $info) {
                $itemCardData = get_cols_where_row(new Inv_itemCard(), array("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY"), array("com_code" => $com_code, "item_code" => $info->item_code));
                $info->All_QUENTITY =    do_update_itemCardQuantity(
                    new Inv_itemCard(),
                    $info->item_code,
                    new Inv_itemcard_batches(),
                    true
                );
                $allQunatityInmyStores = 0;
                $retailData = "";
                $info->inv_itemcard_categories_name = get_field_value(new inv_itemcard_categorie(), 'name', array('id' =>  $info->inv_itemcard_categories_id));
                $info->Uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->uom_id));
                $info->inv_itemcard_retails_uoms = get_cols_where(new inv_itemcard_retails_uoms(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), 'id', 'ASC');
                $cost_batches = 0;
                $info->allBathces = get_cols_where_wherein_order2(new Inv_itemcard_batches(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), "store_id", $stores, 'store_id', 'ASC', 'quantity', 'DESC');
                if (!empty($info->allBathces)) {
                    foreach ($info->allBathces as $Det) {
                        $Det->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $Det->store_id));
                        $cost_batches += $Det->total_cost_price;
                        $qunatity_lable = "";

                        $mainQuantityParent = intval($Det->quantity);
                        $retailQuantity = $Det->quantity - $mainQuantityParent;
                        $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                        $last_retail_uom_quntToParent = 0;
                        if (!empty($info->inv_itemcard_retails_uoms)) {
                            foreach ($info->inv_itemcard_retails_uoms as $retail) {
                                $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                                $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                                if ($retailQuantity > 0) {
                                    //يوجد تجزئة

                                    $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                                    if ($checkBelowCounter > 0) {
                                        $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                        $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                        $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                                    } else {
                                        $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                        $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                        $retailQuantity = 0;
                                    }
                                }
                            }
                        } else {
                            $qunatity_lable .= " " . $Det->All_QUENTITY * (1) . " " . $info->Uom_name;
                        }

                        $Det->qunatity_lable = $qunatity_lable;



                        $allQunatityInmyStores += $Det->quantity;
                    }
                }
                $info->cost_batches = $cost_batches;
                $info->allQunatityInmyStores = $allQunatityInmyStores;
                //مراه الصنف الرئيسي ككل

                $qunatity_lable = "";

                $mainQuantityParent = intval($info->All_QUENTITY);
                $retailQuantity = $info->All_QUENTITY - $mainQuantityParent;
                $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                $last_retail_uom_quntToParent = 0;
                if (!empty($info->inv_itemcard_retails_uoms)) {
                    foreach ($info->inv_itemcard_retails_uoms as $retail) {
                        $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                        $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                        if ($retailQuantity > 0) {
                            //يوجد تجزئة

                            $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                            if ($checkBelowCounter > 0) {
                                $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                            } else {
                                $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                $retailQuantity = 0;
                            }
                        }
                    }
                } else {
                    $qunatity_lable .= " " . $info->All_QUENTITY * (1) . " " . $info->Uom_name;
                }
                $info->qunatity_lable = $qunatity_lable;
            }
        }

        if (!empty($stores)) {
            foreach ($stores as $info) {
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }

        if (!empty($alliItemsCodeDistinct)) {
            foreach ($alliItemsCodeDistinct as $info) {
                $info->name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                $info->item_type = Inv_itemCard::where('item_code', $info->item_code)->value('item_type');
            }
        }
        return view('admin.itemcardBalance.index', ['allitemscardData' => $allitemscardData, 'itemCardsSearch' => $alliItemsCodeDistinct, 'storesSearch' => $stores,'inv_itemcard_categories'=>$inv_itemcard_categories]);
    }
    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $item_code = $request->item_code;
            $store_id = $request->store_id;
            $BatchStatus = $request->BatchStatus;
            $BatchTypeSerach = $request->BatchTypeSerach;
            $BatchquantitystatusSerach = $request->BatchquantitystatusSerach;
            $BatchquantitySerach = $request->BatchquantitySerach;
            $BatchSerialSearch = $request->BatchSerialSearch;
           $inv_itemcard_categories_id_search= $request->inv_itemcard_categories_id_search;
            if ($BatchStatus == 'all') {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                if ($BatchStatus == 1) {
                    $field3 = "quantity";
                    $operator3 = ">";
                    $value3 = 0;
                } else {
                    $field3 = "quantity";
                    $operator3 = "=";
                    $value3 = 0;
                }
            }
            if ($BatchTypeSerach == 'all') {
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } elseif ($BatchTypeSerach == 1) {
                $field4 = "production_date";
                $operator4 = "!=";
                $value4 = null;
            } else {
                $field4 = "production_date";
                $operator4 = "=";
                $value4 = null;
            }
            if ($BatchquantitystatusSerach == 'all') {
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            } elseif ($BatchquantitystatusSerach == 1) {
                $field5 = "quantity";
                $operator5 = ">";
                $value5 = $BatchquantitySerach;
            } elseif ($BatchquantitystatusSerach == 2) {
                $field5 = "quantity";
                $operator5 = "<";
                $value5 = $BatchquantitySerach;
            } else {
                $field5 = "quantity";
                $operator5 = "=";
                $value5 = $BatchquantitySerach;
            }

            if ($BatchSerialSearch == '') {
                $field6 = "id";
                $operator6 = ">";
                $value6 = 0;
            } else {
                $field6 = "auto_serial";
                $field6 = "id";
                $operator6 = "=";
                $value6 = $BatchSerialSearch;
            }


            if ($store_id == "all") {
                $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
            } else {
                $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id, 'store_id' => $store_id), 'store_id', 'ASC');
            }
            if ($item_code == 'all') {
                $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
            } else {
                $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->where('item_code', '=', $item_code)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
            }

            if($inv_itemcard_categories_id_search=="all"){
                $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->paginate(PC);
            }else{
                $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->where('inv_itemcard_categories_id','=',$inv_itemcard_categories_id_search)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->paginate(PC);
            }
            if (!empty($allitemscardData)) {
                foreach ($allitemscardData as $info) {
                    $itemCardData = get_cols_where_row(new Inv_itemCard(), array("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY"), array("com_code" => $com_code, "item_code" => $info->item_code));
                    $allQunatityInmyStores = 0;
                    $info->All_QUENTITY =    do_update_itemCardQuantity(
                        new Inv_itemCard(),
                        $info->item_code,
                        new Inv_itemcard_batches(),
                        true
                    );
                    $retailData = "";
                    $info->inv_itemcard_categories_name = get_field_value(new inv_itemcard_categorie(), 'name', array('id' =>  $info->inv_itemcard_categories_id));
                    $info->Uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->uom_id));
                    $info->inv_itemcard_retails_uoms = get_cols_where(new inv_itemcard_retails_uoms(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), 'id', 'ASC');
                    $cost_batches = 0;
                    $info->allBathces = get_cols_where_wherein_order2(new Inv_itemcard_batches(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), "store_id", $stores, 'store_id', 'ASC', 'quantity', 'DESC');
                    if (!empty($info->allBathces)) {
                        foreach ($info->allBathces as $Det) {
                            $Det->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $Det->store_id));
                            $cost_batches += $Det->total_cost_price;
                            $qunatity_lable = "";

                            $mainQuantityParent = intval($Det->quantity);
                            $retailQuantity = $Det->quantity - $mainQuantityParent;
                            $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                            $last_retail_uom_quntToParent = 0;
                            if (!empty($info->inv_itemcard_retails_uoms)) {
                                foreach ($info->inv_itemcard_retails_uoms as $retail) {
                                    $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                                    $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                                    if ($retailQuantity > 0) {
                                        //يوجد تجزئة

                                        $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                                        if ($checkBelowCounter > 0) {
                                            $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                            $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                            $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                                        } else {
                                            $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                            $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                            $retailQuantity = 0;
                                        }
                                    }
                                }
                            } else {
                                $qunatity_lable .= " " . $Det->All_QUENTITY * (1) . " " . $info->Uom_name;
                            }

                            $Det->qunatity_lable = $qunatity_lable;



                            $allQunatityInmyStores += $Det->quantity;
                        }
                    }
                    $info->cost_batches = $cost_batches;
                    $info->allQunatityInmyStores = $allQunatityInmyStores;
                    //مراه الصنف الرئيسي ككل

                    $qunatity_lable = "";

                    $mainQuantityParent = intval($info->All_QUENTITY);
                    $retailQuantity = $info->All_QUENTITY - $mainQuantityParent;
                    $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                    $last_retail_uom_quntToParent = 0;
                    if (!empty($info->inv_itemcard_retails_uoms)) {
                        foreach ($info->inv_itemcard_retails_uoms as $retail) {
                            $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                            $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                            if ($retailQuantity > 0) {
                                //يوجد تجزئة

                                $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                                if ($checkBelowCounter > 0) {
                                    $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                    $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                    $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                                } else {
                                    $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                    $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                    $retailQuantity = 0;
                                }
                            }
                        }
                    } else {
                        $qunatity_lable .= " " . $info->All_QUENTITY * (1) . " " . $info->Uom_name;
                    }
                    $info->qunatity_lable = $qunatity_lable;
                }
            }
        }

        return view('admin.itemcardBalance.ajax_search', ['allitemscardData' => $allitemscardData]);
    }


    public function printsaleswina4(Request $request)
    {

        $com_code = auth()->user()->com_code;
        $item_code = $request->item_code;
        $store_id = $request->store_id;
        $BatchStatus = $request->BatchStatus;
        $BatchTypeSerach = $request->BatchTypeSerach;
        $BatchquantitystatusSerach = $request->BatchquantitystatusSerach;
        $BatchquantitySerach = $request->BatchquantitySerach;
        $BatchSerialSearch = $request->BatchSerialSearch;
        $inv_itemcard_categories_id_search= $request->inv_itemcard_categories_id_search;

        if ($BatchStatus == 'all') {
            $field3 = "id";
            $operator3 = ">";
            $value3 = 0;
        } else {
            if ($BatchStatus == 1) {
                $field3 = "quantity";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "quantity";
                $operator3 = "=";
                $value3 = 0;
            }
        }
        if ($BatchTypeSerach == 'all') {
            $field4 = "id";
            $operator4 = ">";
            $value4 = 0;
        } elseif ($BatchTypeSerach == 1) {
            $field4 = "production_date";
            $operator4 = "!=";
            $value4 = null;
        } else {
            $field4 = "production_date";
            $operator4 = "=";
            $value4 = null;
        }
        if ($BatchquantitystatusSerach == 'all') {
            $field5 = "id";
            $operator5 = ">";
            $value5 = 0;
        } elseif ($BatchquantitystatusSerach == 1) {
            $field5 = "quantity";
            $operator5 = ">";
            $value5 = $BatchquantitySerach;
        } elseif ($BatchquantitystatusSerach == 2) {
            $field5 = "quantity";
            $operator5 = "<";
            $value5 = $BatchquantitySerach;
        } else {
            $field5 = "quantity";
            $operator5 = "=";
            $value5 = $BatchquantitySerach;
        }

        if ($BatchSerialSearch == '') {
            $field6 = "id";
            $operator6 = ">";
            $value6 = 0;
        } else {
            $field6 = "auto_serial";
            $field6 = "id";
            $operator6 = "=";
            $value6 = $BatchSerialSearch;
        }


        if ($store_id == "all") {
            $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
        } else {
            $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id, 'store_id' => $store_id), 'store_id', 'ASC');
        }
        if ($item_code == 'all') {
            $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
        } else {
            $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->where('item_code', '=', $item_code)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
        }

        if($inv_itemcard_categories_id_search=="all"){
            $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->get();
        }else{
            $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->where('inv_itemcard_categories_id','=',$inv_itemcard_categories_id_search)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->get();
        }
                if (!empty($allitemscardData)) {
            foreach ($allitemscardData as $info) {
                $itemCardData = get_cols_where_row(new Inv_itemCard(), array("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY"), array("com_code" => $com_code, "item_code" => $info->item_code));
                $allQunatityInmyStores = 0;
                $info->All_QUENTITY =    do_update_itemCardQuantity(
                    new Inv_itemCard(),
                    $info->item_code,
                    new Inv_itemcard_batches(),
                    true
                );
                $retailData = "";
                $info->inv_itemcard_categories_name = get_field_value(new inv_itemcard_categorie(), 'name', array('id' =>  $info->inv_itemcard_categories_id));
                $info->Uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->uom_id));
                $info->inv_itemcard_retails_uoms = get_cols_where(new inv_itemcard_retails_uoms(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), 'id', 'ASC');
                $cost_batches = 0;
                $info->allBathces = get_cols_where_wherein_order2(new Inv_itemcard_batches(), array("*"), array("com_code" => $com_code, "item_code" => $info->item_code), "store_id", $stores, 'store_id', 'ASC', 'quantity', 'DESC');
                if (!empty($info->allBathces)) {
                    foreach ($info->allBathces as $Det) {
                        $Det->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $Det->store_id));
                        $cost_batches += $Det->total_cost_price;
                        $qunatity_lable = "";

                        $mainQuantityParent = intval($Det->quantity);
                        $retailQuantity = $Det->quantity - $mainQuantityParent;
                        $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                        $last_retail_uom_quntToParent = 0;
                        if (!empty($info->inv_itemcard_retails_uoms)) {
                            foreach ($info->inv_itemcard_retails_uoms as $retail) {
                                $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                                $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                                if ($retailQuantity > 0) {
                                    //يوجد تجزئة

                                    $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                                    if ($checkBelowCounter > 0) {
                                        $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                        $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                        $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                                    } else {
                                        $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                        $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                        $retailQuantity = 0;
                                    }
                                }
                            }
                        } else {
                            $qunatity_lable .= " " . $Det->All_QUENTITY * (1) . " " . $info->Uom_name;
                        }

                        $Det->qunatity_lable = $qunatity_lable;



                        $allQunatityInmyStores += $Det->quantity;
                    }
                }
                $info->cost_batches = $cost_batches;
                $info->allQunatityInmyStores = $allQunatityInmyStores;
                //مراه الصنف الرئيسي ككل

                $qunatity_lable = "";

                $mainQuantityParent = intval($info->All_QUENTITY);
                $retailQuantity = $info->All_QUENTITY - $mainQuantityParent;
                $qunatity_lable .= " " . $mainQuantityParent * (1) . " " . $info->Uom_name;
                $last_retail_uom_quntToParent = 0;
                if (!empty($info->inv_itemcard_retails_uoms)) {
                    foreach ($info->inv_itemcard_retails_uoms as $retail) {
                        $retail->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $retail->retail_uom_id));

                        $last_retail_uom_quntToParent = $retail->retail_uom_quntToParent;
                        if ($retailQuantity > 0) {
                            //يوجد تجزئة

                            $checkBelowCounter = inv_itemcard_retails_uoms::where("com_code", "=", $com_code)->where("item_code", "=", $info->item_code)->where("id", ">", $retail->id)->count();
                            if ($checkBelowCounter > 0) {
                                $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                $retailQuantity = todecimal($currentUomQuantity - intval($currentUomQuantity), 5) * 1;
                                $qunatity_lable .= " و " . intval($currentUomQuantity) * (1) . " " . $retail->retail_uom_name;
                            } else {
                                $currentUomQuantity = todecimal($retailQuantity * $retail->retail_uom_quntToUPUom, 5) * 1;
                                $qunatity_lable .= " و " . $currentUomQuantity * (1) . " " . $retail->retail_uom_name;
                                $retailQuantity = 0;
                            }
                        }
                    }
                } else {
                    $qunatity_lable .= " " . $info->All_QUENTITY * (1) . " " . $info->Uom_name;
                }
                $info->qunatity_lable = $qunatity_lable;
            }
        }

        $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

        return view('admin.itemcardBalance.print_search', ['allitemscardData' => $allitemscardData, 'systemData' => $systemData]);
    }
    public function get_items_by_category(Request $request){
        if($request->ajax()){
           $inv_itemcard_categories_id=$request->inv_itemcard_categories_id;
           $com_code = auth()->user()->com_code;
           $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
           $alliItemsCodeDistinct = Inv_itemcard_batches::where("com_code", "=", $com_code)->whereIn('store_id', $stores)->orderby('item_code', 'ASC')->distinct()->get('item_code');
          if($inv_itemcard_categories_id=="all"){
            $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->paginate(PC);

          }else{
            $allitemscardData = Inv_itemCard::select("id", "name", "item_code", "item_type", "does_has_retailunit", "uom_id", "All_QUENTITY")->where("com_code", "=", $com_code)->where('inv_itemcard_categories_id','=',$inv_itemcard_categories_id)->whereIn('item_code', $alliItemsCodeDistinct)->orderby('item_code', 'ASC')->paginate(PC);
          }
          return view('admin.itemcardBalance.get_items_by_category', ['itemCardsSearch' => $allitemscardData]);
        }
    }
}
