
<?php $__env->startSection('title'); ?>
شئون الموظفين
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
حضور الموظفين  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.employees_attedance.index')); ?>">    سجلات الحضور </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   سجلات حضور الموظفين</h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.employees_attedance.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(211)): ?> 
      <a href="<?php echo e(route('admin.employees_attedance.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
      <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-3">
            <div class="form-group">
               <label>         بحث بالشهور المالية</label>
               <select name="finance_cln_periods_id_search" id="finance_cln_periods_id_search" class="form-control select2">
                  <option value="all">     بحث بالكل</option>
                  <?php if(@isset( $other['finance_cln_periods']) && !@empty( $other['finance_cln_periods'])): ?>
                  <?php $__currentLoopData = $other['finance_cln_periods']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->id); ?>"> شهر <?php echo e($info->name); ?> لسنة <?php echo e($info->FINANCE_YR); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
           
            </div>
        
         </div>
         <div class="col-md-3">
         <div class="form-group">
            <label>          بحث بالموظفين</label>
            <select name="employee_code_search" id="employee_code_search" class="form-control select2">
               <option value="all">     بحث بالكل</option>
               <?php if(@isset( $other['employees']) && !@empty( $other['employees'])): ?>
               <?php $__currentLoopData = $other['employees']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->employee_code); ?>">  <?php echo e($info->name); ?>  </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
       
         </div>
      </div>
      <div class="col-md-3">
      <div class="form-group">
         <label>   من تاريخ حضور</label>
         <input type="date" class="form-control" name="from_date_search" id="from_date_search">
    
      </div>
   </div>
   <div class="col-md-3>
      <div class="form-group">
         <label>     الي تاريخ جضور</label>
         <input type="date" class="form-control" name="to_date_search" id="to_date_search">
    
      </div>
   </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th> الشهر المالي</th>
                     <th>  اسم الموظف</th>
                     <th> تاريخ الحضور</th>
                     <th> تاريخ الاضافة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td>

                        <?php if(!@empty($info->finance_cln_periods_data)): ?>

                 شهر  <?php echo e($info->finance_cln_periods_data['name']); ?> لسنة <?php echo e($info->finance_cln_periods_data['FINANCE_YR']); ?>

                        <?php endif; ?>
                        </td>
                        <td><?php echo e($info->employee_name); ?></td>
                        <td><?php echo e($info->attendace_date); ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
              
                        <td>
                      
                          <?php if($info->is_closed==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(212)): ?> 
                           <a href="<?php echo e(route('admin.employees_attedance.delete',$info->id)); ?>" class="btn are_you_sure btn-sm  btn-danger">حذف</a>   
                           <?php endif; ?>
                           <?php endif; ?>

                           </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/employees_attedance.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>

<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/employees_attedance/index.blade.php ENDPATH**/ ?>