<!DOCTYPE html>
<html>

<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <title> بحث تحصيل النقدية</title>
   <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
   <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')); ?>">
   <style>
      @media print {
         .hidden-print {
            display: none;
         }
      }

      @media print {
         #printButton {
            display: none;
         }
      }

      td {
         font-size: 15px !important;
         text-align: center;
      }
   </style>

<body style="padding-top: 10px;font-family: tahoma;">


   <table style="width: 60%;float: right;  margin-right: 5px;" dir="rtl">
      <tr>
         <td style="text-align: center;padding: 5px;"> <span> نوع التقرير </span></td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;"> <span style=" display: inline-block;
               width: 400px;
               height: 30px;
               text-align: center;
               color: red;
               border: 1px solid black; ">
               بحث بحركة تحصيل النقدية
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بتاريخ <?php echo date('Y-m-d'); ?>
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بواسطة <?php echo e(auth()->user()->name); ?>

            </span>
         </td>
      </tr>
   </table>
   <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
      <tr>
         <td style="text-align:left !important;padding: 5px;">
            <img style="width: 150px; height: 110px; border-radius: 10px;"
               src="<?php echo e(asset('assets/admin/uploads').'/'.$systemData['photo']); ?>">
            <p><?php echo e($systemData['system_name']); ?></p>
         </td>
      </tr>
   </table>

   <br>

   <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
   <table dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
      <thead style="background-color: yellow">
         <th>كود الي</th>
         <th> رقم الايصال</th>
         <th> الخزنة</th>
         <th> المبلغ</th>
         <th> الحركة</th>
         <th> الحساب المالي</th>
         <th> البيان</th>
         <th> المستخدم</th>


      </thead>
      <tbody>
         <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <tr>
            <td><?php echo e($info->auto_serial); ?></td>
            <td><?php echo e($info->isal_number); ?></td>
            <td><?php echo e($info->treasuries_name); ?> <br>
               شفت (<?php echo e($info->shift_code); ?>)
            </td>
            <td><?php echo e($info->money*(1)); ?></td>
            <td><?php echo e($info->mov_type_name); ?></td>
            <td><?php echo e($info->account_name); ?> <br>
               (<?php echo e($info->account_type_name); ?>)
            </td>
            <td><?php echo e($info->byan); ?></td>
            <td>
               <?php
               $dt=new DateTime($info->created_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->created_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
               ?>
               <?php echo e($date); ?> <br>
               <?php echo e($time); ?>

               <?php echo e($newDateTimeType); ?> <br>
               بواسطة
               <?php echo e($info->added_by_admin); ?>

            </td>

         </tr>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         <tr>
   <td style="background-color:lightsalmon;" colspan="3"> اجمالي التحصيل

</td>
<td style="background-color: lightgreen;text-align: right" colspan="5"> 
<?php echo e($totalCollectInSearch*1); ?> جنيه
</td>

         </tr>
      </tbody>
   </table>
   <br>

   <?php else: ?>
 <div class="clearfix"></div>
      <p class="" style="text-align: center; font-size: 16px;font-weight: bold; color: brown">
      عفوا لاتوجد بيانات لعرضها !!
      </p>

   <?php endif; ?>


   <br>
   <p style="
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> <?php echo e($systemData['address']); ?> - <?php echo e($systemData['phone']); ?> </p>
   <div class="clearfix"></div> <br>
   <p class="text-center">
      <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton">طباعة</button>
   </p>
</body>

</html><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/collect_transactions/print_search.blade.php ENDPATH**/ ?>