<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<div class="row">
   <div class="col-md-3">
      <div class="form-group"> 
         <label>    تاريخ الفاتورة</label>
         <input type="date" name="invoice_date" id="invoice_date_activeAdd" class="form-control" value="<?php echo date("Y-m-d"); ?>">
      </div>
   </div>
   <div class="col-md-3" >
      <div class="form-group">
         <label>    نوع  البيع</label>
         <select  name="sales_item_type_main" id="sales_item_type_main" class="form-control " <?php if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(218)==false): ?> disabled <?php endif; ?> >
            <option <?php if($adminPanelSettings['sales_item_type_main']==1): ?> selected  <?php endif; ?> value="1">قطاعي</option>
            <option  <?php if($adminPanelSettings['sales_item_type_main']==2): ?> selected  <?php endif; ?> value="2">نص جملة عروض</option>
            <option <?php if($adminPanelSettings['sales_item_type_main']==3): ?> selected  <?php endif; ?> value="3">جملة</option>
         </select>
      </div>
   </div>
   <div class="col-md-3" >
      <div class="form-group">
         <label>    فئات الفواتير</label>
         <select name="Sales_matrial_types_id" id="Sales_matrial_types_id_activeAdd" class="form-control select2">
            <option value="">  اختر فئة الفاتورة</option>
            <?php if(@isset($Sales_matrial_types) && !@empty($delegates)): ?>
            <?php $i=1; ?>
            <?php $__currentLoopData = $Sales_matrial_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option <?php if($i==1): ?> selected <?php endif; ?>  value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
            <?php $i++;  ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
         </select>
      </div>
   </div>
   <div class="col-md-3">
      <div class="form-group">
         <label>     نوع الدفع   </label>
         <select class="form-control" name="pill_type" id="pill_type_activeAdd"    <?php if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(216)==false): ?> disabled <?php endif; ?>>
            <option value="1"   >     كاش</option>
            <option value="2"  >  اجل</option>
          
         </select>
      </div>
   </div>
   <div class="col-md-3">
      <div class="form-group">
         <label>      هل يوجد عميل</label>
         <select name="is_has_customer" id="is_has_customer" class="form-control"    <?php if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(217)==false): ?> disabled  <?php endif; ?>>
            <option value="1" > نعم  عميل</option>
            <option selected value="0" > لايوجد عميل( طياري )</option>
         </select>
      </div>
   </div>
   <div class="col-md-6" id="customer_codeDiv" style="display: none;" >
      <div class="form-group">
         <div class="form-group">
            <label>   بيانات العملاء
            (<a id="load_add_new_customer" title=" اضافة عميل جديد " href="#">جديد <i   class="fa fa-plus-circle  "></i> </a>) 
            </label>
            <input type="text"  class="form-control" id="searchbytextforcustomer" placeholder="اسم العميل - كود العميل">
            <div id="searchbytextforcustomerDiv">
               <select name="customer_code" id="customer_code" class="form-control ">
                  <option value=""> لايوجد عميل</option>
               </select>
            </div>
         </div>
      </div>
   </div>
   <div class="col-md-3" >
      <div class="form-group">
         <label>   بيانات المناديب</label>
         <select name="delegate_code" id="delegate_code_activeAdd" class="form-control select2">
            <option value="">  اختر المندوب</option>
            <?php if(@isset($delegates) && !@empty($delegates)): ?>
            <?php $i=1; ?>
            <?php $__currentLoopData = $delegates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option   <?php if($i==1): ?> selected <?php endif; ?>  value="<?php echo e($info->delegate_code); ?>"> <?php echo e($info->name); ?> </option>
            <?php $i++;  ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
         </select>
      </div>
   </div>
  
   <div class="col-md-12 text-center" >
      <hr>
      <button type="submit" id="Do_Add_new_active_invoice"  class="btn btn-sm btn-success">      اضف الفاتورة (فتح فاتورة جديدة فعلية)  F1</button>
   </div>
</div>
<?php $__env->startSection("script"); ?>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/sales_invoices/load_modal_addActiveInvoice.blade.php ENDPATH**/ ?>