
<?php $__env->startSection('title'); ?>
التقارير
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
تقارير حسابات  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.accounts.index')); ?>">    تقرير حساب مالي عام </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   تقارير الحسابات المالية العامة  </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form target="_blank" action="<?php echo e(route('admin.FinancialReport.generalaccountmirror')); ?>" method="POST">
         <?php echo csrf_field(); ?>
         <div class="row">
            <div class="col-md-6">
               <div class="form-group">
                  <input type="hidden" id="todaydate" value="<?php echo date('Y-m-d'); ?>">
                  <label>   بيانات الحسابات المالية العامة</label>
                  <select name="account_number" id="account_number_in_geneal" class="form-control select2"  required>
                     <option value="">اختر الحساب المالي</option>
                     <?php if(@isset($accounts) && !@empty($accounts)): ?>
                     <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option data-startdate="<?php echo e($info->date); ?>" value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                  <?php $__errorArgs = ['account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>    نوع التقرير</label>
                  <select name="report_type" id="report_type" class="form-control">
                       <option   value="1"> كشف حساب اجمالي</option>
                     <option  selected value="2"> كشف حساب تفصيلي خلال فترة</option>
                  </select>
               </div>
            </div>
       
            <div class="col-md-6 relatedDate"  >
               <div class="form-group">
                  <label>      من تاريخ </label>
                  <input name="from_date" id="from_date" class="form-control" type="date" value=""    >
               </div>
            </div>
            <div class="col-md-6 relatedDate" >
               <div class="form-group">
                  <label>     الي تاريخ  </label>
                  <input name="to_date" id="to_date" class="form-control" type="date" value=""    >
               </div>
            </div>
            <div class="col-md-12 text-center"> 
               <button style="margin-top: 31px;" type="submit" class="btn btn-sm btn-danger">عرض التقرير</button>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script  src="<?php echo e(asset('assets/admin/js/financialReport.js')); ?>"> </script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/financialReport/generalaccountmirror.blade.php ENDPATH**/ ?>