
<?php $__env->startSection('title'); ?>
جرد المخازن
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
حركات مخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.stores_inventory.index')); ?>">   جرد المخازن </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">  أوامر جرد المخازن </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.stores_inventory.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(100)): ?> 
      <a href="<?php echo e(route('admin.stores_inventory.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
      <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      		 
      <form action="<?php echo e(route('admin.stores_inventory.print_search')); ?>" method="post" target="_blank">
         <?php echo csrf_field(); ?>
		 
      <div class="row">
         <div class="col-md-3">
            <label>بحث بكود الجرد</label>
            <input style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text"  class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group"   >
               <label>      بحث بالمخازن</label>
               <select name="store_id_search" id="store_id_search" class="form-control ">
                  <option value="all">  بحث بالكل</option>
                  <?php if(@isset($stores) && !@empty($stores)): ?>
                  <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->store_id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>    بحث بنوع الجرد</label>
               <select name="inventory_type_search" id="inventory_type_search" class="form-control">
                  <option value="all">   بحث بالكل </option>
                  <option value="1">   جرد يومي</option>
                  <option value="2">   جرد اسبوعي</option>
                  <option value="3">   جرد شهري</option>
                  <option  value="4">   جرد سنوي</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>    حالة امر الجرد</label>
               <select name="is_closed_search" id="is_closed_search" class="form-control">
                  <option value="all">بحث بكل الحالات</option>
                  <option   value="1"> مغلق</option>
                  <option value="0"> غير مغلق</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  من تاريخ</label>
               <input name="order_date_form" id="order_date_form" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  الي تاريخ</label>
               <input name="order_date_to" id="order_date_to" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
		 
      </div>
      </form>
      <div class="row">
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود</th>
                     <th> تاريخ الجرد</th>
                     <th>نوع الجرد</th>
                     <th> مخزن الجرد</th>
                     <th>  حالة الجرد</th>
                     <th> تاريخ الاضافة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->auto_serial); ?></td>
                        <td><?php echo e($info->inventory_date); ?></td>
                        <td>
                           <?php if($info->inventory_type==1): ?>جرد يومي 
                           <?php elseif($info->inventory_type==2): ?>جرد اسبوعي  
                           <?php elseif($info->inventory_type==3): ?>جرد شهري  
                           <?php elseif($info->inventory_type==4): ?>جرد سنوي  
                           <?php else: ?>     لم يحدد <?php endif; ?>
                        </td>
                        <td><?php echo e($info->store_name); ?></td>
                        <td><?php if($info->is_closed==1): ?>  مغلق ومرحل   <?php else: ?>   مفتوح <?php endif; ?></td>
                        <td> 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td>
                           <?php if($info->is_closed==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(101)): ?> 
                           <a href="<?php echo e(route('admin.stores_inventory.edit',$info->id)); ?>" class="btn btn-sm  btn-success">تعديل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(102)): ?> 
                           <a href="<?php echo e(route('admin.stores_inventory.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                           <?php endif; ?>
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(104)): ?> 
                           <a href="<?php echo e(route('admin.stores_inventory.show',$info->id)); ?>" class="btn btn-sm   btn-info">التفاصيل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(109)): ?> 
                           <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.stores_inventory.printsaleswina4',[$info->id,'A4'])); ?>" class="btn btn-primary btn-xs"> WA4</a>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/inv_stores_inventory.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/inv_stores_inventory/index.blade.php ENDPATH**/ ?>