
<?php $__env->startSection('title'); ?>
مرتجع المشتريات العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
حركات مخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.suppliers_orders_general_return.index')); ?>">  فواتير مرتجع المشتريات العام </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">     فواتير مرتجع المشتريات العام  </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.suppliers_orders_general_return.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(77)): ?> 
      <a href="<?php echo e(route('admin.suppliers_orders_general_return.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
  <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      		 
      <form action="<?php echo e(route('admin.suppliers_orders_general_return.print_search')); ?>" method="post" target="_blank">
         <?php echo csrf_field(); ?>
		 
      <div class="row">
         <div class="col-md-4">
            <input checked type="radio" name="searchbyradio" id="searchbyradio" value="auto_serial"> بالكود الآلي
            <input style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder="" class="form-control"> <br>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>  بحث  بالموردين</label>
               <select name="suuplier_code" id="suuplier_code_search" class="form-control select2">
                  <option value="all">بحث بكل الموردين</option>
                  <?php if(@isset($suupliers) && !@empty($suupliers)): ?>
                  <?php $__currentLoopData = $suupliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->suuplier_code); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>    بيانات المخازن</label>
               <select name="store_id" id="store_id_search" class="form-control select2">
                  <option value="all">بحث بكل المخازن</option>
                  <?php if(@isset($stores) && !@empty($stores)): ?>
                  <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->store_id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   بحث  من تاريخ</label>
               <input name="order_date_form" id="order_date_form" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   بحث  الي تاريخ</label>
               <input name="order_date_to" id="order_date_to" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
      </div>
      </form>
      <div class="row">
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود</th>
                     <th> المورد</th>
                     <th> تاريخ الفاتورة</th>
                     <th>  نوع الفاتورة</th>
                     <th>    مخزن الصرف</th>
                     <th>    اجمالي الفاتورة</th>
                     <th>حالة الفاتورة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->auto_serial); ?></td>
                        <td><?php echo e($info->supplier_name); ?></td>
                        <td><?php echo e($info->order_date); ?></td>
                        <td><?php if($info->pill_type==1): ?>  كاش  <?php elseif($info->pill_type==2): ?>  اجل  <?php else: ?>  غير محدد <?php endif; ?></td>
                        <td><?php echo e($info->store_name); ?></td>
                        <td><?php echo e($info->total_cost*(1)); ?></td>
                        <td><?php if($info->is_approved==1): ?>  معتمدة   <?php else: ?>   مفتوحة <?php endif; ?></td>
                        <td>
                           <?php if($info->is_approved==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(78)): ?> 
                           <a href="<?php echo e(route('admin.suppliers_orders_general_return.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(79)): ?> 
                           <a href="<?php echo e(route('admin.suppliers_orders_general_return.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                           <?php endif; ?>

                           <?php endif; ?>

                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(85)): ?> 
                           <a href="<?php echo e(route('admin.suppliers_orders_general_return.show',$info->id)); ?>" class="btn btn-sm   btn-info">التفاصيل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(80)): ?> 
                           <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.suppliers_orders_general_return.printsaleswina4',[$info->id,'A4'])); ?>" class="btn btn-primary btn-xs"> WA4</a>
                           <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.suppliers_orders_general_return.printsaleswina4',[$info->id,'A6'])); ?>" class="btn btn-warning btn-xs"> WA6</a>
                           <?php endif; ?>
                                        
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/suppliers_with_order.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/suppliers_orders_general_return/index.blade.php ENDPATH**/ ?>