<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Inv_uom;
use App\Models\Admin;
use App\Http\Requests\InvUomRequest;
use App\Http\Requests\InvUomUpdateRequest;
use App\Models\Inv_itemCard;
use App\Models\Inv_itemcard_batches;
use App\Models\Sales_invoices_details;
use App\Models\Suppliers_with_orders_details;
use App\Models\Inv_stores_inventory_details;
use App\Models\Inv_stores_inventory_details_details;
use Illuminate\Support\Facades\DB;
use App\Models\Admin_panel_setting;
use App\Models\Alerts_system_monitoring;
use App\Models\Inv_itemcard_retails_uoms;

class Inv_UomController extends Controller
{
     
public function index()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(50);
        }
    $com_code=auth()->user()->com_code;
$data = get_cols_where_p(new Inv_uom,array("*"),array("com_code"=>$com_code),"id","DESC",PC);
if (!empty($data)) {
foreach ($data as $info) {
$info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
if ($info->updated_by > 0 and $info->updated_by != null) {
$info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
}
$counter1 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "uom_id" => $info->id));
$counter2 = get_count_where(new Inv_itemcard_retails_uoms(), array("com_code" => $com_code, "retail_uom_id" => $info->id));
$counter3 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "inv_uoms_id" => $info->id));
$counter4 = get_count_where(new Suppliers_with_orders_details(), array("com_code" => $com_code, "uom_id" => $info->id));
$counter5 = get_count_where(new Inv_stores_inventory_details(), array("com_code" => $com_code, "inv_uoms_id" => $info->id));
$info->CounterUsed = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;


}
}
return view('admin.inv_uom.index', ['data' => $data]);
}
public function create()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(51);
        }
return view('admin.inv_uom.create');
}
public function store(InvUomRequest $request)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(51);
        }
try {
$com_code = auth()->user()->com_code;
//check if not exsits
$checkExists = Inv_uom::where(['name' => $request->name, 'com_code' => $com_code])->first();
if ($checkExists == null) {
DB::beginTransaction();
$data['name'] = $request->name;
$data['active'] = $request->active;
$data['created_at'] = date("Y-m-d H:i:s");
$data['added_by'] = auth()->user()->id;
$data['com_code'] = $com_code;
$data['date'] = date("Y-m-d");
$flagData=insert(new Inv_uom(),$data,true);
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=34;
                $data_monitoring_insert['content']=" اضافة وحدة قياس جديدة باسم ".$request->name;
                $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
DB::commit();
return redirect()->route('admin.uoms.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
} else {
return redirect()->back()
->with(['error' => 'عفوا اسم الوحدة مسجل من قبل'])
->withInput();
}
} catch (\Exception $ex) {
    DB::rollBack();
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
->withInput();
}
}

public function edit($id)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(52);
        }
$com_code = auth()->user()->com_code;
$data = get_cols_where_row(new Inv_uom(),array("*"),array("com_code"=>$com_code,"id"=>$id));
$counter1 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "uom_id" => $id));
$counter2 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "retail_uom_id" => $id));
$counter3 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "inv_uoms_id" => $id));
$counter4 = get_count_where(new Suppliers_with_orders_details(), array("com_code" => $com_code, "uom_id" => $id));
$counter5 = get_count_where(new Inv_stores_inventory_details(), array("com_code" => $com_code, "inv_uoms_id" => $id));
$total_counter_used = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;
return view('admin.inv_uom.edit', ['data' => $data,'total_counter_used'=>$total_counter_used]);
}
public function update($id, InvUomUpdateRequest $request)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(52);
        }
try {
    $com_code = auth()->user()->com_code;
    $data = get_cols_where_row(new Inv_uom(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if (empty($data)) {
return redirect()->route('admin.uoms.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
}
$checkExists = Inv_uom::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
if ($checkExists != null) {
return redirect()->back()
->with(['error' => 'عفوا اسم الوحدة مسجل من قبل'])
->withInput();
}

DB::beginTransaction();
$data_to_update['name'] = $request->name;
$data_to_update['active'] = $request->active;
$data_to_update['updated_by'] = auth()->user()->id;
$data_to_update['updated_at'] = date("Y-m-d H:i:s");
update(new Inv_uom(),$data_to_update,array('id' => $id, 'com_code' => $com_code));
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=35;
                $data_monitoring_insert['content']=" تعديل  وحدة قياس  باسم ".$data['name'];
                if($data['name']!=$data_to_update['name']){
                    $data_monitoring_insert['content'].=" الي ".$data_to_update['name'];  
                }
                $data_monitoring_insert['foreign_key_table_td']=$id;
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
DB::commit();
return redirect()->route('admin.uoms.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
} catch (\Exception $ex) {
    DB::rollBack();
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
->withInput();
}
}

public function delete($id)
{
try {
    $com_code = auth()->user()->com_code;
    $data = get_cols_where_row(new Inv_uom(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if (!empty($data)) {
    //check if this uom used befor  نتحقق من الوحده هل تم استخدامها بالفعل ام ليس بعد
$counter1 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "uom_id" => $id));
$counter2 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "retail_uom_id" => $id));
$counter3 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "inv_uoms_id" => $id));
$counter4 = get_count_where(new Suppliers_with_orders_details(), array("com_code" => $com_code, "uom_id" => $id));
$counter5 = get_count_where(new Inv_stores_inventory_details(), array("com_code" => $com_code, "inv_uoms_id" => $id));
$total_counter_used = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;
if($total_counter_used >0){
    return redirect()->back()
->with(['error' => 'عفوا   هذه الوحده مستخدمة من قبل ومتاح فقط تعطيلها']);
}
$flag = delete(new Inv_uom(),array("com_code"=>$com_code,"id"=>$id));
if ($flag) {

    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
    if($is_active_alerts_system_monitoring==1){
    
     /* start alerts_system_monitoring */
                    $data_monitoring_insert['alert_modules_id']=3;
                    $data_monitoring_insert['alert_movetype_id']=36;
                    $data_monitoring_insert['content']=" حذف وحدة قياس جديدة باسم ".$data['name'];
                    $data_monitoring_insert['foreign_key_table_td']=$id;
                    $data_monitoring_insert['added_by']=auth()->user()->id;
                    $data_monitoring_insert['com_code']=auth()->user()->com_code;
                    $data_monitoring_insert['date']=date("Y-m-d");
                    insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
     /* End start alerts_system_monitoring */
     
     }

return redirect()->back()
->with(['success' => '   تم حذف البيانات بنجاح']);
} else {
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما']);
}
} else {
return redirect()->back()
->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
}
} catch (\Exception $ex) {
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
}
}

public function ajax_search(Request $request){
if($request->ajax()){
    $com_code=auth()->user()->com_code;
$search_by_text=$request->search_by_text;
if($search_by_text==''){
$field1="id";
$operator1=">";
$value1=0;
}else{
$field1="name";
$operator1="LIKE";
$value1="%{$search_by_text}%";
}

$data=Inv_uom::where($field1,$operator1, $value1)->where("com_code","=",$com_code)->orderBy('id','DESC')->paginate(PC);
if (!empty($data)) {
    foreach ($data as $info) {
    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
    if ($info->updated_by > 0 and $info->updated_by != null) {
    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
    }
    $counter1 = get_count_where(new Inv_itemCard(), array("com_code" => $com_code, "uom_id" => $info->id));
    $counter2 = get_count_where(new Inv_itemcard_retails_uoms(), array("com_code" => $com_code, "retail_uom_id" => $info->id));
    $counter3 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "inv_uoms_id" => $info->id));
    $counter4 = get_count_where(new Suppliers_with_orders_details(), array("com_code" => $com_code, "uom_id" => $info->id));
    $counter5 = get_count_where(new Inv_stores_inventory_details(), array("com_code" => $com_code, "inv_uoms_id" => $info->id));
    $info->CounterUsed = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;
    
    
    }
    }
return view('admin.inv_uom.ajax_search',['data'=>$data]);
}
}


}