<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;
use App\Models\Store;
use App\Models\Admin;
use App\Models\Sales_invoices_details;
use App\Models\SalesReturnDetails;
use App\Models\Inv_itemcard_batches;
use App\Models\Inv_stores_inventory;
use App\Models\Suppliers_with_orders;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\StoresRequest;
use Illuminate\Support\Facades\DB;
use App\Models\Admin_panel_setting;
use App\Models\Alerts_system_monitoring;

class StoresController extends Controller
{
public function index()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(46);
        }
$com_code=auth()->user()->com_code;
$data = get_cols_where_p(new Store(),array("*"),array("com_code"=>$com_code),"id","DESC",PC);
if (!empty($data)) {
foreach ($data as $info) {
$info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
if ($info->updated_by > 0 and $info->updated_by != null) {
$info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
}
$counter1 = get_count_where(new Sales_invoices_details(), array("com_code" => $com_code, "store_id" => $info->id));
$counter2 = get_count_where(new SalesReturnDetails(), array("com_code" => $com_code, "store_id" => $info->id));
$counter3 = get_count_where(new Suppliers_with_orders(), array("com_code" => $com_code, "store_id" => $info->id));
$counter4 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "store_id" => $info->id));
$counter5 = get_count_where(new Inv_stores_inventory(), array("com_code" => $com_code, "store_id" => $info->id));
$info->CounterUsed = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;
}
}
return view('admin.stores.index', ['data' => $data]);
}


public function create()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(47);
        }
return view('admin.stores.create');
}
public function store(StoresRequest $request)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(47);
        }
try {
$com_code = auth()->user()->com_code;
//check if not exsits
$checkExists = Store::where(['name' => $request->name, 'com_code' => $com_code])->first();
if ($checkExists == null) {
DB::beginTransaction();
$data['name'] = $request->name;
$data['phones'] = $request->phones;
$data['address'] = $request->address;
$data['active'] = $request->active;
$data['created_at'] = date("Y-m-d H:i:s");
$data['added_by'] = auth()->user()->id;
$data['com_code'] = $com_code;
$data['date'] = date("Y-m-d");
$flagData=insert(new Store(),$data,true);
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
  /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=31;
                $data_monitoring_insert['content']=" اضافة مخزن جديد باسم ".$request->name;
                $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
DB::commit();
return redirect()->route('admin.stores.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
} else {
return redirect()->back()
->with(['error' => 'عفوا اسم المخزن مسجل من قبل'])
->withInput();
}
} catch (\Exception $ex) {
    DB::rollBack();
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
->withInput();
}
}

public function edit($id)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(48);
        }
 $com_code=auth()->user()->com_code;
$data = get_cols_where_row(new Store(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if (empty($data)) {
    return redirect()->route('admin.sales_matrial_types.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
    }
return view('admin.stores.edit', ['data' => $data]);
}
public function update($id, StoresRequest $request)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(48);
        }
try {
    $com_code=auth()->user()->com_code;
    $data = get_cols_where_row(new Store(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if (empty($data)) {
return redirect()->route('admin.sales_matrial_types.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
}
$checkExists = Store::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
if ($checkExists != null) {
return redirect()->back()
->with(['error' => 'عفوا اسم المخزن مسجل من قبل'])
->withInput();
}
DB::beginTransaction();
$data_to_update['name'] = $request->name;
$data_to_update['phones'] = $request->phones;
$data_to_update['address'] = $request->address;
$data_to_update['active'] = $request->active;
$data_to_update['updated_by'] = auth()->user()->id;
$data_to_update['updated_at'] = date("Y-m-d H:i:s");
update(new Store(),$data_to_update,array('id' => $id, 'com_code' => $com_code));
 /* start alerts_system_monitoring */
 $data_monitoring_insert['alert_modules_id']=3;
 $data_monitoring_insert['alert_movetype_id']=32;
 $data_monitoring_insert['content']=" تعديل بيانات مخزن   باسم ".$data['name'];
 if($data['name']!=$data_to_update['name']){
     $data_monitoring_insert['content'].=" الي ".$data_to_update['name'];  
 }
 $data_monitoring_insert['foreign_key_table_td']=$id;
 $data_monitoring_insert['added_by']=auth()->user()->id;
 $data_monitoring_insert['com_code']=auth()->user()->com_code;
 $data_monitoring_insert['date']=date("Y-m-d");
 insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
DB::commit();
return redirect()->route('admin.stores.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
} catch (\Exception $ex) {
    DB::rollBack();
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
->withInput();
}
}
public function delete($id)
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(49);
        }
try {
    $com_code=auth()->user()->com_code;
    $data = get_cols_where_row(new Store(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if (!empty($data)) {
    $counter1 = get_count_where(new Sales_invoices_details(), array("com_code" => $com_code, "store_id" => $id));
    $counter2 = get_count_where(new SalesReturnDetails(), array("com_code" => $com_code, "store_id" => $id));
    $counter3 = get_count_where(new Suppliers_with_orders(), array("com_code" => $com_code, "store_id" => $id));
    $counter4 = get_count_where(new Inv_itemcard_batches(), array("com_code" => $com_code, "store_id" => $id));
    $counter5 = get_count_where(new Inv_stores_inventory(), array("com_code" => $com_code, "store_id" => $id));
    $CounterUsed = $counter1 + $counter2 + $counter3+$counter4+$counter5 ;
     if($CounterUsed>0){
        return redirect()->back()
->with(['error' => '   عفوا هذا المخزن بالفعل تم استخدامه من قبل متاح فقط تعطيله']);
     }

$flag = delete(new Store(),array("com_code"=>$com_code,"id"=>$id));
if ($flag) {
    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=33;
                $data_monitoring_insert['content']=" حذف مخزن  باسم ".$data['name'];
                $data_monitoring_insert['foreign_key_table_td']=$id;
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
return redirect()->back()
->with(['success' => '   تم حذف البيانات بنجاح']);
} else {
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما']);
}
} else {
return redirect()->back()
->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
}
} catch (\Exception $ex) {
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
}
}
}