$(document).ready(function() {
    
    $(document).on('change', '#treasuries_id_search', function(e) {
        make_search();
    });
    $(document).on('input', '#search_by_text', function(e) {
        make_search();
    });
    $(document).on('change', '#admin_id_search', function(e) {
        make_search();
    });
    $(document).on('change', '#order_date_form', function(e) {
        make_search();
    });
    $(document).on('change', '#order_date_to', function(e) {
        make_search();
    });
    $('input[type=radio][name=searchbyradio]').change(function() {
        make_search();
    });
    $(document).on('change', '#is_finished_search', function(e) {
        make_search();
    });

    $(document).on('change', '#is_delivered_and_review_search', function(e) {
        make_search();
    });

    function make_search() {
        var token = $("#token_search").val();
        var treasuries_id = $("#treasuries_id_search").val();
        var admin_id = $("#admin_id_search").val();
        var is_finished = $("#is_finished_search").val();
        var is_delivered_and_review= $("#is_delivered_and_review_search").val();
        var from_date = $("#order_date_form").val();
        var to_date = $("#order_date_to").val();
        var search_by_text = $("#search_by_text").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $("#ajax_search_url").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                treasuries_id: treasuries_id,
                admin_id: admin_id,
                is_finished: is_finished,
                is_delivered_and_review: is_delivered_and_review,
                from_date: from_date,
                to_date: to_date,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text
            },
            success: function(data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function() {
                alert("حدث خطاما");
            }
        });
    }
    $(document).on('click', '#ajax_pagination_in_search a ', function(e) {
        e.preventDefault();
        var token = $("#token_search").val();
        var treasuries_id = $("#treasuries_id_search").val();
        var admin_id = $("#admin_id_search").val();
        var is_finished = $("#is_finished_search").val();
        var is_delivered_and_review= $("#is_delivered_and_review_search").val();
        var from_date = $("#order_date_form").val();
        var to_date = $("#order_date_to").val();
        var search_by_text = $("#search_by_text").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $(this).attr("href");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                treasuries_id: treasuries_id,
                admin_id: admin_id,
                is_finished: is_finished,
                is_delivered_and_review: is_delivered_and_review,
                from_date: from_date,
                to_date: to_date,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text
            },
            success: function(data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function() {}
        });
    });

    $(document).on('click', '.review_now', function(e) {
     var id=$(this).data("id");
     var token = $("#token_search").val();
     var url = $("#ajax_review_now_url").val();
     jQuery.ajax({
        url: url,
        type: 'post',
        dataType: 'html',
        cache: false,
        data: {
            "_token": token,
            id: id,
        },
        success: function(data) {
            $("#reviewModalBody").html(data);
            $("#reviewModal").modal("show");


        },
        error: function() {}
    });

    });
    
    $(document).on('input', '#what_realy_delivered', function(e) {
var what_realy_delivered=$(this).val();
if(what_realy_delivered==0) {what_realy_delivered=0};
money_should_deviled=parseFloat(money_should_deviled);
var money_should_deviled=parseFloat($("#money_should_deviled").val());
if(money_should_deviled>what_realy_delivered){
    var money_state_value=money_should_deviled-what_realy_delivered;
    $("#money_state").val(1);
    $("#money_state_value").val(money_state_value*1);
    $("#money_state_valueLablel").text(" يوجد عجز نقدية بقيمة  ");
    $("#money_state_valueDiv").show();
}else if(money_should_deviled<what_realy_delivered){
    var money_state_value=what_realy_delivered-money_should_deviled;
    $("#money_state").val(2);
    $("#money_state_value").val(money_state_value*1);
    $("#money_state_valueLablel").text(" يوجد زيادة نقدية بقيمة  ");
    $("#money_state_valueDiv").show();
}else{
    $("#money_state").val(0);
    $("#money_state_value").val(0);
    $("#money_state_valueLablel").text(" حالة اتزان ولايوجد زيادة او عجز بالنقدية ");
    $("#money_state_valueDiv").show();
}

    }); 
    $(document).on('change', '#money_state', function(e) {
        var what_realy_delivered=$("#what_realy_delivered").val();
        if(what_realy_delivered==0) {what_realy_delivered=0};
        money_should_deviled=parseFloat(money_should_deviled);
        var money_should_deviled=parseFloat($("#money_should_deviled").val());
        if(money_should_deviled>what_realy_delivered){
            var money_state_value=money_should_deviled-what_realy_delivered;
            $("#money_state").val(1);
            $("#money_state_value").val(money_state_value*1);
            $("#money_state_valueLablel").text(" يوجد عجز نقدية بقيمة  ");
            $("#money_state_valueDiv").show();
        }else if(money_should_deviled<what_realy_delivered){
            var money_state_value=what_realy_delivered-money_should_deviled;
            $("#money_state").val(2);
            $("#money_state_value").val(money_state_value*1);
            $("#money_state_valueLablel").text(" يوجد زيادة نقدية بقيمة  ");
            $("#money_state_valueDiv").show();
        }else{
            $("#money_state").val(0);
            $("#money_state_value").val(0);
            $("#money_state_valueLablel").text(" حالة اتزان ولايوجد زيادة او عجز بالنقدية ");
            $("#money_state_valueDiv").show();
        }
             
    });
});