@extends('layouts.admin')
@section('title')
التقارير
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
تقارير حسابات  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.accounts.index') }}">    تقرير كشف اليومية العام </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   تقرير كشف اليومية العام   </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form target="_blank" action="{{ route('admin.FinancialReport.Dailydetection') }}" method="POST">
         @csrf
         <div class="row">
        
         
            <div class="col-md-3 "  >
               <div class="form-group">
                  <label>      من تاريخ </label>
                  <input name="from_date" id="from_date" class="form-control" type="date" value="@php echo date("Y-m-d");  @endphp"    >
               </div>
            </div>
            <div class="col-md-3 " >
               <div class="form-group">
                  <label>     الي تاريخ  </label>
                  <input name="to_date" id="to_date" class="form-control" type="date"  value="@php echo date("Y-m-d");  @endphp" >
               </div>
            </div>
              
            <div class="col-md-3">
               <div class="form-group">
                  <label>    نوع التقرير</label>
                  <select name="report_type" id="report_type" class="form-control">
                     <option   value="1"> كشف  اجمالي</option>
                     <option   value="2"> كشف  تفصيلي  </option>
              
                  </select>
               </div>
            </div>
            <div class="col-md-3 text-left"> 
               <button style="margin-top: 31px;" type="submit" class="btn btn-sm btn-danger">عرض التقرير</button>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section("script")
<script  src="{{ asset('assets/admin/js/financialReport.js') }}"> </script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection