@if($invoice_data['is_approved']==0)
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
<div class="row">
   <div class="col-md-1">
      <div class="form-group">
         <label> رقم </label>
         <input disabled class="form-control"  value="{{ $invoice_data['auto_serial']  }}">
         <input type="hidden" id="invoiceautoserial" value="{{ $invoice_data['auto_serial']  }}">
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group"> 
         <label>    تاريخ الفاتورة</label>
         <input type="date" name="invoice_date" id="invoice_date" class="form-control" value="{{ $invoice_data['invoice_date'] }}">
         <input type="hidden" id="directprita6_link" value="{{ route('admin.SalesReturnInvoices.printsaleswina4',[$invoice_data['id'],'A6']) }}">

      </div>
   </div>
   <div class="col-md-2" >
      <div class="form-group">
         <label>    فئات الفواتير</label>
         <select name="Sales_matrial_types_id" id="Sales_matrial_types_id" class="form-control select2">
            <option value="">  اختر فئة الفاتورة</option>
            @if (@isset($Sales_matrial_types) && !@empty($delegates))
            @foreach ($Sales_matrial_types as $info )
            <option @if($invoice_data['sales_matrial_types']==$info->id) selected @endif  value="{{ $info->id }}"> {{ $info->name }} </option>
            @endforeach
            @endif
         </select>
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group"> 
         <label>      هل يوجد عميل</label>
         <select name="is_has_customer" id="is_has_customer" class="form-control"  @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(217)==false) disabled  @endif >
         <option @if($invoice_data['is_has_customer']==1) selected @endif value="1" selected> نعم  عميل</option>
         <option @if($invoice_data['is_has_customer']==0) selected @endif value="0" > لايوجد عميل( طياري )</option>
         </select>
      </div>
   </div>
   <div class="col-md-3" id="customer_codeDiv" @if($invoice_data['is_has_customer']==0) style="display: none;" @endif >
      <div class="form-group">
         <div class="form-group">
            <label>   بيانات العملاء
            (<a id="load_add_new_customer" title=" اضافة عميل جديد " href="#">جديد <i   class="fa fa-plus-circle  "></i> </a>) 
            </label>
            <input type="text" class="form-control" id="searchbytextforcustomer" placeholder="اسم العميل - كود العميل">
            <div id="searchbytextforcustomerDiv">
               <select name="customer_code" id="customer_code" class="form-control ">
                  <option value=""> لايوجد عميل</option>
                  @if (@isset($customers) && !@empty($customers))
                  @foreach ($customers as $info )
                  <option @if($invoice_data['customer_code']==$info->customer_code and $invoice_data['is_has_customer']==1) selected @endif  value="{{ $info->customer_code }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
      </div>
   </div>
   <div class="col-md-3" >
      <div class="form-group">
         <label>   بيانات المناديب</label>
         <select name="delegate_code" id="delegate_code" class="form-control select2">
            <option value="">  اختر المندوب</option>
            @if (@isset($delegates) && !@empty($delegates))
            @foreach ($delegates as $info )
            <option  @if($invoice_data['delegate_code']==$info->delegate_code) selected @endif  value="{{ $info->delegate_code }}"> {{ $info->name }} </option>
            @endforeach
            @endif
         </select>
      </div>
   </div>
</div>
<hr style="border:1px solid #3c8dbc;">
<div class="row">
   <div class="col-md-2" >
      <div class="form-group">
         <label>     مخزن المرتجع</label>
         <select name="store_id" id="store_id" class="form-control ">
            <option value=""> اختر المخزن  </option>
            @if (@isset($stores) && !@empty($stores))
            @php $i=1;  @endphp
            @foreach ($stores as $info )
            <option @if($i==1) selected @endif value="{{ $info->store_id }}"> {{ $info->name }} </option>
            @php $i++;  @endphp
            @endforeach
            @endif
         </select>
      </div>
   </div>
   <div class="col-md-2" >
      <div class="form-group">
         <label>    نوع المرتجع</label>
         <select name="sales_item_type" id="sales_item_type" class="form-control "   @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(226)==false) disabled @endif >
            <option value="1">قطاعي</option>
            <option value="2">نص جملة عروض</option>
            <option value="3">جملة</option>
         </select>
      </div>
   </div>
   <div class="col-md-3">
      <div class="form-group">

         <input type="radio" @if($adminPanelSettings['search_for_item_in_sales_invoice']==1) checked @endif value="1" name="searchforitemRadioType"> بحث بالقارئ
         <input type="radio" value="2" @if($adminPanelSettings['search_for_item_in_sales_invoice']==2) checked @endif name="searchforitemRadioType"> بحث يدوي
         <input id="searchforitem" class="form-control" type="text" placeholder="باركود - كود -اسم" >
         <div id="searchforitemresultDiv">
            <select  id="item_code" name="item_code" class="form-control " style="width: 100%;">
               <option value="">اختر الصنف</option>
            </select>
         </div>
      </div>
   </div>
   <!--  الوحدات للصنف-->
   <div class="col-md-2 " style="display: none;" id="UomDiv">
   </div>
   <!--   باتشات الكميات بالمخازن-->
   <div class="col-md-3  " style="display: none;" id="inv_itemcard_batchesDiv"></div>
   <div class="col-md-2  "
   <div class="form-group">
      <label> الكمية المرتجعة</label>
      <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="item_quantity" id="item_quantity" class="form-control"  value="1"   >
   </div>
   <div class="col-md-2  "
   <div class="form-group">
      <label> سعر المرتجع</label>
      <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="item_price" id="item_price" class="form-control"  value="" 
      @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(128)==false) readonly @endif
      
      >
   </div>
   <div class="col-md-2" style="display: none;" >
      <div class="form-group">
         <label> هل  مرتجع عادي</label>
         <select name="is_normal_orOther" id="is_normal_orOther" class="form-control ">
            <option value="1">عادي</option>
            <!--<option value="2">بونص </option>
            <option value="3">دعاية</option>
            <option value="4">هالك</option> -->
         </select>
      </div>
   </div>
   
   <div class="col-md-2  " id="unit_cost_priceDiv" @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(223)==false) style="display:none;"  @endif>
      <div class="form-group">
         <label> سعر تكلفة شراء الوحدة</label>
         <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="unit_cost_price" id="unit_cost_price" class="form-control"  value="0"   >
      </div>
   </div>
   <div class="col-md-3 relatedtoDateproExp" style="display: none;">
      <div class="form-group">
         <label>   تاريخ الانتاج</label>
         <input type="date"    id="production_date" class="form-control"  value=""  oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
      </div>
   </div>
   <div class="col-md-3 relatedtoDateproExp" style="display: none;">
      <div class="form-group">
         <label>   تاريخ انتهاء الصلاحية</label>
         <input type="date"    id="expire_date" class="form-control"  value=""  oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
      </div>
   </div>
   <div class="col-md-2  "
   <div class="form-group">
      <label> الاجمالي</label>
      <input readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="item_total" id="item_total" class="form-control"  value=""   >
   </div>
   <div class="col-md-2  "
   <div class="form-group " style="text-align: right">
      <button style="margin-top:35px" class="btn btn-sm btn-success " id="AddItemToIvoiceDetailsActive">أضف الصنف فعليا </button>  
   </div>
</div>
<div class="clearfix"></div>
<hr style="border:1px solid #3c8dbc;">
<div class="row" id="activeItemisInInvoiceDiv">
   <h3 class="card-title card_title_center">       الاصناف المضافة علي الفاتورة  </h3>
   <table id="example2" class="table table-bordered table-hover">
      <thead class="custom_thead">
         <th style="width: 5%;">مسلسل</th>
         <th style="width: 10%;">المخزن</th>
         <th style="width: 10%;">نوع المرتجع</th>
         <th style="width: 20%;">الصنف</th>
         <th style="width: 10%;">وحدة المرتجع</th>
         <th style="width: 12.5%;">سعر الوحدة</th>
         <th style="width: 10%;">الكمية</th>
         <th style="width: 12.5%;">الاجمالي</th>
         <th style="width: 10%;"></th>
      </thead>
      <tbody id="itemsrowtableContainterBody">
         @if(!@empty($sales_invoices_details)) @php $i=1; @endphp
         @foreach ($sales_invoices_details as $info )
         <tr>
            <td>{{ $i }}</td>
            <td>
               {{ $info->store_name }}
               <input type="hidden" id="item_total_array{{ $info->id }}" name="item_total_array[]" class="item_total_array" value="{{$info->total_price}}">
            </td>
            <td>
               @if($info->sales_item_type==1) قطاعي   @elseif($info->sales_item_type==2) نص جملة عروض @elseif($info->sales_item_type==3) جملة @else  لم يحدد @endif
            </td>
            <td>{{ $info->item_name }}</td>
            <td>
               <select  id="row_uom_id{{ $info->id }}" data-id="{{ $info->id }}"  class="form-control row_uom_id select2" style="width: 100%;">
                  @if($info->itemCardData['does_has_retailunit']==1)
                  <option data-isparentuom="1" data-price="{{ $info->itemCardData['price'] }}" data-nos_gomla_price="{{ $info->itemCardData['nos_gomla_price'] }}"  data-gomla_price="{{ $info->itemCardData['gomla_price'] }}"  @if($info->itemCardData['uom_id']==$info->uom_id) selected @endif    value="{{ $info->itemCardData['uom_id']}}"> {{ $info->itemCardData['parent_uom_name']  }}  </option>
                  @if (@isset($info->retails_uoms) && !@empty(  $info->retails_uoms))
                  @php $i=1; @endphp
                  @foreach ($info->retails_uoms as $uom )
                  <option   data-isparentuom="0" data-price="{{ $uom->price_retail }}" data-nos_gomla_price="{{ $uom->nos_gomla_price_retail }}"  data-gomla_price="{{ $uom->gomla_price_retail }}"   @if($uom->retail_uom_id==$info->uom_id) selected @endif   value="{{ $uom->retail_uom_id }}"> {{  $uom->retail_uom_name }}  </option>
                  @php $i++; @endphp
                  @endforeach
                  @endif
                  @else
                  <option data-isparentuom="1" data-price="{{ $info->itemCardData['price'] }}" data-nos_gomla_price="{{ $info->itemCardData['nos_gomla_price'] }}"  data-gomla_price="{{ $info->itemCardData['gomla_price'] }}"  @if($info->itemCardData['uom_id']==$info->uom_id) selected @endif    value="{{ $info->itemCardData['uom_id']}}"> {{ $info->itemCardData['parent_uom_name']  }}  </option>
                  @endif
               </select>
            </td>
            <td>
               <input  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" id="row_unit_price{{ $info->id }}" data-id="{{ $info->id }}" value="{{ $info->unit_price*(1) }}" data-old="{{ $info->unit_price*(1) }}" class="form-control row_unit_price" @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(128)==false) readonly @endif >
            </td>
            <td>
               <input @if($i==1) autofocus @endif oninput="this.value=this.value.replace(/[^0-9.]/g,'');" data-id="{{ $info->id }}"  id="row_quantity{{ $info->id }}" value="{{ $info->quantity*(1) }}" data-old="{{ $info->quantity*(1) }}" data-bath={{ $info->batch_auto_serial }} class="form-control row_quantity" >
            </td>
            <td>
               <input readonly type="text" id="row_total_price{{ $info->id }}" data-id="{{ $info->id }}" value="{{ $info->total_price*(1) }}" data-old="{{ $info->total_price*(1) }}" class="form-control row_total_price" >
            </td>
            <td>
               <button  data-id="{{ $info->id }}" class="btn  remove_active_row_item btn-sm btn-danger">حذف</button>  
            </td>
         </tr>
         @php $i++; @endphp
         @endforeach
         @endif
      </tbody>
   </table>
</div>
<div class="clearfix"></div>
<hr style="border:1px solid #3c8dbc;">
<div class="row">
   <div class="col-md-2">
      <div class="form-group">
         <label>اجمالي الاصناف  </label>
         <input readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="total_cost_items"  id="total_cost_items" 
            class="form-control"  value="{{ $invoice_data['total_cost_items']*1 }}"  >
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label>     نوع الخصم   </label>
         <select class="form-control" name="discount_type" id="discount_type">
            <option value="">لايوجد خصم</option>
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(129))
            <option @if($invoice_data['discount_type']==1) selected @endif value="1" >    نسبة مئوية</option>
            <option @if($invoice_data['discount_type']==2) selected @endif value="2" > قيمة يدوي</option>
           @endif
         </select>
      </div>
   </div>
   <div class="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
      <div class="form-group">
         <label> نسبة الخصم </label>
         <input @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null) readonly @endif
            oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="discount_percent" id="discount_percent"
            class="form-control" value="{{ $invoice_data['discount_percent']*1 }}">
      </div>
   </div>
   <div lass="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
      <div class="form-group">
         <label> قيمة الخصم </label>
         <input readonly name="discount_value" id="discount_value" class="form-control"
            value="{{ $invoice_data['discount_value']*1 }}">
      </div>
   </div>
   <div lass="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
      <div class="form-group">
         <label> الاجمالي بعد الخصم </label>
         <input readonly id="total_after_discount" name="total_after_discount" class="form-control"
            value="{{ $invoice_data['total_after_discount']*1 }}">
      </div>
   </div>

   <div class="col-md-2">
      <div class="form-group">
         <label>    نسبة الضريبة </label>

         @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(130))
         <input  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="tax_percent"  id="tax_percent" 
            class="form-control"  value="{{ $invoice_data['tax_percent']*1 }}"  >
       @else
       <input  readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="tax_percent"  id="tax_percent" 
       class="form-control"  value="{{ $invoice_data['tax_percent']*1 }}"  >
       @endif
         </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label>  قيمة الضريبة   </label>
         <input readonly    id="tax_value" class="form-control"  name="tax_value" value="{{ $invoice_data['tax_value']*1 }}"  >
      </div>
   </div>
 
      <div class="col-md-2">
      <div class="form-group">
         <label>     الاجمالي النهائي       </label>
         <input readonly name="total_cost"    id="total_cost" class="form-control"  value="{{ $invoice_data['total_cost']*1 }}"  >
      </div>
   </div>
</div>

<div class="row">

   <div class="col-md-4" id="shiftDiv">
      <div class="row">
      <div class="col-md-6">
         <div class="form-group">
            <label> خزنة الصرف </label>
            <select id="treasuries_id" name="treasuries_id" class="form-control">
               @if(!@empty($user_shift))
               <option selected value="{{ $user_shift['treasuries_id']  }}"> {{ $user_shift['name'] }} </option>
               @else
               <option value=""> عفوا لاتوجد خزنة لديك الان</option>
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-6 > 
         <div class=" form-group">
         <label> الرصيد  بالخزنة </label>
         <input readonly name="treasuries_balance" id="treasuries_balance" class="form-control" @if(!@empty($user_shift))
            value="{{ $user_shift['balance']*1 }}" @else value="0" @endif>
      </div>
      </div>
   </div>


   <div class="col-md-2">
      <div class="form-group">
         <label>     نوع الفاتورة   </label>
         <select class="form-control" name="pill_type" id="pill_type"   @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(224)==false) disabled  @endif>
            <option value="1"  @if($invoice_data['pill_type']==1) selected @endif value="1"  >     كاش</option>
         <option value="2"  @if($invoice_data['pill_type']==2) selected @endif value="2" >  اجل</option>
         </select>
      </div>
   </div>
   <div class="col-md-2 > 
      <div class="form-group">
      <label>    المصروف  الان   </label>
      <input   name="what_paid" id="what_paid" class="form-control"  @if($invoice_data['pill_type']==1)  readonly  @endif"  value="@if($invoice_data['pill_type']==1) {{$invoice_data['total_cost']*1  }} @else 0 @endif"    >
   </div>
   <div class="col-md-2 > 
      <div class="form-group">
      <label>    المتبقي صرفه    </label>
      <input readonly   name="what_remain" id="what_remain" class="form-control"   value="@if($invoice_data['pill_type']==1) 0 @else {{$invoice_data['what_remain']*1  }}  @endif"     >
   </div>
   <div class="col-md-6 ">
      <div class="form-group">
         <label>      الملاحظات علي الفاتورة   </label>
         <input  style="background-color: lightgoldenrodyellow"    name="notes" id="notes" class="form-control"   value="{{ $invoice_data['notes'] }}"    >
      </div>
   </div>
   <div class="col-md-6 text-left">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(126))
      <button class="btn btn-sm btn-danger DoApproveInvoiceFinally" data-p="1"  style="margin-top: 29px;" >أرشفة وطباعة   
          F2</button>

          <button class="btn btn-sm btn-primary DoApproveInvoiceFinally" data-p="0" style="margin-top: 29px;"   >أرشفة فقط   
            F3</button>
         @endif
         <button type="button" class="btn btn-success btn-sm"  data-dismiss="modal" style="margin-top: 29px;" >حفظ فقط ESC</button>
         @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(125)) 
         <a href="{{ route("admin.SalesReturnInvoices.delete",$invoice_data['id']) }}" class="btn btn-sm are_you_sure  btn-dark" style="margin-top: 29px;">حذف الفاتورة</a>   
         @endif
  
  
         </div>
</div>
</div>
@section("script")
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@else
<div class="alert alert-danger">
   عفوا لايمكن التعديل علي فاتورة معتمده وتم ترحيلها !!!!
</div>
@endif