<?php
//لاتنسونا من صالح الدعاء وجزاكم الله خيرا
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admins_Shifts;
use App\Models\Admin;
use App\Models\Treasuries;
use App\Models\Admins_treasuries;
use App\Models\Treasuries_transactions;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Http\Requests\AdminShiftsRequest;
use App\Models\Mov_type;
use App\Models\Sales_invoices;
use App\Models\Sales_invoices_details;
use App\Models\Treasuries_delivery;
use App\Models\TreasuriesFakaTrasactions;

class Admins_ShiftsContoller extends Controller
{
public function index()
{
   if(auth()->user()->is_master_admin==0){
      check_permission_sub_menue_actions_redirect(144);
      }   
    
$com_code = auth()->user()->com_code;
$data = get_cols_where_p(new Admins_Shifts(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
$checkExistsOpenShift=get_cols_where_row(new Admins_Shifts(),array("id","treasuries_id"),array("com_code"=>$com_code,"admin_id"=>auth()->user()->id,"is_finished"=>0));

if (!empty($data)) {
foreach ($data as $info) {
$info->admin_name = Admin::where('id', $info->admin_id)->value('name');
$info->treasuries_name = Treasuries::where('id', $info->treasuries_id)->value('name');
if($info->is_finished==1 and $info->is_delivered_and_review==0  and !empty($checkExistsOpenShift)){
  $check_permission_treasuries_delivery=get_cols_where_row(new Treasuries_delivery(),array("id"),array("com_code"=>$com_code,"treasuries_id"=>$checkExistsOpenShift['treasuries_id'],"treasuries_can_delivery_id"=>$info->treasuries_id));
   if(!empty($check_permission_treasuries_delivery)){
      $info->can_review=true;
   }else{
      $info->can_review=false;   
   }
}


}
}
$treasuries=get_cols_where(new treasuries(),array('id','name'),array("com_code"=>$com_code),'id','ASC');
$users=get_cols_where(new Admin(),array('id','name'),array("com_code"=>$com_code),'id','ASC');
return view('admin.admins_shifts.index', ['data' => $data,'checkExistsOpenShift'=>$checkExistsOpenShift,'treasuries'=>$treasuries,'users'=>$users]);
}
public function create()
{
   if(auth()->user()->is_master_admin==0){
      check_permission_sub_menue_actions_redirect(145);
      } 
$com_code = auth()->user()->com_code;    
$admins_treasuries=get_cols_where(new Admins_treasuries(),array('treasuries_id'),array('com_code'=>$com_code,'active'=>1,'admin_id'=>auth()->user()->id),'id','DESC');     
if (!empty($admins_treasuries)) {
foreach ($admins_treasuries as $info) {
$info->treasuries_name = Treasuries::where('id', $info->treasuries_id)->value('name');
$check_exsits_admins_shifts=get_cols_where_row(new Admins_Shifts(),array("id"),array("treasuries_id"=>$info->treasuries_id,'com_code'=>$com_code,'is_finished'=>0));
if(!empty($check_exsits_admins_shifts) and $check_exsits_admins_shifts!=null){
$info->avaliable=false;
}else{
$info->avaliable=true;
}
}
}
return view('admin.admins_shifts.create',['admins_treasuries'=>$admins_treasuries]);
}

public function store(AdminShiftsRequest $request){
   if(auth()->user()->is_master_admin==0){
      check_permission_sub_menue_actions_redirect(145);
      } 
try{
$com_code=auth()->user()->com_code;
$admin_id=auth()->user()->id;
//check if not exsits open shift to current user
$checkExistsOpenShift=get_cols_where_row(new Admins_Shifts(),array("id"),array("com_code"=>$com_code,"admin_id"=>$admin_id,"is_finished"=>0));
if($checkExistsOpenShift!=null and !empty($checkExistsOpenShift)){
return redirect()->route('admin.admin_shift.index')->with(['error'=>'عفوا هناك شفت مفتوح لديك بالفعل حاليا ولايمكن فتح شفت جديد الا بعد اغلاق الشفت الحالي']);
}
//check if not exsits open shift to current treasuries_id
$checkExistsOpentreasuries=get_cols_where_row(new Admins_Shifts(),array("id"),array("com_code"=>$com_code,"treasuries_id"=>$request->treasuries_id,"is_finished"=>0));
if($checkExistsOpentreasuries!=null and !empty($checkExistsOpentreasuries)){
return redirect()->route('admin.admin_shift.index')->with(['error'=>'  عفوا الخزنة المختاره بالفعل مستخدمه حاليا لدي شفت اخر ولايمكن استخدامها الا بعد انتهاء الشفت الاخر']);
}
//set Shift code
$row = get_cols_where_row_orderby(new Admins_Shifts(), array("shift_code"), array("com_code" => $com_code), 'id', 'DESC');
if (!empty($row)) {
$data_insert['shift_code'] = $row['shift_code'] + 1;
} else {
$data_insert['shift_code'] = 1;
}
$data_insert['admin_id']=$admin_id;
$data_insert['treasuries_id']=$request->treasuries_id;
$data_insert['start_date']=date("Y-m-d H:i:s");
$data_insert['created_at']=date("Y-m-d H:i:s");
$data_insert['added_by']=auth()->user()->id;
$data_insert['com_code']=$com_code;
$data_insert['date']=date("Y-m-d");
$flag=insert(new Admins_Shifts(),$data_insert);
if($flag){
return redirect()->route('admin.admin_shift.index')->with(['success'=>'لقد تم اضافة البيانات بنجاح']);
}else{
return redirect()->route('admin.admin_shift.index')->with(['error'=>'عفوا لقد حدث خطأ ما من فضلك حاول مرة اخري']);
}
}catch(\Exception $ex){
return redirect()->back()
->with(['error'=>'عفوا حدث خطأ ما'.$ex->getMessage()])
->withInput();           
}
} 


public function finish($shiftid){
   if(auth()->user()->is_master_admin==0){
      check_permission_sub_menue_actions_redirect(145);
      } 
    try{
    $com_code=auth()->user()->com_code;
    $admin_id=auth()->user()->id;
    //check if not exsits open shift to current user
    $checkExistsShift= get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
    if($checkExistsShift!=null and !empty($checkExistsOpenShift)){
    return redirect()->route('admin.admin_shift.index')->with(['error'=>' عفوا غير قادر علي الوصول الي بيانات الشفت']);
    }

   $counterOpenTransferMove=TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
   where("shift_code_trasfer_from", '!=', $checkExistsShift['shift_code'])->
   where('treasuries_id_trasfer_to', '=', $checkExistsShift['treasuries_id'])->
   where('is_delivered', '=', 0)->count();
 if(   $counterOpenTransferMove >0){
   return redirect()->route('admin.TreasuriesFakaTrasaction.index')->with(['error'=>' عفواً توجد تحويلات مالية مرسلة اليك لم يتم استلامها بعد !!']);
 }
   

    $data_update['money_should_deviled'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsShift['shift_code']));
    $data_update['is_finished']=1;
    $data_update['end_date']=date("Y-m-d H:i:s");
    $data_update['updated_by']=auth()->user()->id;
    $data_update['updated_at']=date("Y-m-d H:i:s");
    $flag=update(new Admins_Shifts(),$data_update,array("com_code"=>$com_code,"admin_id"=>$admin_id,"is_finished"=>0,'id'=>$shiftid));
    if($flag){
    return redirect()->route('admin.admin_shift.index')->with(['success'=>'لقد تم اقفال الشفت  بنجاح']);
    }else{
    return redirect()->route('admin.admin_shift.index')->with(['error'=>'عفوا لقد حدث خطأ ما من فضلك حاول مرة اخري']);
    }
    }catch(\Exception $ex){
    return redirect()->back()
    ->with(['error'=>'عفوا حدث خطأ ما'.$ex->getMessage()])
    ->withInput();           
    }
    } 

    public function print_details($id){
      if(auth()->user()->is_master_admin==0){
         check_permission_sub_menue_actions_redirect(147);
         } 
        try {
        $com_code = auth()->user()->com_code;
        $Admins_Shifts = get_cols_where_row(new Admins_Shifts(), array("*"), array("id" => $id, "com_code" => $com_code));
        if (empty($Admins_Shifts)) {
        return redirect()->route('admin.admin_shift.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
        }
        $Admins_Shifts['admin_name'] = Admin::where('id', $Admins_Shifts['admin_id'])->value('name');
        $Admins_Shifts['treasuries_name'] = Treasuries::where('id', $Admins_Shifts['treasuries_id'])->value('name');
     if($Admins_Shifts['is_finished']==1 and $Admins_Shifts['is_delivered_and_review']){
        $Admins_Shifts['reviwed_by_admin_name'] = Admin::where('id', $Admins_Shifts['delivered_to_admin_id'])->value('name');
        $Admins_Shifts['reviwed_by_admin_treasuries'] = Treasuries::where('id', $Admins_Shifts['delivered_to_treasuries_id'])->value('name');
     
     }
     //تفاصيل حركة النقدية بهذا الشفت
        $treasuries_transactions = get_cols_where(new Treasuries_transactions(), array("*"), array('shift_code' => $Admins_Shifts['shift_code'],  'com_code' => $com_code), 'id', 'ASC');
        if (!empty($treasuries_transactions)) {
        foreach ($treasuries_transactions as $info) {
        $info->mov_type_name = Mov_type::where('id', $info->mov_type)->value('name');
        }
        }

  //تفاصيل الاصناف مجمعه 
  $alliItemsCodeDistinct = Sales_invoices_details::where("com_code", "=", $com_code)->where('shift_code_add',"=",$id)->orderby('item_code', 'ASC')->distinct()->get('item_code');
 if(!empty($alliItemsCodeDistinct)){
   foreach($alliItemsCodeDistinct as $info){
      $info->totoalQuantitySaled=get_sum_where(new Sales_invoices_details(),"quantityByParentUom",array("com_code"=>$com_code,"shift_code_add"=>$id,"item_code"=>$info->item_code));
      $info->totoalmoneySaled=get_sum_where(new Sales_invoices_details(),"total_price",array("com_code"=>$com_code,"shift_code_add"=>$id,"item_code"=>$info->item_code));
      $info->item_name = get_field_value(new Inv_itemCard(), "name", array("com_code" => $com_code, "item_code" => $info->item_code));
      $info->uom_id = get_field_value(new Inv_itemCard(), "uom_id", array("com_code" => $com_code, "item_code" => $info->item_code));
      $info->parent_uom_name= get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $info->uom_id));

   }
 }

        $systemData=get_cols_where_row(new Admin_panel_setting(),array("system_name","phone","address","photo"),array("com_code"=>$com_code));
        $total_excahnge=Treasuries_transactions::where('com_code','=',$com_code)->where('shift_code','=',$Admins_Shifts['shift_code'])->where("money","<",0)->sum("money");
        $total_collect=Treasuries_transactions::where('com_code','=',$com_code)->where('shift_code','=',$Admins_Shifts['shift_code'])->where("money",">",0)->sum("money");
        $total_net=$total_excahnge+$total_collect;

        return view('admin.admins_shifts.print_details',['Admins_Shifts'=>$Admins_Shifts,'systemData'=>$systemData,'treasuries_transactions'=>$treasuries_transactions,'total_excahnge'=>$total_excahnge,'total_collect'=>$total_collect,'total_net'=>$total_net,'alliItemsCodeDistinct'=>$alliItemsCodeDistinct]);
       
        } catch (\Exception $ex) {
        return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
        }

        function review_now(Request $request){
       if($request->ajax()){
         $com_code = auth()->user()->com_code;
         $admins_shifts_will_reviwed=get_cols_where_row(new Admins_Shifts(),array("*"),array("id"=>$request->id,"com_code"=>$com_code,"is_finished"=>1,"is_delivered_and_review"=>0));
         $checkExistsOpenShift=get_cols_where_row(new Admins_Shifts(),array("id","treasuries_id"),array("com_code"=>$com_code,"admin_id"=>auth()->user()->id,"is_finished"=>0));
         return view('admin.admins_shifts.review_now',['admins_shifts_will_reviwed'=>$admins_shifts_will_reviwed,'checkExistsOpenShift'=>$checkExistsOpenShift]);



      }

   }
      function do_review_now($shiftid,Request $request){
         if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(146);
            } 
           $com_code = auth()->user()->com_code;
           $admins_shifts_will_reviwed=get_cols_where_row(new Admins_Shifts(),array("*"),array("id"=>$shiftid,"com_code"=>$com_code,"is_finished"=>1,"is_delivered_and_review"=>0));
           $checkExistsOpenShift=get_cols_where_row(new Admins_Shifts(),array("id","treasuries_id","shift_code"),array("com_code"=>$com_code,"admin_id"=>auth()->user()->id,"is_finished"=>0));
           if(empty($admins_shifts_will_reviwed)){
            return redirect()->route('admin.admin_shift.index')
            ->with(['error' => 'عفوا غير قادر علي الوصول الي بيانات هذا الشفت' ]);
           }
           if(empty($checkExistsOpenShift)){
            return redirect()->route('admin.admin_shift.index')
            ->with(['error' => 'عفوا انت لاتمتلك شفت مفتوح حاليا لتقوم بهذا الاجراء' ]);
           } 
  
       
//first get isal number with treasuries 
$treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_collect"), array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
if (empty($treasury_date)) {
return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"])->withInput();
}
$last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
if (!empty($last_record_treasuries_transactions_record)) {
$dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
} else {
$dataInsert['auto_serial'] = 1;
}
$dataInsert['isal_number'] = $treasury_date['last_isal_collect'] + 1;
$dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
//debit مدين
$dataInsert['money'] = $request->what_realy_delivered;
$dataInsert['treasuries_id'] =  $checkExistsOpenShift['treasuries_id'];
$dataInsert['mov_type'] = 1;
$dataInsert['move_date'] = date("Y-m-d");
$dataInsert['is_account'] = 0;
$dataInsert['is_approved'] = 1;
$treasuries_name_will_review = Treasuries::where('id', $admins_shifts_will_reviwed['treasuries_id'])->value('name');
$admin_name_will_review = Admin::where('id', $admins_shifts_will_reviwed['admin_id'])->value('name');

$dataInsert['byan'] = "مراجعة واستلام نقدية خزنة "." ".$treasuries_name_will_review." للمستخدم ".$admin_name_will_review."  شفت رقم ".$checkExistsOpenShift['shift_code'];
$dataInsert['created_at'] = date("Y-m-d H:i:s");
$dataInsert['added_by'] = auth()->user()->id;
$dataInsert['com_code'] = $com_code;
$flag = insert(new Treasuries_transactions(), $dataInsert);
if($flag){
$Treasuries_transactionsData=get_cols_where_row(new Treasuries_transactions(),array("id"),$dataInsert);
   $dataToUpdate['is_delivered_and_review']=1;
   $dataToUpdate['delivered_to_admin_id']=$checkExistsOpenShift['admin_id'];
   $dataToUpdate['delivered_to_admin_sift_id']=$checkExistsOpenShift['shift_code'];
   $dataToUpdate['what_realy_delivered']=$request->what_realy_delivered;
   $dataToUpdate['money_state']=$request->money_state;
   $dataToUpdate['money_state_value']=$request->money_state_value;
   $dataToUpdate['review_receive_date'] = date("Y-m-d H:i:s");
  if(!empty($Treasuries_transactionsData)){
   $dataToUpdate['treasuries_transactions_id']=$Treasuries_transactionsData['id'];

  }
update(new Admins_Shifts(),$dataToUpdate,array("id"=>$shiftid,"com_code"=>$com_code,"is_finished"=>1,"is_delivered_and_review"=>0));

}
return redirect()->back()->with(['success' => " تم مراجعة استلام نقدية الشفت بنجاح"])->withInput();

        }


        public function ajax_search(Request $request)
        {
        if ($request->ajax()) {
         $com_code=auth()->user()->com_code;
        $search_by_text = $request->search_by_text;
        $treasuries_id = $request->treasuries_id;
        $admin_id = $request->admin_id;
        $is_finished = $request->is_finished;
        $is_delivered_and_review = $request->is_delivered_and_review;
        $searchbyradio = $request->searchbyradio;
        $order_date_form= $request->from_date;
        $order_date_to= $request->to_date;
        if ($treasuries_id == 'all') {
        //دائما  true
        $field1 = "id";
        $operator1 = ">";
        $value1 = 0;
        } else {
        $field1 = "treasuries_id";
        $operator1 = "=";
        $value1 = $treasuries_id;
        }
        if ($admin_id == 'all') {
        //دائما  true
        $field2 = "id";
        $operator2 = ">";
        $value2 = 0;
        } else {
        $field2 = "admin_id";
        $operator2 = "=";
        $value2 = $admin_id;
        }
        if ($order_date_form == '') {
        //دائما  true
        $field3 = "id";
        $operator3 = ">";
        $value3 = 0;
        } else {
        $field3 = "date";
        $operator3 = ">=";
        $value3 = $order_date_form;
        }
        if ($order_date_to == '') {
        //دائما  true
        $field4 = "id";
        $operator4 = ">";
        $value4 = 0;
        } else {
        $field4 = "date";
        $operator4 = "<=";
        $value4 = $order_date_to;
        }
        if ($search_by_text != '') {
        if ($searchbyradio == 'shift_code') {
        $field5 = "shift_code";
        $operator5 = "=";
        $value5 = $search_by_text;
        }
        else {
         $field5 = "id";
        $operator5 = ">";
        $value5 = 0;
        }
        } else {
        //true 
        $field5 = "id";
        $operator5 = ">";
        $value5 = 0;
        }
        
     
            if ($is_finished == 'all') {
               //دائما  true
               $field6 = "id";
               $operator6 = ">";
               $value6 = 0;
               } else {
               $field6 = "is_finished";
               $operator6 = "=";
               $value6 = $is_finished;
               }

               if ($is_delivered_and_review == 'all') {
                  //دائما  true
                  $field7 = "id";
                  $operator7 = ">";
                  $value7 = 0;
                  } else {
                  $field7 = "is_delivered_and_review";
                  $operator7 = "=";
                  $value7 = $is_delivered_and_review;
                  }
        
        $data = Admins_Shifts::where($field1, $operator1, $value1)->
        where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->
        where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->
        where($field6, $operator6, $value6)-> where($field7, $operator7, $value7)->
        orderBy('id', 'DESC')->paginate(PC);
        if (!empty($data)) {
         foreach ($data as $info) {
         $info->admin_name = Admin::where('id', $info->admin_id)->value('name');
         $info->treasuries_name = Treasuries::where('id', $info->treasuries_id)->value('name');
         if($info->is_finished==1 and $info->is_delivered_and_review==0  and !empty($checkExistsOpenShift)){
           $check_permission_treasuries_delivery=get_cols_where_row(new Treasuries_delivery(),array("id"),array("com_code"=>$com_code,"treasuries_id"=>$checkExistsOpenShift['treasuries_id'],"treasuries_can_delivery_id"=>$info->treasuries_id));
            if(!empty($check_permission_treasuries_delivery)){
               $info->can_review=true;
            }else{
               $info->can_review=false;   
            }
         }
         
         
         }
         }
        return view('admin.admins_shifts.ajax_search', ['data' => $data]);
        }
        }

}