@if(!@empty($data) )

<h3 style="text-align: center; font-size: 16px; font-weight: bold;"> تسعير صنف ({{ $data['name'] }}) مع الوحدات

</h3>

<table id="example2" class="table table-bordered table-hover">
   <thead class="custom_thead">
      <th>اسم الوحدة</th>
      <th> النوع</th>
      <th> معامل التحويل للأب</th>
      <th>سعر القطاعي</th>
      <th> سعر النص جملة عروض</th>
      <th> سعر الجملة</th>

   </thead>
   <tbody>
      <tr>
         <td> {{ $data['Uom_name'] }} </td>
         <td> أب كبري </td>
         <td> 1</td>
         <td>
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="price_parent" id="price_parent"
               class="form-control related_prices" value="{{ $data['price']*1 }}" placeholder="ادخل السعر ">
         </td>
         <td>
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="nos_gomla_price_parent"
               id="nos_gomla_price_parent" class="form-control related_prices" value="{{$data['nos_gomla_price']*1 }}"
               placeholder="ادخل السعر ">

         </td>
         <td>
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="gomla_price_parent" id="gomla_price_parent"
               class="form-control related_prices" value="{{ $data['gomla_price']*1 }}" placeholder="ادخل السعر ">


         </td>


      </tr>
      @if (@isset($data['inv_itemcard_retails_uoms']) && !@empty($data['inv_itemcard_retails_uoms']) &&
      count($data['inv_itemcard_retails_uoms']) >0)
      @foreach ($data['inv_itemcard_retails_uoms'] as $info )
      <tr>
         <td> {{ $info->retail_uom_name }} </td>
         <td> تجزئة </td>
         <td> كل {{ $data['Uom_name'] }} يحتوي {{ $info->retail_uom_quntToParent*1 }} {{ $info->retail_uom_name }} 
         <br>
         <button type="button" style="padding:3px;font-size:12px;" data-retailvalid="{{ $info->retail_uom_id }}" data-rqtp="{{ $info->retail_uom_quntToParent*1 }}" class="btn btn-xs do_auto_price_from_parent btn-danger"> تسعير تلقائي من الاب</button>
         </td>
         <td> 
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="price_retail_{{ $info->retail_uom_id }}" id="price_retail_{{ $info->retail_uom_id }}"
            class="form-control related_prices price_retail" data-id="{{ $info->retail_uom_id }}" value="{{ $info->price_retail*1 }}" placeholder="ادخل السعر ">
         
         
         </td>
         <td> 
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="nos_gomla_price_retail_{{ $info->retail_uom_id }}" id="nos_gomla_price_retail_{{ $info->retail_uom_id }}"
            class="form-control related_prices nos_gomla_price_retail"   data-id="{{ $info->retail_uom_id }}" value="{{ $info->nos_gomla_price_retail*1 }}" placeholder="ادخل السعر ">
         
         </td>
         <td> 
            <input required oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="gomla_price_retail_{{ $info->retail_uom_id }}" id="gomla_price_retail_{{ $info->retail_uom_id }}"
            class="form-control related_prices gomla_price_retail"  data-id="{{ $info->retail_uom_id }}" value=" {{ $info->gomla_price_retail*1 }}" placeholder="ادخل السعر ">
     
         </td>



      </tr>
      @endforeach
      @endif

   </tbody>
</table>




@else
<div class="alert alert-danger">
   عفوا لاتوجد بيانات لعرضها !!
</div>
@endif