<!DOCTYPE html>
<html dir="rtl">

<head>
<meta charset="utf-8">
<title>@yield('title')</title>

<!-- Stylesheets -->
<link href="{{asset('assets/admin/theme1/css/bootstrap.css')}}" rel="stylesheet">
<link href="{{asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')}}" rel="stylesheet">
<link href="{{asset('assets/admin/theme1/css/main.css')}}" rel="stylesheet">
<link href="{{asset('assets/admin/theme1/css/responsive.css')}}" rel="stylesheet">

<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800;900&amp;family=Roboto:wght@300;400;500;700;900&amp;display=swap" rel="stylesheet">

<!-- Color Switcher Mockup -->
<link href="{{asset('assets/admin/theme1/css/color-switcher-design.css')}}" rel="stylesheet">
<!-- Color Themes -->
<link id="theme-color-file" href="{{asset('assets/admin/theme1/css/color-themes/theme-one.css')}}" rel="stylesheet">
{{-- <link id="theme-color-file" href="{{asset('assets/admin/css/bootstrap_rtl-v4.2.1/custom_rtl.css')}}" rel="stylesheet"> --}}
<link id="theme-color-file" href="{{asset('assets/admin/css/rtl.css')}}" rel="stylesheet">

<link rel="shortcut icon" href="{{asset('assets/admin/theme1/images/favicon.png')}}" type="image/x-icon">
<link rel="icon" href="{{asset('assets/admin/theme1/images/favicon.png')}}" type="image/x-icon">

<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

<!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
<!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->
<link href="https://fonts.googleapis.com/css2?family=Cairo:wght@600&family=Tajawal:wght@500;700&display=swap" rel="stylesheet">
{{-- <style>
	h1 , h2 , h3 , h4 , h5 , h6 , p , div , ul , li a , input , button {
		font-family: 'Cairo', sans-serif !important;
		line-height: 1.7; 
	}
</style> --}}
</head>

<body class="rtl">

<div class="page-wrapper">
 	
<!-- Navbar -->
@include('admin.includes.navbar')
<!-- /.navbar -->

	
  
    <!-- Preloader -->
    <div class="preloader"></div>
 	
  
	<!-- Sidebar Page Container -->
  @include('admin.includes.content')
	<!-- Main Footer -->
    
	@include('admin.includes.footer')
</div>
<!-- End pagewrapper -->
@include('admin.includes.sidebar')


<!--Scroll to top-->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-arrow-circle-up"></span></div>

 

<script src="{{asset('assets/admin/theme1/js/jquery.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/popper.min.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/bootstrap.min.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/jquery.fancybox.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/appear.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/isotope.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/owl.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/wow.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/jquery-ui.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/script.js')}}"></script>
<script src="{{asset('assets/admin/theme1/js/color-settings.js')}}"></script>
@yield('script')

</body>

</html>