
<?php $__env->startSection('title'); ?>
الصلاحيات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
المستخدمين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.admins_accounts.index')); ?>"> المستخدمين </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات  المستخدمين</h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.admins_accounts.ajax_search')); ?>">
            <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(156)): ?> 
            <a href="<?php echo e(route('admin.admins_accounts.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
          <?php endif; ?>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div class="row">
            <div class="col-md-4">
               <div class="form-group">
                  <label>  بحث  بالاسم</label>
               <input style="margin-top: 6px !important;" type="text" id="search_by_name" placeholder=" اسم المستخدم" class="form-control"> <br>
            </div>
         </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    بحث بأدوار الصلاحيات </label>
                  <select name="permission_roles_id_search" id="permission_roles_id_search" class="form-control ">
                     <option value="all">بحث بالكل     </option>
                     <?php if(@isset($Permission_rols) && !@empty($Permission_rols)): ?>
                     <?php $__currentLoopData = $Permission_rols; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option <?php if(old('permission_roles_id')==$info->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                
               </div>
            </div>
            </div>
            <div class="clearfix"></div>
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data)): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>اسم المستخدم</th>
                     <th>دور صلاحية المستخدم </th>
                     <th>حالة التفعيل</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($info->name); ?></td>
                        <td><?php echo e($info->permission_roles_name); ?></td>
                        <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                        <td>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(157)): ?> 
                           <a href="<?php echo e(route('admin.admins_accounts.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(159)): ?>   
                           <a href="<?php echo e(route('admin.admins_accounts.details',$info->id)); ?>" class="btn btn-sm  btn-info">صلاحيات خاصة</a>   
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/admins.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/admins_accounts/index.blade.php ENDPATH**/ ?>