
<?php $__env->startSection('title'); ?>
الضبط العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الخزن
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.treasuries.index')); ?>"> الخزن </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض التفاصيل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">تفاصيل الخزنة  </h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <?php if(@isset($data) && !@empty($data)): ?>
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td class="width30">اسم الخزنة</td>
                  <td > <?php echo e($data['name']); ?></td>
               </tr>
               <tr>
                  <td class="width30"> اخر ايصال صرف</td>
                  <td > <?php echo e($data['last_isal_exhcange']); ?></td>
               </tr>
               <tr>
                  <td class="width30">اخر ايصال تحصيل </td>
                  <td > <?php echo e($data['last_isal_collect']); ?></td>
               </tr>
               <tr>
                  <td class="width30">هل رئيسية</td>
                  <td > <?php if($data['is_master']==1): ?> نعم  <?php else: ?> لا <?php endif; ?></td>
               </tr>
               <tr>
                  <td class="width30">حالة تفعيل الخزنة</td>
                  <td > <?php if($data['active']==1): ?> مفعل  <?php else: ?> معطل <?php endif; ?></td>
               </tr>
               <tr>
                  <td class="width30">  تاريخ  الاضافة</td>
                  <td > 
                     <?php
                     $dt=new DateTime($data['created_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة 
                     <?php echo e($data['added_by_admin']); ?>

                  </td>
               </tr>
               <tr>
                  <td class="width30">  تاريخ اخر تحديث</td>
                  <td > 
                     <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
                     <?php
                     $dt=new DateTime($data['updated_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة 
                     <?php echo e($data['updated_by_admin']); ?>

                     <?php else: ?>
                     لايوجد تحديث
                     <?php endif; ?>
                     <a href="<?php echo e(route('admin.treasuries.edit',$data['id'])); ?>" class="btn btn-sm btn-success">تعديل</a>
                     <a href="<?php echo e(route('admin.treasuries.index')); ?>" class="btn btn-sm btn-info">عودة</a>
                  </td>
               </tr>
            </table>
            <!--  treasuries_delivery   -->
            <div class="card-header">
               <h3 class="card-title card_title_center">الخزن الفرعية التي سوف تسلم عهدتها الي الخزنة ( <?php echo e($data['name']); ?> )  
                  <a href="<?php echo e(route('admin.treasuries.Add_treasuries_delivery',$data['id'])); ?>" class="btn btn-sm btn-primary">اضافة جديد</a>
               </h3>
            </div>
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($treasuries_delivery) && !@empty($treasuries_delivery) && count($treasuries_delivery) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>اسم الخزنة</th>
                     <th>تاريخ الاضافة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $treasuries_delivery; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($info->name); ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?>

                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>

                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td>
                           <a href="<?php echo e(route('admin.treasuries.delete_treasuries_delivery',$info->id)); ?>" class="btn btn-sm btn-danger are_you_sure">حذف</a>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
            <!--  End treasuries_delivery   -->
            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/treasuries/details.blade.php ENDPATH**/ ?>