
<?php $__env->startSection('title'); ?>
الضبط العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
المخازن
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.stores.index')); ?>">  المخازن </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات   المخازن</h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.treasuries.ajax_search')); ?>">
            <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(47)): ?> 
            <a href="<?php echo e(route('admin.stores.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
            <?php endif; ?>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) and count($data) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>اسم المخزن</th>
                     <th> الهاتف</th>
                     <th> العنوان</th>
                     <th>حالة التفعيل</th>
                     <th> تاريخ الاضافة</th>
                     <th> تاريخ التحديث</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($info->name); ?></td>
                        <td><?php echo e($info->phones); ?></td>
                        <td><?php echo e($info->address); ?></td>
                        <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td > 
                           <?php if($info->updated_by>0 and $info->updated_by!=null ): ?>
                           <?php
                           $dt=new DateTime($info->updated_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->updated_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?>  <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($data['updated_by_admin']); ?>

                           <?php else: ?>
                           لايوجد تحديث
                           <?php endif; ?>
                        </td>
                        <td>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(48)): ?> 
                           <a href="<?php echo e(route('admin.stores.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                           <?php endif; ?>
                           <?php if($info->CounterUsed==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(49)): ?> 
                           <a href="<?php echo e(route('admin.stores.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                           <?php endif; ?>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/treasuries.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/stores/index.blade.php ENDPATH**/ ?>