
<?php $__env->startSection('title'); ?>
شفتات الخزن
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
حركة الخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.admin_shift.index')); ?>">  شفتات الخزن </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات  شفتات الخزن للمستخدمين</h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
   <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.admin_shift.ajax_search')); ?>"> 
     <input type="hidden" id="ajax_review_now_url" value="<?php echo e(route('admin.admin_shift.review_now')); ?>"> 

      <?php if(empty($checkExistsOpenShift)): ?>
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(145)): ?> 
      <a href="<?php echo e(route('admin.admin_shift.create')); ?>" class="btn btn-sm btn-success" > فتح شفت جديد</a>

      <?php endif; ?>
      <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-3">
            <input checked type="radio" name="searchbyradio" id="searchbyradio" value="shift_code"> بكود الشفت 
            <input style="margin-top: 6px !important;" type="text" id="search_by_text" placeholder="" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث  بالخزن</label>
               <select name="treasuries_id_search" id="treasuries_id_search" class="form-control select2">
                  <option value="all">بحث بكل بالخزن</option>
                  <?php if(@isset($treasuries) && !@empty($treasuries)): ?>
                  <?php $__currentLoopData = $treasuries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث  بالمستخدمين</label>
               <select name="admin_id_search" id="admin_id_search" class="form-control select2">
                  <option value="all">بحث بكل المستخدمين</option>
                  <?php if(@isset($users) && !@empty($users)): ?>
                  <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة الانتهاء</label>
               <select name="is_finished_search" id="is_finished_search" class="form-control">
                  <option  value="all">   بحث بالكل</option>
                  <option    value="1">  نعم</option>
                  <option  value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة المراجعة</label>
               <select name="is_delivered_and_review_search" id="is_delivered_and_review_search" class="form-control">
                  <option  value="all">   بحث بالكل</option>
                  <option    value="1">  نعم</option>
                  <option  value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  من تاريخ</label>
               <input name="order_date_form" id="order_date_form" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  الي تاريخ</label>
               <input name="order_date_to" id="order_date_to" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود الشفت</th>
                     <th>اسم المستخدم</th>
                     <th> اسم الخزنة </th>
                     <th> توقيت الفتح</th>
                     <th>  حالة الانتهاء</th>
                     <th>  حالة المراجعة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->id); ?>

                           <?php if($info->is_finished==0 and $info->admin_id==auth()->user()->id): ?> 
                           <br>
                           <span style="color:brown"> شفتك الحالي</span>
                           <?php endif; ?>
                        </td>
                        <td><?php echo e($info->admin_name); ?></td>
                        <td><?php echo e($info->treasuries_name); ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?> 
                        </td>
                        <td><?php if($info->is_finished==1): ?>  تم الانتهاء <?php else: ?>  مازال مفتوح <?php endif; ?></td>
                        <td><?php if($info->is_delivered_and_review==1): ?>  تمت المراجعة <?php else: ?>  
                           <?php if($info->is_finished==1): ?>   بإنتظار المراجعة  
                           <?php endif; ?>
                           <?php endif; ?>
                        </td>
                        <td>
                          
                           <?php if($info->is_finished==0 and $info->admin_id==auth()->user()->id): ?> 
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(145)): ?> 
                           <a href="<?php echo e(route('admin.admin_shift.finish',$info->id)); ?>" class="btn btn-sm  are_you_sure btn-success">  انهاء الشفت</a>   
                           <?php endif; ?>
                           <?php endif; ?>

                           <?php if(auth()->user()->id==$info->admin_id): ?>
                           <?php if( (auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(147))   ): ?> 
                           <a target="_blank" href="<?php echo e(route('admin.admin_shift.print_details',$info->id)); ?>" class="btn btn-sm  btn-primary"> طباعة الكشف</a>   
                           <?php endif; ?>

                           <?php else: ?>
                           <?php if( (auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(148) or $info->can_review==true )   ): ?> 
                           <a target="_blank" href="<?php echo e(route('admin.admin_shift.print_details',$info->id)); ?>" class="btn btn-sm  btn-primary"> طباعة الكشف</a>   
                           <?php endif; ?>

                           <?php endif; ?>

                         
                           <?php if($info->is_finished==1 and $info->is_delivered_and_review==0  ): ?> 
                           <?php if(@isset($checkExistsOpenShift) && !@empty($checkExistsOpenShift ) ): ?>
                            <?php if($info->can_review==true): ?>
                            <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(147)): ?> 
                            <button data-id=<?php echo e($info->id); ?> class="btn btn-sm  review_now  btn-danger"> مراجعة واستلام</a>   
                              <?php endif; ?>
                           <?php endif; ?>
                           <?php endif; ?>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade  "   id="reviewModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           مراجعة واستلام نقدية شفت خزينة </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" id="reviewModalBody">


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/admin_shift.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/admins_shifts/index.blade.php ENDPATH**/ ?>