
<?php $__env->startSection('title'); ?>
المشتريات
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
حركات مخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.suppliers_orders.index')); ?>">  فواتير المشتريات </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض التفاصيل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">تفاصيل فاتورة المشتريات  </h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div id="ajax_responce_serarchDivparentpill">
               <?php if(@isset($data) && !@empty($data)): ?>
               <table id="example2" class="table table-bordered table-hover">
                  <tr>
                     <td class="width30"> كود الفاتورة الالي</td>
                     <td > <?php echo e($data['auto_serial']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">   كود الفاتورة بأصل فاتورة المشتريات </td>
                     <td > <?php echo e($data['DOC_NO']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">   تاريخ الفاتورة </td>
                     <td > <?php echo e($data['order_date']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">  اسم المورد </td>
                     <td > <?php echo e($data['supplier_name']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30"> نوع الفاتورة</td>
                     <td > <?php if($data['pill_type']==1): ?> كاش  <?php else: ?> اجل<?php endif; ?></td>
                  </tr>
                  <tr>
                     <td class="width30">   المخزن المستلم للفاتورة </td>
                     <td > <?php echo e($data['store_name']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">  اسم المورد </td>
                     <td > <?php echo e($data['supplier_name']); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">   اجمالي الفاتورة قبل الخصم </td>
                     <td > <?php echo e($data['total_cost']*(1)); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">    نسبة القيمة المضافة </td>
                     <td > 
                        <?php if($data['tax_percent']==0): ?>
                        لايوجد
                        <?php else: ?>
                        بنسبة (<?php echo e($data["tax_percent"]*1); ?>) %  وقيمتها ( <?php echo e($data['tax_value']*1); ?> )
                        <?php endif; ?>
                     </td>
                  </tr>

                  <?php if($data['discount_type']!=null): ?>
                  <tr>
                     <td class="width30">   الخصم علي الفاتورة </td>
                     <td> 
                        <?php if($data['discount_type']==1): ?>
                        خصم نسبة  ( <?php echo e($data['discount_percent']*1); ?> ) وقيمتها  ( <?php echo e($data["discount_value"]*1); ?> )
                        <?php else: ?>
                        خصم يدوي وقيمته ( <?php echo e($data["discount_value"]*1); ?> )
                        <?php endif; ?>
                     </td>
                  </tr>
                  <?php else: ?>
                  <tr>
                     <td class="width30">   الخصم علي الفاتورة </td>
                     <td > لايوجد</td>
                  </tr>
                  <?php endif; ?>
                  <tr>
                     <td class="width30">   اجمالي الفاتورة بعد الخصم </td>
                     <td > <?php echo e($data['total_cost']*(1)); ?></td>
                  </tr>
                  <tr>
                     <td class="width30">       حالة الفاتورة </td>
                     <td > <?php if($data['is_approved']==1): ?>  مغلق ومؤرشف <?php else: ?> مفتوحة  <?php endif; ?></td>
                  </tr>
                  <tr>
                     <td class="width30">  تاريخ  الاضافة</td>
                     <td > 
                        <?php
                        $dt=new DateTime($data['created_at']);
                        $date=$dt->format("Y-m-d");
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        ?>
                        <?php echo e($date); ?>

                        <?php echo e($time); ?>

                        <?php echo e($newDateTimeType); ?>

                        بواسطة 
                        <?php echo e($data['added_by_admin']); ?>

                     </td>
                  </tr>
                  <tr>
                     <td class="width30">  تاريخ اخر تحديث</td>
                     <td > 
                        <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
                        <?php
                        $dt=new DateTime($data['updated_at']);
                        $date=$dt->format("Y-m-d");
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        ?>
                        <?php echo e($date); ?>

                        <?php echo e($time); ?>

                        <?php echo e($newDateTimeType); ?>

                        بواسطة 
                        <?php echo e($data['updated_by_admin']); ?>

                        <?php else: ?>
                        لايوجد تحديث
                        <?php endif; ?>
                        <?php if($data['is_approved']==0): ?>
                        <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(65)): ?> 
                        <a href="<?php echo e(route('admin.suppliers_orders.delete',$data['id'])); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                        <?php endif; ?>
                        <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(64)): ?> 
                        <a href="<?php echo e(route('admin.suppliers_orders.edit',$data['id'])); ?>" class="btn btn-sm btn-success">تعديل</a>
                        <?php endif; ?>
                        <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(67)): ?> 
                        <button id="load_close_approve_invoice"  class="btn btn-sm btn-primary">تحميل الاعتماد والترحيل</button>
                        <?php endif; ?>
                        <?php endif; ?>
                     </td>
                  </tr>

                  <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(66)): ?> 
                  <tr>
                     <td colspan="2">
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.suppliers_orders.printsaleswina4',[$data['id'],'A4'])); ?>" class="btn btn-primary btn-xs"> WA4</a>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.suppliers_orders.printsaleswina4',[$data['id'],'A6'])); ?>" class="btn btn-warning btn-xs"> WA6</a>
                     </td>
                  </tr>
                  <?php endif; ?>
               </table>
            </div>
            <!--  treasuries_delivery   -->
            <div class="card-header">
               <h3 class="card-title card_title_center">
                  الاصناف المضافة للفاتورة
                  <?php if($data['is_approved']==0): ?>
                  <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(69)): ?> 
                  <button type="button" class="btn btn-info" id="load_modal_add_detailsBtn">
                  اضافة صنف للفاتورة
                  </button>
                  <?php endif; ?>
                  <?php endif; ?>
               </h3>
               <input type="hidden" id="settingForDecimalPoint" value="<?php echo e($dmin_panel_settings['settingForDecimalPoint']); ?>">
               <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
               <input type="hidden" id="ajax_get_item_uoms_url" value="<?php echo e(route('admin.suppliers_orders.get_item_uoms')); ?>">
               <input type="hidden" id="ajax_add_new_details" value="<?php echo e(route('admin.suppliers_orders.add_new_details')); ?>">
               <input type="hidden" id="ajax_reload_itemsdetials" value="<?php echo e(route('admin.suppliers_orders.reload_itemsdetials')); ?>">
               <input type="hidden" id="ajax_reload_parent_pill" value="<?php echo e(route('admin.suppliers_orders.reload_parent_pill')); ?>">
               <input type="hidden" id="ajax_load_edit_item_details" value="<?php echo e(route('admin.suppliers_orders.load_edit_item_details')); ?>">
               <input type="hidden" id="ajax_load_modal_add_details" value="<?php echo e(route('admin.suppliers_orders.load_modal_add_details')); ?>">
               <input type="hidden" id="ajax_edit_item_details" value="<?php echo e(route('admin.suppliers_orders.edit_item_details')); ?>">
               <input type="hidden" id="ajax_load_modal_approve_invoice" value="<?php echo e(route('admin.suppliers_orders.load_modal_approve_invoice')); ?>">
               <input type="hidden" id="ajax_load_usershiftDiv" value="<?php echo e(route('admin.suppliers_orders.load_usershiftDiv')); ?>">
               <input type="hidden" id="ajax_show_item_prices_content" value="<?php echo e(route('admin.suppliers_orders.show_item_prices_content')); ?>">

               <input type="hidden" id="autoserailparent" value="<?php echo e($data['auto_serial']); ?>">
               <input type="text" class="form-control" id="myInputforsearch" onkeyup="myFunction()" placeholder="البحث بالاصناف المضافة" >

            </div>
            <div id="ajax_responce_serarchDivDetails">
               <?php if(@isset($details) && !@empty($details) && count($details)>0): ?>
               <?php
               $i=1;   
               ?>
               <table id="details_item_table" class="table table-bordered table-hover ">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>الصنف </th>
                     <th> الوحده</th>
                     <th> الكمية</th>
                     <th> السعر</th>
                     <th> الاجمالي</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($info->item_card_name); ?> - <?php echo e($info->barcode); ?>

                           <?php if($info->item_card_type==2): ?>
                           <br>
                           تاريخ انتاج  <?php echo e($info->production_date); ?> <br>
                           تاريخ انتهاء  <?php echo e($info->expire_date); ?> <br>
                           <?php endif; ?>
                        </td>
                        <td><?php echo e($info->uom_name); ?>

                        <input type="hidden" class="check_exsists_befor" value="<?php echo e($info->item_code); ?>_<?php echo e($info->uom_id); ?>">
                        </td>
                        <td><?php echo e($info->deliverd_quantity*(1)); ?></td>
                        <td><?php echo e($info->unit_price*(1)); ?></td>
                        <td><?php echo e($info->total_price*(1)); ?></td>
                        <td>
                           <?php if($data['is_approved']==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(70)): ?> 
                           <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm load_edit_item_details  btn-primary">تعديل</button>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(71)): ?> 
                           <a href="<?php echo e(route('admin.suppliers_orders.delete_details',["id"=>$info->id,"id_parent"=>$data['id']])); ?>" class="btn btn-sm are_you_sure   btn-danger">حذف</a>   
                           <?php endif; ?>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
            <!--  End treasuries_delivery   -->
            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
   </div>
</div>
<div class="modal fade " id="Add_item_Modal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">اضافة اصناف للفاتورة</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="Add_item_Modal_body" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<div class="modal fade " id="edit_item_Modal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">تحديث صنف  بالفاتورة</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="edit_item_Modal_body" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="ModalApproveInvocie">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title" style="text-align: center">  اعتماد وترحيل فاتورة المشتريات</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="ModalApproveInvocie_body" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
   function myFunction() {
  var input, filter, table, tr, td, i, txtValue;
  input = document.getElementById("myInputforsearch");
  filter = input.value.toUpperCase();
  table = document.getElementById("details_item_table");
  tr = table.getElementsByTagName("tr");
  for (i = 0; i < tr.length; i++) {
    td = tr[i].getElementsByTagName("td")[1];
    if (td) {
      txtValue = td.textContent || td.innerText;
      if (txtValue.toUpperCase().indexOf(filter) > -1) {
        tr[i].style.display = "";
      } else {
        tr[i].style.display = "none";
      }
    }       
  }
}



</script>
<script  src="<?php echo e(asset('assets/admin/js/suppliers_with_order.js')); ?>"> </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/suppliers_with_orders/show.blade.php ENDPATH**/ ?>