
<?php $__env->startSection('title'); ?>
الصلاحيات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
القوائم الرئيسية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.permission_main_menues.index')); ?>">   القوائم الرئيسية </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات   القوائم الرئيسية للصلاحيات</h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.treasuries.ajax_search')); ?>">
            <a href="<?php echo e(route('admin.permission_main_menues.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
             
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود</th>
                     <th>اسم القائمة الرئيسية</th>
                     <th>حالة التفعيل</th>
                     <th> تاريخ الاضافة</th>
                     <th> تاريخ التحديث</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->id); ?></td>
                        <td><?php echo e($info->name); ?></td>
            
                        <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td > 
                           <?php if($info->updated_by>0 and $info->updated_by!=null ): ?>
                           <?php
                           $dt=new DateTime($info->updated_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?>  <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($data['updated_by_admin']); ?>

                           <?php else: ?>
                           لايوجد تحديث
                           <?php endif; ?>
                        </td>
                        <td>
                           <a href="<?php echo e(route('admin.permission_main_menues.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                           <a href="<?php echo e(route('admin.permission_main_menues.delete',$info->id)); ?>" class="btn are_you_sure btn-sm  btn-danger">حذف</a>   

                        </td>
                     </tr>
                  
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/treasuries.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/permission_main_menues/index.blade.php ENDPATH**/ ?>