
<?php $__env->startSection('title'); ?>
شئون الموظفين
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الموظفين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.employees.index')); ?>"> تفاصيل موظف </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center"> عرض بيانات موظف</h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <?php if(@isset($data) && !@empty($data)): ?>
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td colspan="2">
                     <label>الاسم</label> <br>
                     <?php echo e($data['name']); ?>

                  </td>
                  <td >
                     <label>كود الموظف</label> <br>
                     <?php echo e($data['id']); ?>

                  </td>
               </tr>
               <tr>
                  <td style="width: 30%"> 
                     رقم الحساب المالي
                     <br><?php echo e($data['account_number']*1); ?>

                     
                        </td>
                  <td>
                     <label> الادارة التابع لها الموظف</label> <br>
                     <?php echo e($data['Departement_name']); ?>

                  </td>
                  <td>
                     <label> وظيفة الموظف</label> <br>
                     <?php echo e($data['Job_name']); ?>

                  </td>
               </tr>


               <tr>
                  <td>
                     <label> هل يمتلك شفت ثابت</label> <br>
                     <?php if($data['do_has_shift']==1): ?> نعم <?php else: ?> لايمتلك <?php endif; ?>
                     <?php if($data['do_has_shift']==1): ?>

                     <?php if($other['shift_data']['type']==1): ?> صباحي <?php elseif($other['shift_data']['type']==2): ?> مسائي <?php else: ?>
                     يوم كامل <?php endif; ?>
                     <br>
                     من
                     <?php
                     $dt=new DateTime($other['shift_data']['from_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['shift_data']['from_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     الي
                     <?php
                     $dt=new DateTime($other['shift_data']['to_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['shift_data']['to_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     ?>

                     <?php echo e($time); ?> <br>
                     <?php echo e($newDateTimeType); ?>

                     عدد
                     <?php echo e($other['shift_data']['total_hours']*1); ?> ساعات
                     <?php else: ?>
                     <br>
                     <?php echo e($data['total_hours']*1); ?> ساعات عمل
                     <?php endif; ?>


                  </td>
                  <td>
                    <label> هل يمتلك تأمين اجتماعي </label> <br>
                     <?php if($data['does_has_social_insurance']==1): ?> نعم
                     <br>
                     رقم التأمين <?php echo e($data['social_insurance_number']); ?> <br>
                     قيمة التأمين الشهري <?php echo e($data['social_insurance_value']*1); ?>

                     <?php else: ?> لايمتلك

                     <?php endif; ?>

                  </td>
                  <td>
                    <label> هل يمتلك حافز شهري </label><br>
                     <?php if($data['do_has_Motivation']==1): ?> نعم
                     <br>
                      قيمة الحافز الشهري <?php echo e($data['Motivation_value']*1); ?> <br>
                     <?php else: ?> لايمتلك

                     <?php endif; ?>
                  </td>
               </tr>
  <tr>
   <td>
     <label> هل يمتلك بدل شهري </label><br>
      <?php if($data['does_has_allowances']==1): ?> نعم
      <br>
       قيمة البدل الشهري <?php echo e($data['allowances_value'] *1); ?> <br>
      <?php else: ?> لايمتلك

      <?php endif; ?>
   </td>

   <td> 
<label>قيمة المرتب الشهري</label>
<br><?php echo e($data['salary']*1); ?>


   </td>
   <td> 
<label> عنوان الموظف</label>
      <br><?php echo e($data['address']); ?>

      
         </td>
  </tr>
  <tr>
   <td> 
     <label> هاتف الموظف </label> <br>
           <br><?php echo e($data['phones']); ?>

           
              </td>
              <td >
               <label> حالة التفعيل</label> <br>
               <?php if($data['active']==1): ?> نعم <?php else: ?> لا <?php endif; ?>
            </td>
            <td > 
               <label>تاريخ الاضافة </label><br>
               <?php
               $dt=new DateTime($data['created_at']);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($data['created_at']));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               ?>
               <?php echo e($date); ?> <br>
               <?php echo e($time); ?>

               <?php echo e($newDateTimeType); ?>  <br>
               بواسطة 
               <?php echo e($data['added_by_admin']); ?>

            </td>
  </tr>

<tr>
<td colspan="3"> <label>الملاحظات</label> <br>
   <?php echo e($data['notes']); ?>



</td>

</tr>


               <tr>
                
                
               </tr>
         
               <tr>
                  <td> <label>تاريخ اخر تحديث</label></td>
                  <td colspan="2">
                     <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
                     <?php
                     $dt=new DateTime($data['updated_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة
                     <?php echo e($data['updated_by_admin']); ?>

                     <?php else: ?>
                     لايوجد تحديث
                     <?php endif; ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(182)): ?> 

                     <a href="<?php echo e(route('admin.employees.edit',$data['id'])); ?>" class="btn btn-sm btn-success">تعديل</a>
                     <?php endif; ?>
                  </td>
               </tr>
            </table>
            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/employees/show.blade.php ENDPATH**/ ?>