<!-- لاتنسونا من صالح دعائكم -->

<?php $__env->startSection('title'); ?>
حركات مخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
التحويل 
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.inv_stores_transfer_incoming.index')); ?>">     تحويل بين المخازن</a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">     أومر التحويل الواردة بين المخازن </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.inv_stores_transfer_incoming.ajax_search')); ?>">
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="<?php echo e(route('admin.inv_stores_transfer_incoming.print_search')); ?>" method="post" target="_blank">
         <?php echo csrf_field(); ?>
      <div class="row">
        
         <div class="col-md-3">
            <input checked type="radio" name="searchbyradio" id="searchbyradio" value="auto_serial"> بالكود الآلي
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="inv_production_order"> بكود التشغيل 
            <input style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder="" class="form-control"> <br>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>    بحث بمخازن التحويل </label>
               <select name="transfer_from_store_id_search" id="transfer_from_store_id_search" class="form-control select2">
                  <option value="all">بحث بكل المخازن من صلاحياتي </option>
                  <?php if(@isset($allStores) && !@empty($allStores)): ?>
                  <?php $__currentLoopData = $allStores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->store_id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>    بحث بمخازن الاستلام من صلاحايتي </label>
               <select name="transfer_to_store_id_search" id="transfer_to_store_id_search" class="form-control select2">
                  <option value="all">بحث بكل المخازن  </option>
                  <?php if(@isset($Mystores) && !@empty($Mystores)): ?>
                  <?php $__currentLoopData = $Mystores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->store_id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  من تاريخ</label>
               <input name="order_date_form" id="order_date_form" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  الي تاريخ</label>
               <input name="order_date_to" id="order_date_to" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>    حالة الاعتماد والارشفة</label>
               <select name="is_approved" id="is_approved_serach" class="form-control">
                  <option value="all">بحث بكل الحالات</option>
                  <option    value="1">  معتمد</option>
                  <option    value="0">  مفتوح</option>
               </select>
               <?php $__errorArgs = ['pill_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
      </div>
         </form>
         <div class="row">
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود</th>
                     <th> تاريخ الأمر</th>
                     <th>  مخزن الصرف</th>
                     <th>   مخزن الاستلام </th>
                     <th>    اجمالي الاصناف</th>
                     <th>حالة الامر</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->auto_serial); ?></td>
                        <td><?php echo e($info->order_date); ?></td>
                        <td><?php echo e($info->from_store_name); ?></td>
                        <td><?php echo e($info->to_store_name); ?></td>
                        <td><?php echo e($info->total_cost_items*(1)); ?></td>
                        <td><?php if($info->is_approved==1): ?>  معتمدة   <?php else: ?>   مفتوحة <?php endif; ?></td>
                        <td>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(96)): ?> 
                           <a href="<?php echo e(route('admin.inv_stores_transfer_incoming.show',$info->id)); ?>" class="btn btn-sm   btn-info">التفاصيل</a>   
                           <?php endif; ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(98)): ?> 
                           <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.inv_stores_transfer_incoming.printsaleswina4',[$info->id,'A4'])); ?>" class="btn btn-primary btn-xs"> WA4</a>
                           <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.inv_stores_transfer_incoming.printsaleswina4',[$info->id,'A6'])); ?>" class="btn btn-warning btn-xs"> WA6</a>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/inv_stores_transfer_incoming.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/inv_stores_transfer_incoming/index.blade.php ENDPATH**/ ?>