
<?php $__env->startSection('title'); ?>
مراقبة النظام
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الأرشيف
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.uoms.index')); ?>">  حركة النظام </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">مراقبة سجل  حركة النظام     </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.system_monitoring.ajax_search')); ?>">
      <input type="hidden" id="ajax_do_mark" value="<?php echo e(route('admin.system_monitoring.ajax_do_mark')); ?>">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالاقسام</label>
               <select name="alert_modules_search" id="alert_modules_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  <?php if(@isset($other['alert_modules']) && !@empty($other['alert_modules'])): ?>
                  <?php $__currentLoopData = $other['alert_modules']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالحركات</label>
               <select name="alert_movetype_search" id="alert_movetype_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  <?php if(@isset($other['alert_movetype']) && !@empty($other['alert_movetype'])): ?>
                  <?php $__currentLoopData = $other['alert_movetype']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالحسابات المالية</label>
               <select name="account_number_search" id="account_number_search" class="form-control select2 ">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset($other['accounts']) && !@empty($other['accounts'])): ?>
                  <?php $__currentLoopData = $other['accounts']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option 
                     value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->account_type_name); ?>) <?php echo e($info->account_number); ?> 
                     </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالخزن</label>
               <select name="treasuries_search" id="treasuries_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  <?php if(@isset($other['treasuries']) && !@empty($other['treasuries'])): ?>
                  <?php $__currentLoopData = $other['treasuries']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالمخازن</label>
               <select name="store_search" id="store_search" class="form-control select2">
                  <option value="all">بحث بكل المخازن</option>
                  <?php if(@isset($other['stores']) && !@empty($other['stores'])): ?>
                  <?php $__currentLoopData = $other['stores']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالاصناف</label>
               <select name="item_search" id="item_search" class="form-control select2">
                  <option value="all">بحث بكل الاصناف</option>
                  <?php if(@isset($other['items']) && !@empty($other['items'])): ?>
                  <?php $__currentLoopData = $other['items']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->item_code); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->item_code); ?>) </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالمستخدمين</label>
               <select name="admins_search" id="admins_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  <?php if(@isset($other['admins']) && !@empty($other['admins'])): ?>
                  <?php $__currentLoopData = $other['admins']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>    هل مميز </label>
               <select name="is_mark_search" id="is_mark_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option  value="1">  نعم</option>
                  <option value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <label>    بحث برقم الشفت</label>
            <input type="text" id="shift_code_search"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> من تاريخ حركة</label>
               <input name="from_date_search" id="from_date_search" class="form-control" type="date" value="">
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> الي تاريخ حركة </label>
               <input name="to_date_search" id="to_date_search" class="form-control" type="date" value="">
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
        
            <button style="margin-top: 31px;" class="btn btn-primary btn-sm"> طباعة البحث</button>
            </div>
         </div>

         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>القسم </th>
                     <th>  نوع الحركة</th>
                     <th style="width: 30%;">البيان</th>
                     <th>هل مميز</th>
                     <th> تاريخ الحركة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr >
                        <td><?php echo e($info->id); ?></td>
                        <td><?php echo e($info->alert_modules_name); ?></td>
                        <td><?php echo e($info->alert_movetype_name); ?></td>
                        <td><?php echo e($info->content); ?></td>
                        <td <?php if($info->is_marked==1): ?> class="bg-danger"  <?php endif; ?>><?php if($info->is_marked==1): ?> نعم  <?php else: ?>  لا <?php endif; ?></td>

                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                    
                        
                        <td>
                      
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(215)): ?> 
                           <?php if($info->is_marked==0): ?>
                           <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm do_mark  btn-danger">تمييز</button>   
                         <?php else: ?>
                         <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm do_mark  btn-info"> لاتمييز</button>   
                         <?php endif; ?>

                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/alerts_system_monitoring.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp2024-source/resources/views/admin/alerts_system_monitoring/index.blade.php ENDPATH**/ ?>