
<?php $__env->startSection('title'); ?>
تعديل حساب مالي
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/simpletree.css')); ?>">

<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الحسابات المالية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.accounts.index')); ?>">  الحسابات المالية </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
تعديل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> تعديل حساب مالي </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="<?php echo e(route('admin.accounts.update',$data['id'])); ?>" method="post" >
         <div class="row">
            <div class=" col-md-6  col-lg-6   col-sm-12" > 
               <?php echo csrf_field(); ?>
               <div class="col-md-12" id="parentDiv"  > 
                  <div class="form-group">
                     <label>   الحسابات الأب</label>
                     <select name="parent_account_number" id="parent_account_number" class="form-control select2">
                        <option value="">اختر الحساب الاب</option>
                        <?php if(@isset($parent_accounts) && !@empty($parent_accounts)): ?>
                        <?php $__currentLoopData = $parent_accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option <?php if(old('parent_account_number',$data['parent_account_number'])==$info->account_number): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                     </select>
                     <?php $__errorArgs = ['parent_account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
               </div>
               <div class="col-md-12">
                  <div class="form-group">
                     <label>اسم  الحساب المالي</label>
                     <input name="name" id="name" class="form-control" value="<?php echo e(old('name',$data['name'])); ?>"    >
                     <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
               </div>
               <div class="col-md-12">
                  <div class="form-group">
                     <label>  نوع الحساب</label>
                     <select name="account_type" id="account_type" class="form-control ">
                        <option value="">اختر النوع</option>
                        <?php if(@isset($account_types) && !@empty($account_types)): ?>
                        <?php $__currentLoopData = $account_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option <?php echo e(old('account_types',$data['account_type'])==$info->id  ? 'selected' : ''); ?>  value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                     </select>
                     <?php $__errorArgs = ['account_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
               </div>
           
        
            <div class="col-md-12">
               <div class="form-group">
                  <label>   ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="<?php echo e(old('notes',$data['notes'])); ?>"    >
                  <?php $__errorArgs = ['notes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
       
            <div class="col-md-12">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('active',$data['active'])==1 ? 'selected' : ''); ?>  value="1"> نعم</option>
                     <option <?php echo e(old('active',$data['active'])==0 ? 'selected' : ''); ?>   value="0"> لا</option>
                  </select>
                  <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> تعديل</button>
                  <a href="<?php echo e(route('admin.accounts.index')); ?>" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
            
            </div>
            
            <div class=" col-md-6  col-lg-6   col-sm-12" >
               <a  href="#" class="btn btn-primary"  style="margin-top: 5px;"> <span class="glyphicon    glyphicon-plus-sign">  </span>  شجرة دليل الحسابات</a>
                   <ul id="treemenu1" class="treeview_cus"  dir="rtl">
                       
                   <?php echo $html_tree ?> 

                   </ul>



            
           </div> 
           
   </div>
   </form>  
</div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/accounts.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/simpletreemenu.js')); ?>"> </script>

<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
   ddtreemenu.createTree("treemenu1", true);
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/accounts/edit.blade.php ENDPATH**/ ?>