<!DOCTYPE html>
<html>
   <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title> طباعة فاتورة مبيعات </title>
      <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
      <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')); ?>">
      <style>
         td{font-size: 21px !important;text-align: center;font-weight: bold !important;}
         @media print{
            #printButton{
               display: none;
            }
            td{font-size: 21px !important;text-align: center;;font-weight: bold !important;}
      </style>
   <body style="padding-top: 10px;font-family: tahoma;">
      <table  cellspacing="0" style="width: 60%; margin-right: 5px; margin-bottom: 5px; float: right;  border: 1px solid black; border-radius: 15px  !important;border-collapse: separate;  padding: 4px !important; "  dir="rtl">
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;"> كود العميل 
               <?php if($data['is_has_customer']==1): ?>
               <span style="margin-right: 10px;">/ <?php echo e($data["customer_code"]); ?></span>
               <?php else: ?>
               لايوجد
               <?php endif; ?>
            </td>
         </tr>
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;"> اسم العميل  <span style="margin-right: 10px;">/ <?php echo e($data['customer_name']); ?></span></td>
         </tr>
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">  رقم التيلفون  <span style="margin-right: 10px;">/ <?php echo e($data['customer_phones']); ?></span></td>
         </tr>
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">   تاريخ الفاتورة  <span style="margin-right: 10px;">/ <?php echo e($data['invoice_date']); ?></span></td>
         </tr>
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">   حالة الفاتورة  <span style="margin-right: 10px;">/ <?php if($data['is_approved']==1): ?> معتمدة <?php else: ?> غير معتمدة <?php endif; ?></span></td>
         </tr>
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">   فاتورة مبيعات رقم /<?php echo e($data['auto_serial']); ?></td>
         </tr>
      </table>
      <br> 
     
      <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
         <tr>
            <td style="text-align:left !important;padding: 5px;">
               <img style="width: 150px; height: 110px; border-radius: 10px;" src="<?php echo e(asset('assets/admin/uploads').'/'.$systemData['photo']); ?>"> 
               <p><?php echo e($systemData['system_name']); ?></p>
            </td>
         </tr>
         <tr>
            <td style="text-align:left !important;padding: 5px;">
               <img style="width: 100px; height: 100px;"
                  src="<?php echo e(url('public/uploads/Sales_invoices/qr/qr-' . $data->auto_serial . '.svg')); ?>">
            </td>
         </tr>
      </table>
      <table  dir="rtl" border="1" style="width: 98%; margin: 0 auto;"  id="example2" cellpadding="1" cellspacing="0"  aria-describedby="example2_info" >
         <tr style="background-color: gainsboro">
            <td style="font-weight: bold;">م</td>
            <td style="font-weight: bold;">كود</td>
            <td  style="font-weight: bold;">الصنف</td>
            <td  style="font-weight: bold;">الوحدة </td>
            <td style="font-weight: bold;">الكمية</td>
            <td  style="font-weight: bold;">السعر</td>
            <td style="font-weight: bold;">اجمالي</td>
        
         </tr>
         <?php if(!@empty($sales_invoices_details) and count($sales_invoices_details)>0): ?>
         <?php $i=1; $totalItems=0; ?>
         <?php $__currentLoopData = $sales_invoices_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <tr>
            <td>
               <?php echo e($i); ?>

            </td>
            <td>
               <?php echo e($info->item_code); ?>

            </td>
            <td>
               <?php echo e($info->item_name); ?>

               <?php if($info->is_normal_orOther>1): ?>:?>
               ( ملاحظة هذا 
               <?php if($info->is_normal_orOther==2): ?> بونص<?php elseif($info->is_normal_orOther==3): ?> دعاية <?php elseif($info->is_normal_orOther==4): ?> هالك <?php else: ?> لم يحدد <?php endif; ?>?>
               )
               <?php endif; ?>
            </td>
            <td>
               <?php echo e($info->uom_name); ?>

            </td>
            <td>
               <?php echo e($info->quantity*1); ?>

            </td>
            <td>
               <?php echo e($info->unit_price*1); ?>

            </td>
            <td>
               <?php echo e($info->total_price*1); ?>                                  
            </td>
        
         </tr>
         <?php $i++; endforeach;?>
   
         <?php endif; ?>
      </table>
      <br>
      <table  dir="rtl" border="1" style="width: 98%; margin: 0 auto;"  id="example2" cellpadding="1" cellspacing="0"  aria-describedby="example2_info" >
         <tr >
            <td style="font-weight: bold;">اجمالي الفاتورة</td>
            <td style="font-weight: bold;">خصم</td>
            <td style="font-weight: bold;"> الاجمالي بعد الخصم</td>
            <td style="font-weight: bold;">قيمة مضافة</td>
            <td style="font-weight: bold;">صافي الفاتورة </td>
            <td style="font-weight: bold;">مدفوع</td>
            <?php if($data['Returned_to_customer_instantly']==0 and $data['what_remain'] >0): ?>
            <td  style="font-weight: bold;">آجل متبقي</td>
            <?php endif; ?>
            <?php if($data['Returned_to_customer_instantly']>0 and $data['what_remain'] ==0): ?>
            <td  style="font-weight: bold;"> باقي  للعميل</td>
            <?php endif; ?>
         </tr>
         <tr>
            <td><?php echo e($data["total_cost_items"]*(1)); ?></td>
            <td><?php echo e($data['discount_value']*(1)); ?></td>
            <td><?php echo e($data["total_after_discount"]*(1)); ?></td>
            <td><?php echo e($data['tax_value']*(1)); ?></td>
            <td><?php echo e($data['total_cost']*(1)); ?></td>
            <td><?php echo e($data['what_paid']*(1)); ?></td>
            <?php if($data['Returned_to_customer_instantly']==0 and $data['what_remain'] >0): ?>
            <td><?php echo e($data['what_remain']*(1)); ?></td>
            <?php endif; ?>
            <?php if($data['Returned_to_customer_instantly']>0 and $data['what_remain'] ==0): ?>
            <td><?php echo e($data['Returned_to_customer_instantly']*(1)); ?></td>
            <?php endif; ?>
         </tr>
      </table>
      <p style="position: fixed;
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> <?php echo e($systemData['address']); ?> - <?php echo e($systemData['phone']); ?> </p>
         <div class="clearfix"></div> <br>
         <p class="text-center">
           <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton"  >طباعة</button>
         </p>
      <script>
       
         window.print();
    
      </script> 
   </body>
</html><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/sales_invoices/printsaleswina4.blade.php ENDPATH**/ ?>