<!DOCTYPE html>
<html dir="rtl">

 <head>
<meta charset="utf-8">
<title>تسجيل الدخول</title>
<!-- Stylesheets -->
<link href="<?php echo e(asset('assets/admin/theme1/css/bootstrap.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/main.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/responsive.css')); ?>" rel="stylesheet">

<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800;900&amp;family=Roboto:wght@300;400;500;700;900&amp;display=swap" rel="stylesheet">

<!-- Color Switcher Mockup -->
<link href="<?php echo e(asset('assets/admin/theme1/css/color-switcher-design.css')); ?>" rel="stylesheet">
<!-- Color Themes -->
<link id="theme-color-file" href="<?php echo e(asset('assets/admin/theme1/css/color-themes/theme-one.css')); ?>" rel="stylesheet">

<link rel="shortcut icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">
<link rel="icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">

<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

<!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
<!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->

	<style type="text/css">
		@import url('https://fonts.googleapis.com/css2?family=El+Messiri:wght@500&display=swap');

		* {
			font-family: 'El Messiri', sans-serif;
		}

		body {
			font-family: 'El Messiri', sans-serif;
		}

		h1, h2, h3, h4, h5, h6, p, span, li, ul, a, strong,
		.styled-form .form-group input {
			font-family: 'El Messiri', sans-serif;
		}

	</style>

</head>

<body>

<div class="page-wrapper">
 	
    <!-- Preloader -->
    <div class="preloader"></div>
 	
	<!-- Main Header-->
   
    <!--End Main Header -->
	
	<!-- Sign Up Section -->
    <section class="signup-section login-section" style="background-image:url(images/background/pattern-4.png)">
    	<div class="auto-container">
			<div class="logo">
				<a href="index.html"><img src="images/logo-3.png" alt="" /></a>
			</div>
        	<div class="inner-container">
            	<h2>مرحبا بك في  <span class="theme_color">
            	    المثالي اونلاين
            	    </span></h2>
				<div class="text">قم بتسجيل الدخول</div>
				
				<!-- Login Form -->
				<div class="styled-form">
					<form method="post" action="<?php echo e(route('admin.login')); ?>">
                        <?php echo csrf_field(); ?>
						
						<!-- Form Group -->
						<div class="form-group">
							<input type="text" name="username" value="" placeholder="اسم المستخدم" required>
						</div>
                        <?php $__errorArgs = ['username'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="text-danger"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
						<!-- Form Group -->
						<div class="form-group">
							<input type="password" name="password" value="" placeholder="كلمة المرور" required>
						</div>
                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
						
						<div class="form-group">
							<div class="clearfix">
								<div class="pull-left">
									
								</div>
								
							</div>
						</div>
						
						<div class="form-group text-center">
							<button type="submit" class="theme-btn btn-style-one"><span class="txt">دخول</span></button>
						</div>
						
						<div class="form-group">
							
						</div>
						
					</form>
				</div>
				
				<!-- Social Boxed -->
				
				
            </div>
			
			<!-- Copyright -->
			
			
        </div>
    </section>
	<!-- End Sign Up Section -->
	
</div>
<!-- End pagewrapper -->

<!-- Sidebar Nav -->

<!-- End Sidebar Nav -->

<!-- Hidden Navigation Bar -->
<section class="hidden-bar left-align">
	<div class="color-layer"></div>
	<div class="hidden-bar-closer">
		<span class="flaticon-multiply"></span>
	</div>
	<!-- Hidden Bar Wrapper -->
	<div class="hidden-bar-wrapper">
		<ul class="pages-list">
			<li class="active"><a href="index.html"><span class="icon flaticon-home"></span>Home</a></li>
			<li><a href="featured-courses.html"><span class="icon flaticon-book"></span>Featured Courses</a></li>
			<li><a href="course-lesson.html"><span class="icon flaticon-category"></span>Courses Lesson</a></li>
			<li><a href="category.html"><span class="icon flaticon-test"></span>Course Categories</a></li>
			<li><a href="latest-courses.html"><span class="icon flaticon-subscription"></span>Latest Courses</a></li>
			<li><a href="course-detail.html"><span class="icon flaticon-new-window"></span>Course Landing</a></li>
			<li><a href="team.html"><span class="icon flaticon-instructor"></span>Popular Instructors</a></li>
		</ul>
		<div class="heading">Instructor</div>
		<ul class="pages-list">
			<li><a href="dashboard.html"><span class="icon flaticon-home"></span>Dashboard</a></li>
			<li><a href="manage-course.html"><span class="icon flaticon-test"></span>Manage Courses</a></li>
			<li><a href="earning.html"><span class="icon flaticon-scholarship"></span>Earnings</a></li>
			<li><a href="edit-course.html"><span class="icon flaticon-report"></span>Edit Course</a></li>
			<li><a href="instructor-profile.html"><span class="icon flaticon-file"></span>Instructor Profile</a></li>
		</ul>
		<div class="heading">Student</div>
		<ul class="pages-list">
			<li><a href="price.html"><span class="icon flaticon-money-bag"></span>Pricing</a></li>
			<li><a href="enrolled-courses.html"><span class="icon flaticon-test"></span>Enrolled Courses</a></li>
			<li><a href="certificate.html"><span class="icon flaticon-skills"></span>Certificate Center</a></li>
			<li><a href="test.html"><span class="icon flaticon-quiz"></span>Quiz</a></li>
			<li><a href="result.html"><span class="icon flaticon-document"></span>Quiz Result</a></li>
			<li><a href="student-profile.html"><span class="icon flaticon-student"></span>Student Profile</a></li>
		</ul>
		<div class="heading">Pages</div>
		<ul class="pages-list">
			<li><a href="blog.html"><span class="icon flaticon-social-media"></span>Blog</a></li>
			<li><a href="blog-detail.html"><span class="icon flaticon-article"></span>Blog Detail</a></li>
			<li><a href="not-found.html"><span class="icon flaticon-garbage"></span>Not Found</a></li>
			<li><a href="login.html"><span class="icon flaticon-contract"></span>Sign In</a></li>
			<li><a href="sign-up.html"><span class="icon flaticon-clipboard"></span>Sign Up</a></li>
			<li><a href="feedback.html"><span class="icon flaticon-thumb-up"></span>Feedback</a></li>
			<li><a href="checkout.html"><span class="icon flaticon-checkout"></span>Checkout</a></li>
			<li><a href="contact.html"><span class="icon flaticon-contact"></span>Contact Us</a></li>
			<li><a href="setting.html"><span class="icon flaticon-settings-1"></span>Settings</a></li>
			<li><a href="help.html"><span class="icon flaticon-information"></span>Help</a></li>
		</ul>
	</div>
	<!--Copyright Text-->
	<div class="copyright-text">Copyright &copy; 2020 Genter</div>
</section>

<!-- Color Palate / Color Switcher -->



<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.fancybox.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/appear.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/isotope.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/owl.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/wow.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.countdown.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery-ui.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/script.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/color-settings.js')); ?>"></script>

</body>

</html><?php /**PATH /home/injazcartsa/public_html/injaz-erp2024-source/resources/views/admin/auth/login.blade.php ENDPATH**/ ?>