
<?php $__env->startSection('title'); ?>
ضبط الاصناف
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الاصناف
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.itemcard.index')); ?>">  الاصناف </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   الاصناف</h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.itemcard.ajax_search')); ?>">
      <input type="hidden" id="ajax_ShowPricesModal" value="<?php echo e(route('admin.itemcard.ShowPricesModal')); ?>">

      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(59)): ?> 
      <a href="<?php echo e(route('admin.itemcard.create')); ?>" class="btn btn-sm btn-success" > اضافة جديد  </a>
      <a href="<?php echo e(route('admin.itemcard.load_import_excel_file')); ?>" class="btn btn-sm btn-success" >سحب ملف اكسيل</a>
      <?php endif; ?>
      <a class="btn btn-warning btn-sm" data-toggle="collapse" href="#collapseExampleSearch"
      style="    background-color: brown;color: white;border-color:brown" role="button" aria-expanded="false"
      aria-controls="collapseExampleSearch">
   البحث المتقدم
   </a>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form method="post" action="<?php echo e(route('admin.itemcard.prit_search')); ?>" target="_blank">
         <?php echo csrf_field(); ?>
         <div class="collapse row" id="collapseExampleSearch">
         <div class="col-md-3">
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="barcode"> بالباركود
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="item_code"> بالكود
            <input checked type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input style="margin-top: 6px !important;" type="text" name="search_by_text"  id="search_by_text" placeholder=" اسم - باركود - كود للصنف" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بنوع الصنف</label>
               <select name="item_type" id="item_type_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1"> مخزني</option>
                  <option  value="2"> استهلاكي بتاريخ صلاحية</option>
                  <option   value="3"> عهدة</option>
               </select>
          
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بفئة الصنف</label>
               <select name="inv_itemcard_categories_id" id="inv_itemcard_categories_id_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset($inv_itemcard_categories) && !@empty($inv_itemcard_categories)): ?>
                  <?php $__currentLoopData = $inv_itemcard_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
           
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بنوع الباركود</label>
               <select name="barcode_type_search" id="barcode_type_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1"> باركود يدوي من الصنف</option>
                  <option  value="2"> باركود تلقائي من النظام</option>
               </select>
             
            </div>
         </div>
     
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة الوحدة الاساسية</label>
               <select name="uom_state_search" id="uom_state_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1">تم تعيين وحدة</option>
                  <option  value="2"> بإنتظار تعيين وحدة</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة وحدة التجزئة</label>
               <select name="retail_state_search" id="retail_state_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1">له تجزئة</option>
                  <option  value="0">  ليس له تجزئة</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="active_search" id="active_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1">مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
             
            </div>
          
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  اظهار تسعير الأب بالطباعة</label>
               <select name="show_prices_print" id="show_prices_print" class="form-control">
                  <option   value="1">نعم</option>
                  <option  value="0"> لا</option>
               </select>
            </div>
         </div>

         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التسعير</label>
               <select name="brice_state_search" id="brice_state_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option   value="1">مسعر</option>
                  <option  value="2"> غير مسعر</option>
               </select>
             
            </div>
         </div>

         <div class="col-md-3">
            <div class="form-group">
               <label>  اظهار تسعير التجزئة بالطباعة</label>
               <select name="show_retail_prices_print" id="show_retail_prices_print" class="form-control">
                  <option   value="1">نعم</option>
                  <option  value="0"> لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>نوع السعر   بالطباعة</label>
               <select name="price_type_print" id="price_type_print" class="form-control">
                  <option   value="1"> القطاعي </option>
                  <option  value="2">  نص الجملة عروض </option>
                  <option  value="2">   الجملة  </option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  اظهار الكمية بالطباعة</label>
               <select name="show_quantity_print" id="show_quantity_print" class="form-control">
                  <option   value="1">نعم</option>
                  <option  value="0"> لا</option>
               </select>
            </div>
         </div>
      
         <div class="col-md-12">
            <div class="form- text-center">
             <button type="submit" class="btn btn-danger btn-sm" >طباعة البحث</button>
            </div>
         </div>
         <br>
      </div>
        <div class="row">
         <div class="clearfix"></div>
         <div id="ajax_responce_serarchDiv" class="col-md-12">
            <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
            <?php
            $i=1;   
            ?>
            <table id="example2" class="table table-bordered table-hover">
               <thead class="custom_thead">
                  <th style="width:10%;">كود  </th>
                  <th style="width:25%;">الاسم </th>
              
                  <th style="width:10%;"> الفئة </th>
                  <th style="width:10%;"> الوحدة  </th>
                  <th style="width:10%;">  الكمية  </th>
                  <th style="width:10%;"> التفعيل</th>
                  <th style="width:10%;"> باركود </th>

                  <th style="width:15%;"></th>
               </thead>
               <tbody>
                  <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                     <td><?php echo e($info->item_code); ?></td>
                     <td><?php echo e($info->name); ?></td>
                     <td><?php echo e($info->inv_itemcard_categories_name); ?></td>
                     <td><?php echo e($info->Uom_name); ?></td>
                     <td><?php echo e($info->All_QUENTITY*1); ?> <?php echo e($info->Uom_name); ?></td>
                     <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                     <td><?php echo e($info->barcode); ?></td>
                     <td>
                        <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(60)): ?> 
                        <a href="<?php echo e(route('admin.itemcard.edit',$info->id)); ?>" class="btn btn-sm  btn-primary" title="تعديل"><i class="fa fa-edit"></i></a>   
                        <?php endif; ?>
                     <?php if($info->CounterUsed ==0): ?>
                        <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(61)): ?> 
                        <a href="<?php echo e(route('admin.itemcard.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger" title="حذف"><i class="fa fa-trash"></i> </a>   
                        <?php endif; ?>
                        <?php endif; ?>
                        <a href="<?php echo e(route('admin.itemcard.show',$info->id)); ?>" class="btn btn-sm   btn-info" title="عرض التفاصيل"><i class="fa fa-eye"></i></a>   
                        <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm   btn-primary show_prices_modal" title="عرض الاسعار" style="    background-color: brown;border:0;"> <i  class="fas fa-dollar-sign    "></i></button>   
                        <a target="_blank" href="<?php echo e(route('admin.itemcard.generate_barcode',$info->id)); ?>" class="btn btn-sm   btn-success" title="طباعة باركود واسم"> <i class="fa fa-barcode" aria-hidden="true"></i></a>   

                   
                     </td>
                  </tr>
                  <?php
                  $i++; 
                  ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </tbody>
            </table>
            <br>
            <?php echo e($data->links()); ?>

            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
      </form>
   </div>
</div>
<div class="modal fade " id="show_theprices_modal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">عرض اسعار وحدات الصنف </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="show_theprices_modalBody" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/inv_itemcard.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>


      //Initialize Select2 Elements
      $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/inv_itemCard/index.blade.php ENDPATH**/ ?>