
<?php $__env->startSection('title'); ?>
تعديل الضبط العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الضبط
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.adminPanelSetting.index')); ?>"> الضبط </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
تعديل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">تعديل بيانات الضبط العام</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <?php if(@isset($data) && !@empty($data)): ?>
      <form action="<?php echo e(route('admin.adminPanelSetting.update')); ?>" method="post" enctype="multipart/form-data">
         <?php echo csrf_field(); ?>
         <div class="row">
            <div class="col-md-4">
               <div class="form-group">
                  <label>اسم الشركة</label>
                  <input name="system_name" id="system_name" class="form-control" value="<?php echo e($data['system_name']); ?>" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
                  <?php $__errorArgs = ['system_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>عنوان الشركة</label>
                  <input name="address" id="address" class="form-control" value="<?php echo e($data['address']); ?>" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
                  <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>  
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>هاتف الشركة</label>
                  <input name="phone" id="phone" class="form-control" value="<?php echo e($data['phone']); ?>" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
                  <?php $__errorArgs = ['phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>   
               </div>
            </div>
            <div class="col-md-4  "> 
               <div class="form-group">
               <label>نسبة ضريبة القيمة المضافة لفواتير المبيعات %  </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="sales_tax_value" id="sales_tax_value" class="form-control"  value="<?php echo e(old('sales_tax_value',$data['sales_tax_value']*1)); ?>" placeholder="ادخل النسبة " >
               <?php $__errorArgs = ['sales_tax_value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
               </div>
               <div class="col-md-4  "> 
                  <div class="form-group">
                  <label>بعد كم يوم يتم التذكير بالآجل المستحق علي العملاء من اخر عملية تحصيل  </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="after_days_agel_customer_remember" id="after_days_agel_customer_remember" class="form-control"  value="<?php echo e(old('after_days_agel_customer_remember',$data['after_days_agel_customer_remember']*1)); ?>"  >
                  <?php $__errorArgs = ['after_days_agel_customer_remember'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  </div>
                  <div class="col-md-4  "> 
                     <div class="form-group">
                     <label>تنبيه بنقص كميات الاصناف عند وصولها لكمية حد الطلب بوحدة الاب  </label>
                     <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="item_quantity_alert_in" id="item_quantity_alert_in" class="form-control"  value="<?php echo e(old('item_quantity_alert_in',$data['item_quantity_alert_in']*1)); ?>"  >
                     <?php $__errorArgs = ['item_quantity_alert_in'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                     </div>
                     </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للعملاء بالشجرة المحاسبية</label>
                  <select name="customer_parent_account_number" id="customer_parent_account_number" class="form-control select2">
                     <option value="">اختر الحساب </option>
                     <?php if(@isset($parent_accounts) && !@empty($parent_accounts)): ?>
                     <?php $__currentLoopData = $parent_accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option <?php if(old('customer_parent_account_number',$data['customer_parent_account_number'])==$info->account_number): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                  <?php $__errorArgs = ['customer_parent_account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
             <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للموردين بالشجرة المحاسبية</label>
                  <select name="suppliers_parent_account_number" id="suppliers_parent_account_number" class="form-control select2 ">
                     <option value="">اختر الحساب </option>
                     <?php if(@isset($parent_accounts) && !@empty($parent_accounts)): ?>
                     <?php $__currentLoopData = $parent_accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option <?php if(old('suppliers_parent_account_number',$data['suppliers_parent_account_number'])==$info->account_number): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                  <?php $__errorArgs = ['suppliers_parent_account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            

            <?php if($data['is_set_Batches_setting']==0): ?>
          
            <div class="col-md-4">
               <div class="form-group">
                  <label>    نوع آلية عمل الباتشات بالنظام</label>
                  <select name="Batches_setting_type" id="Batches_setting_type" class="form-control  ">
                     <option value="">اختر النوع </option>
                     <option value="1">  يعمل بنظام تعدد الباتشات للصنف طبقا لاختلاف سعر الشراء وتواريخ الانتاج والانتهاء </option>
                     <option value="2">    لايعمل بنظام الباتشات - فقط كمية لكل صنف</option>
             
                  </select>
                  <?php $__errorArgs = ['Batches_setting_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>


            <?php endif; ?>

            <div class="col-md-4">
               <div class="form-group">
                  <label>   نوع البيع الاساسي بالنظام</label>
                  <select name="sales_item_type_main" id="sales_item_type_main" class="form-control  ">
                     <option   <?php if(old('sales_item_type_main',$data['sales_item_type_main'])==1): ?> selected="selected" <?php endif; ?> value="1">  قطاعي</option>
                     <option  <?php if(old('sales_item_type_main',$data['sales_item_type_main'])==2): ?> selected="selected" <?php endif; ?> value="2">  نص جملة عروض</option>
                     <option  <?php if(old('sales_item_type_main',$data['sales_item_type_main'])==3): ?> selected="selected" <?php endif; ?> value="3">   جملة</option>

                  </select>
                  <?php $__errorArgs = ['sales_item_type_main'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>


            <div class="col-md-4">
               <div class="form-group">
                  <label>        وحدة البيع الاساسية بالفواتير</label>
                  <select name="default_unit" id="default_unit" class="form-control  ">
                     <option   <?php if(old('default_unit',$data['default_unit'])==1): ?> selected="selected" <?php endif; ?> value="1">  بيع تلقائي بالوحدة الاساسية للصنف</option>
                     <option  <?php if(old('default_unit',$data['default_unit'])==2): ?> selected="selected" <?php endif; ?> value="2">  بيع تلقائي بأقل وحدة تجزئة للصنف </option>
                  </select>
                  <?php $__errorArgs = ['default_unit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   طريقة البحث عن الصنف بفاتورة المبيعات</label>
                  <select name="search_for_item_in_sales_invoice" id="search_for_item_in_sales_invoice" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('search_for_item_in_sales_invoice',$data['search_for_item_in_sales_invoice'])==1 ? 'selected' : ''); ?>  value="1"> بحث بقارئ الباركود</option>
                     <option <?php echo e(old('search_for_item_in_sales_invoice',$data['search_for_item_in_sales_invoice'])==2 ? 'selected' : ''); ?>   value="2"> بحث يدوي بالاسم</option>
                  </select>
                  <?php $__errorArgs = ['search_for_item_in_sales_invoice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل يتم اضافة الصنف  بالمبيعات مباشرة بعد قراءه الباركود</label>
                  <select name="make_auto_add_after_enter_barcode" id="make_auto_add_after_enter_barcode" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('make_auto_add_after_enter_barcode',$data['make_auto_add_after_enter_barcode'])==1 ? 'selected' : ''); ?>  value="1"> نعم</option>
                     <option <?php echo e(old('make_auto_add_after_enter_barcode',$data['make_auto_add_after_enter_barcode'])==2 ? 'selected' : ''); ?>   value="2">لا</option>
                  </select>
                  <?php $__errorArgs = ['make_auto_add_after_enter_barcode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل موديول مراقبة النظام مفعل</label>
                  <select name="is_active_alerts_system_monitoring" id="is_active_alerts_system_monitoring" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('is_active_alerts_system_monitoring',$data['is_active_alerts_system_monitoring'])==1 ? 'selected' : ''); ?>  value="1"> نعم</option>
                     <option <?php echo e(old('is_active_alerts_system_monitoring',$data['is_active_alerts_system_monitoring'])==0 ? 'selected' : ''); ?>   value="0"> لا</option>
                  </select>
                  <?php $__errorArgs = ['is_active_alerts_system_monitoring'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل موديول اليومات التلقائية للشجرة مفعل</label>
                  <select name="is_active_for_auto_daily_tree" id="is_active_for_auto_daily_tree" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('is_active_for_auto_daily_tree',$data['is_active_for_auto_daily_tree'])==1 ? 'selected' : ''); ?>  value="1"> نعم</option>
                     <option <?php echo e(old('is_active_for_auto_daily_tree',$data['is_active_for_auto_daily_tree'])==0 ? 'selected' : ''); ?>   value="0"> لا</option>
                  </select>
                  <?php $__errorArgs = ['is_active_for_auto_daily_tree'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>      طريقة تحديث سعر تكلفة الشراء للصنف</label>
                  <select name="item_last_priceCost" id="item_last_priceCost" class="form-control  ">
                     <option   <?php if(old('item_last_priceCost',$data['item_last_priceCost'])==1): ?> selected="selected" <?php endif; ?> value="1">  يحدث من اخر سعر شراء</option>
                     <option  <?php if(old('item_last_priceCost',$data['item_last_priceCost'])==2): ?> selected="selected" <?php endif; ?> value="2">  يحدث من متوسط تكلفة الشراء</option>
                  </select>
                  <?php $__errorArgs = ['item_last_priceCost'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>       تقريب الارقام في التعاملات المالية الي كم علامة عشرية بالنظام </label>
                  <select name="settingForDecimalPoint" id="settingForDecimalPoint" class="form-control  ">
                     <option   <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==0): ?> selected="selected" <?php endif; ?> value="0">لايوجد ارقام بعد العلامة  </option>
                     <option  <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==1): ?> selected="selected" <?php endif; ?> value="1"> 1</option>
                     <option  <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==2): ?> selected="selected" <?php endif; ?> value="2"> 2</option>
                     <option  <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==3): ?> selected="selected" <?php endif; ?> value="3"> 3</option>
                     <option  <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==4): ?> selected="selected" <?php endif; ?> value="4"> 4</option>
                     <option  <?php if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==5): ?> selected="selected" <?php endif; ?> value="5"> 5</option>


                  </select>
                  <?php $__errorArgs = ['settingForDecimalPoint'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>       من اين يتم سحب حضور الموظفين</label>
                  <select name="where_pull_attendance_days" id="where_pull_attendance_days" class="form-control  ">
                     <option   <?php if(old('where_pull_attendance_days',$data['where_pull_attendance_days'])==1): ?> selected="selected" <?php endif; ?> value="1">  من سجل الحضور</option>
                     <option  <?php if(old('where_pull_attendance_days',$data['where_pull_attendance_days'])==2): ?> selected="selected" <?php endif; ?> value="2">  يدوي بالراتب</option>
                  </select>
                  <?php $__errorArgs = ['where_pull_attendance_days'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-8">
               <div class="form-group">
                  <label>رسالة تنبية اعلي الشاشة </label>
                  <input name="general_alert" id="general_alert" class="form-control" value="<?php echo e($data['general_alert']); ?>" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group"  >
                  <label>شعار الشركة</label>
                  <div class="image">
                     <img class="custom_img" src="<?php echo e(asset('assets/admin/uploads').'/'.$data['photo']); ?>"  alt="لوجو الشركة">       
                     <button type="button" class="btn btn-sm btn-danger" id="update_image">تغير الصورة</button>
                     <button type="button" class="btn btn-sm btn-danger" style="display: none;" id="cancel_update_image"> الغاء</button>
                  </div>
               </div>
               <div id="oldimage">
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button type="submit" class="btn btn-primary btn-sm">حفظ التعديلات</button>
               </div>
            </div>
         </div>
      </form>
      <?php else: ?>
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      <?php endif; ?>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script  src="<?php echo e(asset('assets/admin/js/collect_transaction.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/admin_panel_settings/edit.blade.php ENDPATH**/ ?>