<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Models\Admin;
use App\Models\inv_stores_transfer;
use App\Models\inv_stores_transfer_details;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\Store;
use App\Models\Inv_itemcard_movements;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemcard_batches;
use App\Models\inv_itemcard_retails_uoms;
use Illuminate\Support\Facades\DB;
use App\Models\Admins_stores;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class Inv_stores_transferIncomingController extends Controller
{
  public function index()
  {

    if (auth()->user()->is_master_admin == 0) {
      check_permission_sub_menue_actions_redirect(95);
    }

    $com_code = auth()->user()->com_code;
    $Mystores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
    $data = get_cols_where_whereIN_p(new inv_stores_transfer(), array("*"), array("com_code" => $com_code), "transfer_to_store_id", $Mystores, 'id', 'DESC', PC);
    if (!empty($data)) {
      foreach ($data as $info) {
        $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
        $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
        $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
        if ($info->updated_by > 0 and $info->updated_by != null) {
          $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
        }
      }
    }
    if (!empty($Mystores)) {
      foreach ($Mystores as $info) {
        $info->name = Store::where('id', $info->store_id)->value('name');
      }
    }
    $allStores = get_cols_where(new Store(), array('id', 'name'), array('com_code' => $com_code, 'active' => 1), 'id', 'ASC');
    return view('admin.inv_stores_transfer_incoming.index', ['data' => $data, 'Mystores' => $Mystores, 'allStores' => $allStores]);
  }
  public function show($id)
  {
    if (auth()->user()->is_master_admin == 0) {
      check_permission_sub_menue_actions_redirect(96);
    }
    try {
      $com_code = auth()->user()->com_code;
      $data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
      if (empty($data)) {
        return redirect()->route('admin.inv_stores_transfer.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
      }
      $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
      $data['from_store_name'] = Store::where('id', $data['transfer_from_store_id'])->value('name');
      $data['to_store_name'] = Store::where('id', $data['transfer_to_store_id'])->value('name');
      $data['store_name'] = Store::where('id', $data['store_id'])->value('name');
      if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
        $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
      }
      $details = get_cols_where(new inv_stores_transfer_details(), array("*"), array('inv_stores_transfer_auto_serial' => $data['auto_serial'],  'com_code' => $com_code), 'id', 'DESC');
      if (!empty($details)) {
        foreach ($details as $info) {
          $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
          $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
          $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
          if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
            $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
          }

          if ($info->is_canceld_receive == 1 and $info->canceld_by != null) {
            $info->canceld_by_admin = Admin::where('id', $info->canceld_by)->value('name');
          }

          if ($info->is_approved == 1 and $info->approved_by != null) {
            $info->approved_by_admin = Admin::where('id', $info->approved_by)->value('name');
          }
        }
      }
      return view("admin.inv_stores_transfer_incoming.show", ['data' => $data, 'details' => $details]);
    } catch (\Exception $ex) {
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }
  //اعتماد واستلام كمية صنف 
  function approve_one_details($id, $id_parent)
  {
    try {
      if (auth()->user()->is_master_admin == 0) {
        check_permission_sub_menue_actions_redirect(97);
      }
      $com_code = auth()->user()->com_code;
      //check is not approved 
      $data = get_cols_where_row(new inv_stores_transfer(), array("auto_serial", "transfer_from_store_id", "transfer_to_store_id", "is_approved"), array("id" => $id_parent, "com_code" => $com_code));
      if (empty($data)) {
        return redirect()->route("admin.inv_stores_transfer_incoming.index")->with(['error' => "عفوا غير قادر علي الوصول الي البيانات المطلوبة !!"]);
      }
      if ($data['is_approved'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد فاتورة معتمده من قبل !!"]);
      }
      $dataDetails = get_cols_where_row(new inv_stores_transfer_details(), array("is_approved"), array("id" => $id, "com_code" => $com_code));
      if (empty($dataDetails)) {
        return redirect()->route("admin.inv_stores_transfer_incoming.index")->with(['error' => "عفوا غير قادر علي الوصول الي البيانات المطلوبة !!"]);
      }
      if ($dataDetails['is_approved'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد صنف تم اعتمادة من   قبل !!"]);
      }

      if ($dataDetails['is_canceld_receive'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد صنف تم الغاؤه من   قبل !!"]);
      }
      DB::beginTransaction();
      //store move حركة مخزن الاستلام
      //first Get item card data جنجيب الاصناف بالكود الحالي  علي امر التحويل
      $items = get_cols_where(new inv_stores_transfer_details(), array("*"), array("inv_stores_transfer_auto_serial" => $data['auto_serial'], "com_code" => $com_code, "id" => $id), "id", "ASC");
      if (!empty($items)) {
        foreach ($items as $info) {
          //get itemCard Data
          $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit"), array("com_code" => $com_code, "item_code" => $info->item_code));
          if (!empty($itemCard_Data)) {
            //get Quantity Befor any Action  حنجيب كيمة الصنف بكل المخازن قبل الحركة
            $quantityBeforMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
            //get Quantity Befor any Action  حنجيب كيمة الصنف  بمخزن الاستلام المشتريات الحالي قبل الحركة
            $quantityBeforMoveCurrntStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['transfer_to_store_id']));
            $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
            //if is parent Uom لو وحده اب
            if ($info->isparentuom == 1) {
              $quntity = $info->deliverd_quantity;
              $unit_price = $info->unit_price;
            } else {
              // if is retail  لو كان بوحده الابن التجزئة
              //التحويل من الاب للابن بنضرب   في النسبة بينهم - اما التحويل من الابن للاب بنقسم علي النسبه بينهما 
              $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $info->item_code, "com_code" => $com_code, "retail_uom_id" => $info->uom_id));

              $quntity = ($info->deliverd_quantity / $itemCard_Data['retail_uom_quntToParent']);
              $unit_price = $info->unit_price * $itemCard_Data['retail_uom_quntToParent'];
            }
            //بندخل الكميات للمخزن بوحده القياس الاب  اجباري 


            $dataInsertBatch["store_id"] = $data['transfer_to_store_id'];
            $dataInsertBatch["item_code"] = $info->item_code;
            if ($info->item_card_type == 2) {
              //استهلاكي بتواريخ 
              $dataInsertBatch["production_date"] = $info->production_date;
              $dataInsertBatch["expired_date"] = $info->expire_date;
            }
            $dataInsertBatch["unit_cost_price"] = $unit_price;
            $dataInsertBatch["inv_uoms_id"] = $itemCard_Data['uom_id'];
            $admin_panel_settings = get_cols_where_row(new Admin_panel_setting(), array("Batches_setting_type"), array("com_code" => $com_code));

            if ($admin_panel_settings['Batches_setting_type'] == 1) {
              $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price"), $dataInsertBatch);
            } else {
              $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price", "auto_serial"), array("item_code" => $info->item_code, "com_code" => $com_code, "store_id" => $data['transfer_to_store_id']));
            }


            if (!empty($OldBatchExsists)) {
              //update current Batch تحديث علي الباتش القديمة
              $dataUpdateOldBatch['quantity'] = todecimal($OldBatchExsists['quantity'] + $quntity, 5);
              $dataUpdateOldBatch['total_cost_price'] = todecimal($OldBatchExsists['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
              $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
              $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
              $theBatchID = $OldBatchExsists['id'];
              update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $OldBatchExsists['id'], "com_code" => $com_code));
            } else {
              //insert new Batch ادخال باتش جديده
              $dataInsertBatch["quantity"] = todecimal($quntity, 5);
              $dataInsertBatch["total_cost_price"] = todecimal($info->total_price);
              $dataInsertBatch["created_at"] = date("Y-m-d H:i:s");
              $dataInsertBatch["added_by"] = auth()->user()->id;
              $dataInsertBatch["com_code"] = $com_code;
              $row = get_cols_where_row_orderby(new Inv_itemcard_batches(), array("auto_serial"), array("com_code" => $com_code), 'id', 'DESC');
              if (!empty($row)) {
                $dataInsertBatch['auto_serial'] = $row['auto_serial'] + 1;
              } else {
                $dataInsertBatch['auto_serial'] = 1;
              }
              insert(new Inv_itemcard_batches(), $dataInsertBatch);
              $theBatchID = get_field_value(new Inv_itemcard_batches(), 'auto_serial', $dataInsertBatch);
            }
            $dataToUpdateDetails['is_approved'] = 1;
            $dataToUpdateDetails['approved_by'] = auth()->user()->id;
            $dataToUpdateDetails['approved_at'] = date("Y-m-d H:i:s");
            update(new inv_stores_transfer_details(), $dataToUpdateDetails, array("id" => $id, "com_code" => $com_code));
            //كمية الصنف بكل المخازن بعد اتمام حركة الباتشات وترحيلها
            $quantityAfterMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
            //كمية الصنف بمخزن فاتورة الشراء  بعد اتمام حركة الباتشات وترحيلها
            $quantityAfterMoveCurrentStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['transfer_to_store_id']));
            $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
            $dataInsert_inv_itemcard_movements['items_movements_types'] = 22;
            $dataInsert_inv_itemcard_movements['item_code'] = $info->item_code;
            //كود الفاتورة الاب
            $dataInsert_inv_itemcard_movements['FK_table'] = $data['auto_serial'];
            //كود صف الابن بتفاصيل الفاتورة
            $dataInsert_inv_itemcard_movements['FK_table_details'] = $info->id;
            $from_store_name = Store::where('id', $data['transfer_from_store_id'])->value('name');
            $dataInsert_inv_itemcard_movements['byan'] = "نظير اعتماد واستلام امر تحويل وارد من المخزن   " . " " . $from_store_name . " امر تحويل رقم" . " " . $data['auto_serial'];
            //كمية الصنف بكل المخازن قبل الحركة
            $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
            // كمية الصنف بكل المخازن بعد  الحركة
            $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
            //كمية الصنف  المخزن الحالي قبل الحركة
            $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
            // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
            $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
            $dataInsert_inv_itemcard_movements["store_id"] = $data['transfer_to_store_id'];
            $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
            $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
            $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
            $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
            insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
            //item Move Card حركة الصنف 
          }
          // update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
          do_update_itemCardQuantity(new Inv_itemCard(), $info->item_code, new Inv_itemcard_batches());
        }
      }
      DB::commit();
      return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['success' => " تم اعتماد واستلام كمية الصنف  بنجاح  "]);
    } catch (\Exception $ex) {
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }
  public function load_cancel_one_details(Request $request)
  {
    if ($request->ajax()) {
      $com_code = auth()->user()->com_code;
      $where = $request->where;
      if ($where == 'single') {
        $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "id"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, "is_approved" => 0));
        $data = get_cols_where_row(new inv_stores_transfer_details(), array("is_approved", "id"), array("id" => $request->id, "com_code" => $com_code, "is_approved" => 0, "is_canceld_receive" => 0));
      } else {
        $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("is_approved", "id"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, "is_approved" => 0));
        $data =   $parent_pill_data;
      }

      return view("admin.inv_stores_transfer_incoming.load_cancel_one_details", ['parent_pill_data' => $parent_pill_data, 'data' => $data, 'where' => $where]);
    }
  }
  //اعتماد وترحيل فاتورة المشتريات 
  function do_cancel_one_details($id, $id_parent, Request $request)
  {
    try {
      if (auth()->user()->is_master_admin == 0) {
        check_permission_sub_menue_actions_redirect(97);
      }
      $com_code = auth()->user()->com_code;
      //check is not approved 
      $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("auto_serial", "transfer_from_store_id", "transfer_to_store_id", "is_approved"), array("id" => $id_parent, "com_code" => $com_code));
      if (empty($parent_pill_data)) {
        return redirect()->route("admin.inv_stores_transfer_incoming.index")->with(['error' => "عفوا غير قادر علي الوصول الي البيانات المطلوبة !!"]);
      }
      if ($parent_pill_data['is_approved'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد فاتورة معتمده من قبل !!"]);
      }
      $item_row = get_cols_where_row(new inv_stores_transfer_details(), array("*"), array("id" => $id, "com_code" => $com_code));
      if (empty($item_row)) {
        return redirect()->route("admin.inv_stores_transfer_incoming.index")->with(['error' => "عفوا غير قادر علي الوصول الي البيانات المطلوبة !!"]);
      }
      if ($item_row['is_approved'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد صنف تم اعتمادة من   قبل !!"]);
      }
      if ($item_row['is_canceld_receive'] == 1) {
        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['error' => "عفوا لايمكن اعتماد صنف تم اعتمادة من   قبل !!"]);
      }
      DB::beginTransaction();
      $dataToUpdateDetails['canceld_cause'] = $request->canceld_cause;
      $dataToUpdateDetails['is_canceld_receive'] = 1;
      $dataToUpdateDetails['canceld_by'] = auth()->user()->id;
      $dataToUpdateDetails['canceld_at'] = date("Y-m-d H:i:s");
      $flag = update(new inv_stores_transfer_details(), $dataToUpdateDetails, array("id" => $id, "com_code" => $com_code));
      if ($flag) {
        $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $item_row['item_code']));
        $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "unit_cost_price", "id", "production_date", "expired_date"), array("com_code" => $com_code, "auto_serial" => $item_row['transfer_from_batch_id'], 'store_id' => $parent_pill_data['transfer_from_store_id'], 'item_code' => $item_row['item_code']));
        if (!empty($itemCard_Data) and !empty($batch_data)) {
          //خصم الكمية من الباتش 
          //كمية الصنف بكل المخازن قبل الحركة
          $quantityBeforMove = get_sum_where(
            new Inv_itemcard_batches(),
            "quantity",
            array(
              "item_code" => $item_row['item_code'],
              "com_code" => $com_code
            )
          );
          //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
          $quantityBeforMoveCurrntStore = get_sum_where(
            new Inv_itemcard_batches(),
            "quantity",
            array(
              "item_code" => $item_row['item_code'], "com_code" => $com_code,
              'store_id' => $parent_pill_data['transfer_from_store_id']
            )
          );
          //حنرجع  الكمية لحظيا من باتش الصنف
          //update current Batch تحديث علي الباتش القديمة
          if ($item_row['isparentuom'] == 1) {
            //حنرجع بشكل مباشر لانه بنفس وحده الباتش الاب
            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_row['deliverd_quantity'], 5);
          } else {
            //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل الخصم انتبه !!
            $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $item_row['item_code'], "com_code" => $com_code, "retail_uom_id" => $item_row['uom_id']));
            $item_quantityByParentUom = $item_row['deliverd_quantity'] / $itemCard_Data['retail_uom_quntToParent'];
            $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_quantityByParentUom, 5);
          }
          $dataUpdateOldBatch['total_cost_price'] = todecimal($batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
          $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
          $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
          $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
          if ($flag) {
            $quantityAfterMove = get_sum_where(
              new Inv_itemcard_batches(),
              "quantity",
              array(
                "item_code" => $item_row['item_code'],
                "com_code" => $com_code
              )
            );
            //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
            $quantityAfterMoveCurrentStore = get_sum_where(
              new Inv_itemcard_batches(),
              "quantity",
              array("item_code" => $item_row['item_code'], "com_code" => $com_code, 'store_id' => $parent_pill_data['transfer_from_store_id'])
            );
            //التاثير في حركة كارت الصنف
            $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
            $dataInsert_inv_itemcard_movements['items_movements_types'] = 23;
            $dataInsert_inv_itemcard_movements['item_code'] = $item_row['item_code'];
            //كود الفاتورة الاب
            $dataInsert_inv_itemcard_movements['FK_table'] = $parent_pill_data['auto_serial'];
            //كود صف الابن بتفاصيل الفاتورة
            $dataInsert_inv_itemcard_movements['FK_table_details'] = $item_row['id'];
            $to_store_name = Store::where('id', $parent_pill_data['transfer_to_store_id'])->value('name');
            $from_store_name = Store::where('id', $parent_pill_data['transfer_from_store_id'])->value('name');
            $dataInsert_inv_itemcard_movements['byan'] = " نظير حذف سطر الصنف من أمر تحويل من المخزن            " . " " . $from_store_name . "  الي المخزن" . $to_store_name . " امر تحويل" . " " . $parent_pill_data['auto_serial'];
            $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
            //كمية الصنف بكل المخازن قبل الحركة
            $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
            // كمية الصنف بكل المخازن بعد  الحركة
            $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
            //كمية الصنف  المخزن الحالي قبل الحركة
            $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
            // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
            $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
            $dataInsert_inv_itemcard_movements["store_id"] = $parent_pill_data['transfer_from_store_id'];
            $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
            $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
            $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
            $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
            $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
            if ($flag) {
              //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
              do_update_itemCardQuantity(
                new Inv_itemCard(),
                $item_row['item_code'],
                new Inv_itemcard_batches()
              );

              DB::commit();
            }
          } else {
            return redirect()->back()
              ->with(['error' => 'عفوا حدث خطأ ما']);
          }
        }

        return redirect()->route("admin.inv_stores_transfer_incoming.show", $id_parent)->with(['success' => "لقد تم الالغاء  بنجاح"]);
      } else {
        return redirect()->back()
          ->with(['error' => 'عفوا حدث خطأ ما']);
      }
    } catch (\Exception $ex) {
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }

  public function ajax_search(Request $request)
  {
    if ($request->ajax()) {
      $search_by_text = $request->search_by_text;
      $transfer_from_store_id_search = $request->transfer_from_store_id_search;
      $transfer_to_store_id_search = $request->transfer_to_store_id_search;
      $order_date_form = $request->order_date_form;
      $order_date_to = $request->order_date_to;
      $searchbyradio = $request->searchbyradio;
      $is_approved = $request->is_approved;

      if ($transfer_from_store_id_search == 'all') {
        //دائما  true
        $field1 = "id";
        $operator1 = ">";
        $value1 = 0;
      } else {
        $field1 = "transfer_from_store_id";
        $operator1 = "=";
        $value1 = $transfer_from_store_id_search;
      }
      if ($transfer_to_store_id_search == 'all') {
        //دائما  true
        $wherein = "all";
      } else {
        $field2 = "transfer_to_store_id";
        $operator2 = "=";
        $value2 = $transfer_to_store_id_search;
      }

      if ($order_date_form == '') {
        //دائما  true
        $field3 = "id";
        $operator3 = ">";
        $value3 = 0;
      } else {
        $field3 = "order_date";
        $operator3 = ">=";
        $value3 = $order_date_form;
      }



      if ($order_date_to == '') {
        //دائما  true
        $field4 = "id";
        $operator4 = ">";
        $value4 = 0;
      } else {
        $field4 = "order_date";
        $operator4 = "<=";
        $value4 = $order_date_to;
      }
      if ($search_by_text != '') {
        $field5 = "auto_serial";
        $operator5 = "=";
        $value5 = $search_by_text;
      } else {
        //true 
        $field5 = "id";
        $operator5 = ">";
        $value5 = 0;
      }

      if ($is_approved == 'all') {
        //دائما  true
        $field6 = "id";
        $operator6 = ">";
        $value6 = 0;
      } else {
        $field6 = "is_approved";
        $operator6 = "=";
        $value6 = $is_approved;
      }
      $com_code = auth()->user()->com_code;
      $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
      if (isset($wherein)) {
        $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->whereIn('transfer_to_store_id',  $stores)->orderBy('id', 'DESC')->paginate(PC);
      } else {
        $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->orderBy('id', 'DESC')->paginate(PC);
      }
      if (!empty($data)) {
        foreach ($data as $info) {
          $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
          $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
          $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
          if ($info->updated_by > 0 and $info->updated_by != null) {
            $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
          }
        }
      }
      return view('admin.inv_stores_transfer_incoming.ajax_search', ['data' => $data]);
    }
  }

  public function printsaleswina4($id, $size)
  {
    if (auth()->user()->is_master_admin == 0) {
      check_permission_sub_menue_actions_redirect(98);
    }
    try {
      $com_code = auth()->user()->com_code;
      $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
      if (empty($invoice_data)) {
        return redirect()->route('admin.inv_stores_transfer_incoming.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
      }
      $invoice_data['added_by_admin'] = Admin::where('id', $invoice_data['added_by'])->value('name');
      $invoice_data['from_store_name'] = Store::where('id', $invoice_data['transfer_from_store_id'])->value('name');
      $invoice_data['to_store_name'] = Store::where('id', $invoice_data['transfer_to_store_id'])->value('name');
      $invoices_details =  inv_stores_transfer_details::select('*')
      ->join('inv_itemcard', 'inv_itemcard.item_code', '=', 'inv_stores_transfer_details.item_code')
      ->where("inv_stores_transfer_details.com_code","=",$com_code)->where("inv_stores_transfer_details.inv_stores_transfer_auto_serial","=",$invoice_data['auto_serial'])
      ->orderby('inv_itemcard.name','ASC')->get();
      if (!empty($invoices_details)) {
        foreach ($invoices_details as $info) {
          $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
          $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
        }
      }
      $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

      if ($size == "A4") {
        return view('admin.inv_stores_transfer_incoming.printsaleswina4', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
      } else {
        return view('admin.inv_stores_transfer_incoming.printsaleswina6', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
      }
    } catch (\Exception $ex) {
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }
  public function approve_all($id)
  {
    if (auth()->user()->is_master_admin == 0) {
      check_permission_sub_menue_actions_redirect(234);
    }
    try {
      $com_code = auth()->user()->com_code;
      $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
      if (empty($invoice_data)) {
        return redirect()->back()
          ->with(['error' => 'عفوا حدث خطأ ما']);
      }
      if ($invoice_data['is_approved'] == 1) {
        if (empty($parent_pill_data)) {
          return redirect()->back()
            ->with(['error' => 'عفوا  لايمكن التعديل بتفاصيل فاتورة معتمده ومؤرشفة']);
        }
      }
      DB::beginTransaction();
      $allItemsWatingAction = inv_stores_transfer_details::select("*")->where("com_code", "=", $com_code)
        ->where("inv_stores_transfer_auto_serial", "=", $invoice_data['auto_serial'])
        ->where("is_approved", "=", 0)->where('is_canceld_receive', '=', 0)->orderby("item_code", "ASC")->get();
      if (!empty($allItemsWatingAction)) {
        foreach ($allItemsWatingAction as $item) {
          $this->approve_one_details_internal($item->id, $id);
        }
      }
      DB::commit();
      return redirect()->back()
        ->with(['success' => 'تم اعتماد واستلام  كل المنتظر  بنجاح']);
    } catch (\Exception $ex) {
      DB::rollBack();
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }

  public function cancel_all($id, Request $request)
  {
    if (auth()->user()->is_master_admin == 0) {
      check_permission_sub_menue_actions_redirect(234);
    }
    try {
      $com_code = auth()->user()->com_code;
      $invoice_data = get_cols_where_row(new inv_stores_transfer(), array("*"), array("id" => $id, "com_code" => $com_code));
      if (empty($invoice_data)) {
        return redirect()->back()
          ->with(['error' => 'عفوا حدث خطأ ما']);
      }
      if ($invoice_data['is_approved'] == 1) {
        if (empty($parent_pill_data)) {
          return redirect()->back()
            ->with(['error' => 'عفوا  لايمكن التعديل بتفاصيل فاتورة معتمده ومؤرشفة']);
        }
      }
      DB::beginTransaction();
      $allItemsWatingAction = inv_stores_transfer_details::select("*")->where("com_code", "=", $com_code)
        ->where("inv_stores_transfer_auto_serial", "=", $invoice_data['auto_serial'])
        ->where("is_approved", "=", 0)->where('is_canceld_receive', '=', 0)->orderby("item_code", "ASC")->get();
      if (!empty($allItemsWatingAction)) {
        foreach ($allItemsWatingAction as $info) {
          $this->do_cancel_one_details_internal($info->id, $id, $request->canceld_cause);
        }
      }
      DB::commit();
      return redirect()->back()
        ->with(['success' => 'تم رفض كل المنتظر  بنجاح']);
    } catch (\Exception $ex) {
      DB::rollBack();
      return redirect()->back()
        ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
  }


  function approve_one_details_internal($id, $id_parent)
  {


    $com_code = auth()->user()->com_code;
    //check is not approved 
    $data = get_cols_where_row(new inv_stores_transfer(), array("auto_serial", "transfer_from_store_id", "transfer_to_store_id", "is_approved"), array("id" => $id_parent, "com_code" => $com_code));
    if (!empty($data)) {
      if ($data['is_approved'] == 0) {
        $dataDetails = get_cols_where_row(new inv_stores_transfer_details(), array("is_approved"), array("id" => $id, "com_code" => $com_code));
        if (!empty($dataDetails)) {
          if ($dataDetails['is_approved'] == 0 and $dataDetails['is_canceld_receive'] == 0) {

            DB::beginTransaction();
            //store move حركة مخزن الاستلام
            //first Get item card data جنجيب الاصناف بالكود الحالي  علي امر التحويل
            $items = get_cols_where(new inv_stores_transfer_details(), array("*"), array("inv_stores_transfer_auto_serial" => $data['auto_serial'], "com_code" => $com_code, "id" => $id), "id", "ASC");
            if (!empty($items)) {
              foreach ($items as $info) {
                //get itemCard Data
                $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit"), array("com_code" => $com_code, "item_code" => $info->item_code));
                if (!empty($itemCard_Data)) {
                  //get Quantity Befor any Action  حنجيب كيمة الصنف بكل المخازن قبل الحركة
                  $quantityBeforMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
                  //get Quantity Befor any Action  حنجيب كيمة الصنف  بمخزن الاستلام المشتريات الحالي قبل الحركة
                  $quantityBeforMoveCurrntStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['transfer_to_store_id']));
                  $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                  //if is parent Uom لو وحده اب
                  if ($info->isparentuom == 1) {
                    $quntity = $info->deliverd_quantity;
                    $unit_price = $info->unit_price;
                  } else {
                    // if is retail  لو كان بوحده الابن التجزئة
                    //التحويل من الاب للابن بنضرب   في النسبة بينهم - اما التحويل من الابن للاب بنقسم علي النسبه بينهما 
                    $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $info->item_code, "com_code" => $com_code, "retail_uom_id" => $info->uom_id));

                    $quntity = ($info->deliverd_quantity / $itemCard_Data['retail_uom_quntToParent']);
                    $unit_price = $info->unit_price * $itemCard_Data['retail_uom_quntToParent'];
                  }
                  //بندخل الكميات للمخزن بوحده القياس الاب  اجباري 


                  $dataInsertBatch["store_id"] = $data['transfer_to_store_id'];
                  $dataInsertBatch["item_code"] = $info->item_code;
                  if ($info->item_card_type == 2) {
                    //استهلاكي بتواريخ 
                    $dataInsertBatch["production_date"] = $info->production_date;
                    $dataInsertBatch["expired_date"] = $info->expire_date;
                  }
                  $dataInsertBatch["unit_cost_price"] = $unit_price;
                  $dataInsertBatch["inv_uoms_id"] = $itemCard_Data['uom_id'];
                  $admin_panel_settings = get_cols_where_row(new Admin_panel_setting(), array("Batches_setting_type"), array("com_code" => $com_code));

                  if ($admin_panel_settings['Batches_setting_type'] == 1) {
                    $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price"), $dataInsertBatch);
                  } else {
                    $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price", "auto_serial"), array("item_code" => $info->item_code, "com_code" => $com_code, "store_id" => $data['transfer_to_store_id']));
                  }


                  if (!empty($OldBatchExsists)) {
                    //update current Batch تحديث علي الباتش القديمة
                    $dataUpdateOldBatch['quantity'] = todecimal($OldBatchExsists['quantity'] + $quntity, 5);
                    $dataUpdateOldBatch['total_cost_price'] = todecimal($OldBatchExsists['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
                    $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                    $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                    $theBatchID = $OldBatchExsists['id'];
                    update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $OldBatchExsists['id'], "com_code" => $com_code));
                  } else {
                    //insert new Batch ادخال باتش جديده
                    $dataInsertBatch["quantity"] = todecimal($quntity, 5);
                    $dataInsertBatch["total_cost_price"] = todecimal($info->total_price);
                    $dataInsertBatch["created_at"] = date("Y-m-d H:i:s");
                    $dataInsertBatch["added_by"] = auth()->user()->id;
                    $dataInsertBatch["com_code"] = $com_code;
                    $row = get_cols_where_row_orderby(new Inv_itemcard_batches(), array("auto_serial"), array("com_code" => $com_code), 'id', 'DESC');
                    if (!empty($row)) {
                      $dataInsertBatch['auto_serial'] = $row['auto_serial'] + 1;
                    } else {
                      $dataInsertBatch['auto_serial'] = 1;
                    }
                    insert(new Inv_itemcard_batches(), $dataInsertBatch);
                    $theBatchID = get_field_value(new Inv_itemcard_batches(), 'auto_serial', $dataInsertBatch);
                  }
                  $dataToUpdateDetails['is_approved'] = 1;
                  $dataToUpdateDetails['approved_by'] = auth()->user()->id;
                  $dataToUpdateDetails['approved_at'] = date("Y-m-d H:i:s");
                  update(new inv_stores_transfer_details(), $dataToUpdateDetails, array("id" => $id, "com_code" => $com_code));
                  //كمية الصنف بكل المخازن بعد اتمام حركة الباتشات وترحيلها
                  $quantityAfterMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
                  //كمية الصنف بمخزن فاتورة الشراء  بعد اتمام حركة الباتشات وترحيلها
                  $quantityAfterMoveCurrentStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['transfer_to_store_id']));
                  $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                  $dataInsert_inv_itemcard_movements['items_movements_types'] = 22;
                  $dataInsert_inv_itemcard_movements['item_code'] = $info->item_code;
                  //كود الفاتورة الاب
                  $dataInsert_inv_itemcard_movements['FK_table'] = $data['auto_serial'];
                  //كود صف الابن بتفاصيل الفاتورة
                  $dataInsert_inv_itemcard_movements['FK_table_details'] = $info->id;
                  $from_store_name = Store::where('id', $data['transfer_from_store_id'])->value('name');
                  $dataInsert_inv_itemcard_movements['byan'] = "نظير اعتماد واستلام امر تحويل وارد من المخزن   " . " " . $from_store_name . " امر تحويل رقم" . " " . $data['auto_serial'];
                  //كمية الصنف بكل المخازن قبل الحركة
                  $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                  // كمية الصنف بكل المخازن بعد  الحركة
                  $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                  //كمية الصنف  المخزن الحالي قبل الحركة
                  $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                  // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                  $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                  $dataInsert_inv_itemcard_movements["store_id"] = $data['transfer_to_store_id'];
                  $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                  $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                  $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                  $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                  insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                  //item Move Card حركة الصنف 
                }
                // update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                do_update_itemCardQuantity(new Inv_itemCard(), $info->item_code, new Inv_itemcard_batches());
              }
            }
            DB::commit();
          }
        }
      }
    }
  }


  function do_cancel_one_details_internal($id, $id_parent, $canceld_cause = "")
  {
    $com_code = auth()->user()->com_code;
    //check is not approved 
    $parent_pill_data = get_cols_where_row(new inv_stores_transfer(), array("auto_serial", "transfer_from_store_id", "transfer_to_store_id", "is_approved"), array("id" => $id_parent, "com_code" => $com_code));
    if (!empty($parent_pill_data)) {
      if ($parent_pill_data['is_approved'] == 0) {
        $item_row = get_cols_where_row(new inv_stores_transfer_details(), array("*"), array("id" => $id, "com_code" => $com_code));
        if (!empty($item_row)) {
          if ($item_row['is_approved'] == 0 and $item_row['is_canceld_receive'] == 0) {
            DB::beginTransaction();
            $dataToUpdateDetails['canceld_cause'] = $canceld_cause;
            $dataToUpdateDetails['is_canceld_receive'] = 1;
            $dataToUpdateDetails['canceld_by'] = auth()->user()->id;
            $dataToUpdateDetails['canceld_at'] = date("Y-m-d H:i:s");
            $flag = update(new inv_stores_transfer_details(), $dataToUpdateDetails, array("id" => $id, "com_code" => $com_code));
            if ($flag) {
              $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $item_row['item_code']));
              $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "unit_cost_price", "id", "production_date", "expired_date"), array("com_code" => $com_code, "auto_serial" => $item_row['transfer_from_batch_id'], 'store_id' => $parent_pill_data['transfer_from_store_id'], 'item_code' => $item_row['item_code']));
              if (!empty($itemCard_Data) and !empty($batch_data)) {
                //خصم الكمية من الباتش 
                //كمية الصنف بكل المخازن قبل الحركة
                $quantityBeforMove = get_sum_where(
                  new Inv_itemcard_batches(),
                  "quantity",
                  array(
                    "item_code" => $item_row['item_code'],
                    "com_code" => $com_code
                  )
                );
                //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
                $quantityBeforMoveCurrntStore = get_sum_where(
                  new Inv_itemcard_batches(),
                  "quantity",
                  array(
                    "item_code" => $item_row['item_code'], "com_code" => $com_code,
                    'store_id' => $parent_pill_data['transfer_from_store_id']
                  )
                );
                //حنرجع  الكمية لحظيا من باتش الصنف
                //update current Batch تحديث علي الباتش القديمة
                if ($item_row['isparentuom'] == 1) {
                  //حنرجع بشكل مباشر لانه بنفس وحده الباتش الاب
                  $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_row['deliverd_quantity'], 5);
                } else {
                  //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل الخصم انتبه !!
                  $itemCard_Data['retail_uom_quntToParent'] = get_field_value(new inv_itemcard_retails_uoms(), "retail_uom_quntToParent", array("item_code" => $item_row['item_code'], "com_code" => $com_code, "retail_uom_id" => $item_row['uom_id']));
                  $item_quantityByParentUom = $item_row['deliverd_quantity'] / $itemCard_Data['retail_uom_quntToParent'];
                  $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_quantityByParentUom, 5);
                }
                $dataUpdateOldBatch['total_cost_price'] = todecimal($batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
                $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
                if ($flag) {
                  $quantityAfterMove = get_sum_where(
                    new Inv_itemcard_batches(),
                    "quantity",
                    array(
                      "item_code" => $item_row['item_code'],
                      "com_code" => $com_code
                    )
                  );
                  //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
                  $quantityAfterMoveCurrentStore = get_sum_where(
                    new Inv_itemcard_batches(),
                    "quantity",
                    array("item_code" => $item_row['item_code'], "com_code" => $com_code, 'store_id' => $parent_pill_data['transfer_from_store_id'])
                  );
                  //التاثير في حركة كارت الصنف
                  $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                  $dataInsert_inv_itemcard_movements['items_movements_types'] = 23;
                  $dataInsert_inv_itemcard_movements['item_code'] = $item_row['item_code'];
                  //كود الفاتورة الاب
                  $dataInsert_inv_itemcard_movements['FK_table'] = $parent_pill_data['auto_serial'];
                  //كود صف الابن بتفاصيل الفاتورة
                  $dataInsert_inv_itemcard_movements['FK_table_details'] = $item_row['id'];
                  $to_store_name = Store::where('id', $parent_pill_data['transfer_to_store_id'])->value('name');
                  $from_store_name = Store::where('id', $parent_pill_data['transfer_from_store_id'])->value('name');
                  $dataInsert_inv_itemcard_movements['byan'] = " نظير حذف سطر الصنف من أمر تحويل من المخزن            " . " " . $from_store_name . "  الي المخزن" . $to_store_name . " امر تحويل" . " " . $parent_pill_data['auto_serial'];
                  $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                  //كمية الصنف بكل المخازن قبل الحركة
                  $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                  // كمية الصنف بكل المخازن بعد  الحركة
                  $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                  //كمية الصنف  المخزن الحالي قبل الحركة
                  $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                  // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                  $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                  $dataInsert_inv_itemcard_movements["store_id"] = $parent_pill_data['transfer_from_store_id'];
                  $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                  $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                  $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                  $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                  $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                  if ($flag) {
                    //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                    do_update_itemCardQuantity(
                      new Inv_itemCard(),
                      $item_row['item_code'],
                      new Inv_itemcard_batches()
                    );

                    DB::commit();
                  }
                }
              }
            }
          }
        }
      }
    }
  }
  public function print_search(Request $request)
  {
 
      $search_by_text = $request->search_by_text;
      $transfer_from_store_id_search = $request->transfer_from_store_id_search;
      $transfer_to_store_id_search = $request->transfer_to_store_id_search;
      $order_date_form = $request->order_date_form;
      $order_date_to = $request->order_date_to;
      $searchbyradio = $request->searchbyradio;
      $is_approved = $request->is_approved;

      if ($transfer_from_store_id_search == 'all') {
        //دائما  true
        $field1 = "id";
        $operator1 = ">";
        $value1 = 0;
      } else {
        $field1 = "transfer_from_store_id";
        $operator1 = "=";
        $value1 = $transfer_from_store_id_search;
      }
      if ($transfer_to_store_id_search == 'all') {
        //دائما  true
        $wherein = "all";
      } else {
        $field2 = "transfer_to_store_id";
        $operator2 = "=";
        $value2 = $transfer_to_store_id_search;
      }

      if ($order_date_form == '') {
        //دائما  true
        $field3 = "id";
        $operator3 = ">";
        $value3 = 0;
      } else {
        $field3 = "order_date";
        $operator3 = ">=";
        $value3 = $order_date_form;
      }



      if ($order_date_to == '') {
        //دائما  true
        $field4 = "id";
        $operator4 = ">";
        $value4 = 0;
      } else {
        $field4 = "order_date";
        $operator4 = "<=";
        $value4 = $order_date_to;
      }
      if ($search_by_text != '') {
        $field5 = "auto_serial";
        $operator5 = "=";
        $value5 = $search_by_text;
      } else {
        //true 
        $field5 = "id";
        $operator5 = ">";
        $value5 = 0;
      }

      if ($is_approved == 'all') {
        //دائما  true
        $field6 = "id";
        $operator6 = ">";
        $value6 = 0;
      } else {
        $field6 = "is_approved";
        $operator6 = "=";
        $value6 = $is_approved;
      }
      $com_code = auth()->user()->com_code;
      $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
      if (isset($wherein)) {
        $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->whereIn('transfer_to_store_id',  $stores)->orderBy('id', 'DESC')->get();
      } else {
        $data = inv_stores_transfer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where("com_code", "=", $com_code)->orderBy('id', 'DESC')->get();
      }
      $total_sum=0;
      if (!empty($data)) {
        foreach ($data as $info) {
          $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
          $info->from_store_name = Store::where('id', $info->transfer_from_store_id)->value('name');
          $info->to_store_name = Store::where('id', $info->transfer_to_store_id)->value('name');
          if ($info->updated_by > 0 and $info->updated_by != null) {
            $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
          }
          $total_sum+=$info->total_cost_items;
        }
      }
      $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));
      return view('admin.inv_stores_transfer_incoming.print_search', ['data' => $data,'systemData'=>$systemData,'total_sum'=>$total_sum]);
    }
  
}
