$(document).ready(function () {
    var settingForDecimalPoint = $("#settingForDecimalPoint").val();
    /************************** */

    $('#AddNewInvoiceModalActiveInvoice').on('shown.bs.modal', function () {
        $("#searchByOriginalsalesCode").focus();
    })
    $(document).on('input', '#searchbytextforcustomer', function (e) {
        $("#searchByOriginalsalesCode").val("");
        $("#customerSalesInvociesFilterDIv").html("");
        $("#customerSalesInvociesFilterDIv").hide();
        var searchtext = $(this).val();
        var token = $("#token_search").val();
        var url = $("#ajax_searchforcustomer").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                searchtext: searchtext
            },
            success: function (data) {
                $("#searchbytextforcustomerDiv").html(data);
            },
            error: function () { }
        });
    });

    $(document).on('change', '#customer_code_filter', function (e) {
        $("#searchByOriginalsalesCode").val("");
        var customer_code = $(this).val();
        var token_search = $("#token_search").val();
        var url = $("#ajax_get_CustomerSalesInvoicesList").val();
        if (customer_code != "") {
            jQuery.ajax({
                url: url,
                type: 'post',
                dataType: 'html',
                cache: false,
                data: {
                    "_token": token_search,
                    customer_code: customer_code,

                },
                success: function (data) {
                    $("#customerSalesInvociesFilterDIv").html(data);
                    $("#customerSalesInvociesFilterDIv").show();
                    $(".select2").select2();

                },
                error: function () { }
            });
        } else {
            $("#customerSalesInvociesFilterDIv").html("");
            $("#customerSalesInvociesFilterDIv").hide();
        }



    });



    $(document).on('click', '#do_load_salesInvoiceOriginal', function (e) {
        var searchByOriginalsalesCode = $("#searchByOriginalsalesCode").val();
        var customer_code_filter = $("#customer_code_filter").val();
        var token_search = $("#token_search").val();
        var url = $("#ajax_do_load_salesInvoiceOriginal").val();
        if (customer_code_filter == "") {
            if (searchByOriginalsalesCode == "") {
                alert("من فضلك ادخل قيمة رقم الفاتورة");
                $("#searchByOriginalsalesCode").focus();
            }
            var auto_serial = searchByOriginalsalesCode;
        } else {
            var SalesIvoiceFilterinList = $("#SalesIvoiceFilterinList").val();
            if (SalesIvoiceFilterinList == "") {
                alert("من فضلك اختر  رقم الفاتورة");
                $("#SalesIvoiceFilterinList").focus();
            }
            var auto_serial = SalesIvoiceFilterinList;
        }
        if ($("#original_invoice_id_for_return").length > 0) {
            var res = confirm("سيتم مسح تفاصيل بيانات الفاتورة الحالية هل موافق ؟");
            if (!res) {
                return false;
            }
        }
        $("#backup_freeze_modal").modal("show");

        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token_search,
                auto_serial: auto_serial,

            },
            success: function (data) {
                $("#customerSalesInvoiceDetails").html(data);
                recalcualte();
                setTimeout(function () {
                    $('#backup_freeze_modal').modal('hide');
                }, 1000);

            },
            error: function () {
                setTimeout(function () {
                    $('#backup_freeze_modal').modal('hide');
                }, 1000);
            }
        });




    });
    $(document).on('input', '#searchByOriginalsalesCode', function (e) {
        $("#customer_code_filter").val("");
        $("#customerSalesInvociesFilterDIv").html("");
        $("#customerSalesInvociesFilterDIv").hide();
    });
    /*********************** */



    $(document).on('input', '.returned_quantity_now', function (e) {

        var id = $(this).data("id");
        var token = $("#token_search").val();
        var returned_quantity_now = $(this).val();
        var allowed_return_balance = $(this).closest("tr").find(".allowed_return_balance").val();
        if (returned_quantity_now > allowed_return_balance) {
            alert(" عفوا الكمية المتاح ارجاعها هي فقط " + (allowed_return_balance * 1));
            $(this).val(0);
            return false;
        }
        var unit_price = $(this).closest("tr").find(".unit_price").val();
        $(this).closest("tr").find(".sup_total_row").val(parseFloat(unit_price * returned_quantity_now).toFixed(settingForDecimalPoint) * 1);
        recalcualte();


    });
    $(document).on('change', '.returned_quantity_now', function (e) {
        if($(this).val()==""){
            $(this).val(0);
        }
    });
    function recalcualte() {



        var total_cost_items = 0;
        $(".sup_total_row").each(function () {
            total_cost_items += parseFloat($(this).val());
        });
        if (total_cost_items == "") {
            total_cost_items = 0;
        }
        total_cost_items = parseFloat(total_cost_items).toFixed(settingForDecimalPoint) * 1;

        $("#total_cost_items").val(total_cost_items);

        var discount_type = $("#discount_type").val();
        if (discount_type != "") {
            if (discount_type == 1) {
                var discount_percent = $("#discount_percent").val();
                if (discount_percent == "") {
                    discount_percent = 0;
                }
                discount_percent = parseFloat(discount_percent).toFixed(settingForDecimalPoint) * 1;
                var discount_value = total_cost_items * discount_percent / 100;
                $("#discount_value").val(discount_value * 1);

            } else {
                var discount_percent = $("#discount_percent").val();
                if (discount_percent == "") {
                    discount_percent = 0;
                }
                discount_percent = parseFloat(discount_percent).toFixed(settingForDecimalPoint) * 1;
                $("#discount_value").val(discount_percent * 1);
                var discount_value = parseFloat(discount_percent).toFixed(settingForDecimalPoint) * 1;

            }
        } else {
            $("#discount_value").val(0);
            var discount_value = 0;
        }


        var total_after_discount = (parseFloat(total_cost_items) - parseFloat(discount_value)).toFixed(settingForDecimalPoint) * 1;
        $("#total_after_discount").val(total_after_discount * 1);
        var tax_percent = $("#tax_percent").val();
        if (tax_percent == "") {
            tax_percent = 0
        };
        tax_percent = parseFloat(tax_percent).toFixed(settingForDecimalPoint) * 1;
        var tax_value = parseFloat(total_after_discount * tax_percent / 100).toFixed(settingForDecimalPoint) * 1;

        $("#tax_value").val(tax_value * 1);


        var total_cost = parseFloat(total_after_discount + tax_value).toFixed(settingForDecimalPoint) * 1;
        $("#total_cost").val(total_cost * 1);


        what_paid = $("#what_paid").val();
        if (what_paid == "") what_paid = 0;
        what_paid = parseFloat(what_paid);
        total_cost = parseFloat(total_cost);
        what_remain = parseFloat(total_cost - what_paid).toFixed(settingForDecimalPoint) * 1;
        $("#what_remain").val(what_remain * 1);
        var pill_type = $("#pill_type").val();
        if (pill_type == 1) {
            $("#what_paid").val(total_cost * 1);
            $("#what_remain").val(0);
        }

    }

    $(document).on('input', '#what_paid', function(e) {
        total_cost = parseFloat($("#total_cost").val());
        treasuries_balance = parseFloat($("#treasuries_balance").val());
        total_cost = parseFloat(total_cost);
        what_paid = $(this).val();
        if (what_paid == "") {
            what_paid = 0;
        }
        what_paid = parseFloat(what_paid);
        var pill_type = $("#pill_type").val();
        if (pill_type == 1) {
            //cash
            if (what_paid < total_cost) {
                alert("عفوا يجب ان يكون المبلغ كاملا مدفوع في حالة ان الفاتورة كاش");
                $("#what_paid").val(total_cost);
            }
        } else {
            if (what_paid >= total_cost) {
                alert("عفوا يجب ان لايكون كل المبلغ  مدفوع في حالة ان الفاتورة اجل");
                $("#what_paid").val(0);
            }
        }
        if (what_paid > total_cost) {
            alert("عفوا لايمكن ان يكون المبلغ المدفوع اكبر من  اجمالي الفاتورة");
            $("#what_paid").val(0);
        }
        recalcualte();
    });
    $(document).on('change', '#pill_type', function(e) {
        alert();
        var pill_type = $("#pill_type").val();
        var total_cost = $("#total_cost").val();
        if (pill_type == 1) {
            //cash
            $("#what_paid").val(total_cost * 1);
            $("#what_remain").val(0);
            $("#what_paid").attr("readonly", true);
            recalcualte();
        } else {
            //agel
            var is_has_customer=$("#is_has_customer").val();
            var customer_code=$("#customer_code").val();
            if(is_has_customer==1 && customer_code!=""){
                $("#what_paid").val(0);
                $("#what_remain").val(total_cost * 1);
                $("#what_paid").attr("readonly", false);
                recalcualte();
            }else{
                $("#pill_type").val(1);
                recalcualte();    
            }
          
        }
    });
    $(document).on('change', '#discount_type', function(e) {
        discount_type = $(this).val();
        if (discount_type == "") {
            $("#discount_percent").val(0);
            $("#discount_value").val(0);
            $("#discount_percent").attr("readonly", true);
            $(".related_to_discount").hide();
        } else {
            $("#discount_percent").attr("readonly", false);
            $(".related_to_discount").show();  
        }
        var discount_percent = $("#discount_percent").val();
        if (discount_percent == "") {
            discount_percent = 0;
        }
        if (discount_type == 1) {
            if (discount_percent > 100) {
                alert("عفوا لايمكن ان يكون نسبة الخصم المئوية اكبر من 100 % !!!");
                $("#discount_percent").val(0);
            }
        }
        recalcualte();
    });
    $(document).on('input', '#discount_percent', function(e) {
        var discount_percent = $(this).val();
        if (discount_percent == "") {
            discount_percent = 0;
        }
        var discount_type = $("#discount_type").val();
        if (discount_type == 1) {
            if (discount_percent > 100) {
                alert("عفوا لايمكن ان يكون نسبة الخصم المئوية اكبر من 100 % !!!");
                $("#discount_percent").val(0);
            }
        }
        recalcualte();
    });
    $(document).on('input', '#tax_percent', function(e) {
        var tax_percent = $(this).val();
        if (tax_percent == "") {
            tax_percent = 0;
            $(this).val(0)
        }
        if (tax_percent > 100) {
            alert("عفوا لايمكن ان يكون نسبة الضريبة اكبر من 100 % !!!");
            $("#tax_percent").val(0);
        }
        recalcualte();
    });
    $(document).on('click', '.DoApproveInvoiceFinally', function (e) {
        var returned_quantity_now_all = 0;
        $(".returned_quantity_now").each(function () {

            if ($(this).val() != '' && $(this).val() != null && $(this).val() != NaN) {
                returned_quantity_now_all += parseFloat($(this).val());

            }
        });
  if(returned_quantity_now_all==0){
    alert("عفوا يجب ادخال علي الاقل كمية واحده مرتجعة")
    e.preventDefault();
    return false;
  }

  var res=confirm("هل أنت متاكد ؟ لن تتمكن من تعديل الفاتورة مرة أخري");
  if(!res){
return false;
  }
  $("#backup_freeze_modal").modal("show");

    });

    $(document).on('click', '.load_invoice_details_modal', function(e) {
        var token = $("#token_search").val();
        var url = $("#ajax_load_invoice_details_modal").val();
        var auto_serial = $(this).data("autoserial");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                auto_serial: auto_serial
            },
            success: function(data) {
                $("#InvoiceModalActiveDetailsBody").html(data);
                $("#InvoiceModalActiveDetails").modal("show");
            },
            error: function() {
                alert("حدث خطاما");
            }
        });
    });
    function make_search() {
        var token = $("#token_search").val();
        var customer_code = $("#customer_code_search").val();
        var delegates_code = $("#delegates_code_search").val();
        var Sales_matrial_types = $("#Sales_matrial_types_search").val();
        var pill_type = $("#pill_type_search").val();
        var discount_type = $("#discount_type_search").val();
        var is_approved = $("#is_approved_search").val();
        var invoice_date_from = $("#invoice_date_from").val();
        var invoice_date_to = $("#invoice_date_to").val();
        var search_by_text = $("#search_by_text").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $("#ajax_ajax_search").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                customer_code: customer_code,
                delegates_code: delegates_code,
                Sales_matrial_types: Sales_matrial_types,
                pill_type: pill_type,
                discount_type: discount_type,
                is_approved: is_approved,
                invoice_date_from: invoice_date_from,
                invoice_date_to: invoice_date_to,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text
            },
            success: function(data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function() {
                alert("حدث خطاما");
            }
        });
    }
    $(document).on('click', '#ajax_pagination_in_search a ', function(e) {
        e.preventDefault();
        var token = $("#token_search").val();
        var customer_code = $("#customer_code_search").val();
        var delegates_code = $("#delegates_code_search").val();
        var Sales_matrial_types = $("#Sales_matrial_types_search").val();
        var pill_type = $("#pill_type_search").val();
        var discount_type = $("#discount_type_search").val();
        var is_approved = $("#is_approved_search").val();
        var invoice_date_from = $("#invoice_date_from").val();
        var invoice_date_to = $("#invoice_date_to").val();
        var search_by_text = $("#search_by_text").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $(this).attr("href");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                customer_code: customer_code,
                delegates_code: delegates_code,
                Sales_matrial_types: Sales_matrial_types,
                pill_type: pill_type,
                discount_type: discount_type,
                is_approved: is_approved,
                invoice_date_from: invoice_date_from,
                invoice_date_to: invoice_date_to,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text
            },
            success: function(data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function() {}
        });
    });
    $('input[type=radio][name=searchbyradio]').change(function() {
        make_search();
    });
    $(document).on('input', '#search_by_text', function(e) {
        make_search();
    });
    $(document).on('change', '#customer_code_search', function(e) {
        make_search();
    });
    $(document).on('change', '#delegates_code_search', function(e) {
        make_search();
    });
    $(document).on('change', '#Sales_matrial_types_search', function(e) {
        make_search();
    });
    $(document).on('change', '#pill_type_search', function(e) {
        make_search();
    });
    $(document).on('change', '#discount_type_search', function(e) {
        make_search();
    });
    $(document).on('change', '#is_approved_search', function(e) {
        make_search();
    });
    $(document).on('change', '#invoice_date_from', function(e) {
        make_search();
    });
    $(document).on('change', '#invoice_date_to', function(e) {
        make_search();
    });
});