<?php
//لاتنسونا من صالح الدعاء وجزاكم الله خيرا
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;
use App\Models\Admin_panel_setting;
use App\Models\Admin;
use App\Models\Account;
use App\Models\Alerts_system_monitoring;
use App\Models\Inv_itemCard;
use App\Models\Suppliers_with_orders_details;
use App\Models\Sales_invoices_details;
use App\Models\SalesReturnDetails;
use App\Models\inv_itemcard_retails_uoms;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin_panel_settings_Request;
use App\Models\Sales_invoices;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;
class Admin_panel_settingsController extends Controller
{
public function index()
{
   if(auth()->user()->is_master_admin==0){
   // check_permission_sub_menue_actions_redirect(1);
   }
  

$data = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();
if (!empty($data)) {
if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
$data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
$data['customer_parent_account_name'] = Account::where('account_number', $data['customer_parent_account_number'])->value('name');
$data['supplier_parent_account_name'] = Account::where('account_number', $data['suppliers_parent_account_number'])->value('name');
$data['delegates_parent_account_name'] = Account::where('account_number', $data['delegate_parent_account_number'])->value('name');
$data['employees_parent_account_name'] = Account::where('account_number', $data['employees_parent_account_number'])->value('name');
$data['production_lines_parent_account_name'] = Account::where('account_number', $data['production_lines_parent_account'])->value('name');

}
}

return view('admin.admin_panel_settings.index', ['data' => $data]);
}
public function edit()
{
    if(auth()->user()->is_master_admin==0){
    // check_permission_sub_menue_actions_redirect(2);
    }
$data = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();
$parent_accounts = get_cols_where(new Account(), array("account_number", "name"), array("is_parent" => 1, "com_code" => auth()->user()->com_code), 'id', 'ASC');
return view('admin.admin_panel_settings.edit', ['data' => $data, 'parent_accounts' => $parent_accounts]);
}


public function update(Admin_panel_settings_Request $request)
{
    if(auth()->user()->is_master_admin==0){
    // check_permission_sub_menue_actions_redirect(2);
    }
try {
 DB::beginTransaction();   
$Basic_admin_panel_setting = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();
$admin_panel_setting['system_name'] = $request->system_name;
$admin_panel_setting['address']  = $request->address;
$admin_panel_setting['phone']  = $request->phone;
$admin_panel_setting['general_alert']  = $request->general_alert;
$admin_panel_setting['customer_parent_account_number']  = $request->customer_parent_account_number;
$admin_panel_setting['suppliers_parent_account_number']  = $request->suppliers_parent_account_number;
$admin_panel_setting['delegate_parent_account_number']  = $request->delegate_parent_account_number;
$admin_panel_setting['employees_parent_account_number']  = $request->employees_parent_account_number;
$admin_panel_setting['production_lines_parent_account']  = $request->production_lines_parent_account;
$admin_panel_setting['default_unit']  = $request->default_unit;
$admin_panel_setting['item_last_priceCost']  = $request->item_last_priceCost;
$admin_panel_setting['sales_tax_value']  = todecimal($request->sales_tax_value);
$admin_panel_setting['sales_item_type_main']  = $request->sales_item_type_main;
$admin_panel_setting['after_days_agel_customer_remember']  = $request->after_days_agel_customer_remember;
$admin_panel_setting['item_quantity_alert_in']  = $request->item_quantity_alert_in;
$admin_panel_setting['is_active_alerts_system_monitoring']  = $request->is_active_alerts_system_monitoring;
$admin_panel_setting['is_active_for_auto_daily_tree']  = $request->is_active_for_auto_daily_tree;
$admin_panel_setting['search_for_item_in_sales_invoice']  = $request->search_for_item_in_sales_invoice;
$admin_panel_setting['make_auto_add_after_enter_barcode']  = $request->make_auto_add_after_enter_barcode;
$admin_panel_setting['settingForDecimalPoint']  = $request->settingForDecimalPoint;
$admin_panel_setting['where_pull_attendance_days']  = $request->where_pull_attendance_days;

if($Basic_admin_panel_setting['is_set_Batches_setting']==0){
if(isset($request->Batches_setting_type))
$admin_panel_setting['is_set_Batches_setting'] = 1;
$admin_panel_setting['Batches_setting_type'] = $request->Batches_setting_type;

}


$admin_panel_setting['updated_by'] = auth()->user()->id;
$admin_panel_setting['updated_at'] = date("Y-m-d H:i:s");
$oldphotoPath = $Basic_admin_panel_setting['photo'];
if ($request->has('photo')) {
$request->validate([
'photo' => 'required|mimes:png,jpg,jpeg|max:2000',
]);
$the_file_path = uploadImage('assets/admin/uploads', $request->photo);
$admin_panel_setting['photo'] = $the_file_path;
if (file_exists('assets/admin/uploads/' . $oldphotoPath) and !empty($oldphotoPath)) {
unlink('assets/admin/uploads/' . $oldphotoPath);
}
}
update(new Admin_panel_setting(),$admin_panel_setting,array("com_code"=>auth()->user()->com_code));
//$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
// if($is_active_alerts_system_monitoring==1){
// /* start alerts_system_monitoring */
// $data_monitoring_insert['alert_modules_id']=1;
// $data_monitoring_insert['alert_movetype_id']=1;
// $data_monitoring_insert['content']=" التعديل علي بيانات الضبط العام ";
// if( $Basic_admin_panel_setting['sales_tax_value']!= $admin_panel_setting['sales_tax_value'] ){
//     $data_monitoring_insert['content'].=" وتم تعديل نسبة الضريبة من ".$Basic_admin_panel_setting['sales_tax_value']*(1)." الي ".$admin_panel_setting['sales_tax_value'];   
// }
// if( $Basic_admin_panel_setting['sales_item_type_main']!= $admin_panel_setting['sales_item_type_main']){
// if($Basic_admin_panel_setting['sales_item_type_main']==1){
//     $old_sales_item_type_main="قطاعي";
// }
// elseif($Basic_admin_panel_setting['sales_item_type_main']==2){
//     $old_sales_item_type_main="نص جملة عروض";
// }else{
//     $old_sales_item_type_main=" جملة"; 
// }

// if($admin_panel_setting['sales_item_type_main']==1){
//     $new_sales_item_type_main="قطاعي";
// }
// elseif($admin_panel_setting['sales_item_type_main']==2){
//     $new_sales_item_type_main="نص جملة عروض";
// }else{
//     $new_sales_item_type_main=" جملة"; 
// }

//     $data_monitoring_insert['content'].=" وتم تعديل نوع البيع الاساسي  من ".$old_sales_item_type_main." الي ".$new_sales_item_type_main;   

// }
// if($Basic_admin_panel_setting['after_days_agel_customer_remember']!= $admin_panel_setting['after_days_agel_customer_remember']){
//     $data_monitoring_insert['content'].=" وتم تعديل بعد كم يوم تنبيه الاجل  من ".$Basic_admin_panel_setting['after_days_agel_customer_remember']." الي ".$admin_panel_setting['after_days_agel_customer_remember'];   
// }

// if($Basic_admin_panel_setting['item_quantity_alert_in']!= $admin_panel_setting['item_quantity_alert_in']){
//     $data_monitoring_insert['content'].=" وتم تعديل تنبه نقص الكميات عن حد الطلب من ".$Basic_admin_panel_setting['item_quantity_alert_in']*(1)." الي ".$admin_panel_setting['item_quantity_alert_in'];   
// }
// $data_monitoring_insert['foreign_key_table_td']=$Basic_admin_panel_setting['id'];
// $data_monitoring_insert['added_by']=auth()->user()->id;
// $data_monitoring_insert['com_code']=auth()->user()->com_code;
// $data_monitoring_insert['date']=date("Y-m-d");
// insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));

// /* End start alerts_system_monitoring */


// }




DB::commit();



return redirect()->route('admin.adminPanelSetting.index')->with(['success' => 'تم تحديث البيانات بنجاح']);
} catch (\Exception $ex) {
    DB::rollBack();
return redirect()->route('admin.adminPanelSetting.index')->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
}
}
public function atef(){
    $com_code=auth()->user()->com_code;
    $allBurcases=get_cols_where(new Suppliers_with_orders_details(),array("*"),array("com_code"=>$com_code));
    if(!empty($allBurcases)){
        foreach($allBurcases as $info){
            if($info->isparentuom==1){
                $data_to_update['quantityByParentUom']= $info->deliverd_quantity ;
             }else{
                $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$info->item_code, "com_code" => $com_code,"retail_uom_id"=>$info->uom_id ));
                $data_to_update['quantityByParentUom'] = todecimal($info->deliverd_quantity / $retail_uom_quntToParent,5);

            }
           update(new Suppliers_with_orders_details(), $data_to_update, array("id" => $info->id, 'com_code' => $com_code));
            
        }
    }

    $allsales=get_cols_where(new Sales_invoices_details(),array("*"),array("com_code"=>$com_code));
    if(!empty($allsales)){
        foreach($allsales as $info){
            if($info->isparentuom==1){
                $data_to_updateSales['quantityByParentUom']= $info->quantity ;
             }else{
                $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$info->item_code, "com_code" => $com_code,"retail_uom_id"=>$info->uom_id ));
                $data_to_updateSales['quantityByParentUom'] = todecimal($info->quantity / $retail_uom_quntToParent,5);

            }
           update(new Sales_invoices_details(), $data_to_updateSales, array("id" => $info->id, 'com_code' => $com_code));
            
        }
    }
        $allsalesReturn=get_cols_where(new SalesReturnDetails(),array("*"),array("com_code"=>$com_code));
        if(!empty($allsales)){
            foreach($allsales as $info){
                if($info->isparentuom==1){
                    $data_to_updateSalesReturn['quantityByParentUom']= $info->quantity ;
                 }else{
                    $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$info->item_code, "com_code" => $com_code,"retail_uom_id"=>$info->uom_id ));
                    $data_to_updateSalesReturn['quantityByParentUom'] = todecimal($info->quantity / $retail_uom_quntToParent,5);
    
                }
               update(new SalesReturnDetails(), $data_to_updateSalesReturn, array("id" => $info->id, 'com_code' => $com_code));
                
            }
    }
return "done";
}
}