<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Shifts_typesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
         'type'=>'required',
         'from_time'=>'required',
         'to_time'=>'required',
         'active'=>'required',
        ];
    }

    public function messages()
    {
        return [
        'type.required'=>'نوع الشفت  مطلوب',
        'from_time.required'=>'بداية توقيت الشفت  مطلوب',
        'from_time.required'=>'نهاية توقيت الشفت  مطلوب',
        'from_time.active'=>' حالة تفعيل الشفت  مطلوب',
        ];
    }
}
