$(document).ready(function () {
    var settingForDecimalPoint=$("#settingForDecimalPoint").val();


    function make_search() {
        var token_search = $("#token_search").val();
        var ajax_search_url = $("#ajax_search_url").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var suuplier_code = $("#suuplier_code_search").val();
        var search_by_text = $("#search_by_text").val();
        var store_id = $("#store_id_search").val();
        var order_date_form = $("#order_date_form").val();
        var order_date_to = $("#order_date_to").val();
        jQuery.ajax({
            url: ajax_search_url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token_search,
                searchbyradio: searchbyradio,
                suuplier_code: suuplier_code,
                store_id: store_id,
                order_date_form: order_date_form,
                order_date_to: order_date_to,
                search_by_text: search_by_text
            },
            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function () { }
        });
    }
    $(document).on('click', '#ajax_pagination_in_search a ', function (e) {
        e.preventDefault();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var suuplier_code = $("#suuplier_code_search").val();
        var search_by_text = $("#search_by_text").val();
        var store_id = $("#store_id_search").val();
        var order_date_form = $("#order_date_form").val();
        var order_date_to = $("#order_date_to").val();
        var token_search = $("#token_search").val();
        var url = $(this).attr("href");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token_search,
                searchbyradio: searchbyradio,
                suuplier_code: suuplier_code,
                store_id: store_id,
                order_date_form: order_date_form,
                order_date_to: order_date_to,
                search_by_text: search_by_text
            },
            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function () { }
        });
    });

    $(document).on('change', '#suuplier_code_search', function(e) {
        make_search();
    });
    $(document).on('input', '#search_by_text', function(e) {
        make_search();
    });
    $(document).on('change', '#store_id_search', function(e) {
        make_search();
    });
    $(document).on('change', '#order_date_form', function(e) {
        make_search();
    });
    $(document).on('change', '#order_date_to', function(e) {
        make_search();
    });
    $('input[type=radio][name=searchbyradio]').change(function() {
        make_search();
    });



    $(document).on('change', '#suppliers_code_filter', function (e) {
        var suppliers_code = $(this).val();
        var token_search = $("#token_search").val();
        var url = $("#ajax_get_supplierBurchasesInvoicesList").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token_search,
                suppliers_code: suppliers_code,

            },
            success: function (data) {
                $("#SuppliersBurchasesInvociesDIv").html(data);
                $(".select2").select2();

            },
            error: function () { }
        });


    });
    $(document).on('input', '#searchByOriginalBurchasesCode', function (e) {
        if ($("#ajax_auto_serial").length) {
            var res = confirm("هل انت متأكد لانه سيتم مسح المحتوي الحالي ان وجد");
            if (!res) {
                return false;
            }
        }

        var auto_serial = $(this).val();
        if (auto_serial == "") {
            $("#SuppliersBurchasesInvoiceDetails").html("");
        } else {
            var token_search = $("#token_search").val();
            var url = $("#ajax_get_SuppliersBurchasesInvoiceDetails").val();
            jQuery.ajax({
                url: url,
                type: 'post',
                dataType: 'html',
                cache: false,
                data: {
                    "_token": token_search,
                    auto_serial: auto_serial,

                },
                success: function (data) {
                    $("#SuppliersBurchasesInvoiceDetails").html(data);
                    load_shiftDiv();

                },
                error: function () { }
            });



        }


    });

    $(document).on('change', '#supplierBurchasesInvoicesList_id', function (e) {
        if ($("#ajax_auto_serial").length) {
            var res = confirm("هل انت متأكد لانه سيتم مسح المحتوي الحالي ان وجد");
            if (!res) {
                return false;
            }
        }

        var auto_serial = $(this).val();
        if (auto_serial == "") {
            $("#SuppliersBurchasesInvoiceDetails").html("");
        } else {
            var token_search = $("#token_search").val();
            var url = $("#ajax_get_SuppliersBurchasesInvoiceDetails").val();
            jQuery.ajax({
                url: url,
                type: 'post',
                dataType: 'html',
                cache: false,
                data: {
                    "_token": token_search,
                    auto_serial: auto_serial,

                },
                success: function (data) {
                    $("#SuppliersBurchasesInvoiceDetails").html(data);
                    load_shiftDiv();

                },
                error: function () { }
            });



        }


    });


    $(document).on('change', '.returned_quantity_now', function (e) {
        var returned_quantity_now = $(this).val();
        if (returned_quantity_now == "") { returned_quantity_now = 0; $(this).val(0) }
        var allowed_return_balance = $(this).closest("tr").find(".allowed_return_balance").val();
        if (allowed_return_balance == "") allowed_return_balance = 0;
        var batch_quantity = $(this).closest("tr").find(".batch_quantity").val();
        if (batch_quantity == "") batch_quantity = 0;
        if (parseFloat(returned_quantity_now) > parseFloat(allowed_return_balance)) {
            alert("عفوا الكمية المرتجعه اكبر من الرصيد المتاح ارجاعه بالفاتورة");
            $(this).closest("tr").find(".returned_quantity_now").val(0);
            $(this).closest("tr").find(".returned_quantity_now").focus();
            $(this).closest("tr").find(".sup_total_row").val(0);
            return false;
        }

        if (parseFloat(returned_quantity_now) > parseFloat(batch_quantity)) {
            alert("عفوا الكمية المرتجعه اكبر من الرصيد المتاح بالباتش الحالية");
            $(this).closest("tr").find(".returned_quantity_now").val(0);
            $(this).closest("tr").find(".returned_quantity_now").focus();
            $(this).closest("tr").find(".sup_total_row").val(0);
            return false;
        }
        var unit_price = $(this).closest("tr").find(".unit_price").val();
        if (unit_price == "") unit_price = 0;
        $(this).closest("tr").find(".sup_total_row").val((parseFloat(returned_quantity_now) * parseFloat(unit_price)).toFixed(settingForDecimalPoint) * 1);
        recalculate_invoice();
    });


    $(document).on('input', '.returned_quantity_now', function (e) {
        var returned_quantity_now = $(this).val();
        if (returned_quantity_now == "") returned_quantity_now = 0;
        var allowed_return_balance = $(this).closest("tr").find(".allowed_return_balance").val();
        if (allowed_return_balance == "") allowed_return_balance = 0;
        var batch_quantity = $(this).closest("tr").find(".batch_quantity").val();
        if (batch_quantity == "") batch_quantity = 0;
        if (parseFloat(returned_quantity_now) > parseFloat(allowed_return_balance)) {
            alert("عفوا الكمية المرتجعه اكبر من الرصيد المتاح ارجاعه بالفاتورة");
            $(this).closest("tr").find(".returned_quantity_now").val(0);
            $(this).closest("tr").find(".returned_quantity_now").focus();
            $(this).closest("tr").find(".sup_total_row").val(0);
            return false;
        }

        if (parseFloat(returned_quantity_now) > parseFloat(batch_quantity)) {
            alert("عفوا الكمية المرتجعه اكبر من الرصيد المتاح بالباتش الحالية");
            $(this).closest("tr").find(".returned_quantity_now").val(0);
            $(this).closest("tr").find(".returned_quantity_now").focus();
            $(this).closest("tr").find(".sup_total_row").val(0);
            return false;
        }
        var unit_price = $(this).closest("tr").find(".unit_price").val();
        if (unit_price == "") unit_price = 0;
        $(this).closest("tr").find(".sup_total_row").val((parseFloat(returned_quantity_now) * parseFloat(unit_price)).toFixed(settingForDecimalPoint) * 1);
        recalculate_invoice();
    });


    function recalculate_invoice() {
        var sup_total_row_all = 0;
        $(".sup_total_row").each(function () {
            if ($(this).val() != '' && $(this).val() != null && $(this).val() != NaN) {
                sup_total_row_all += parseFloat($(this).val());
            }

        });
        var returned_quantity_now_all = 0;
        $(".returned_quantity_now").each(function () {

            if ($(this).val() != '' && $(this).val() != null && $(this).val() != NaN) {
                returned_quantity_now_all += parseFloat($(this).val());

            }
        });

        $("#total_items").val(sup_total_row_all * 1);
        var discount_value_orginal = $("#discount_value_orginal").val();
        if (discount_value_orginal > 0) {

            var discount_type = $("#discount_type_orignial").val();
            if (discount_type == 1) {
                var discount_percent = $("#discount_percent_orignial").val();
                var discount_value = (sup_total_row_all * discount_percent) / 100;
            } else {
                var item_discount_value = $("#item_discount_value").val();
                var discount_value = (item_discount_value * returned_quantity_now_all);

            }

        } else {


            var discount_value = 0;

        }
        $("#discount_value").val(Math.floor(discount_value) * 1);

 var total_after_discount=sup_total_row_all-discount_value;
 $("#total_after_discount").val(total_after_discount*1);
$("#sup_total_row_all").val(sup_total_row_all*1);
        var tax_percent = $("#tax_percent_orignial").val();
        tax_value = (total_after_discount * tax_percent) / 100;
        $("#tax_value").val(tax_value * 1);
    

        var total_cost=(parseFloat(total_after_discount +tax_value)).toFixed(settingForDecimalPoint)*1;
        $("#total_cost").val(total_cost);
       var what_paid=$("#what_paid").val();
       if(what_paid=='') what_paid=0;
        var what_remain=(parseFloat(total_cost)-parseFloat(what_paid)).toFixed(settingForDecimalPoint)*1;
        $("#what_remain").val(what_remain);

    }
    $(document).on('click', '#do_add_approve_invoice', function (e) {
        var returned_quantity_now_all = 0;
        $(".returned_quantity_now").each(function () {

            if ($(this).val() != '' && $(this).val() != null && $(this).val() != NaN) {
                returned_quantity_now_all += parseFloat($(this).val());

            }
        });
  if(returned_quantity_now_all==0){
    alert("عفوا يجب ادخال علي الاقل كمية واحده مرتجعة")
    e.preventDefault();
    return false;
  }

  $("#backup_freeze_modal").modal("show");

    });



   function load_shiftDiv(){
    var token_search = $("#token_search").val();
        var ajax_search_url = $("#ajax_load_usershiftDiv").val();
        jQuery.ajax({
            url: ajax_search_url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token_search
            },
            success: function(data) {
                $("#shiftDiv").html(data);
            },
            error: function() {}
        });
   }
    
 $(document).on('input', '#what_paid', function (e) {
 var what_paid=$(this).val();
 if(what_paid=="") what_paid=0;
 var total_cost=parseFloat($("#total_cost").val());
 if(what_paid>total_cost ){
    alert("عفوا لايمكن تحصيل مبلغ اكبر من اجمالي الفاتورة");
    $("#what_paid").val(0);
    $("#what_remain").val(total_cost*1);
    return false;
 }
 $("#what_remain").val((total_cost-parseFloat(what_paid)).toFixed(settingForDecimalPoint)*1);


});

$(document).on('change', '#what_paid', function (e) {
    var what_paid=$(this).val();
    if(what_paid=="") {  what_paid=0; $("#what_paid").val(0);} 
    var total_cost=parseFloat($("#total_cost").val());
    if(what_paid>total_cost ){
       alert("عفوا لايمكن تحصيل مبلغ اكبر من اجمالي الفاتورة");
       $("#what_paid").val(0);
       $("#what_remain").val(total_cost*1);
       return false;
    }
    $("#what_remain").val((total_cost-parseFloat(what_paid)).toFixed(settingForDecimalPoint)*1);
   
   
   });
   $(document).on('change', '#pill_type', function(e) {
    var pill_type = $("#pill_type").val();
    var total_cost = $("#total_cost").val();
   
    if (pill_type == 1) {
      
        //cash
        $("#what_paid").val(total_cost * 1);
        $("#what_remain").val(0);
        $("#what_paid").attr("readonly", true);
  
    } else {
      
        //agel
        $("#what_paid").val(0);
        $("#what_remain").val(total_cost * 1);
        $("#what_paid").attr("readonly", false);
       ;
    }
});

});