
<?php $__env->startSection('title'); ?>
المستخدمين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
المستخدمين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.admins_accounts.index')); ?>"> المستخدمين </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
التفاصيل
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">تفاصيل الصلاحيات الخاصة للمستخدم   </h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <?php if(@isset($data) && !@empty($data)): ?>
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td class="width30">اسم المستخدم</td>
                  <td > <?php echo e($data['name']); ?></td>
               </tr>
               <tr>
                  <td class="width30"> نوع صلاحية دور المستخدم</td>
                  <td > <?php echo e($data['permission_roles_name']); ?></td>
               </tr>
               <tr>
                  <td class="width30">البريد الالكتروني</td>
                  <td > <?php echo e($data['email']); ?></td>
               </tr>
               <tr>
                  <td class="width30">حالة تفعيل المستخدم</td>
                  <td > <?php if($data['active']==1): ?> مفعل  <?php else: ?> معطل <?php endif; ?></td>
               </tr>
               <tr>
                  <td class="width30">  تاريخ  الاضافة</td>
                  <td > 
                     <?php
                     $dt=new DateTime($data['created_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة 
                     <?php echo e($data['added_by_admin']); ?>

                  </td>
               </tr>
               <tr>
                  <td class="width30">  تاريخ اخر تحديث</td>
                  <td > 
                     <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
                     <?php
                     $dt=new DateTime($data['updated_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة 
                     <?php echo e($data['updated_by_admin']); ?>

                     <?php else: ?>
                     لايوجد تحديث
                     <?php endif; ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(157)): ?>
                     <a href="<?php echo e(route('admin.admins_accounts.edit',$data['id'])); ?>" class="btn btn-sm btn-success">تعديل</a>
                     <?php endif; ?>
                     <a href="<?php echo e(route('admin.admins_accounts.index')); ?>" class="btn btn-sm btn-info">عودة</a>
                  </td>
               </tr>
            </table>
            <!--  treasuries_delivery   -->
            <div class="card-header">
               <h3 class="card-title card_title_center">الخزن  المضافة لصلاحية المستخدم ( <?php echo e($data['name']); ?> )  
                  <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(160)): ?>
                  <button  class="btn btn-sm btn-primary"    data-toggle="modal" data-target="#Add_treasuriesModal">اضافة خزن </button>
                  <?php endif; ?>
               </h3>
            </div>
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($admins_treasuries) && !@empty($admins_treasuries) && count($admins_treasuries) >0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>اسم  الخزنة</th>
                     <th>تاريخ الاضافة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $admins_treasuries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($info->treasuries_name); ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?>

                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>

                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(160)): ?>
                           <a href="<?php echo e(route('admin.admins_accounts.delete_treasuries',['rowid'=>$info->id,'userid'=>$data['id'] ])); ?>" class="btn btn-sm btn-danger are_you_sure">حذف</a>
                            <?php endif; ?>
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
            <!--  End treasuries_delivery   -->
            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>


 <!--  stores   -->
 <div class="card-header">
   <h3 class="card-title card_title_center">المخازن  المضافة لصلاحية المستخدم ( <?php echo e($data['name']); ?> ) 
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(160)): ?> 
      <button  class="btn btn-sm btn-primary"    data-toggle="modal" data-target="#Add_storesModal">اضافة مخازن </button>
      <?php endif; ?>
   </h3>
</div>
<div id="ajax_responce_serarchDiv">
   <?php if(@isset($admins_stores) && !@empty($admins_stores) && count($admins_stores) >0): ?>
   <?php
   $i=1;   
   ?>
   <table id="example2" class="table table-bordered table-hover">
      <thead class="custom_thead">
         <th>اسم  المخزن</th>
         <th>تاريخ الاضافة</th>
         <th></th>
      </thead>
      <tbody>
         <?php $__currentLoopData = $admins_stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <tr>
            <td><?php echo e($info->store_name); ?></td>
            <td > 
               <?php
               $dt=new DateTime($info->created_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($time));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               ?>
               <?php echo e($date); ?>

               <?php echo e($time); ?>

               <?php echo e($newDateTimeType); ?>

               بواسطة 
               <?php echo e($info->added_by_admin); ?>

            </td>
            <td>
               <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(160)): ?> 
               <a href="<?php echo e(route('admin.admins_accounts.delete_stores',['rowid'=>$info->id,'userid'=>$data['id'] ])); ?>" class="btn btn-sm btn-danger are_you_sure">حذف</a>
               <?php endif; ?>
            </td>
         </tr>
         <?php
         $i++; 
         ?>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </tbody>
   </table>
   <?php else: ?>
   <div class="alert alert-danger">
      عفوا لاتوجد بيانات لعرضها !!
   </div>
   <?php endif; ?>
</div>
<!--  End stores   -->




         </div>
      </div>
   </div>
</div>

<div class="modal fade  "   id="Add_treasuriesModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           اضافة خزن لصلاحية المستخدم</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" >
            <form action="<?php echo e(route('admin.admins_accounts.add_treasuries',$data['id'])); ?>" method="post" >
               <?php echo csrf_field(); ?>
               <div class="form-group">
                  <label>   بيانات  الخزن</label>
                  <select name="treasuries_ids[]" multiple id="treasuries_ids" required oninvalid="setCustomValidity('من فضلك   اختر الخزن')" onchange="try{setCustomValidity('')}catch(e){}" class="form-control select2 ">
                     <option value="">اختر الخزن  </option>
                     <?php if(@isset($treasuries) && !@empty($treasuries)): ?>
                     <?php $__currentLoopData = $treasuries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option  value="<?php echo e($info->id); ?>" > <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
               </div>
               <div class="form-group text-center">
                  <button type="submit" class="btn btn-primary btn-sm"> اضافة</button>
               </div>
            </form>
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>


<div class="modal fade "   id="Add_storesModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           اضافة مخازن لصلاحية المستخدم</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" >
            <form action="<?php echo e(route('admin.admins_accounts.add_stores',$data['id'])); ?>" method="post" >
               <?php echo csrf_field(); ?>
               <div class="form-group">
                  <label>   بيانات  الخزن</label>
                  <select name="stores_ids[]" multiple id="stores_ids" required oninvalid="setCustomValidity('من فضلك   اختر الخزن')" onchange="try{setCustomValidity('')}catch(e){}" class="form-control select2 ">
                     <option value="">اختر الخزن  </option>
                     <?php if(@isset($stores) && !@empty($stores)): ?>
                     <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option  value="<?php echo e($info->id); ?>" > <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
               </div>
               <div class="form-group text-center">
                  <button type="submit" class="btn btn-primary btn-sm"> اضافة</button>
               </div>
            </form>
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/admins.js')); ?>"></script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
        theme: 'bootstrap4'
      });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/admins_accounts/details.blade.php ENDPATH**/ ?>