<?php
//لاتنسونا من صالح الدعاء وجزاكم الله خيرا
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\inv_itemcard_categorie;
use App\Models\Admin;
use App\Http\Requests\Inv_itemcard_categoriesRequest;
use App\Models\Inv_itemCard;
use Illuminate\Support\Facades\DB;
use App\Models\Admin_panel_setting;
use App\Models\Alerts_system_monitoring;


class Inv_itemcard_categories extends Controller
{
/**
* Display a listing of the resource.
*
* @return \Illuminate\Http\Response
*/
public function index()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(54);
        }   
$com_code=auth()->user()->com_code;
$data=get_cols_where_p(new inv_itemcard_categorie(),array("*"),array("com_code"=>$com_code),"id","DESC",PC);
if(!empty($data)){
foreach($data as $info){
$info->added_by_admin=Admin::where('id',$info->added_by)->value('name');    
if($info->updated_by>0 and $info->updated_by!=null){
$info->updated_by_admin=Admin::where('id',$info->updated_by)->value('name');    
}
$info->CounterUsed=get_count_where(new Inv_itemCard(),array("com_code"=>$com_code,"inv_itemcard_categories_id"=>$info->id));
}
}
return view('admin.inv_itemcard_categories.index',['data'=>$data]);    
}
/**
* Show the form for creating a new resource.
*
* @return \Illuminate\Http\Response
*/
public function create()
{
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(55);
        }   
return view('admin.inv_itemcard_categories.create');
}
/**
* Store a newly created resource in storage.
*
* @param  \Illuminate\Http\Request  $request
* @return \Illuminate\Http\Response
*/
public function store(Inv_itemcard_categoriesRequest $request){
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(55);
        }   
try{
$com_code=auth()->user()->com_code;
//check if not exsits
$checkExists=inv_itemcard_categorie::where(['name'=>$request->name,'com_code'=>$com_code])->first();
if($checkExists==null){
DB::beginTransaction();
$data['name']=$request->name;
$data['active']=$request->active;
$data['created_at']=date("Y-m-d H:i:s");
$data['added_by']=auth()->user()->id;
$data['com_code']=$com_code;
$data['date']=date("Y-m-d");
$flagData=insert(new inv_itemcard_categorie(),$data,true);
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=37;
                $data_monitoring_insert['content']=" اضافة فئة اصناف جديدة باسم ".$request->name;
                $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
DB::commit();
return redirect()->route('inv_itemcard_categories.index')->with(['success'=>'لقد تم اضافة البيانات بنجاح']);
}else{
return redirect()->back()
->with(['error'=>'عفوا اسم الفئة مسجل من قبل'])
->withInput(); 
}
}catch(\Exception $ex){
    DB::rollBack();
return redirect()->back()
->with(['error'=>'عفوا حدث خطأ ما'.$ex->getMessage()])
->withInput();           
}
} 
/**
* Display the specified resource.
*
* @param  int  $id
* @return \Illuminate\Http\Response
*/
public function show($id)
{
//
}
public function edit($id){
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(56);
        }
$com_code=auth()->user()->com_code;
$data=get_cols_where_row(new inv_itemcard_categorie(),array("*"),array("com_code"=>$com_code,"id"=>$id));
return view('admin.inv_itemcard_categories.edit',['data'=>$data]);
}         
public function update($id,Inv_itemcard_categoriesRequest $request){
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(56);
        }
try{
$com_code=auth()->user()->com_code;
$com_code=auth()->user()->com_code;
$data=get_cols_where_row(new inv_itemcard_categorie(),array("*"),array("com_code"=>$com_code,"id"=>$id));
if(empty($data)){
return redirect()->route('inv_itemcard_categories.index')->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
}
$checkExists=inv_itemcard_categorie::where(['name'=>$request->name,'com_code'=>$com_code])->where('id','!=',$id)->first();
if( $checkExists!=null){
return redirect()->back()
->with(['error'=>'عفوا اسم الخزنة مسجل من قبل'])
->withInput(); 
}
DB::beginTransaction();
$data_to_update['name']=$request->name;
$data_to_update['active']=$request->active;
$data_to_update['updated_by']=auth()->user()->id;
$data_to_update['updated_at']=date("Y-m-d H:i:s");
update( new inv_itemcard_categorie() , $data_to_update ,array("com_code"=>$com_code,"id"=>$id));
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=38;
                $data_monitoring_insert['content']=" تعديل فئة اصناف  باسم ".$data['name'];
                if($data['name']!=$data_to_update['name']){
                    $data_monitoring_insert['content'].=" الي ".$data_to_update['name'];  
                }
                $data_monitoring_insert['foreign_key_table_td']=$id;
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }

DB::commit();
return redirect()->route('inv_itemcard_categories.index')->with(['success'=>'لقد تم تحديث البيانات بنجاح']);
}catch(\Exception $ex){
    DB::rollBack();
return redirect()->back()
->with(['error'=>'عفوا حدث خطأ ما'.$ex->getMessage()])
->withInput();           
}
}    
/*
* Remove the specified resource from storage.
*
* @param  int  $id
* @return \Illuminate\Http\Response
*/

public function delete($id){
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(77);
        }
try{
    $com_code=auth()->user()->com_code;
    $data=get_cols_where_row(new inv_itemcard_categorie(),array("*"),array("com_code"=>$com_code,"id"=>$id));;
if(!empty($data)){
    $CounterUsed=get_count_where(new Inv_itemCard(),array("com_code"=>$com_code,"inv_itemcard_categories_id"=>$id));
 if( $CounterUsed >0){
    return redirect()->back()
->with(['error'=>'عفوا   هذه الفئة مستخدمه بالفعل ومتاح فقط تعطيلها']);
 }

$flag=delete(new inv_itemcard_categorie() ,array("com_code"=>$com_code,"id"=>$id) );
if($flag){
    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){

 /* start alerts_system_monitoring */
                $data_monitoring_insert['alert_modules_id']=3;
                $data_monitoring_insert['alert_movetype_id']=39;
                $data_monitoring_insert['content']=" حذف فئة اصناف  باسم ".$data['name'];
                $data_monitoring_insert['foreign_key_table_td']=$id;
                $data_monitoring_insert['added_by']=auth()->user()->id;
                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                $data_monitoring_insert['date']=date("Y-m-d");
                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
 /* End start alerts_system_monitoring */
 
 }
return redirect()->back()
->with(['success'=>'   تم حذف البيانات بنجاح']);
}else{
return redirect()->back()
->with(['error'=>'عفوا حدث خطأ ما']);
}
}else{
return redirect()->back()
->with(['error'=>'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
}
}catch(\Exception $ex){
return redirect()->back()
->with(['error'=>'عفوا حدث خطأ ما'.$ex->getMessage()]);
}
} 
}