<?php

namespace App\Imports;

use App\Models\Inv_itemCard;
use Maatwebsite\Excel\Concerns\ToModel;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class Inv_itemCardImport implements ToCollection
{
    /**
     * @param array $row
     *
     * @return \Illuminate\Database\Eloquent\Model|null
     */
    public function collection(Collection $rows)
    {
        foreach ($rows as $row) {
            $com_code = auth()->user()->com_code;
            //set item code for itemcard
            $checkExists_barcode = Inv_itemCard::where(['barcode' => $row[1], 'com_code' => $com_code])->first();
            $checkExists_name = Inv_itemCard::where(['name' => $row[0], 'com_code' => $com_code])->first();
            if (empty($checkExists_name) and empty($checkExists_barcode)) {
                //set item code for itemcard
                $LastAdded = get_cols_where_row_orderby(new Inv_itemCard(), array("item_code"), array("com_code" => $com_code), 'id', 'DESC');
                if (!empty($LastAdded)) {
                    $data_insert['item_code'] = $LastAdded['item_code'] + 1;
                } else {
                    $data_insert['item_code'] = 1;
                }



                $data_insert['name'] = $row[0];
                $data_insert['item_type'] = 1;
                $data_insert['inv_itemcard_categories_id'] = 1;
                $data_insert['uom_id'] = 1;
                $data_insert['price'] = 0;
                $data_insert['nos_gomla_price'] = 0;
                $data_insert['gomla_price'] = 0;
                $data_insert['cost_price'] = 0;
                $data_insert['does_has_retailunit'] = 1;
                $data_insert['parent_inv_itemcard_id'] = 1;



                $data_insert['has_fixced_price'] = 0;
                $data_insert['active'] = 1;
                $data_insert['added_by'] = auth()->user()->id;
                $data_insert['created_at'] = date("Y-m-d H:i:s");
                $data_insert['date'] = date("Y-m-d");
                $data_insert['com_code'] = $com_code;
                $flagData = insert(new Inv_itemCard(), $data_insert, true);
            }
        }
    }
}
