<?php 
namespace App\Traits;
use App\Models\Employee;
use App\Models\Month;
use App\Models\Employees_salaries;
use App\Models\Finance_calender;
use App\Models\Finance_cln_period;
use App\Models\Salaries_additional_types;
use App\Models\Salaries_discount_types;
use App\Models\Employees_attedance;
use App\Models\Employees_salaries_actions;
use App\Models\Admin_panel_setting;
trait GeneralTrait{
    function recalculate_main_salary($salaryid)
    {
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code, 'is_closed' => 0));
        if (!empty($data)) {
            $employee_data = get_cols_where_row(new Employee(), array("is_has_attendance"), array("com_code" => $com_code, "employee_code" => $data['employee_code']));
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("where_pull_attendance_days"), array("com_code" => $com_code));

            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code, 'is_open' => 1));
            if (!empty($other['Finance_cln_period_Data']) and !empty($employee_data)) {
                //start 
                if(  $employee_data['is_has_attendance']==1){
                    if( $systemData['where_pull_attendance_days']==1 ){
                        $number_of_days_attendance=get_count_where(new Employees_attedance(),array("com_code"=>$com_code,"finance_cln_periods_id"=>$data['finance_cln_periods_id'],"employee_code"=>$data['employee_code']));
                        $dataToUpdate['number_of_days_attendance']=  $number_of_days_attendance;
                    }else{
                        $number_of_days_attendance=$data['where_pull_attendance_days'];
                  
                    }
                    
                }else{
            $number_of_days_attendance=$data['where_pull_attendance_days'];
 
                }
                    $dataToUpdate['SalareyForDays']=$data['money_for_day']*$number_of_days_attendance;
                    $total_addtion = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" => 0,'action'=>1));
                    $total_discount = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" => 0,'action'=>2));
                    $total_loan = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>3));
                    $total_loan_return = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>4));
                    $dataToUpdate['final_the_net_befor_close'] = $data['last_salary_remain_blance'] + $dataToUpdate['SalareyForDays'] + $data['Motivation_value'] + $data['allowances_value'] + $data['social_insurance_value']+$total_addtion+
                    $total_discount+$total_loan+$total_loan_return;
                    $dataToUpdate['tota_credit']=0;
                    $dataToUpdate['total_debit']=0;

                    if( $data['last_salary_remain_blance']<0){
                        $dataToUpdate['tota_credit']+=$data['last_salary_remain_blance'];
                    } 
                    if( $data['last_salary_remain_blance']>0){
                        $dataToUpdate['total_debit']+=$data['last_salary_remain_blance'];
                    } 
                    $Alltotal_addtion = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1));
                    $Alltotal_discount = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2));
                    $Alltotal_loan = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>3));
                    $Alltotal_loan_return = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>4));

                    $Alltotal_discount_dismissial_done = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2,'is_dissmissial_collect_done'=>1));
                   if($Alltotal_discount_dismissial_done >0){$Alltotal_discount_dismissial_done=$Alltotal_discount_dismissial_done *(-1);}
                    $Alltotal_addtion_dismissial_done = get_sum_where(new Employees_salaries_actions(), "money_for_account", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1,'is_dissmissial_collect_done'=>1));
                    if($Alltotal_addtion_dismissial_done <0){$Alltotal_addtion_dismissial_done=$Alltotal_addtion_dismissial_done *(-1);}
 
                    $dataToUpdate['tota_credit']+=   $Alltotal_addtion+ $dataToUpdate['SalareyForDays'] + $data['Motivation_value'] + $data['allowances_value']+ $Alltotal_loan_return + $Alltotal_discount_dismissial_done ;
                  $dataToUpdate['total_debit']+= $data['social_insurance_value']+  $Alltotal_discount+ $Alltotal_addtion_dismissial_done+$Alltotal_loan;
                  
                    update(new Employees_salaries(), $dataToUpdate, array("id" => $salaryid, "com_code" => $com_code, 'is_closed' => 0));
              
              
                
                
           
          
            }
        }
    }



}