$(document).ready(function () {


    $(document).on('change', '#departements_id_filter', function (e) {
        get_employees_by_filters();
    });

    $(document).on('change', '#jobs_id_filter', function (e) {
        get_employees_by_filters();
    });
    $(document).on('change', '#active_filter', function (e) {
        get_employees_by_filters();
    });

    function get_employees_by_filters() {
        var departements_id_filter = $("#departements_id_filter").val();
        var jobs_id_filter = $("#jobs_id_filter").val();
        var active_filter = $("#active_filter").val();
        var token = $("#token_search").val();
        var url = $("#ajax_get_employees_by_filters_url").val();

        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                departements_id_filter: departements_id_filter,
                jobs_id_filter: jobs_id_filter,
                active_filter: active_filter,


            },
            success: function (data) {
                $("#get_employees_by_filtersDiv").html(data);
                $('.select2').select2({
                    theme: 'bootstrap4'
                });
            },
            error: function () {
                alert("حدث خطاما");
            }
        });
    }

    $(document).on('change', '#departements_id_filter_search', function (e) {
        make_search();
    });
    $(document).on('change', '#jobs_id_filter_search', function (e) {
        make_search();
    });

    $(document).on('change', '#active_filter_search', function (e) {
        make_search();
    });
    $(document).on('change', '#employee_code_search', function (e) {
        make_search();
    });

    function make_search() {
        var token = $("#token_search").val();
        var employee_code= $("#employee_code_search").val();
        var departements_id = $("#departements_id_filter_search").val();
        var jobs_id = $("#jobs_id_filter_search").val();
        var active_filter = $("#active_filter_search").val();
        var finance_cln_periods_id=$("#finance_cln_periods_id").val();
        var url = $("#ajax_search_url").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                employee_code: employee_code,departements_id:departements_id,jobs_id:jobs_id,active_filter:active_filter,finance_cln_periods_id:finance_cln_periods_id
            },
            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function () {
                alert("حدث خطاما");
            }
        });

    }

    $(document).on('click', '#ajax_pagination_in_search a ', function (e) {
        e.preventDefault();
        var token = $("#token_search").val();
        var employee_code= $("#employee_code_search").val();
        var departements_id = $("#departements_id_filter_search").val();
        var jobs_id = $("#jobs_id_filter_search").val();
        var active_filter = $("#active_filter_search").val();
        var finance_cln_periods_id=$("#finance_cln_periods_id").val();

        var url = $(this).attr("href");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                employee_code: employee_code,departements_id:departements_id,jobs_id:jobs_id,active_filter:active_filter,finance_cln_periods_id:finance_cln_periods_id
            },
            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function () { }
        });
    });



    $(document).on('click', '#whatselectedSubmit', function (e) {
        var Add_modal_employee_code = $("#Add_modal_employee_code").val();
        if (Add_modal_employee_code == "") {
            alert("من فضلك اختر الموظفين");
            e.preventDefault();
            return false;
        }
    });

    $(document).on('change', '#selectAll', function () {

        if (this.checked) {
           
                $('#Add_modal_employee_code option').prop('selected', true);    
       
        }
        else {
       
                $('#Add_modal_employee_code option').prop('selected', false);    
        }



    });

    $(document).on('click', '#load_edit_salary_btn', function (e) {
        var token = $("#token_search").val();
        var id= $(this).data("id");
        var url = $("#ajax_load_edit_salary").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                id: id
            },
            success: function (data) {
                $("#EditSalariesModalBody").html(data);
                $("#EditSalariesModal").modal("show");
            },
            error: function () {
                alert("حدث خطاما");
            }
        });
    });
    $(document).on('click', '#DoEditSalariesbtn', function (e) {
        var number_of_days_attendance_edit=$("#number_of_days_attendance_edit").val();
        if(number_of_days_attendance_edit==""){
            alert("من فضلك ادخل عدد ايام الحضور الفعلية");
            $("#number_of_days_attendance_edit").focus();
            e.preventDefault();
            return false;
        }

    });

    $(document).on('change', '#action_add', function (e) {
  
        var action_add=$(this).val();
        if(action_add==1){
         $("#additional_types_div").show();
         $("#discount_types_div").hide();
         $("#discount_types_id").val("");



        } else if(action_add==2){
            $("#additional_types_div").hide();
            $("#discount_types_div").show();
            $("#additional_types_id").val("");
   
   
   
           }
    
        else{
            $("#additional_types_div").hide();
            $("#discount_types_div").hide();
            $("#additional_types_id").val("");
            $("#discount_types_id").val("");
        }
        $('.select2').select2({
            theme: 'bootstrap4'
          });
    });

    $(document).on('change', '#action_add', function (e) {
        do_event_action_add_change();
    });

    function do_event_action_add_change(is_dissmissial_collect_done){
        var token = $("#token_search").val();
        var action_add= $("#action_add").val();
        var url = $("#ajax_load_action_add_move").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                action_add: action_add
            },
            success: function (data) {
                $("#ajax_load_action_add_moveDiv").html(data);
                if(action_add<3){
                    $("#is_dissmissial_collect_done").val(is_dissmissial_collect_done);

                }
               if(is_dissmissial_collect_done==1){
                $(".related_shift").show();
               }
     
            },
            error: function () {
                alert("حدث خطاما");
            }
        });
    }
    $(document).on('change', '#is_dissmissial_collect_done', function (e) {
    if($(this).val()==1){
        $(".related_shift").show();
    }else{
        $(".related_shift").hide();

    }
});
$(document).on('click', '#do_add_action', function (e) {
var res=confirm("هل أنت متأكد ؟");
if(res){
var action_add=$("#action_add").val();
if(action_add==""){
    alert(" من فضلك اختر نوع الحركة");
    $("#action_add").focus();
    e.preventDefault();
    return false;
}
var action_type_id="";
if(action_add==1){
    var action_type_id=$("#additional_types_id").val();
    if(action_type_id==""){
        alert(" من فضلك اختر نوع الاضافي");
        $("#additional_types_id").focus();
        e.preventDefault();
        return false;
    }
}

if(action_add==2){
    var action_type_id=$("#discount_types_id").val();
    if(action_type_id==""){
        alert(" من فضلك اختر نوع الخصم");
        $("#discount_types_id").focus();
        e.preventDefault();
        return false;
    }

}

var money_value=$("#money_value").val();
if(money_value==""){
    alert(" من فضلك أدخل قيمة الحركة");
    $("#money_value").focus();
    e.preventDefault();
    return false;
}

var is_dissmissial_collect_done=$("#is_dissmissial_collect_done").val();
if(is_dissmissial_collect_done==""){
    alert(" من فضلك أدخل اختر حالة الاجراء");
    $("#is_dissmissial_collect_done").focus();
    e.preventDefault();
    return false;
}
var treasuries_id="";
var treasuries_balance="";



if(action_add==1 && is_dissmissial_collect_done==1 ){
    treasuries_id=$("#treasuries_id").val();
    if(treasuries_id==""){
        alert(" من فضلك  اختر الخزنة");
        $("#treasuries_id").focus();
        e.preventDefault();
        return false;
    }
    
    treasuries_balance=$("#treasuries_balance").val();
    if(parseFloat(money_value)>parseFloat(treasuries_balance)){
        alert(" عفوا لايوجد رصيد كافي بالخزنة ");
        $("#money_value").focus();
        e.preventDefault();
        return false; 
    }
}else if(action_add==2 && is_dissmissial_collect_done==1 ){
    treasuries_id=$("#treasuries_id").val();
    if(treasuries_id==""){
        alert(" من فضلك  اختر الخزنة");
        $("#treasuries_id").focus();
        e.preventDefault();
        return false;
    }
    
  
}else if(action_add==3 && is_dissmissial_collect_done==1 ){
    treasuries_id=$("#treasuries_id").val();
    if(treasuries_id==""){
        alert(" من فضلك  اختر الخزنة");
        $("#treasuries_id").focus();
        e.preventDefault();
        return false;
    }
    
    treasuries_balance=$("#treasuries_balance").val();
    if(parseFloat(money_value)>parseFloat(treasuries_balance)){
        alert(" عفوا لايوجد رصيد كافي بالخزنة ");
        $("#money_value").focus();
        e.preventDefault();
        return false; 
    }
}else{
    treasuries_id=$("#treasuries_id").val();
    if(treasuries_id==""){
        alert(" من فضلك  اختر الخزنة");
        $("#treasuries_id").focus();
        e.preventDefault();
        return false;
    } 
}



}else{
    e.preventDefault();
return false;
}

});


$(document).on('mouseenter', '#do_add_action', function(e) {
   var is_dissmissial_collect_done=$("#is_dissmissial_collect_done").val(); 
   do_event_action_add_change(is_dissmissial_collect_done);
  


  
});

$(document).on('click', '#load_add_actionbtn', function (e) {
    var token = $("#token_search").val();
    var id= $(this).data("id");
    var url = $("#ajax_load_add_action_modal").val();
    jQuery.ajax({
        url: url,
        type: 'post',
        dataType: 'html',
        cache: false,
        data: {
            "_token": token,
            id: id
        },
        success: function (data) {
            $("#AddNewActionForSalaryBody").html(data);
            $("#AddNewActionForSalary").modal("show");
        },
        error: function () {
            alert("حدث خطاما");
        }
    });
});

$(document).on('click', '.load_edit_action', function (e) {
    var token = $("#token_search").val();
    var id= $(this).data("id");
    var url = $("#ajax_load_edit_action_modal").val();
    jQuery.ajax({
        url: url,
        type: 'post',
        dataType: 'html',
        cache: false,
        data: {
            "_token": token,
            id: id
        },
        success: function (data) {
            $("#edit_action_modalBody").html(data);
            $("#edit_action_modal").modal("show");
        },
        error: function () {
            alert("حدث خطاما");
        }
    });
});


$(document).on('click', '#load_close_salary_btn', function (e) {
    var token = $("#token_search").val();
    var id= $(this).data("id");
    var url = $("#ajax_load_close_salary_modal").val();
    jQuery.ajax({
        url: url,
        type: 'post',
        dataType: 'html',
        cache: false,
        data: {
            "_token": token,
            id: id
        },
        success: function (data) {
            $("#closeSalariesModalBody").html(data);
            $("#closeSalariesModal").modal("show");
        },
        error: function () {
            alert("حدث خطاما");
        }
    });
});

$(document).on('mouseenter', '#do_close_salary_now', function (e) {

    var token = $("#token_search").val();
    var id= $(this).data("id");
    var url = $("#ajax_load_usershiftDiv").val();
    jQuery.ajax({
        url: url,
        type: 'post',
        dataType: 'html',
        cache: false,
        data: {
            "_token": token,
            id: id
        },
        success: function (data) {
            $("#usershiftDiv").html(data);
           
        },
        error: function () {
            alert("حدث خطاما");
        }
    });
});

$(document).on('click', '#do_close_salary_now', function (e) {
var current_salary_close_state=$("#current_salary_close_state").val();
if(current_salary_close_state==""){
    alert("من فضلك ادخل قيمة صافي الراتب الان");
      return false;
}
var current_salary_close_action=$("#current_salary_close_action").val();
if(current_salary_close_action==""){
    alert("من فضلك اختر حالة الاجراء الان الان");
      return false;
}

if(current_salary_close_state!=3 && current_salary_close_action==1){
var treasuries_id=$("#treasuries_id").val();
if(treasuries_id==""){
    alert("من فضلك اختر الخزنة   ");
    return false;
}

if(current_salary_close_state==1){
var money=$("#current_salary_close_state option:selected").data("money");
var treasuries_balance=$("#treasuries_balance").val();
if(money > treasuries_balance){
    alert("عفوا لايوجد الان رصيد كافي بخزنة المستخدم !");
    return false;
}

}



}

});

});