$(document).ready(function () {


    // عند تغيير اختيار العميل يتم تحديث رقم المصعد وعدد الزيارات تلقائيًا
    $("#customer_code").on("change", function () {
        // ملاحظة: jQuery يقوم بتحويل data-lift-num إلى liftNum و data-visits-num إلى visitsNum
        let liftNum = $(this).find(":selected").data("liftNum") || "";
        $("#lift_num").val(liftNum); // تحديث رقم المصعد تلقائيًا

        let visits_num = $(this).find(":selected").data("visitsNum") || "";
        $("#visits_num").val(visits_num); // تحديث عدد الزيارات تلقائيًا

        let contract_id = $(this).find(":selected").data("contractId") || "";
        $("#contract_id").val(contract_id); // تحديث رقم العقد  تلقائيًا

        let phones = $(this).find(":selected").data("phones") || "";
        $("#phones").val(phones);// تحديث رقم الهاتف  تلقائيًا

        let file_num = $(this).find(":selected").data("file_num") || "";
        $("#file_num").val(file_num);// تحديث رقم الهاتف  تلقائيًا
        let address = $(this).find(":selected").data("address") || "";
        $("#address").val(address);// تحديث رقم الهاتف  تلقائيًا
        let gps = $(this).find(":selected").data("gps") || "";
        $("#gps").val(gps);// تحديث رقم الهاتف  تلقائيًا
    });

    /////////////////////
    // دالة إنشاء صفوف الجدول
    function generateVisitsTable(visits_num) {
        let tableBody = $("#visits_table tbody");
        tableBody.html(""); // مسح البيانات السابقة

        for (let i = 1; i <= visits_num; i++) {
            let rowHtml = `
            <tr>
                <td>${i}</td>
                <td><input type="text" name="elevator_number[]" class="form-control"></td>
                <td><input type="text" name="phone[]" class="form-control"></td>
                <td><input type="text" name="file_number[]" class="form-control"></td>
                <td><input type="text" name="address[]" class="form-control"></td>
                <td><input type="text" name="gps[]" class="form-control"></td>
                <td><input type="date" name="end_date_gregorian[]" class="form-control"></td>
                <td><input type="date" name="end_date_hijri[]" class="form-control"></td>
            </tr>
        `;
            tableBody.append(rowHtml);
        }
    }





    //////////////////////
    $(document).on('input', '#searchbytextforcustomer', function (e) {
        var searchtext = $(this).val();
        var token = $("#token_search").val();
        var url = $("#ajax_searchforcustomer").val();
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                searchtext: searchtext
            },
            success: function (data) {
                $("#searchbytextforcustomerDiv").html(data);
            },
            error: function () { }
        });
    });




    $(document).on('click', "#do_collect_now_btn", function () {
        var move_date = $("#move_date").val();
        if (move_date == "") {
            alert("من فضلك اختر التاريخ");
            $("#move_date").focus();
            return false;
        }
        var account_number = $("#account_number").val();
        if (account_number == "") {
            alert("من فضلك اختر الحساب المالي ");
            $("#account_number").focus();
            return false;
        }
        var mov_type = $("#mov_type").val();
        if (mov_type == "") {
            alert("من فضلك اختر الحركة المالية");
            $("#mov_type").focus();
            return false;
        }
        var treasuries_id = $("#treasuries_id").val();
        if (treasuries_id == "") {
            alert("من فضلك اختر خزنة التحصيل  ");
            $("#treasuries_id").focus();
            return false;
        }
        var money = $("#money").val();
        if (money == "" || money <= 0) {
            alert("من فضلك ادخل مبلغ التحصيل    ");
            $("#money").focus();
            return false;
        }
        var byan = $("#byan").val();
        if (byan == "") {
            alert("من فضلك ادخل البيان بشكل واضح     ");
            $("#byan").focus();
            return false;
        }
    });
    $(document).on('change', "#account_number", function () {
        var account_number = $(this).val();
        if (account_number == "") {
            $("#mov_type").val("");
            $("#get_account_blancesDiv").hide();
        } else {
            var account_type = $("#account_number option:selected").data("type");
            if (account_type == 2) {
                //if is supplier مورد
                $("#mov_type").val(10);
            } else if (account_type == 3) {
                //if is customer عميل
                $("#mov_type").val(5);
            } else if (account_type == 6) {
                //if is customer عميل
                $("#mov_type").val(25);
            } else {
                //if is Genearl عام
                $("#mov_type").val(4);
            }
            var token_search = $("#token_search").val();
            var url = $("#ajax_url_get_account_blance").val();
            var id = $(this).data("id");
            jQuery.ajax({
                url: url,
                type: 'post',
                dataType: 'html',
                cache: false,
                data: {
                    id: id,
                    "_token": token_search,
                    account_number: $(this).val()
                },
                success: function (data) {
                    $("#get_account_blancesDiv").html(data);
                    $("#get_account_blancesDiv").show();
                },
                error: function () { }
            });
        }
    });
    $(document).on('change', "#mov_type", function () {
        var account_number = $("#account_number").val();
        if (account_number == "") {
            alert("عفوا من فضلك اختر الحساب المالي اولا");
            $("#mov_type").val("");
            return false;
        }
        var account_type = $("#account_number option:selected").data("type");
        if (account_type == 2) {
            //if is supplier مورد
            $("#mov_type").val(10);
        } else if (account_type == 3) {
            //if is customer عميل
            $("#mov_type").val(5);
        } else if (account_type == 6) {
            //if is Bank بنكي
            $("#mov_type").val(25);
        } else {
            //if is Genearl عام
            $("#mov_type").val(4);
        }
    });

    function make_search() {
        var token = $("#token_search").val();
        var searchByBalanceStatus = $("#searchByBalanceStatus").val();
        var searchByactiveStatus = $("#searchByactiveStatus").val();
        var searchByContractStatus = $("#searchByContractStatus").val();
        var search_by_text = $("#search_by_text").val();
        var search_by_date1 = $("#search_by_date1").val();
        var search_by_date2 = $("#search_by_date2").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $("#ajax_search_url").val();


        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                searchByBalanceStatus: searchByBalanceStatus,
                searchByactiveStatus: searchByactiveStatus,
                searchByContractStatus: searchByContractStatus,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text,
                search_by_date1: search_by_date1,
                search_by_date2: search_by_date2
            },

            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            /*  error: function () {
                 alert("111حدث خطاما");
             } */
            error: function (xhr, status, error) {
                console.log(xhr.responseText);
                alert("خطأ في البحث: " + error);
            }
        });

    }

    $(document).on('click', '#ajax_pagination_in_search a ', function (e) {
        e.preventDefault();
        var token = $("#token_search").val();
        var searchByBalanceStatus = $("#searchByBalanceStatus").val();
        var searchByactiveStatus = $("#searchByactiveStatus").val();
        var search_by_text = $("#search_by_text").val();
        var searchbyradio = $("input[type=radio][name=searchbyradio]:checked").val();
        var url = $(this).attr("href");
        jQuery.ajax({
            url: url,
            type: 'post',
            dataType: 'html',
            cache: false,
            data: {
                "_token": token,
                account_number: account_number,
                mov_type: mov_type,
                treasuries: treasuries,
                admins: admins,
                from_date: from_date,
                to_date: to_date,
                searchbyradio: searchbyradio,
                search_by_text: search_by_text
            },
            success: function (data) {
                $("#ajax_responce_serarchDiv").html(data);
            },
            error: function () { }
        });
    });
    $('input[type=radio][name=searchbyradio]').change(function () {
        make_search();
    });
    $(document).on('input', '#search_by_text', function (e) {
        make_search();
    });
    $(document).on('change', '#searchByBalanceStatus', function (e) {
        make_search();
    });
    $(document).on('change', '#searchByactiveStatus', function (e) {
        make_search();
    });
    $(document).on('change', '#searchByContractStatus', function (e) {
        make_search();
    });

    $(document).on('change', '#account_type', function (e) {
        if ($(this).val() == "") {
            $(".related_to_balance").show();
        } else {
            if ($(this).val() == 1) {
                $(".related_to_balance").hide();
                $("#start_balance_status").val(3);
                $("#start_balance").val(0);

            } else {
                $(".related_to_balance").show();
            }
        }
    });

    $(document).on('change', '#start_balance_status', function (e) {
        if ($(this).val() == "") {
            $("#start_balance").val("");
        } else {
            if ($(this).val() == 3) {
                $("#start_balance").val(0);
            }
        }
    });
    $(document).on('input', '#start_balance', function (e) {
        var start_balance_status = $("#start_balance_status").val();
        if (start_balance_status == "") {
            alert("من فضلك اختر حالة الحساب اولا");
            $(this).val("");
            return false;
        }
        if ($(this).val() == 0 && start_balance_status != 3) {
            alert("يجب ادخال مبلغ اكبر من الصفر");
            $(this).val("");
            return false;
        }
    });

});