<!DOCTYPE html>
<html>
   <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title>  ارباح الاصناف</title>
      <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
      <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')}}">
      <style>
         @media print {
         .hidden-print {
         display: none;
         }
         }
         @media print {
         #printButton {
         display: none;
         }
         }
         td {
         font-size: 15px !important;
         text-align: center;
         }
         th{
         text-align: center;
         }
      </style>
   <body style="padding-top: 10px;font-family: tahoma;">
      <table style="width: 60%;float: right;  margin-right: 5px;" dir="rtl">
         <tr>
            <td style="text-align: center;padding: 5px;"> <span> نوع التقرير </span></td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;"> <span style=" display: inline-block;
               width: 600px;
               height: 30px;
               text-align: center;
               color: red;
               border: 1px solid black; ">
               أرباح الاصناف خلال الفترة {{ $from_date }} - {{ $to_date }}
               @if($inv_itemcard_categories_name!='') بالفئة ({{ $inv_itemcard_categories_name }})  @endif
               </span>
            </td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;">
               <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بتاريخ @php echo date('Y-m-d'); @endphp
               </span>
            </td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;">
               <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بواسطة {{ auth()->user()->name }}
               </span>
            </td>
         </tr>
      </table>
      <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
         <tr>
            <td style="text-align:left !important;padding: 5px;">
               <img style="width: 150px; height: 110px; border-radius: 10px;"
                  src="{{ asset('assets/admin/uploads').'/'.$systemData['photo'] }}">
               <p>{{ $systemData['system_name'] }}</p>
            </td>
         </tr>
      </table>
      <br>
      @if (@isset($inv_itemcard) && !@empty($inv_itemcard) && count($inv_itemcard)>0)
      <table dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
         <thead style="background-color: yellow">
            <th style="width: 20%;"> الصنف</th>
            <th style="width: 10%;" >   مشتريات</th>
            <th style="width: 10%;">    مرتجع مشتريات </th>
            <th style="width: 10%;">    صافي مشتريات </th>
            <th style="width: 10%;">مبيعات</th>
            <th style="width: 10%;">مرتجع مبيعات</th>
            <th style="width: 10%;">صافي مبيعات</th>
            <th style="width: 20%;">صافي الربح</th>

         </thead>
         </thead>
         <tbody>
            @foreach ($inv_itemcard as $info )
            <tr  @if($info->BurchasesInvoicesQuantity >0 or $info->BurchasesInvoicesReturnQuantity >0 or $info->SalesInvoicesQuantity >0 or $info->SalesInvoicesReturnQuantity>0 ) style="background-color: lightgoldenrodyellow"   @else    @endif >
               <td>{{ $info->name }}</td>
               <td>{{ $info->BurchasesInvoicesQuantity*1 }} {{   $info->Uom_name  }}
                <br>
                باجمالي {{ $info->BurchasesInvoicesTotalPrice*1 }} جنيه
               
               </td>
               <td>{{ $info->BurchasesInvoicesReturnQuantity*1 }} {{   $info->Uom_name  }}
                  <br>
                  باجمالي {{  $info->BurchasesInvoicesReturnTotalPrice*1}} جنيه
               </td>

               <td>
         @if( $info->netBurchases >0)
         مشتريات أكثر بقيمة {{ $info->netBurchases*1 }}
         @elseif( $info->netBurchases<0)
         مرتجع مشتريات أكثر  بقيمة {{ $info->netBurchases*1*(-1) }}
         @else
      متزن بصفر
         @endif
               </td>
               <td>{{ $info->SalesInvoicesQuantity*1 }} {{   $info->Uom_name  }}
                  <br>
                  باجمالي {{ $info->SalesInvoicesTotalPrice*1}} جنيه
               </td>
               <td>{{ $info->SalesInvoicesReturnQuantity*1 }} {{   $info->Uom_name  }}
                  <br>
                  باجمالي {{ $info->SalesInvoicesReturnTotalPrice*1 }} جنيه
               </td>
               <td>
                  @if( $info->neSales >0)
                  مبيعات أكثر بقيمة {{ $info->neSales*1 }}
                  @elseif( $info->neSales<0)
                  مرتجع مبيعات أكثر  بقيمة {{ $info->neSales*1*(-1) }}
                  @else
               متزن بصفر
                  @endif
                        </td>
               <td></td>

            </tr>
            @endforeach
            <tr>
               <td style="background-color:lightsalmon;" >الاجمالي</td>
               <td style="background-color: lightgreen;text-align: right" >{{ $other['total_BurchasesInvoicesTotalPrice']*1 }} جنيه 
               مشتريات
               </td>
               <td style="background-color: lightgreen;text-align: right" >{{ $other['total_BurchasesInvoicesReturnTotalPrice']*1 }} جنيه 
               مرتجع مشتريات
               </td>
               <td style="background-color: lightgreen;text-align: right" >
                  @if( $other['total_netBurchases'] >0)
                  مشتريات أكثر بقيمة {{ $other['total_netBurchases']*1 }} جنيه
                  @elseif( $other['total_netBurchases']<0)
                  مرتجعات أكثر بقيمة {{ $other['total_netBurchases']*1*(-1) }} جنيه
                  @else
               متزن بصفر
                  @endif

                  </td>
               <td style="background-color: lightgreen;text-align: right" >{{ $other['total_SalesInvoicesTotalPrice']*1 }} جنيه 
               مبيعات
               </td>
               <td style="background-color: lightgreen;text-align: right" >{{ $other['total_SalesInvoicesReturnTotalPrice']*1 }} جنيه 
             مرتجع مبيعات
            </td>
            
               <td style="background-color: lightgreen;text-align: right" >{{ $other['total_BurchasesInvoicesReturnTotalPrice']*1 }} جنيه 
                  @if( $other['total_neSales'] >0)
                  مبيعات أكثر بقيمة {{ $other['total_neSales']*1 }} جنيه
                  @elseif( $other['total_neSales']<0)
                  مرتجع مبيعات أكثر بقيمة {{ $other['total_neSales']*1*(-1) }} جنيه
                  @else
               متزن بصفر
                  @endif

                  </td>
               
               
               <td style="background-color: lightgreen;text-align: right" >
                
                  صافي ربحية
                  
                  </td>
            </tr>
         </tbody>
      </table>
      <br>
      @else
      <div class="clearfix"></div>
      <p class="" style="text-align: center; font-size: 16px;font-weight: bold; color: brown">
         عفوا لاتوجد بيانات لعرضها !!
      </p>
      @endif
      <br>
      <p style="
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> {{ $systemData['address'] }} - {{ $systemData['phone'] }} </p>
      <div class="clearfix"></div>
      <br>
      <p class="text-center">
         <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton">طباعة</button>
      </p>
   </body>
</html>