@if(!@empty($invoice_data))
<form action="{{ route('admin.SalesReturnWithOriginalInvoice.DoApproveInvoiceFinally') }}" method="POST" >
@csrf
<style> td input{width: 100%;} </style>
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
<div class="row">
   <div class="col-md-2">
      <div class="form-group">
         <label> رقم الأصل </label>
         <input disabled class="form-control"  value="{{ $invoice_data['auto_serial']  }}">
         <input type="hidden" name="original_invoice_id_for_return" id="original_invoice_id_for_return" value="{{ $invoice_data['id'] }}">     
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label> تاريخ </label>
         <input disabled  type="date" name="invoice_date" id="invoice_date" class="form-control"
            value="{{ $invoice_data['invoice_date'] }}">
         <input type="hidden" value="{{ $adminPanelSettings['make_auto_add_after_enter_barcode'] }}" id="make_auto_add_after_enter_barcode" >
         <input type="hidden" id="directprita6_link" value="{{ route('admin.SalesInvoices.printsaleswina4',[$invoice_data['id'],'A6']) }}">
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label> نوع البيع </label>
         <select disabled @if(!@empty($sales_invoices_details) and count($sales_invoices_details)>0) disabled @endif 
         name="sales_item_type_mainUpdate" id="sales_item_type_mainUpdate" class="form-control " @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(218)==false) disabled @endif >
         <option @if($invoice_data['sales_item_type']==1) selected @endif value="1">قطاعي</option>
         <option @if($invoice_data['sales_item_type']==2) selected @endif value="2">نص جملة عروض</option>
         <option @if($invoice_data['sales_item_type']==3) selected @endif value="3">جملة</option>
         </select>
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label>  الفئة</label>
         <select disabled name="Sales_matrial_types_id" id="Sales_matrial_types_id" class="form-control select2">
            <option value=""> اختر فئة الفاتورة</option>
            @if (@isset($Sales_matrial_types) && !@empty($delegates))
            @foreach ($Sales_matrial_types as $info )
            <option @if($invoice_data['sales_matrial_types']==$info->id) selected @endif value="{{ $info->id }}"> {{
            $info->name }} </option>
            @endforeach
            @endif
         </select>
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label> بيانات المناديب</label>
         <select disabled name="delegate_code" id="delegate_code" class="form-control select2">
            <option value=""> اختر المندوب</option>
            @if (@isset($delegates) && !@empty($delegates))
            @foreach ($delegates as $info )
            <option @if($invoice_data['delegate_code']==$info->delegate_code) selected @endif value="{{
            $info->delegate_code }}"> {{ $info->name }} </option>
            @endforeach
            @endif
         </select>
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label>   هل لعميل</label>
         <select disabled name="is_has_customer" id="is_has_customer" class="form-control"  @if( auth()->user()->is_master_admin!=1 and check_permission_sub_menue_actions(217)==false) disabled @endif>
         <option @if($invoice_data['is_has_customer']==1) selected @endif value="1" selected> نعم عميل</option>
         <option @if($invoice_data['is_has_customer']==0) selected @endif value="0"> لايوجد ( طياري )</option>
         </select>
      </div>
   </div>
   <div class="col-md-4" id="customer_codeDiv" @if($invoice_data['is_has_customer']==0) style="display: none;" @endif>
   <div class="form-group">
      <div class="form-group">
         <label> بيانات العملاء
         </label>
         <div id="searchbytextforcustomerDiv">
            <select disabled name="customer_code" id="customer_code" class="form-control ">
               <option value=""> لايوجد عميل</option>
               @if (@isset($customers) && !@empty($customers))
               @foreach ($customers as $info )
               <option @if($invoice_data['customer_code']==$info->customer_code and
               $invoice_data['is_has_customer']==1) selected @endif value="{{ $info->customer_code }}"> {{
               $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
   </div>
</div>
</div>
<hr style="border:1px solid #3c8dbc;">
<div class="row">
   <div class="col-md-12">
      <p style="text-align: center !important;font-size: 1.4vw;">الاصناف المضافة لفاتورة البيع</p>
   </div>
</div>
<div class="clearfix"></div>
<hr style="border:1px solid #3c8dbc;">
<div class="row" id="activeItemisInInvoiceDiv">
   <!--  <h3 class="card-title card_title_center"> الاصناف المضافة علي الفاتورة </h3> -->
   <table id="example2" class="table table-bordered table-hover">
      <thead class="custom_thead">
         <th style="width: 5%" >مسلسل</th>
         <th style="width: 10%" >المخزن</th>
         <th style="width: 5%" > البيع</th>
         <th style="width: 15%"  >الصنف</th>
         <th style="width: 10%"> أصل الكمية</th>
         <th >المرتجع سابقأ </th>
         <th > المتاح ارجاعه </th>
         <th>المرتجع الآن</th>
         <th >بسعر </th>
         <th >الاجمالي</th>

      </thead>
      <tbody id="itemsrowtableContainterBody">
         @if(!@empty($sales_invoices_details)) @php $i=1;$auto=1; @endphp
         @foreach ($sales_invoices_details as $info )
         <tr>
            <td>{{ $auto}}</td>
            <td>
               {{ $info->store_name }}
               <input type="hidden" id="item_total_array{{ $info->id }}" name="item_total_array[]" class="item_total_array" value="{{$info->total_price}}">
            </td>
            <td>
               @if($info->sales_item_type==1) قطاعي   @elseif($info->sales_item_type==2) نص جملة عروض @elseif($info->sales_item_type==3) جملة @else  لم يحدد @endif
            </td>
            <td>{{ $info->item_name }}
               <input type="hidden" name="sales_invoices_details_id[]" value="{{ $info->id }}">
               <input type="hidden" name="uom_id[]" value="{{ $info->uom_id }}">
               <input type="hidden" name="stores[]" value="{{ $info->store_id }}">
               <input type="hidden" name="sales_item_type[]" value="{{ $info->sales_item_type }}">
               <input type="hidden" name="item_code[]" value="{{ $info->item_code }}">
               <input type="hidden" name="isparentuom[]" value="{{ $info->isparentuom }}">
               <input type="hidden" name="production_date[]" value="{{ $info->production_date }}">
               <input type="hidden" name="expire_date[]" value="{{ $info->expire_date }}">
               <input type="hidden" name="batch_auto_serial[]" value="{{ $info->batch_auto_serial }}">
               <input type="hidden" name="BasicQunatity[]" value="{{ $info->quantity }}">
               <input type="hidden" name="is_normal_orOther[]" value="{{ $info->is_normal_orOther }}">

            </td>
            <td>
               {{  $info->quantity*(1)  }} {{ $info->uom_name }}
            </td>
            <td >  <input type="text"   readonly class="returned_quantity_befor form-control" value="{{ $info->returned_quantity_befor*1 }}"  name="returned_quantity_befor" oninput="this.value=this.value.replace(/[^0-9.]/g,'');"> 
            <td > <input readonly name="allowed_return_balance[]" class="allowed_return_balance form-control"  value="{{ $info->allowed_return_balance*1 }}" ></td>
            <td   @if($info->allowed_return_balance==0) class="bg-danger" @endif >  <input type="text" @if($info->allowed_return_balance==0) readonly @endif class="returned_quantity_now form-control"  value="{{ $info->allowed_return_balance*1 }}"    name="returned_quantity_now[]" oninput="this.value=this.value.replace(/[^0-9.]/g,'');"> </td>
            <td >  <input type="text" class="unit_price form-control" readonly   value="{{ $info->unit_price*1 }}"  name="unit_price[]" oninput="this.value=this.value.replace(/[^0-9.]/g,'');"> </td>
            <td >  <input type="text" class="sup_total_row form-control" readonly   value="{{ $info->sup_total_row*1 }}" name="sup_total_row[]" oninput="this.value=this.value.replace(/[^0-9.]/g,'');"> </td>
         </tr>
         @php $i++; @endphp
         @php $auto++; @endphp
         @endforeach
         @endif
      </tbody>
   </table>
</div>
<div class="clearfix"></div>
<hr style="border:1px solid #3c8dbc;">
<div class="row">
   <div class="col-md-2">
      <div class="form-group">
         <label>اجمالي الاصناف </label>
         <input readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="total_cost_items"
            id="total_cost_items" class="form-control" value="0">
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label> نوع الخصم </label>
         <select class="form-control" name="discount_type" id="discount_type">
            <option value="">لايوجد خصم</option>
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(242))
            <option @if($invoice_data['discount_type']==1) selected @endif value="1"> نسبة مئوية</option>
            <option @if($invoice_data['discount_type']==2) selected @endif value="2"> قيمة يدوي</option>
            @endif
         </select>
      </div>
   </div>
   <div class="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
   <div class="form-group">
      <label> نسبة الخصم </label>
      <input @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null) readonly @endif
      oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="discount_percent" id="discount_percent"
      class="form-control" value="{{ $invoice_data['discount_percent']*1 }}">
   </div>
</div>
<div lass="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
<div class="form-group">
   <label> قيمة الخصم </label>
   <input readonly name="discount_value" id="discount_value" class="form-control"
      value="{{ $invoice_data['discount_value']*1 }}">
</div>
</div>
<div lass="col-md-2 related_to_discount"  @if($invoice_data['discount_type']=="" || $invoice_data['discount_type']==null ) style="display: none;" @endif>
<div class="form-group">
   <label> الاجمالي بعد الخصم </label>
   <input readonly id="total_after_discount" name="total_after_discount" class="form-control"
      value="0">
</div>
</div>
<div class="col-md-2">
   <div class="form-group">
      <label> نسبة الضريبة </label>
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(243))
      <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="tax_percent" id="tax_percent"
         class="form-control" value="{{ $invoice_data['tax_percent']*1 }}">
      @else
      <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="tax_percent" id="tax_percent"
         class="form-control" readonly value="{{ $invoice_data['tax_percent']*1 }}">
      @endif
   </div>
</div>
<div class="col-md-2">
   <div class="form-group">
      <label> قيمة الضريبة </label>
      <input readonly id="tax_value" class="form-control" name="tax_value"
         value="0">
   </div>
</div>
<div class="col-md-2">
   <div class="form-group">
      <label> الاجمالي النهائي </label>
      <input readonly name="total_cost" id="total_cost" class="form-control"
         value="0">
   </div>
</div>
</div>
<div class="row">
   <div class="col-md-4" id="shiftDiv">
      <div class="row">
         <div class="col-md-6">
            <div class="form-group">
               <label> خزنة الصرف </label>
               <select id="treasuries_id" name="treasuries_id" class="form-control">
                  @if(!@empty($user_shift))
                  <option selected value="{{ $user_shift['treasuries_id']  }}"> {{ $user_shift['name'] }} </option>
                  @else
                  <option value=""> عفوا لاتوجد خزنة لديك الان</option>
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-6 > 
            <div class=" form-group">
            <label> الرصيد  بالخزنة </label>
            <input readonly name="treasuries_balance" id="treasuries_balance" class="form-control" @if(!@empty($user_shift))
            value="{{ $user_shift['balance']*1 }}" @else value="0" @endif>
         </div>
      </div>
   </div>
   <div class="col-md-2">
      <div class="form-group">
         <label> نوع  الدفع  </label>
         <select class="form-control" name="pill_type" id="pill_type"   >
         <option value="1" @if($invoice_data['pill_type']==1) selected @endif value="1" > كاش</option>
         @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(245)) 
         <option value="2" @if($invoice_data['pill_type']==2) selected @endif value="2" > اجل</option>
         @endif
         </select>
      </div>
   </div>
   <div class="col-md-2" >
      <div class=" form-group">
         <label> المصروف الان </label>
         <input name="what_paid" id="what_paid" class="form-control" 
            value="0">
      </div>
   </div>
   <div class="col-md-2" id="what_remain_div" @if($invoice_data['Returned_to_customer_instantly']>0 and $invoice_data['what_remain']==0) style="display: none;"  @endif > 
   <div class=" form-group">
      <label>  الآجل المتبقي </label>
      <input readonly name="what_remain" id="what_remain" class="form-control"
         value="0">
   </div>
</div>
<div class="col-md-2" id="Returned_to_customer_instantly_div" @if($invoice_data['Returned_to_customer_instantly']==0) style="display: none;"  @endif> 

</div>
<div class="col-md-6 ">
   <div class="form-group">
      <input placeholder=" الملاحظات علي الفاتورة " style="background-color: lightgoldenrodyellow" name="notes" id="notes" class="form-control"
         value="{{ $invoice_data['notes'] }}">
   </div>
</div>
<div class="col-md-6 text-left">
   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(239))
   <button class="btn btn-sm btn-danger DoApproveInvoiceFinally" value="app_print" type="submit"  name="submit"   >أرشفة وطباعة   
   F2</button>
   <button class="btn btn-sm btn-primary DoApproveInvoiceFinally" value="app_only" type="submit" name="submit"  >أرشفة فقط   
   F3</button>
   @endif
 
</div>
</div>
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection
@else
<div class="alert alert-danger">
   عفوا غير قادر للوصول لبيانات الفاتورة المطلوبة
</div>
@endif