@extends('layouts.admin')
@section('title')
تقرير انتهاء عملاء الصيانة لشهر {{ $month }} 
@endsection
@section('contentheader')
تقرير انتهاء عملاء الصيانة لشهر {{ $month }} 
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.contract.end_moharam_report') }}">    تقرير انتهاء عملاء الصيانة لشهر {{ $month }}   </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
  {{--  <div class="card-header">
      <h3 class="card-title card_title_center">تقرير انتهاء عملاء الصيانة لشهر {{ $month }}      </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.contract.ajax_search') }}">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(13)) 
      <a href="{{ route('admin.contract.create') }}" class="btn btn-sm btn-success" >اضافة عقد جديد</a>
       @endif
   </div> --}}
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.contract.print_search') }}" method="post" target="_blank">
         @csrf
      <div class="row">
         <div class="col-md-4">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="lift_num"> برقم المصعد
            <input  type="radio"  name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input autofocus style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود العميل" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
              
               <label>  بحث  بالتاريخ</label>
               <input type="date"  name="search_by_date1_hijri" id="search_by_date1" class="form-control"   value="{{ $from_date }}" readonly   >
               <input type="date"  name="search_by_date2_hijri" id="search_by_date2" class="form-control"   value="{{ $to_date }}" readonly    >
            </div>
               </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة الرصيد</label>
               <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> دائن</option>
                  <option  value="2"> مدين</option>
                  <option    value="3"> متزن</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التعاقد</label>
               <select name="searchByContractStatus" id="searchByContractStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> صيانة </option>
                  <option   value="2">  تركيب</option>
                  
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
      </div>
      </form>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         @if (@isset($data) && !@empty($data) && count($data)>0)
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>الاسم </th>
               <th>  رقم المصعد </th>
               <th> رقم الهاتف </th>
               <th>  رقم الملف </th>
               <th>  العنوان </th>
               <th>  جي بي اس </th>
               <th>  ت نهاية ميلادي </th>
               <th>  ت نهاية هجري </th>
               <th> التفعيل</th>
               <th>  نوع العقد</th>
               
            </thead>
            <tbody>
               @foreach ($data as $info )
               <tr>
                  <td>{{ $info->name }}</td>
                  <td>{{ $info->lift_num }}</td>
                  <td>{{ $info->phones }}</td>
                 
                  <td>{{ $info->file_num }}</td>
                  <td>{{ $info->address }}</td>
                  <td>{{ $info->gps }}</td>
                  <td>{{ $info->maintenance_end_date }}</td>
                  <td>{{ $info->maintenance_end_date_hijri }}</td>
                  <td>@if($info->active==1) مفعل @else معطل @endif</td>
                  <td>@if($info->contract_type==1) صيانة 
                     @elseif ($info->contract_type==2)  تركيب
                     @elseif($info->contract_type==3) استكمال
                     @endif</td>
                  <td>
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(14)) 
                     <a href="{{ route('admin.contract.edit',$info->id), }}" class="btn btn-sm  btn-primary">تعديل</a>
                     @if($info->contract_type<>1)  
                     <a href="{{ route('admin.contract.edit_stages',$info->id) }}" class="btn btn-sm  btn-primary">تحديث المراحل</a>   
                     @endif
                     @endif
                     @if(  $info->CounterUsed==0)
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(15)) 
                     {{-- <a href="{{ route('admin.contract.delete',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>    --}}
                     @endif
                     @endif
                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <br>
         {{ $data->links() }}
         @else
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         @endif
      </div>
   </div>
</div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/contracts.js') }}"></script>
@endsection