<!DOCTYPE html>
<html>

<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <title> بحث العملاء</title>
   <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
   <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')}}">
   <style>
      @media print {
         .hidden-print {
            display: none;
         }
      }

      @media print {
         #printButton {
            display: none;
         }
      }

      td {
         font-size: 15px !important;
         text-align: center;
      }
   </style>

<body style="padding-top: 10px;font-family: tahoma;">


   <table style="width: 60%;float: right;  margin-right: 5px;" dir="rtl">
      <tr>
         <td style="text-align: center;padding: 5px;"> <span> نوع التقرير </span></td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;"> <span style=" display: inline-block;
               width: 400px;
               height: 30px;
               text-align: center;
               color: red;
               border: 1px solid black; ">
               بحث بحسابات العملاء
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بتاريخ @php echo date('Y-m-d'); @endphp
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بواسطة {{ auth()->user()->name }}
            </span>
         </td>
      </tr>
   </table>
   <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
      <tr>
         <td style="text-align:left !important;padding: 5px;">
            <img style="width: 150px; height: 110px; border-radius: 10px;"
               src="{{ asset('assets/admin/uploads').'/'.$systemData['photo'] }}">
            <p>{{ $systemData['system_name'] }}</p>
         </td>
      </tr>
   </table>

   <br>

   @if (@isset($data) && !@empty($data) && count($data)>0)
   <table dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
      <thead style="background-color: yellow">
         <th>الاسم </th>
         <th>  رقم المصعد </th>
         <th> رقم الهاتف </th>
         <th>  رقم الملف </th>
         <th>  العنوان </th>
         <th>  جي بي اس </th>
         <th>  ت نهاية ميلادي </th>
         <th>  ت نهاية هجري </th>
         <th> التفعيل</th>
         <th> حالة التعاقد</th>


      </thead>
      <tbody>
         @foreach ($data as $info )
         <tr>
            <td>{{ $info->name }}</td>
            <td>{{ $info->lift_num }}</td>
            <td>{{ $info->phones }}</td>
            {{-- <td> 
               @if($info->current_balance >0)
               مدين ب ({{ $info->current_balance*1 }}) جنيه  
               @elseif ($info->current_balance <0)
               دائن ب ({{ $info->current_balance*1*(-1) }})   جنيه
               @else
               متزن
               @endif
            </td> --}}
            <td>{{ $info->file_num }}</td>
            <td>{{ $info->address }}</td>
            <td>{{ $info->gps }}</td>
            <td>{{ $info->maintenance_end_date }}</td>
            <td>{{ $info->maintenance_end_date_hijri }}</td>
            <td>@if($info->active==1) مفعل @else معطل @endif</td>
            <td>@if($info->contract_type==1) صيانة @else تركيب @endif</td>
            <td>
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(14)) 
               <a href="{{ route('admin.customer.edit',$info->id) }}" class="btn btn-sm  btn-primary">تعديل</a>   
               @endif
               @if(  $info->CounterUsed==0)
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(15)) 
               <a href="{{ route('admin.customer.delete',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
               @endif
               @endif
            </td>


         </tr>
         @endforeach
         <tr>
   <td style="background-color: lightcoral;" colspan="2"> اجمالي الدائنين
  {{ $mirror['credit_sum']*1*(-1); }}
</td>
<td style="background-color: lightgreen;" colspan="2"> اجمالي المدينين
   {{ $mirror['debit_sum']*1; }}
 </td>
 <td style="background-color: lightgoldenrodyellow;" colspan="3"> الصافي
   @if($mirror['net'] >0)
   مدينين ب ({{ $mirror['net']*1 }}) جنيه
   @elseif ($mirror['net'] <0) دائنين ب ({{ $mirror['net']*1*(-1) }}) جنيه
      @else
      متزنين
      @endif

 </td>
         </tr>
      </tbody>
   </table>
   <br>

   @else
 <div class="clearfix"></div>
      <p class="" style="text-align: center; font-size: 16px;font-weight: bold; color: brown">
      عفوا لاتوجد بيانات لعرضها !!
      </p>

   @endif


   <br>
   <p style="
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> {{ $systemData['address'] }} - {{ $systemData['phone'] }} </p>
   <div class="clearfix"></div> <br>
   <p class="text-center">
      <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton">طباعة</button>
   </p>
</body>

</html>