@extends('layouts.admin')
@section('title')
اضافة صنف 
@endsection
@section('contentheader')
الاصناف
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.itemcard.index') }}">  الاصناف </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> استيراداصناف جديدة من خلال ملف اكسيل</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      
      <form action="{{ route('admin.itemcard.do_load_import_excel_file') }}" method="post" enctype="multipart/form-data" >
         <div class="row">
            @csrf
            
                
<div class="col-md-6" style="border:solid 5px #000 ; margin:10px;">
<div class="form-group"> 
<label>   اختر ملف الاكسيل</label>
 
<input  type="file" id="excel_file" name="excel_file" class="form-control">
@error('excel_file')
<span class="text-danger">{{ $message }}</span>
@enderror
</div>
</div>  
<div class="col-md-12">
<div class="form-group text-center">
<button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> سحب الان</button>
<a href="{{ route('admin.itemcard.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
</div>
</div>
</div>  
</form>  

@endsection
@section('script')
<script src="{{ asset('assets/admin/js/inv_itemcard.js') }}"></script>
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>

<script>
   var uom_id=$("#uom_id").val();
   if(uom_id!=""){
     var name=$("#uom_id option:selected").text();  
       $(".parentuomname").text(name); 
   }
   

      //Initialize Select2 Elements
      $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection