<!DOCTYPE html>
<html>
   <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title> تقرير بحث الاصناف</title>
      <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
      <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')}}">
      <style>
         @media print {    
         .hidden-print{display:none;}
         }
         @media print{
            #printButton{
               display: none;
            }
         }
         td{font-size: 15px !important;text-align: center;}
      </style>
   <body style="padding-top: 10px;font-family: tahoma;">
   
    
      <table style="width: 60%;float: right;  margin-right: 5px;" dir="rtl">
         <tr>
            <td style="text-align: center;padding: 5px;">  <span > نوع التقرير </span></td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;">  <span style=" display: inline-block;
               width: 400px;
               height: 30px;
               text-align: center;
               color: red;
               border: 1px solid black; ">  
 تقرير بحث الاصناف
               </span>
            </td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;"> 
               <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; "> 
               طبع بتاريخ @php echo date('Y-m-d'); @endphp
               </span>
            </td>
         </tr>
         <tr>
            <td style="text-align: center;padding: 5px;font-weight: bold;"> 
               <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; "> 
               طبع بواسطة {{ auth()->user()->name }}
               </span>
            </td>
         </tr>
      </table>
      <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
         <tr>
            <td style="text-align:left !important;padding: 5px;">
               <img style="width: 150px; height: 110px; border-radius: 10px;" src="{{ asset('assets/admin/uploads').'/'.$systemData['photo'] }}"> 
               <p>{{ $systemData['system_name'] }}</p>
            </td>
         </tr>
      </table>
   
      <br>
      
      @if (@isset($data) && !@empty($data) && count($data)>0)
      <table  dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
         <thead style="background-color: yellow">
            <th style="text-align: center;">  باركود </th>
            <th style="text-align: center;" >الصنف </th>
            @if($show_quantity_print==1)
            <th style="text-align: center;">  الكمية الحالية </th>
            @endif
            @if($show_prices_print==1)
            <th style="text-align: center;"> السعر</th>
            @endif
            @if($show_retail_prices_print==1)
            <th style="text-align: center;">   وحدات التجزئة </th>
            @endif
      
         </thead>
         <tbody>
            @foreach ($data as $info )
            <tr>
               <td >{{ $info->item_code }}</td>
               <td>{{ $info->name }}</td>
               @if($show_quantity_print==1)
               <td>{{ $info->QUENTITY*1 }} {{ $info->Uom_name }}</td>
               @endif
                @if($show_prices_print==1)
               <td>
           @if($price_type_print==1) {{ $info->price*1 }} @elseif($price_type_print==2) {{ $info->nos_gomla_price*1 }} @else {{ $info->gomla_price*1 }} @endif
               </td>
               @endif
               @if($show_retail_prices_print==1)
               <td>
                  @if (@isset($info->inv_itemcard_retails_uoms) && !@empty($info->inv_itemcard_retails_uoms) && count($info->inv_itemcard_retails_uoms)>0)
                  <table  dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
                     <thead style="background-color: greenyellow">
                        <th style="text-align: center;">  اسم الوحدة </th>
                        <th style="text-align: center;"> السعر</th>
                      
                     </thead>
                     <tbody>
                        @foreach ($info->inv_itemcard_retails_uoms as $retail )
                        <tr>
                           <td >{{ $retail->retail_uom_name }}</td>
                           <td>
                       @if($price_type_print==1) {{ $retail->price_retail*1 }} @elseif($price_type_print==2) {{ $retail->nos_gomla_price_retail*1 }} @else {{ $retail->gomla_price_retail*1 }} @endif
                           
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>




                  @else
            
                  <p style="text-align: center; color: brown;">
                      عفوا لاتوجد  وحدات اتجزئة !!
                  </p>
                   @endif
               </td>
               @endif
            </tr>
            @endforeach
           
         </tbody>
      </table>
      <br>

      @else
     <div class="clearfix"></div>
     <p style="text-align: center; color: brown;">
         عفوا لاتوجد بيانات لعرضها !!
     </p>
      @endif


      <br>
      <p style="
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> {{ $systemData['address'] }} - {{ $systemData['phone'] }} </p>
             <div class="clearfix"></div> <br>
             <p class="text-center">
               <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton"  >طباعة</button>
             </p>
   </body>
</html>