@if (@isset($data) && !@empty($data) && count($data) >0)
@php
$i=1;   
@endphp
<table id="example2" class="table table-bordered table-hover">
   <thead class="custom_thead">
      <th>كود</th>
      <th>  فئة الفاتورة</th>
      <th> الحساب المالي /الجهة</th>
      <th> تاريخ الفاتورة</th>
      <th>  نوع الفاتورة</th>
      <th>    اجمالي الفاتورة</th>
      <th>حالة الفاتورة</th>
      <th></th>
   </thead>
   <tbody>
      @foreach ($data as $info )
      <tr>
         <td>{{ $info->auto_serial }}</td>
         <td>@if($info->order_type==1)  خدمات مقدمة لنا   @else   خدمات نقدمها للغير @endif</td>
         <td>
            @if ($info->is_account_number==1)
            {{ $info->account_name }}
            @else
            جهة <br>  {{ $info->entity_name }}
            @endif
         </td>
         <td>{{ $info->order_date }}</td>
         <td>@if($info->pill_type==1)  كاش  @elseif($info->pill_type==2)  اجل  @else  غير محدد @endif</td>
         <td>{{ $info->total_cost*(1) }}</td>
         <td>@if($info->is_approved==1)  معتمدة   @else   مفتوحة @endif</td>
         <td>
            @if($info->is_approved==0)
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(137)) 
            <a href="{{ route('admin.Services_orders.edit',$info->id) }}" class="btn btn-sm  btn-success">تعديل</a>   
            @endif
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(138)) 
            <a href="{{ route('admin.Services_orders.delete',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
            @endif
            @endif
            <a href="{{ route('admin.Services_orders.show',$info->id) }}" class="btn btn-sm   btn-info">التفاصيل</a>   
            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(139)) 
            <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Services_orders.printsaleswina4',[$info->id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
            <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Services_orders.printsaleswina4',[$info->id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>
            @endif
         </td>
      </tr>
      @php
      $i++; 
      @endphp
      @endforeach
   </tbody>
</table>
<br>
<div class="col-md-12" id="ajax_pagination_in_search">
   {{ $data->links() }}
</div>
@else
<div class="alert alert-danger">
   عفوا لاتوجد بيانات لعرضها !!
</div>
@endif