@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section('contentheader')
أنواع الشفتات
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.shifts.index') }}">  الشفتات </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center"> اضافة شفت جديد</h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <form action="{{ route('admin.shifts.store') }}" method="post" >
               @csrf

               <div class="form-group">
                  <label>   نوع الشفت</label>
                  <select name="type" id="type" class="form-control">
                     <option value="">اختر النوع</option>
                     <option   @if(old('type')==1) selected="selected"  @endif value="1"> صباحي</option>
                     <option @if(old('type')==2 ) selected="selected"   @endif value="2"> مسائي</option>
                     <option @if(old('type')==3 ) selected="selected"   @endif value="3"> يوم كامل</option>
                  </select>
                  @error('type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>


               <div class="form-group">
                  <label>بداية الشفت من  توقيت  </label>
                  <input type="time" name="from_time" id="from_time" class="form-control" value="{{ old('from_time') }}" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
                  @error('from_time')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
               <div class="form-group">
                  <label>نهاية الشفت الي توقيت  </label>
                  <input type="time" name="to_time" id="to_time" class="form-control" value="{{ old('to_time') }}" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
                  @error('to_time')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
             
                  <div class="form-group">
                     <label>  حالة التفعيل</label>
                     <select name="active" id="active" class="form-control">
                        <option value="">اختر الحالة</option>
                        <option   @if(old('active')==1) selected="selected"  @endif value="1"> نعم</option>
                        <option @if(old('active')==0 and old('active')!="" ) selected="selected"   @endif value="0"> لا</option>
                     </select>
                     @error('active')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
                  <div class="form-group text-center">
                     <button type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                     <a href="{{ route('admin.jobs.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
                  </div>
            </form>
            </div>  
         </div>
      </div>
   </div>
</div>
@endsection