<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Models\SupplierCategories;
use App\Models\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\SupplierCategoriesRequest;
use App\Models\Supplier;
use App\Models\Admin_panel_setting;
use App\Models\Alerts_system_monitoring;
use Illuminate\Support\Facades\DB;
class SupplierCategoriesController extends Controller
{
    public function index()
    {
        if(auth()->user()->is_master_admin==0){
            // check_permission_sub_menue_actions_redirect(20);
            }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new SupplierCategories(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    $info->CounterUsed=get_count_where(new Supplier(),array("com_code" => $com_code,"suppliers_categories_id"=>$info->id));
                }
            }
        }
        return view('admin.suppliers_categories.index', ['data' => $data]);
    }
    public function create()
    {
        if(auth()->user()->is_master_admin==0){
        //    check_permission_sub_menue_actions_redirect(21);
            }
        return view('admin.suppliers_categories.create');
    }
    public function store(SupplierCategoriesRequest $request)
    {
        if(auth()->user()->is_master_admin==0){
           // check_permission_sub_menue_actions_redirect(21);
            }
        try {
            $com_code = auth()->user()->com_code;
            //check if not exsits
            $checkExists = SupplierCategories::where(['name' => $request->name, 'com_code' => $com_code])->first();
            if ($checkExists == null) {
                DB::beginTransaction();
                $data['name'] = $request->name;
                $data['active'] = $request->active;
                $data['created_at'] = date("Y-m-d H:i:s");
                $data['added_by'] = auth()->user()->id;
                $data['com_code'] = $com_code;
                $data['date'] = date("Y-m-d");
                SupplierCategories::create($data);
                $flagData=insert(new SupplierCategories(),$data,true);
                if($flagData){
                    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                    // if($is_active_alerts_system_monitoring==1){
                    //   /* start alerts_system_monitoring */
                    //                 $data_monitoring_insert['alert_modules_id']=2;
                    //                 $data_monitoring_insert['alert_movetype_id']=20;
                    //                 $data_monitoring_insert['content']=" اضافة فئة موردين جديدة باسم ".$request->name;
                    //                 $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                    //                 $data_monitoring_insert['added_by']=auth()->user()->id;
                    //                 $data_monitoring_insert['com_code']=auth()->user()->com_code;
                    //                 $data_monitoring_insert['date']=date("Y-m-d");
                    //                 insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                    //  /* End start alerts_system_monitoring */
                    // }
                }
  
                DB::commit();
                return redirect()->route('admin.suppliers_categories.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الفئة مسجل من قبل'])
                    ->withInput();
            }
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function edit($id)
    {
        if(auth()->user()->is_master_admin==0){
           // check_permission_sub_menue_actions_redirect(22);
            }
            $com_code=auth()->user()->com_code;
        $data = get_cols_where_row(new SupplierCategories(),array("*"),array("com_code"=>$com_code,"id"=>$id));
        return view('admin.suppliers_categories.edit', ['data' => $data]);
    }
    public function update($id, SupplierCategoriesRequest $request)
    {
        if(auth()->user()->is_master_admin==0){
          //  check_permission_sub_menue_actions_redirect(22);
            }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new SupplierCategories(),array("*"),array("com_code"=>$com_code,"id"=>$id));

            if (empty($data)) {
                return redirect()->route('admin.sales_matrial_types.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $checkExists = SupplierCategories::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الخزنة مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_to_update['name'] = $request->name;
            $data_to_update['active'] = $request->active;
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            $flagData=update(new SupplierCategories(),$data_to_update,array('id' => $id, 'com_code' => $com_code));
            if($flagData){
                $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                // if($is_active_alerts_system_monitoring==1){
                //   /* start alerts_system_monitoring */
                //                 $data_monitoring_insert['alert_modules_id']=2;
                //                 $data_monitoring_insert['alert_movetype_id']=21;
                //                 $data_monitoring_insert['content']=" تعديل فئة موردين   باسم ".$data['name'];
                //                 if($data['name']!=$data_to_update['name']){
                //                     $data_monitoring_insert['content'].=" الي ".$data_to_update['name'];  
                //                 }                         
                //                $data_monitoring_insert['foreign_key_table_td']=$id;
                //                 $data_monitoring_insert['added_by']=auth()->user()->id;
                //                 $data_monitoring_insert['com_code']=auth()->user()->com_code;
                //                 $data_monitoring_insert['date']=date("Y-m-d");
                //                 insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                //  /* End start alerts_system_monitoring */
                // }
            }
       
            DB::commit();
            return redirect()->route('admin.suppliers_categories.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function delete($id)
    {
        if(auth()->user()->is_master_admin==0){
          //  check_permission_sub_menue_actions_redirect(23);
            }
        try {
            $com_code=auth()->user()->com_code;
            $data = get_cols_where_row(new SupplierCategories(),array("id"),array("com_code"=>$com_code,"id"=>$id));
            if (!empty($data)) {
                $CounterUsed=get_count_where(new Supplier(),array("com_code" => $com_code,"suppliers_categories_id"=>$id));
             if($CounterUsed>0){
                return redirect()->back()
                ->with(['error' => '   عفوا لامكن حذف الفئة لأنه تم استخدامها بالفعل ومتاح فقط تعطيلها']); 
             }
                $flag = delete(new SupplierCategories(),array("com_code"=>$com_code,"id"=>$id));
                if ($flag) {
                    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                    if($is_active_alerts_system_monitoring==1){
                      /* /* /* start alerts_system_monitoring */
                                    // $data_monitoring_insert['alert_modules_id']=2;
                                    // $data_monitoring_insert['alert_movetype_id']=22;
                                    // $data_monitoring_insert['content']=" حذف فئة موردين باسم ".$data['name'];
                                    // $data_monitoring_insert['foreign_key_table_td']=$id;
                                    // $data_monitoring_insert['added_by']=auth()->user()->id;
                                    // $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                    // $data_monitoring_insert['date']=date("Y-m-d");
                                    // insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                     /* End start alerts_system_monitoring */  
                     }

                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
}
