<!DOCTYPE html>
<html>

<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <title> بحث تحويلات الخزن</title>
   <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
   <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')}}">
   <style>
      @media print {
         .hidden-print {
            display: none;
         }
      }

      @media print {
         #printButton {
            display: none;
         }
      }

      td {
         font-size: 15px !important;
         text-align: center;
      }
   </style>

<body style="padding-top: 10px;font-family: tahoma;">


   <table style="width: 60%;float: right;  margin-right: 5px;" dir="rtl">
      <tr>
         <td style="text-align: center;padding: 5px;"> <span> نوع التقرير </span></td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;"> <span style=" display: inline-block;
               width: 400px;
               height: 30px;
               text-align: center;
               color: red;
               border: 1px solid black; ">
               بحث بحركة تحويلات النقدية بين الخزن وبعضها
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بتاريخ @php echo date('Y-m-d'); @endphp
            </span>
         </td>
      </tr>
      <tr>
         <td style="text-align: center;padding: 5px;font-weight: bold;">
            <span style=" display: inline-block;
                  width: 200px;
                  height: 30px;
                  text-align: center;
                  color: blue;
                  border: 1px solid black; ">
               طبع بواسطة {{ auth()->user()->name }}
            </span>
         </td>
      </tr>
   </table>
   <table style="width: 35%;float: right; margin-left: 5px; " dir="rtl">
      <tr>
         <td style="text-align:left !important;padding: 5px;">
            <img style="width: 150px; height: 110px; border-radius: 10px;"
               src="{{ asset('assets/admin/uploads').'/'.$systemData['photo'] }}">
            <p>{{ $systemData['system_name'] }}</p>
         </td>
      </tr>
   </table>

   <br>

   @if (@isset($data) && !@empty($data) && count($data)>0)
   <table dir="rtl" id="example2" class="table table-bordered table-hover" style="width: 99%;margin: 0 auto;">
      <thead style="background-color: yellow">
         <th> خزنة التحويل</th>
         <th> خزنة الاستلام</th>
         <th> المبلغ المحول</th>
         <th>المحول</th>
         <th> حالة الاستلام</th>
         <th> حالة المبلغ عند الاستلام</th>
         <th>البيان</th>
         <th>  إجراء </th>

      </thead>
      <tbody>
         @foreach ($data as $info )
         <tr>
            <td>{{ $info->treasuries_name_trasfer_from }}
               <br>
               شفت ({{ $info->shift_code_trasfer_from	 }})
            </td>
            <td>
               {{ $info->treasuries_name_trasfer_to }}
               @if($info->is_delivered==1) 
               <br>
               شفت ({{ $info->shift_code_trasfer_to	 }})
               @endif

            </td>
            <td>{{ $info->money_should_deviled*(1) }}</td>
            
            <td>
               @php
               $dt=new DateTime($info->created_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->created_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }} <br>
               بواسطة
               {{ $info->added_by_admin}}
            </td>
            <td @if($info->is_delivered==1) class="bg-success"   @else class="bg-danger"   @endif >@if($info->is_delivered==1) تم الاستلام @else بإنتظار الاستلام @endif
            @if($info->is_delivered==1) <br>
        @php 
            $dt=new DateTime($info->is_delivered_at);
            $date=$dt->format("Y-m-d");
            $time=$dt->format("h:i");
            $newDateTime=date("A",strtotime($info->is_delivered_at));
            $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
            @endphp
            {{ $date }} <br>
            {{ $time }}
            {{ $newDateTimeType }} <br>
            بواسطة
            {{ $info->is_delivered_by_admin}}
@endif
</td>

<td
@if($info->is_delivered==1) 
@if($info->money_state==1) class="bg-danger" 
@elseif($info->money_state==2) class="bg-danger" 
@else  
class="bg-success" 
@endif
@endif
>
@if($info->is_delivered==1) 
@if($info->money_state==1) عجز بقيمة {{ $info->money_state_value*1  }} جنيه 
@elseif($info->money_state==2) زيادة بقيمة {{ $info->money_state_value*1  }} جنيه 
@else  
متزن
@endif
@else
يحدد عند الاستلام
@endif

</td>
<td>
{{ $info->byan }}
</td>
<td>
   @if($info->is_delivered==1 and $info->money_state >0)
   @if ($info->is_taken_action==1) 
   تم
  @else
لا
  @endif
  @endif
</td>
         </tr>
         @endforeach
         <tr>
   <td style="background-color:lightsalmon;" colspan="2"> اجمالي التحويلات

</td>
<td style="background-color: lightgreen;text-align: right" colspan="5"> 
{{ $other['total_money_should_deviled']*1 }} جنيه
</td>

         </tr>
      </tbody>
   </table>
   <br>

   @else
 <div class="clearfix"></div>
      <p class="" style="text-align: center; font-size: 16px;font-weight: bold; color: brown">
      عفوا لاتوجد بيانات لعرضها !!
      </p>

   @endif


   <br>
   <p style="
         padding: 10px 10px 0px 10px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 16px; font-weight: bold;
         "> {{ $systemData['address'] }} - {{ $systemData['phone'] }} </p>
   <div class="clearfix"></div> <br>
   <p class="text-center">
      <button onclick="window.print()" class="btn btn-success btn-sm" id="printButton">طباعة</button>
   </p>
</body>

</html>