@extends('layouts.admin')
@section('title')
الزيارات
@endsection
@section('contentheader')
الزيارات
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.visit.index') }}">    ادارة الزيارات </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> اضافة زيارات جديدة </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.visit.store') }}" method="post" >
         <div class="row">
            @csrf

            <div class="form-group">
               <label>
                  بيانات  العقود 
                  (<a id="load_add_new_contract" title="اضافة عقد جديد" href="#">
                     جديد <i class="fa fa-plus-circle"></i>
                  </a>)
               </label>
               <input type="text" class="form-control" id="searchbytextforcustomer" placeholder="اسم العميل - كود العميل">
               <div id="searchbytextforcustomerDiv">
                  <select name="name" id="customer_code" class="form-control select2">
                     <option value="">لايوجد عميل</option>
                     @if(isset($data) && !empty($data))
                        @foreach ($data as $info)
                           <option value="{{ $info->name }}"
                              data-lift-num="{{ $info->lift_num }}"
                               data-contract-id="{{ $info->id }}"
                              data-visits-num="{{ $info->visits_num }}"
                              data-phones="{{ $info->phones }}"
                              data-file_num="{{ $info->file_num }}"
                              data-address="{{ $info->address }}"
                              data-gps="{{ $info->gps }}"
                              >

                              {{ $info->name }} -- {{ $info->lift_num }} -- {{ $info->visits_num }}-- {{ $info->id }}-- {{ $info->phones }}
                           </option>
                        @endforeach
                     @endif
                  </select>
               </div>
            </div>
            



             <div class="col-md-2">
               <div class="form-group">
                   <label>رقم المصعد</label>
                   <input name="lift_num" id="lift_num" class="form-control" readonly style="pointer-events: none;">
                   @error('lift_num')
                   <span class="text-danger">{{ $message }}</span>
                   @enderror
               </div>
           </div>

           <div class="col-md-2">
            <div class="form-group">
                <label>رقم عقد الصيانة</label>
                <input name="contract_id" id="contract_id" class="form-control" readonly style="pointer-events: none;">
                @error('contract_id')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
        </div>
        <div class="col-md-2">
         <div class="form-group">
             <label>  GPS</label>
             <input name="gps" id="gps" class="form-control" readonly style="pointer-events: none;">
             @error('gps')
             <span class="text-danger">{{ $message }}</span>
             @enderror
         </div>
     </div>
     <div class="col-md-2">
      <div class="form-group">
          <label>العنوان</label>
          <input name="address" id="address" class="form-control" readonly style="pointer-events: none;">
          @error('address')
          <span class="text-danger">{{ $message }}</span>
          @enderror
      </div>
  </div>

        <div class="col-md-2">
         <div class="form-group">
            <label>   الهاتف </label>
            <input name="phones" id="phones" class="form-control" readonly style="pointer-events: none;"   >
            @error('phones')
            <span class="text-danger">{{ $message }}</span>
            @enderror
         </div>
      </div>     

           <div class="col-md-2">
            <div class="form-group">
                <label>عدد الزيارات المطلوب</label>
                <input name="visits_num" id="visits_num" class="form-control" readonly style="pointer-events: none;">
                @error('visits_num')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
        </div>
 
       

      <div class="col-md-2">
         <div class="form-group">
            <label>   ملاحظات</label>
            <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
            @error('notes')
            <span class="text-danger">{{ $message }}</span>
            @enderror
         </div>
      </div>


         
       
           

           
            <div class="col-md-2">
            <div class="form-group">
               <label>   الهاتف 2</label>
               <input name="phones_2" id="phones_2" class="form-control" value="{{ old('phones_2') }}"    >
               @error('phones_2')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
        
         </div>


         <div class="col-md-2">
            <div class="form-group">
               <label>   رقم الملف</label>
               <input name="file_num" id="file_num" class="form-control" value="{{ old('file_num') }}"    >
               @error('file_num')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('active')==1  || old('active')=="" ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('active')==0 and old('active')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('active')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
          
            
      </div>         
   </div>
</div>
            @php
            // تحديد قيمة افتراضية تحتوي على 12 صف فارغ
            $visits = collect(range(1, 40))->map(function ($index) {
                return (object) [
                    'id' => $index,
                    'elevator_number' => '',
                    
                    'end_date_gregorian' => '',
                    'end_date_hijri' => '',
                ];
            });
        @endphp
        
        @php
    // تحديد قيمة افتراضية تحتوي على 12 صفًا فارغًا
    $visits = collect(range(1, 40))->map(function ($index) {
        return (object) [
            'id' => $index,
            'elevator_number' => '',
           
           
            'end_date_gregorian' => '',
            'end_date_hijri' => '',
        ];
    });
@endphp

<div class="col-md-12">
    <div class="form-group text-center">
        <input name="visits_num2" id="visits_num2" class="form-control" value="12">
        <button id="do_add_visits" type="button" class="btn btn-primary btn-sm">حساب الزيارات</button>
        
        <table id="visits_table" class="table table-bordered table-hover">
            <thead class="custom_thead">
                <tr>
                    <th>رقم الزيارة</th>
                    <th>رقم المصعد</th>
                   
                  
                   <th>ت نهاية ميلادي</th>
                    <th>ت نهاية هجري</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($visits as $visit)
                <tr>
                    <td>{{ $visit->id }}</td>
                    <td><input type="text" name="elevator_number[]" value="{{ $visit->elevator_number }}"></td>
                  {{-- //  <td><input type="text" name="name[]" value="{{ $visit->name }}"></td> --}}
                  
                   
                    <td><input type="date" name="end_date_gregorian[]" value="{{ $visit->end_date_gregorian }}"></td>
                    <td><input type="date" name="end_date_hijri[]" value="{{ $visit->end_date_hijri }}"></td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

        


            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.visit.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section('script')




<script src="{{ asset('assets/admin/js/visits.js') }}"></script>
@endsection
