
<?php $__env->startSection('title'); ?>
الحسابات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الحسابات المالية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.accounts.index')); ?>">  الحسابات المالية </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات الشجرة المحاسبية ( الحسابات المالية )      </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.accounts.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(9)): ?> 
      <a href="<?php echo e(route('admin.accounts.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
      <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="<?php echo e(route('admin.accounts.print_search')); ?>" target="_blank" method="post" >
         <?php echo csrf_field(); ?>
      <div class="row">
         <div class="col-md-3">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input style="margin-top: 6px !important;" name="search_by_text" type="text" id="search_by_text" placeholder=" اسم  - رقم الحساب" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بنوع الحساب</label>
               <select name="account_type" id="account_type_search" class="form-control ">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset($account_types) && !@empty($account_types)): ?>
                  <?php $__currentLoopData = $account_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   هل الحساب أب</label>
               <select name="is_parent" id="is_parent_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option  value="1"> نعم</option>
                  <option     value="0"> لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   حالة التفعيل  </label>
               <select name="active_search" id="active_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option     value="1"> مفعل  </option>
                  <option  value="0"> معطل ومؤرشف</option>
               </select>
            </div>
         </div>
         <div class="col-md-12">
            <div class="form-group text-center">
             <button class="btn btn-sm btn-info" type="submit">طباعة البحث</button>
            </div>
         </div>
      </div>
      </form>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>الاسم </th>
               <th> رقم الحساب </th>
               <th> النوع </th>
               <th>  هل أب </th>
               <th>  الحساب الاب </th>
               <th>  الرصيد </th>
               <th> التفعيل</th>
               <th></th>
            </thead>
            <tbody>
               <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr>
                  <td><?php echo e($info->name); ?></td>
                  <td><?php echo e($info->account_number); ?></td>
                  <td><?php echo e($info->account_types_name); ?></td>
                  <td><?php if($info->is_parent==1): ?> نعم  <?php else: ?>  لا <?php endif; ?></td>
                  <td><?php echo e($info->parent_account_name); ?></td>
                  <td> 
                     <?php if($info->is_parent==0): ?>
                     <?php if($info->current_balance >0): ?>
                     مدين ب (<?php echo e($info->current_balance*1); ?>) جنيه  
                     <?php elseif($info->current_balance <0): ?>
                     دائن ب (<?php echo e($info->current_balance*1*(-1)); ?>)   جنيه
                     <?php else: ?>
                     متزن
                     <?php endif; ?>
                     <?php else: ?>
                     من ميزان المراجعه
                     <?php endif; ?>
                  </td>
                  <td <?php if($info->active==1): ?> class="bg-success" <?php else: ?> class="bg-danger" <?php endif; ?>  ><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td> 
                  <td>
                  <?php if($info->account_number > 4): ?>
                     <?php if( $info->relatediternalaccounts==0): ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(10)): ?>
                     <a href="<?php echo e(route('admin.accounts.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a> 
                     <?php endif; ?>

                     <?php if( $info->counterUsed==0): ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(11)): ?>
                     <a href="<?php echo e(route('admin.accounts.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                     <?php endif; ?>
                     <?php endif; ?>

                     <?php endif; ?>
                     <?php endif; ?>
                  </td>
               </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
         </table>
         <br>
         <?php echo e($data->links()); ?>

         <?php else: ?>
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         <?php endif; ?>
      </div>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/accounts.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/accounts/index.blade.php ENDPATH**/ ?>