
<?php $__env->startSection('title'); ?>
الضبط العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الضبط
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.adminPanelSetting.index')); ?>"> الضبط </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات الضبط العام</h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <?php if(@isset($data) && !@empty($data)): ?>
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td class="width30">اسم الشركة</td>
                  <td > <?php echo e($data['system_name']); ?></td>
               </tr>
               <tr>
                  <td class="width30">الرقم الضريبي</td>
                  <td > <?php echo e($data['commrecal_tax_number']); ?></td>
               </tr>
               <tr>
                  <td class="width30">كود الشركة</td>
                  <td > <?php echo e($data['com_code']); ?></td>
               </tr>
               <tr>
                  <td class="width30">حالة الشركة</td>
                  <td > <?php if($data['active']==1): ?> مفعل  <?php else: ?> معطل <?php endif; ?></td>
               </tr>
               <tr>
                  <td class="width30">عنوان  الشركة</td>
                  <td > <?php echo e($data['address']); ?></td>
               </tr>
               <tr>
                  <td class="width30">هاتف  الشركة</td>
                  <td > <?php echo e($data['phone']); ?></td>
               </tr>
               <tr>
                  <td class="width30">  نسبة ضريبة القيمة المضافة علي فواتير المبيعات</td>
                  <td > <?php echo e($data['sales_tax_value']*1); ?> %</td>
               </tr>
               <tr>
                  <td class="width30">  تنبيه بنقص كميات الاصناف عند وصولها لكمية حد الطلب بوحدة الاب </td>
                  <td > <?php echo e($data['item_quantity_alert_in']*1); ?> </td>
               </tr>
               <tr>
                  <td class="width30">  بعد كم يوم يتم التذكير بالآجل المستحق علي العملاء من اخر عملية تحصيل</td>
                  <td > <?php echo e($data['after_days_agel_customer_remember']*1); ?> </td>
               </tr>
               <tr>
                  <td class="width30">  اسم الحساب المالي  الاب للعملاء الاب</td>
                  <td > <?php echo e($data['customer_parent_account_name']); ?> رقم حساب مالي ( <?php echo e($data["customer_parent_account_number"]); ?> )</td>
               </tr>
               <tr>
                  <td class="width30">  اسم الحساب المالي  الاب للموردين الاب</td>
                  <td > <?php echo e($data['supplier_parent_account_name']); ?> رقم حساب مالي ( <?php echo e($data["suppliers_parent_account_number"]); ?> )</td>
               </tr>
               <tr>
                  <td class="width30">  اسم الحساب المالي الاب  للمناديب الاب</td>
                  <td > <?php echo e($data['delegates_parent_account_name']); ?> رقم حساب مالي ( <?php echo e($data["delegate_parent_account_number"]); ?> )</td>
               </tr>
               <tr>
                  <td class="width30">  اسم الحساب المالي  الاب للموظفين الاب</td>
                  <td > <?php echo e($data['employees_parent_account_name']); ?> رقم حساب مالي ( <?php echo e($data["employees_parent_account_number"]); ?> )</td>
               </tr>
               <tr>
                  <td class="width30">  اسم الحساب المالي الاب لخطوط الانتاج الاب</td>
                  <td > <?php echo e($data['production_lines_parent_account_name']); ?> رقم حساب مالي ( <?php echo e($data["production_lines_parent_account"]); ?> )</td>
               </tr>
               <tr>
                  <td class="width30">  رسالة التنبية اعلي الشاشة للشركة</td>
                  <td > <?php echo e($data['general_alert']); ?></td>
               </tr>
               <tr>
                  <td class="width30">لوجو  الشركة</td>
                  <td >
                     <div class="image">
                        <img class="custom_img" src="<?php echo e(asset('assets/admin/uploads').'/'.$data['photo']); ?>"  alt="لوجو الشركة">       
                     </div>
                  </td>
               </tr>
               <tr>
                  <td class="width30">  نوع آلية عمل الباتشات بالنظام</td>
                  <td >
                     <?php if($data['is_set_Batches_setting']==1): ?>
                     <?php if($data['Batches_setting_type']==1): ?>
                     يعمل بنظام تعدد الباتشات للصنف طبقا لاختلاف سعر الشراء وتواريخ الانتاج والانتهاء
                     <?php else: ?>
                     لايعمل بنظام الباتشات - فقط كمية لكل صنف
                     <?php endif; ?>
                     <?php else: ?>
                     لم يتم تحديد النوع بعد يرجي التحديث
                     <?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td> نوع البيع الاساسي</td>
                  <td> 
                     <?php if($data['sales_item_type_main']==1): ?> بيع قطاعي <?php elseif($data['sales_item_type_main']==2): ?> بيع نص جملة عروض  <?php else: ?> بيع جملة<?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td> نوع الوحده الاساسية للبيع بفواتير المبيعات</td>
                  <td> 
                     <?php if($data['default_unit']==1): ?>  البيع بالوحده الاب الاساسية للصنف  <?php else: ?>  البيع بأقل وحدة للصنف <?php endif; ?>
                  </td>
               </tr>
                   <tr>
                  <td>  طريقة البحث عن الصنف بفاتورة المبيعات</td>
                  <td> 
                     <?php if($data['search_for_item_in_sales_invoice']==1): ?> بحث بقارئ الباركود  <?php else: ?>   بحث يدوي بالاسم<?php endif; ?>
                  </td>
               </tr>

               <tr>
                  <td>  هل يتم اضافة الصنف مباشرة بالمبيعات بعد قراءة الباركود</td>
                  <td> 
                     <?php if($data['make_auto_add_after_enter_barcode']==1): ?> نعم  <?php else: ?>   لا<?php endif; ?>
                  </td>
               </tr>

               <tr>
                  <td> طريقة تحديث سعر تكلفة الشراء للصنف</td>
                  <td> 
                     <?php if($data['item_last_priceCost']==1): ?>  يحدث من اخر سعر شراء <?php else: ?>  يحدث من متوسط التكلفة<?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td>   حالة تفعيل موديول مراقبة النظام</td>
                  <td> 
                     <?php if($data['is_active_alerts_system_monitoring']==1): ?> مفعل  <?php else: ?>  غير مفعل<?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td>   حالة تفعيل موديول اليوميات التلقائية للشجرة بالنظام</td>
                  <td> 
                     <?php if($data['is_active_for_auto_daily_tree']==1): ?> مفعل  <?php else: ?>  غير مفعل<?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td>    تقريب الارقام في التعاملات المالية الي كم علامة عشرية بالنظام </td>
                  <td> 
                     <?php if($data['settingForDecimalPoint']==0): ?> لايوجد ارقام بعد العلامة  <?php else: ?> <?php echo e($data['settingForDecimalPoint']*1); ?>  <?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td>   من اين يتم سحب حضور الموظفين</td>
                  <td> 
                     <?php if($data['where_pull_attendance_days']==1): ?> من سجل الحضور  <?php else: ?>  يدوي بالراتب<?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td class="width30">  تاريخ اخر تحديث</td>
                  <td > 
                     <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
                     <?php
                     $dt=new DateTime($data['updated_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                     <?php echo e($date); ?>

                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>

                     بواسطة 
                     <?php echo e($data['updated_by_admin']); ?>

                     <?php else: ?>
                     لايوجد تحديث
                     <?php endif; ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(2)): ?> 
                     <a href="<?php echo e(route('admin.adminPanelSetting.edit')); ?>" class="btn btn-sm btn-success">تعديل</a>
                     <?php endif; ?>
                  </td>
               </tr>
            </table>
            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/admin_panel_settings/index.blade.php ENDPATH**/ ?>