
<?php $__env->startSection('title'); ?>
الصلاحيات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
القوائم الفرعية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.permission_sub_menues.index')); ?>">   القوائم الفرعية </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات   القوائم الفرعية للصلاحيات</h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.permission_sub_menues.ajax_search')); ?>">
            <input type="hidden" id="ajax_do_add_permission" value="<?php echo e(route('admin.permission_sub_menues.ajax_do_add_permission')); ?>">
            <input type="hidden" id="ajax_load_edit_permission" value="<?php echo e(route('admin.permission_sub_menues.ajax_load_edit_permission')); ?>">
            <input type="hidden" id="ajax_do_edit_permission" value="<?php echo e(route('admin.permission_sub_menues.ajax_do_edit_permission')); ?>">
            <input type="hidden" id="ajax_do_delete_permission" value="<?php echo e(route('admin.permission_sub_menues.ajax_do_delete_permission')); ?>">
            
            
            <a href="<?php echo e(route('admin.permission_sub_menues.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div class="row">
               <div class="col-md-4">
                  <label>    بحث بالاسم</label>
                  <input autofocus type="text" id="search_by_text" placeholder="بحث بالاسم" class="form-control"> 
               </div>
               <div class="col-md-4">
                  <div class="form-group">
                     <label>   البحث بالقوائم الرئيسية</label>
                     <select name="permission_main_menues_id_search" id="permission_main_menues_id_search" class="form-control ">
                        <option value="all">البحث بالكل</option>
                        <?php if(@isset($Permission_main_menues) && !@empty($Permission_main_menues)): ?>
                        <?php $__currentLoopData = $Permission_main_menues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option <?php if(old('permission_main_menues_id')==$info->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                     </select>
                     <?php $__errorArgs = ['permission_main_menues_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
               </div>
            </div>
            <div class="clearfix"></div>
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود</th>
                     <th> القائمة الفرعية</th>
                     <th> القائمة الرئيسية </th>
                     <th>حالة التفعيل</th>
                     <th> تاريخ الاضافة</th>
                     <th> تاريخ التحديث</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td style="background-color: aquamarine;"><?php echo e($info->id); ?></td>
                        <td><?php echo e($info->name); ?></td>
                        <td><?php echo e($info->Permission_main_menues_name); ?></td>
                        <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                        <td > 
                           <?php if($info->updated_by>0 and $info->updated_by!=null ): ?>
                           <?php
                           $dt=new DateTime($info->updated_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?>  <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($data['updated_by_admin']); ?>

                           <?php else: ?>
                           لايوجد تحديث
                           <?php endif; ?>
                        </td>
                        <td>
                           <a href="<?php echo e(route('admin.permission_sub_menues.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                           <a href="<?php echo e(route('admin.permission_sub_menues.delete',$info->id)); ?>" class="btn are_you_sure btn-sm  btn-danger">حذف</a>   

                           <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm btn-success load_add_permission_btn"> اضافة صلاحيات </button>
                        </td>
                     </tr>
                     <tr>
                        <td colspan="7">
                           <?php if(@isset($info->permission_sub_menues_actions) && !@empty($info->permission_sub_menues_actions) && count($info->permission_sub_menues_actions) >0): ?>
                           <table  class="table table-bordered table-hover">
                              <thead class="" style="background-color: lightslategray;color:white">
                                 <th>رقم الصلاحية</th>
                                 <th>  اسم الصلاحية</th>
                                 <th> تاريخ الاضافة</th>
                                 <th> تاريخ التحديث</th>
                                 <th></th>
                              </thead>
                              <tbody>
                                 <?php $__currentLoopData = $info->permission_sub_menues_actions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $action): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                 <tr>
                                    <td ><?php echo e($action->id); ?></td>
                                    <td><?php echo e($action->name); ?></td>
                                    <td > 
                                       <?php
                                       $dt=new DateTime($action->created_at);
                                       $date=$dt->format("Y-m-d");
                                       $time=$dt->format("h:i");
                                       $newDateTime=date("A",strtotime($time));
                                       $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                                       ?>
                                       <?php echo e($date); ?> <br>
                                       <?php echo e($time); ?>

                                       <?php echo e($newDateTimeType); ?>  <br>
                                       بواسطة 
                                       <?php echo e($action->added_by_admin); ?>

                                    </td>
                                    <td > 
                                       <?php if($action->updated_by>0 and $action->updated_by!=null ): ?>
                                       <?php
                                       $dt=new DateTime($action->updated_at);
                                       $date=$dt->format("Y-m-d");
                                       $time=$dt->format("h:i");
                                       $newDateTime=date("A",strtotime($time));
                                       $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                                       ?>
                                       <?php echo e($date); ?>  <br>
                                       <?php echo e($time); ?>

                                       <?php echo e($newDateTimeType); ?>  <br>
                                       بواسطة 
                                       <?php echo e($action->updated_by_admin); ?>

                                       <?php else: ?>
                                       لايوجد تحديث
                                       <?php endif; ?>
                                    </td>
                                    <td>
                                       <button data-id="<?php echo e($action->id); ?>" class="btn btn-sm btn-info load_edit_permission_btn">  تعديل </button>
                                       <button data-id="<?php echo e($action->id); ?>" class="btn btn-sm btn-danger do_delete_permisson_btn">  حذف </button>

                                    </td>
                                 </tr>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
                              </tbody>
                           </table>
                           <?php else: ?>
                           <div class="alert alert-danger">
                              عفوا لاتوجد صلاحيات مضافة لعرضها !!
                           </div>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<div class="modal fade  "   id="add_permission_modal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">         اضافة صلاحيات مهام لهذه القائمة الفرعية</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="add_permission_modalBody" style="background-color: white !important; color:black;">
            <div class="form-group">
               <label>اسم  الصلاحية</label>
               <input name="permission_name_modal" id="permission_name_modal" class="form-control" value="" placeholder="ادخل اسم الصلاحية" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
               <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group text-center">
               <button id="do_add_permission" type="button"  class="btn btn-primary btn-sm"> اضافة</button>
            </div>
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

<div class="modal fade  "   id="edit_permission_modal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">         تعديل صلاحية مهام </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="edit_permission_modalBody" style="background-color: white !important; color:black;">
      
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>


<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/permission_sub_menues.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/permission_sub_menues/index.blade.php ENDPATH**/ ?>