
<?php $__env->startSection('title'); ?>
دفتر الاستاذ 
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
دفتر الاستاذ 
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.AcAssistantledger.index')); ?>">  دفتر الاستاذ المساعد</a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">     (والتفصيلي )   دفتر الاستاذ المساعد  </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.AcAssistantledger.ajax_search')); ?>">
      <input type="hidden" id="ajax_show_details" value="<?php echo e(route('admin.AcAssistantledger.show_details')); ?>">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث بالسنة المالية</label>
               <select name="FINANCE_YR" id="FINANCE_YR" class="form-control select2">
                  <option value="">اختر السنة المالية</option>
                  <?php if(@isset($other['Finance_calender']) && !@empty($other['Finance_calender'])): ?>
                  <?php $__currentLoopData = $other['Finance_calender']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option <?php if($info->is_open==1 ): ?> selected <?php endif; ?> data-start=<?php echo e($info->start_date); ?> 
                                                                   data-end =<?php echo e($info->end_date); ?>

                                                                   value="<?php echo e($info->FINANCE_YR); ?>"> 
                    <?php echo e($info->FINANCE_YR_DESC); ?>

                 
                  </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php else: ?>
                  <option value="">عفوا لا توجد بيانات للبحث</option>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> من تاريخ </label>
               <input name="date_from" id="date_from" class="form-control" type="date"
               <?php if(@isset($other['current_year']) && !@empty($other['current_year'])): ?>
               value="<?php echo e($other['current_year']['start_date']); ?>"
               <?php else: ?>
               value=""
               <?php endif; ?>>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> الي تاريخ  </label>
               <input name="date_to" id="date_to" class="form-control" type="date" 
               <?php if(@isset($other['current_year']) && !@empty($other['current_year'])): ?>

               value="<?php echo e($other['current_year']['end_date']); ?>"
               <?php else: ?>
               value=""
               <?php endif; ?>>
            </div>

         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث من حساب مالي</label>
               <select name="ACCOUNT_NUMBER_from" id="ACCOUNT_NUMBER_from" class="form-control select2 ">
                  <option value=""> اختر الحساب المالي </option>
                  <?php if(@isset($other['accounts']) && !@empty($other['accounts'])): ?>
                  <?php $__currentLoopData = $other['accounts']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option 
                     value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->account_type_name); ?>) <?php echo e($info->account_number); ?> 
                     </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
        
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث الي حساب مالي</label>
               <select name="ACCOUNT_NUMBER_to" id="ACCOUNT_NUMBER_to" class="form-control select2 ">
                  <option value="">اختر الحساب المالي </option>
                  <?php if(@isset($other['accounts']) && !@empty($other['accounts'])): ?>
                  <?php $__currentLoopData = $other['accounts']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option 
                     value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->account_type_name); ?>) <?php echo e($info->account_number); ?> 
                     </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>   
         <div class="col-md-3">
            <label>كل الحسابات</label>
            <input type="checkbox" name="all_acc" id="all_acc">
         </div>
       
         <div class="col-md-3">
            <div class="form-group">
        
            <button id="make_serach_btn" style="margin-top: 31px;" class="btn btn-primary btn-sm">  البحث</button>
            </div>
         </div>

         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
               <?php
               $i=1;   
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>رقم اليومية</th>
                     <th>السنة المالية </th>
                     <th style="width: 25%;">  نوع اليومية</th>
                     <th>  اجمالي اليومية</th>
                     <th>  بتاريخ</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr >
                        <td><?php echo e($info->ac_yearly_trn_code); ?></td>
                        <td><?php echo e($info->MONTH_Name); ?> لسنة <?php echo e($info->FINANCE_YR); ?></td>
                        <td><?php echo e($info->ac_trn_codes_name); ?></td>
                        <td><?php echo e($info->total*1); ?></td>

                        <td > 
                           <?php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           ?>
                           <?php echo e($date); ?> <br>
                           <?php echo e($time); ?>

                           <?php echo e($newDateTimeType); ?>  <br>
                           بواسطة 
                           <?php echo e($info->added_by_admin); ?>

                        </td>
                    
                        
                        <td>
                           <button data-id="<?php echo e($info->id); ?>" class="btn btn-sm show_details  btn-success">عرض المزيد</button>   
                        </td>
                     </tr>
                     <?php
                     $i++; 
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade " id="ShowDetailsModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">عرض تفاصيل اليومية</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  id="ShowDetailsModalBody" style="background-color: white !important; color:black;">
          
      </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/ac_assistant_ledger.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/ac_assistant_ledger/index.blade.php ENDPATH**/ ?>