
<?php $__env->startSection('title'); ?>
حركات مخزنية
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
ارصدة الاصناف
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.itemcardBalance.index')); ?>">  الأرصدة </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   مرآة كميات الاصناف بالمخازن</h3>
      <input type="hidden" id="token_post" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_url_ajax_search" value="<?php echo e(route('admin.itemcardBalance.ajax_search')); ?>">
      <input type="hidden" id="ajax_get_items_by_category" value="<?php echo e(route('admin.itemcardBalance.get_items_by_category')); ?>">
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(111)): ?> 
      <form method="post" target="_blank" action="<?php echo e(route('admin.itemcardBalance.printsaleswina4')); ?>" >
      <?php echo csrf_field(); ?>
      <?php endif; ?>
      <div class="row">
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بفئة الصنف</label>
               <select name="inv_itemcard_categories_id_search" id="inv_itemcard_categories_id_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset($inv_itemcard_categories) && !@empty($inv_itemcard_categories)): ?>
                  <?php $__currentLoopData = $inv_itemcard_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
           
            </div>
         </div>
         <div class="col-md-3" id="ajax_responce_serarch_itemDiv">
            <div class="form-group">
               <label>    بيانات الاصناف</label>
               <select  id="item_code_search" name="item_code" class="form-control select2" style="width: 100%;">
                  <option value="all"> بحث بكل الاصناف بمخازن صلاحياتي</option>
                  <?php if(@isset($itemCardsSearch) && !@empty($itemCardsSearch)): ?>
                  <?php $__currentLoopData = $itemCardsSearch; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option data-item_type="<?php echo e($info->item_type); ?>"  
                     value="<?php echo e($info->item_code); ?>"> <?php echo e($info->name); ?> 
                  </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3" >
            <div class="form-group">
               <label>    بيانات المخازن بصلاحياتي</label>
               <select name="store_id" id="store_id_search" class="form-control ">
                  <option value="all">  بحث بكل مخازن صلاحياتي  </option>
                  <?php if(@isset($storesSearch) && !@empty($storesSearch)): ?>
                  <?php $__currentLoopData = $storesSearch; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->store_id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  حالة الباتشات </label>
               <select name="BatchStatus" id="BatchStatusSerach" class="form-control">
                  <option value="all"> عرض كل الباتشات</option>
                  <option  value="1"> الباتشات التي بها كمية فقط</option>
                  <option  value="2"> الباتشات   الفارغة</option>
               </select>
               <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  أنواع الباتشات </label>
               <select name="BatchTypeSerach" id="BatchTypeSerach" class="form-control">
                  <option value="all"> عرض كل الانواع</option>
                  <option  value="1"> الباتشات الاستهلاكية بتاريخ انتاج  </option>
                  <option  value="2"> الباتشات   الغير استهلاكية</option>
               </select>
               <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة الكمية </label>
               <select name="BatchquantitystatusSerach" id="BatchquantitystatusSerach" class="form-control">
                  <option value="all"> عرض كل الكميات</option>
                  <option  value="1"> اكبر من او يساوي    </option>
                  <option  value="2">اصغر من او يساوي</option>
                  <option  value="3"> يساوي</option>
               </select>
               <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="col-md-3" id="BatchquantitySerachDiv" >
            <div class="form-group"> 
               <label>   بحث بالكمية </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="BatchquantitySerach" id="BatchquantitySerach" class="form-control"  value=""  >
               <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="col-md-3"  >
            <div class="form-group"> 
               <label>   بحث بالباتش </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="BatchSerialSearch" id="BatchSerialSearch" class="form-control"  value=""  >
               <?php $__errorArgs = ['BatchSerialSearch'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
        
   </div>
   <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(111)): ?> 

   <div class="col-md-12 text-center"> 
<button style="margin-button: 5px;" type="submit" class="btn btn-sm btn-danger">طباعة البحث</button>
   </div>
</form>
   <?php endif; ?>
         <div class="clearfix"></div>
         <div id="ajax_responce_serarchDiv" class="col-md-12">
            <?php if(@isset($allitemscardData) && !@empty($allitemscardData)): ?>
            <?php
            $i=1;   
            ?>
            <table id="example2" class="table table-bordered table-hover">
               <thead class="custom_thead">
                  <th style="width:10%;">كود  </th>
                  <th style="width:20%;">الاسم </th>
                  <th style="width:70%;"> الكميات بالمخازن</th>
               </thead>
               <tbody>
                  <?php $__currentLoopData = $allitemscardData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                     <td><?php echo e($info->item_code); ?></td>
                     <td><?php echo e($info->name); ?></td>
                     <td>
                    كل الكمية بكل المخازن (  <?php echo e($info->All_QUENTITY*1); ?> <?php echo e($info->Uom_name); ?>  ) <br>
                        كل الكمية  بالمخازن من صلاحياتي (  <?php echo e($info->allQunatityInmyStores*1); ?> <?php echo e($info->Uom_name); ?>  )
                        مايوزاي <?php echo e($info->qunatity_lable); ?> <br>بإجمالي تكلفة  <?php echo e($info->cost_batches*1); ?> جنيه
                        
                        <br>
                        <br>
                        <h3 style="text-align: center; font-size:15px; color:brown;">تفاصيل كميات الصنف بالمخازن</h3>
                        <?php if( !@empty($info->allBathces) and count($info->allBathces)>0): ?>
                        <table id="example2" class="table table-bordered table-hover">
                           <thead class="bg-info" >
                              <th style="width:20%;">رقم الباتش  </th>
                              <th style="width:20%;">المخزن </th>
                              <th style="width:60%;">  الكمية</th>
                           </thead>
                           <tbody>
                              <?php $__currentLoopData = $info->allBathces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Det): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                 <td <?php if($Det->quantity==0): ?> class="bg-danger"  <?php endif; ?>><?php echo e($Det->auto_serial); ?></td>
                                 <td><?php echo e($Det->store_name); ?></td>
                                 <td >
                                    عدد ( <?php echo e($Det->quantity*1); ?> ) <?php echo e($info->Uom_name); ?>  بإجمالي تكلفة  ( <?php echo e($Det->total_cost_price*1); ?> جنيه ) <br>
                                    بسعر  ( <?php echo e($Det->unit_cost_price*(1)); ?> جنيه ) لوحدة <?php echo e($info->Uom_name); ?> 
                                    <?php if($info->does_has_retailunit==1): ?>
                                    <br> 
                                    <?php if($info->item_type==2): ?>
                                    تاريخ انتاج ( <?php echo e($Det->production_date); ?> ) <br>
                                    تاريخ انتهاء ( <?php echo e($Det->expired_date); ?> ) <br>
                                    <?php endif; ?>
                                    <span style="color: brown;"> مايوزاي  </span>
                                  
                                    <?php echo e($Det->qunatity_lable); ?>

                                        <?php endif; ?>
                                 </td>
                              </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                           </tbody>
                        </table>
                        <?php else: ?>
                        <h3 style="text-align: center; font-size:13px; color:brown;">   لاتوجد باتشات لهذا الصنف</h3>
                        <?php endif; ?>
                     </td>
                  </tr>
                  <?php
                  $i++; 
                  ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </tbody>
            </table>
            <br>
            <?php echo e($allitemscardData->links()); ?>

            <?php else: ?>
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            <?php endif; ?>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/itemcardBalance.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/itemcardBalance/index.blade.php ENDPATH**/ ?>