<!DOCTYPE html>
<html>

<head>
<meta charset="utf-8">
<title> كونكورد أكاديمى </title>
<!-- Stylesheets -->
<link href="<?php echo e(asset('assets/admin/theme1/css/bootstrap.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/main.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/responsive.css')); ?>" rel="stylesheet">

<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800;900&amp;family=Roboto:wght@300;400;500;700;900&amp;display=swap" rel="stylesheet">

<!-- Color Switcher Mockup -->
<link href="<?php echo e(asset('assets/admin/theme1/css/color-switcher-design.css')); ?>" rel="stylesheet">
<!-- Color Themes -->
<link id="theme-color-file" href="<?php echo e(asset('assets/admin/theme1/css/color-themes/theme-one.css')); ?>" rel="stylesheet">

<link rel="shortcut icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">
<link rel="icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">

<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

<!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
<!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->
<link href="https://fonts.googleapis.com/css2?family=Cairo:wght@600&family=Tajawal:wght@500;700&display=swap" rel="stylesheet">
<style>
	h1 , h2 , h3 , h4 , h5 , h6 , p , div , ul , li a , input , button {
		font-family: 'Cairo', sans-serif !important;
		line-height: 1.7; 
	}
</style>
</head>

<body class="">

<div class="page-wrapper">
 	
    <!-- Preloader -->
    <div class="preloader"></div>
 	
    <!-- Main Header-->
    <header class="main-header">
    	
    	<!-- Header Upper -->
        <div class="header-upper">
        	<div class="outer-container">
            	<div class="clearfix">
                	
					<!-- Header Left -->
					<div class="header-left clearfix">

						<!-- Left Sidebar Btn -->
						<div class="left-sidebar-btn hidden-bar-opener">
							<span class="icon flaticon-menu-2"></span>
						</div>
						
						<div class="pull-left logo-box">
							<div class="logo"><a href="index.html"><img src="<?php echo e(asset('assets/admin/theme1/images/logo.png')); ?>" alt="" title=""></a></div>
							<div class="dark-layout-logo"><a href="index.html"><img src="<?php echo e(asset('assets/admin/theme1/images/logo-4.png')); ?>" alt="" title=""></a></div>
						</div>
						
						<!-- Search -->
                        
						
					</div>
					
					<!-- Header Right -->
					<div class="header-right clearfix">
						
						<div class="nav-outer clearfix">
                    
							<!-- Main Menu -->
							<nav class="main-menu navbar-expand-md">
								<div class="navbar-header">
									<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>

								<div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
									<ul class="navigation clearfix">
										<li class="dropdown"><a href="#">الدورات</a>
											<ul>
												<li><a href="featured-courses.html"> الدورات المميزه </a></li>
												<li><a href="latest-courses.html"> أحدث الدورات </a></li>
												<li><a href="category.html"> المحاضرين </a></li>
												<li><a href="course-detail.html">Course </a></li>
												<li><a href="course-lesson.html">Course Lesson</a></li>
											</ul>
										</li>
										<li class="dropdown"><a href="#">المحاضرين</a>
											<ul>
												<li><a href="dashboard.html">Instructor Dashboard</a></li>
												<li><a href="manage-course.html">Manage Courses</a></li>
												<li><a href="edit-course.html">Edit Course</a></li>
												<li><a href="earning.html">Earnings</a></li>
												<li><a href="instructor-profile.html">Instructor Profile</a></li>
												<li><a href="team.html">Popular Instructors</a></li>
											</ul>
										</li>
										<li  ><a href="#">المنتدى</a> </li>
										<li  ><a href="price.html">خطط الأسعار </a> </li>
									</ul>
								</div>
								
							</nav>
							
						</div>
						
						<!-- Options Box -->
						<div class="options-box clearfix">
							
							<!-- Message Box -->
							<div class="message-box">
								<a href="#" class="icon flaticon-envelope"></a>
							</div>
							<!-- End Message Box -->
							
							<!-- Notification Box -->
							<div class="notification-box">
								<div class="dropdown">
									<button class="notification-box-btn dropdown-toggle" type="button" id="dropdownMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="flaticon-notification"></span><i class="notification-alert"></i></button>
									<div class="dropdown-menu pull-right cart-panel" aria-labelledby="dropdownMenu">

										<div class="notification-block">
											<div class="inner">
												<div class="image"><img src="<?php echo e(asset('assets/admin/theme1/images/resource/author-1.jpg')); ?>" alt="" /></div>
												<h3><a href="#">Jessica Parl</a></h3>
												<div class="notification-text">It is a long established fact that a most reader will be distracted by the way readable</div>
												<div class="post-time">15 min ago</div>
											</div>
										</div>
										<div class="notification-block">
											<div class="inner">
												<div class="image"><img src="<?php echo e(asset('assets/admin/theme1/images/resource/author-2.jpg')); ?>" alt="" /></div>
												<h3><a href="#">David John</a></h3>
												<div class="notification-text">It is a long established fact that a like reader will</div>
												<div class="post-time">15 min ago</div>
											</div>
										</div>
										<div class="notification-block">
											<div class="inner">
												<div class="image"><img src="<?php echo e(asset('assets/admin/theme1/images/resource/author-3.jpg')); ?>" alt="" /></div>
												<h3><a href="#">Jonathon Deo</a></h3>
												<div class="notification-text">It is a long established fact that a reader will</div>
												<div class="post-time">15 min ago</div>
											</div>
										</div>
										
										<a href="#" class="view">View All</a>
										
									</div>
								</div>
							</div>
							<!-- End Notification Box -->
							
							<!-- Profile Box -->
							<div class="profile-box dropdown" id="someElementID5">
								<div class="btn btn-default dropdown-toggle">
									<span class="profile-image"><img src="<?php echo e(asset('assets/admin/theme1/images/resource/author-4.jpg')); ?>" alt="" /></span> <i class="arrow flaticon-down-arrow"></i>
								</div>
								<div class="profile-content">
									<div class="setting"><a href="setting.html">Settings</a></div>
									<!-- Dark Mode -->
									<div class="dark-mode">
										<div class="clearfix">
											<div class="pull-left">
												<div class="mode"><span class="icon"><img src="<?php echo e(asset('assets/admin/theme1/images/icons/moon.png')); ?>" alt="" /></span> Dark Mode</div>
											</div>
											<div class="pull-right">
												<!-- Dark Btns -->
												<ul class="dark-buttons clearfix">
													<li data-tab="#" class="off">Off</li>
													<li class="boll"><span class="round"></span></li>
													<li data-tab="#" class="on">On</li>
												</ul>	
											</div>
										</div>
									</div>
									<!-- Pages -->
									<ul class="pages">
										<li><a href="login.html">Sign In</a></li>
										<li><a href="sign-up.html">Sign Up</a></li>
										<li><a href="feedback.html">Feedback</a></li>
										<li><a href="contact.html">Contact Us</a></li>
										<li><a href="help.html">Help</a></li>
									</ul>
								</div>
							</div>
							
						</div>
						
					</div>
					
                </div>
            </div>
        </div>
        <!--End Header Upper-->
        
		<!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><span class="icon fa fa-remove"></span></div>
            
            <nav class="menu-box">
                <div class="nav-logo"><a href="index.html"><img src="<?php echo e(asset('assets/admin/theme1/images/logo.png')); ?>" alt="" title=""></a></div>
                <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
            </nav>
        </div><!-- End Mobile Menu -->
		
    </header>
    <!--End Main Header -->
	
	<!-- Sidebar Page Container -->
  <?php echo $__env->make('admin.includes.content', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<!-- Main Footer -->
    
	<?php echo $__env->make('admin.includes.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</div>
<!-- End pagewrapper -->

<!-- Sidebar Nav -->
<div class="sidenav-list">
	<ul class="navbar">
		<li><a href="index.html"><i class="icon flaticon-home"></i> <span><i class="flaticon-home"></i> Home</span></a></li>
		<li><a href="course-lesson.html"><i class="icon flaticon-book"></i> <span><i class="flaticon-book"></i>Course Lesson</span></a></li>
		<li><a href="category.html"><i class="icon flaticon-test"></i> <span><i class="flaticon-test"></i>Categories</span></a></li>
		<li><a href="dashboard.html"><i class="icon flaticon-report"></i> <span><i class="flaticon-report"></i>Dashboard</span></a></li>
		<li><a href="manage-course.html"><i class="icon flaticon-test"></i> <span><i class="flaticon-test"></i>Manage Course</span></a></li>
		<li><a href="earning.html"><i class="icon flaticon-pie-chart-1"></i> <span><i class="flaticon-pie-chart-1"></i>Earning</span></a></li>
		<li><a href="enrolled-courses.html"><i class="icon flaticon-file"></i> <span><i class="flaticon-file"></i>Enrolled Courses</span></a></li>
		<li><a href="certificate.html"><i class="icon flaticon-new-window"></i> <span><i class="flaticon-new-window"></i>Certificate</span></a></li>
		<li><a href="team.html"><i class="icon flaticon-file"></i> <span><i class="flaticon-file"></i>Instructors</span></a></li>
        <li><a href="contact.html"><i class="icon flaticon-contact"></i> <span><i class="flaticon-contact"></i>Contact Us</span></a></li>
		<li><a href="help.html"><i class="icon flaticon-information"></i> <span><i class="flaticon-information"></i>Help</span></a></li>
	</ul>
</div>
<!-- End Sidebar Nav -->

<!-- Hidden Navigation Bar -->
<section class="hidden-bar left-align">
	<div class="color-layer"></div>
	<div class="hidden-bar-closer">
		<span class="flaticon-multiply"></span>
	</div>
	<!-- Hidden Bar Wrapper -->
	<div class="hidden-bar-wrapper">
		<ul class="pages-list">
			<li class="active"><a href="index.html"><span class="icon flaticon-home"></span>Home</a></li>
			<li><a href="featured-courses.html"><span class="icon flaticon-book"></span>Featured Courses</a></li>
			<li><a href="course-lesson.html"><span class="icon flaticon-category"></span>Courses Lesson</a></li>
			<li><a href="category.html"><span class="icon flaticon-test"></span>Course Categories</a></li>
			<li><a href="latest-courses.html"><span class="icon flaticon-subscription"></span>Latest Courses</a></li>
			<li><a href="course-detail.html"><span class="icon flaticon-new-window"></span>Course Landing</a></li>
			<li><a href="team.html"><span class="icon flaticon-instructor"></span>Popular Instructors</a></li>
		</ul>
		<div class="heading">Instructor</div>
		<ul class="pages-list">
			<li><a href="dashboard.html"><span class="icon flaticon-home"></span>Dashboard</a></li>
			<li><a href="manage-course.html"><span class="icon flaticon-test"></span>Manage Courses</a></li>
			<li><a href="earning.html"><span class="icon flaticon-scholarship"></span>Earnings</a></li>
			<li><a href="edit-course.html"><span class="icon flaticon-report"></span>Edit Course</a></li>
			<li><a href="instructor-profile.html"><span class="icon flaticon-file"></span>Instructor Profile</a></li>
		</ul>
		<div class="heading">Student</div>
		<ul class="pages-list">
			<li><a href="price.html"><span class="icon flaticon-money-bag"></span>Pricing</a></li>
			<li><a href="enrolled-courses.html"><span class="icon flaticon-test"></span>Enrolled Courses</a></li>
			<li><a href="certificate.html"><span class="icon flaticon-skills"></span>Certificate Center</a></li>
			<li><a href="test.html"><span class="icon flaticon-quiz"></span>Quiz</a></li>
			<li><a href="result.html"><span class="icon flaticon-document"></span>Quiz Result</a></li>
			<li><a href="student-profile.html"><span class="icon flaticon-student"></span>Student Profile</a></li>
		</ul>
		<div class="heading">Pages</div>
		<ul class="pages-list">
			<li><a href="blog.html"><span class="icon flaticon-social-media"></span>Blog</a></li>
			<li><a href="blog-detail.html"><span class="icon flaticon-article"></span>Blog Detail</a></li>
			<li><a href="not-found.html"><span class="icon flaticon-garbage"></span>Not Found</a></li>
			<li><a href="login.html"><span class="icon flaticon-contract"></span>Sign In</a></li>
			<li><a href="sign-up.html"><span class="icon flaticon-clipboard"></span>Sign Up</a></li>
			<li><a href="feedback.html"><span class="icon flaticon-thumb-up"></span>Feedback</a></li>
			<li><a href="checkout.html"><span class="icon flaticon-checkout"></span>Checkout</a></li>
			<li><a href="contact.html"><span class="icon flaticon-contact"></span>Contact Us</a></li>
			<li><a href="setting.html"><span class="icon flaticon-settings-1"></span>Settings</a></li>
			<li><a href="help.html"><span class="icon flaticon-information"></span>Help</a></li>
		</ul>
	</div>
	<!--Copyright Text-->
	<div class="copyright-text">Copyright &copy; 2020 Genter</div>
</section>

<!--Scroll to top-->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-arrow-circle-up"></span></div>

 

<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.fancybox.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/appear.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/isotope.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/owl.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/wow.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery-ui.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/script.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/color-settings.js')); ?>"></script>

</body>

</html><?php /**PATH F:\xampp8\htdocs\sales\resources\views/layouts/admin2.blade.php ENDPATH**/ ?>