
<?php $__env->startSection('title'); ?>
الضبط العام
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الخزن
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.treasuries.index')); ?>"> الخزن </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">بيانات الخزن</h3>
            <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.treasuries.ajax_search')); ?>">
            <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(4)): ?>
            <a href="<?php echo e(route('admin.treasuries.create')); ?>" class="btn btn-sm btn-success">اضافة جديد</a>
             <?php endif; ?>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div class="col-md-4">
               <input type="text" id="search_by_text" placeholder="بحث بالاسم" class="form-control"> <br>
            </div>
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0 ): ?>
               <?php
               $i=1;
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>اسم الخزنة</th>
                     <th>هل رئيسية</th>
                     <th>اخر ايصال صرف</th>
                     <th>اخر ايصال تحصيل</th>
                     <th>حالة التفعيل</th>
                     <th></th>
                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($info->name); ?></td>
                        <td><?php if($info->is_master==1): ?> رئيسية <?php else: ?> فرعية <?php endif; ?></td>
                        <td><?php echo e($info->last_isal_exhcange); ?></td>
                        <td><?php echo e($info->last_isal_collect); ?></td>
                        <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                        <td>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(5)): ?>
                           <a href="<?php echo e(route('admin.treasuries.edit',$info->id)); ?>"
                              class="btn btn-sm  btn-primary">تعديل </a>
                           <?php endif; ?>
                           <?php if($info->counterUsedBefor==0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(6)): ?>
                           <a href="<?php echo e(route('admin.treasuries.delete',$info->id)); ?>"
                              class="btn btn-sm are_you_sure  btn-danger">حذف</a>
                           <?php endif; ?>
                           <?php endif; ?>
                           <a href="<?php echo e(route('admin.treasuries.details',$info->id)); ?>"
                              class="btn btn-sm  btn-info">المزيد</a>


                        </td>
                     </tr>
                     <?php
                     $i++;
                     ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/treasuries.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/treasuries/index.blade.php ENDPATH**/ ?>