
<?php $__env->startSection('title'); ?>
ضبط الاصناف
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الاصناف
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.itemcard.index')); ?>">  الاصناف </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض التفاصيل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
<div class="card-header">
   <h3 class="card-title card_title_center">  عرض بيانات صنف</h3>
   <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(59)): ?> 
   <a href="<?php echo e(route('admin.itemcard.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
   <?php endif; ?>
</div>
<!-- /.card-header -->
<div class="card-body">
   <?php if(@isset($data) && !@empty($data)): ?>
   <div class="row">
      <table id="example2" class="table table-bordered table-hover">
         <tr>
            <td colspan="4" style="text-align: center">
               <label>كود الصنف الثابت الالي من النظام</label>
              ( <?php echo e($data['item_code']); ?> ) 
               <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
               <input type="hidden" id="ajax_search_movements" value="<?php echo e(route('admin.itemcard.ajax_search_movements')); ?>">
               <input type="hidden" id="ajax_showUpdateParentUom" value="<?php echo e(route('admin.itemcard.showUpdateParentUom')); ?>">
               <input type="hidden" id="ajax_show_update_retail_uom" value="<?php echo e(route('admin.itemcard.show_update_retail_uom')); ?>">

            </td>
         </tr>
         <tr>
            <td>
               <label>باركود الصنف</label> <br>
               <?php echo e($data['barcode']); ?>

               <a target="_blank" href="<?php echo e(route('admin.itemcard.generate_barcode',$data['id'])); ?>" class="btn btn-sm   btn-success">باركود <i class="fa fa-print"></i></a>   

                   
            </td>
            <td>
               <label>اسم الصنف</label> <br>
               <?php echo e($data['name']); ?>

            </td>
            <td>
               <label>نوع الصنف</label> <br>
               <?php if($data['item_type']==1): ?> مخزني  <?php elseif($data['item_type']==2): ?> استهلاكي بصلاحية   <?php elseif($data['item_type']==3): ?> عهدة <?php else: ?> غير محدد <?php endif; ?>
            </td>
            <td>
               <label>فئة الصنف</label> <br>
               <?php echo e($data['inv_itemcard_categories_name']); ?>

            </td>
         </tr>

         <tr>
            <td >
               كمية الصنف الحالية (  <?php echo e($data['All_QUENTITY']*1); ?> <?php echo e($data['Uom_name']); ?>)
               (مايوزاي   <?php echo e($qunatity_lable); ?>)
            </td>
         
            <td>
               <label> هل للصنف سعر ثابت</label> 
              ( <?php if($data['has_fixced_price']==1): ?> نعم  <?php else: ?>  لا <?php endif; ?> ) 
            </td>
            <td >
               <label>  حالة التفعيل</label>
             ( <?php if($data['active']==1): ?> نعم  <?php else: ?>  لا <?php endif; ?> )   
            </td>
            <td    >
               <label>   هل للصنف وحدة تجزئة ابن</label> 
              (<?php if($data['does_has_retailunit']==1): ?> نعم  <?php else: ?>  لا <?php endif; ?>) 
               </td> 
         </tr>
         <tr>
            <td colspan="4">
               <h3 style="text-align: center; font-size: 16px; font-weight: bold;"> تسعير الصنف مع الوحدات</h3>
               <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(229)): ?>  
               <button   class="btn btn-sm btn-info " data-toggle="modal" data-target="#showAddretailModal"> اضافة وحدة تجزئة </button>
              <?php endif; ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>اسم الوحدة</th>
                     <th> النوع</th>
                     <th> معامل التحويل للأب</th>
                     <th>سعر القطاعي</th>
                     <th> سعر النص جملة عروض</th>
                     <th>  سعر الجملة</th>
                     <th>  سعر التكلفة</th>
                     <th></th>
                  </thead>
                  <tbody>
               <tr>
                 <td>  <?php echo e($data['Uom_name']); ?>  </td> 
                 <td>  أب كبري </td> 
                 <td> 1</td>
                 <td> <?php echo e($data['price']*1); ?></td>
                 <td> <?php echo e($data['nos_gomla_price']*1); ?></td>
                 <td> <?php echo e($data['gomla_price']*1); ?></td>
                 <td> <?php echo e($data['cost_price']*1); ?></td>

                 <td>
                  <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(60)): ?>  
                  <button id="showUpdateParentUom" data-id="<?php echo e($data['id']); ?>" class="btn btn-sm btn-success"> تعديل </button>
                 <?php endif; ?>
               </td>
               </tr>
               <?php if(@isset($inv_itemcard_retails_uoms) && !@empty($inv_itemcard_retails_uoms) && count($inv_itemcard_retails_uoms) >0): ?>
               <?php $__currentLoopData = $inv_itemcard_retails_uoms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr>
                  <td>  <?php echo e($info->retail_uom_name); ?>  </td> 
                  <td>   تجزئة </td> 
                  <td> كل <?php echo e($data['Uom_name']); ?> يحتوي <?php echo e($info->retail_uom_quntToParent*1); ?> <?php echo e($info->retail_uom_name); ?> </td>
                  <td> <?php echo e($info->price_retail*1); ?></td>
                  <td> <?php echo e($info->nos_gomla_price_retail*1); ?></td>
                  <td> <?php echo e($info->gomla_price_retail*1); ?></td>
                  <td> <?php echo e($info->cost_price_retail*1); ?></td>
 
                  <td>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(231)): ?>  
                     <button  data-id="<?php echo e($info->id); ?>"  data-itemid="<?php echo e($data['id']); ?>" class="btn btn-sm btn-success show_update_retail_uom"> تعديل </button>
                     <?php endif; ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(230)): ?>  
                     <a href="<?php echo e(route('admin.itemcard.deleteRetailUom',$info->id)); ?>" class="btn btn-sm btn-danger are_you_sure">حذف</a>
                     <?php endif; ?>
                  </td>
                </tr>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              <?php endif; ?>

                  </tbody>
               </table>


            </td>
         </tr>

    
      
     <tr>
      <td >  الصنف الاب</td>
      <td colspan="4" >
         <?php echo e($data['parent_item_name']); ?>

      </td>
     </tr>
         <tr>
            <td >لوجو  الصنف</td>
            <td colspan="4" >
               <div class="image">
                  <img class="custom_img" src="<?php echo e(asset('assets/admin/uploads').'/'.$data['photo']); ?>"  alt="لوجو الشركة">       
               </div>
            </td>
         </tr>
         <tr>
            <td >  تاريخ اخر تحديث</td>
            <td colspan="3"> 
               <?php if($data['updated_by']>0 and $data['updated_by']!=null ): ?>
               <?php
               $dt=new DateTime($data['updated_at']);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($time));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               ?>
               <?php echo e($date); ?>

               <?php echo e($time); ?>

               <?php echo e($newDateTimeType); ?>

               بواسطة 
               <?php echo e($data['updated_by_admin']); ?>

               <?php else: ?>
               لايوجد تحديث
               <?php endif; ?>
               <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(60)): ?> 
               <a href="<?php echo e(route('admin.itemcard.edit',$data['id'])); ?>" class="btn btn-sm btn-success">تعديل</a>
               <?php endif; ?>
            </td>
         </tr>
      </table>
   </div>
   <hr style="border:1px solid #3c8dbc;">
   <h3 class="customh3"> سجل الحركة علي الصنف  (  كارت الصنف )</h3>
   <div class="row">
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بالمخازن </label>
            <select name="store_id_move_search" id="store_id_move_search" class="form-control select2">
               <option value="all">بحث بالكل </option>
               <?php if(@isset($stores) && !@empty($stores)): ?>
               <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بقسم الحركة </label>
            <select name="movements_categoriesMoveSearch" id="movements_categoriesMoveSearch" class="form-control select2">
               <option value="all">بحث بالكل </option>
               <?php if(@isset($inv_itemcard_movements_categories) && !@empty($inv_itemcard_movements_categories)): ?>
               <?php $__currentLoopData = $inv_itemcard_movements_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بنوع الحركة </label>
            <select name="movements_typesMoveSearch" id="movements_typesMoveSearch" class="form-control select2">
               <option value="all">بحث بالكل </option>
               <?php if(@isset($inv_itemcard_movements_types) && !@empty($inv_itemcard_movements_types)): ?>
               <?php $__currentLoopData = $inv_itemcard_movements_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->id); ?>"> <?php echo e($info->type); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>      بحث من تاريخ حركة</label>
            <input name="from_date_moveSearch" id="from_date_moveSearch" class="form-control" type="date" value=""    >
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>     بحث الي تاريخ حركة </label>
            <input name="to_date_moveSearch" id="to_date_moveSearch" class="form-control" type="date" value=""    >
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث  بالترتيب </label>
            <select name="moveDateorderType" id="moveDateorderType" class="form-control select2">
               <option value="DESC">بحث ترتيب تنازلي </option>
               <option value="ASC">بحث ترتيب تصاعدي </option>
            </select>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="col-md-12 text-center" id="ajaxSearchMovementsDiv">
         <button class="btn btn-sm btn-danger" id="ShowMovementsBtn">عرض سجل الحركة </button>
      </div>
      <?php else: ?>
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      <?php endif; ?>
   </div>
</div>
<div class="modal fade " id="showUpdateParentUomModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">تعديل سعر الوحدة الكبري للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="showUpdateParentUomModalBody" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="show_update_retail_uomModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">تعديل سعر وحدة تجزئة للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="show_update_retail_uomModalBody" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="showAddretailModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">اضافة وحدات تجزئة للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;">
            <form action="<?php echo e(route('admin.itemcard.DoAddRetailUom',$data['id'])); ?>" method="post" >
               <?php echo csrf_field(); ?>
            <div class="row">
               <div class="col-md-6">
                  <div class="form-group">
                     <label>   وحدة القياس التجزئة</label>
                     <select name="RetailUomAdd" id="RetailUomAdd" class="form-control select2">
                        <option value="">اختر الوحدة بالترتيب الاكبر ثم الاصغر</option>
                        <?php if(@isset($inv_uoms) && !@empty($inv_uoms)): ?>
                        <?php $__currentLoopData = $inv_uoms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option <?php if($info->counterExsists >0): ?> disabled <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> <?php if($info->counterExsists >0): ?> - وتمت اضافتها للصنف    <?php endif; ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                     </select>
                     <?php $__errorArgs = ['uom_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                     <span class="text-danger"><?php echo e($message); ?></span>
                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
               </div>
               <div class="col-md-6  "  > 
                  <div class="form-group">
                     <input type="hidden" id="last_retail_uom_quntToParent" value="<?php echo e($last_retail_uom_quntToParent); ?>">
                  <label> معامل التحويل بالنسبة للوحدة الاب (<?php echo e($data['Uom_name']); ?>)   </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="retail_uom_quntToParentAdd" id="retail_uom_quntToParentAdd" class="form-control"  value="" placeholder="ادخل السعر " >
                  <?php $__errorArgs = ['nos_gomla_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  </div>
               <div class="col-md-6  "> 
                  <div class="form-group">
                  <label>سعر القطاعي   </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="price_retail" id="priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
              
                  </div>
                  </div>
                  <div class="col-md-6  "  > 
                  <div class="form-group">
                  <label>سعر النص جملة عروض    </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="nos_gomla_price_retail" id="nos_gomla_priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
                  <?php $__errorArgs = ['nos_gomla_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  </div>
                  <div class="col-md-6  " > 
                  <div class="form-group">
                  <label>سعر  جملة    </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="gomla_price_retail" id="gomla_priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
               
                  </div>
                  </div>
                  <div class="col-md-6  "  > 
                  <div class="form-group">
                  <label>سعر  تكلفة الشراء   </label>
                  <input readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="cost_price_retail" id="cost_priceAdd" class="form-control"  value="0" placeholder="ادخل السعر " >
            
                  </div>
                  </div>
            <div class="col-md-12"> <hr>
               <div class="form-group text-center">
                  <button   type="submit" class="btn btn-sm btn-danger" id="DoAddRetailUom">اضف الوحدة</button>
               </div>
            </div>
            </div>
            </form>


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script src="<?php echo e(asset('assets/admin/js/inv_itemcard.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/inv_itemCard/show.blade.php ENDPATH**/ ?>