
<?php $__env->startSection('title'); ?>
شئون الموظفين
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الموظفين  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.employees.index')); ?>">    الموظفين </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   الموظفين  </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.employees.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(181)): ?> 
      <a href="<?php echo e(route('admin.employees.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
       <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-4">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="employee_code"> برقم الموظف
            <input  type="radio"  name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input autofocus style="margin-top: 6px !important;" type="text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود العميل" class="form-control"> <br>
         </div>

         <div class="col-md-4">
            <div class="form-group">
               <label>   بحث بالادارات</label>
               <select name="departements_id_search" id="departements_id_search" class="form-control select2 ">
                  <option value="all">بحث بالكل </option>
                  <?php if(@isset($other['departements']) && !@empty($other['departements'])): ?>
                  <?php $__currentLoopData = $other['departements']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>       بحث بالوظائف</label>
               <select name="jobs_id_search" id="jobs_id_search" class="form-control select2">
                  <option value="all">بحث بالكل </option>
                  <?php if(@isset($other['jobs']) && !@empty($other['jobs'])): ?>
                  <?php $__currentLoopData = $other['jobs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option  value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
            
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك شفت ثابت</label>
               <select name="do_has_shift_search" id="do_has_shift_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4" >
            <div class="form-group">
               <label>       أنواع الشفتات</label>
               <select name="shifts_types_id_search" id="shifts_types_id_search" class="form-control select2 ">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset($other['shifts_types']) && !@empty($other['shifts_types'])): ?>
                  <?php $__currentLoopData = $other['shifts_types']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($info->id); ?>"> 
                     
                     <?php if($info->type==1): ?> صباحي <?php elseif($info->type==2): ?> مسائي <?php else: ?> يوم كامل <?php endif; ?>
                     من
                     <?php
                     $dt=new DateTime($info->from_time);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->from_time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                    
                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>  
                     الي
                     <?php
                     $dt=new DateTime($info->to_time);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->to_time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     ?>
                    
                     <?php echo e($time); ?>

                     <?php echo e($newDateTimeType); ?>  
                  عدد
                  <?php echo e($info->total_hours*1); ?> ساعات
                  
                  
                  
                  
                  </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
           
            </div>
         </div>



         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك  تأمين اجتماعي</label>
               <select name="does_has_social_insurance_search" id="does_has_social_insurance_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك حافز شهري</label>
               <select name="do_has_Motivation_search" id="do_has_Motivation_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك بدل شهري</label>
               <select name="does_has_allowances_search" id="does_has_allowances_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
        
         <div class="col-md-4">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>  بحث بحالة الرصيد</label>
               <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> دائن</option>
                  <option  value="2"> مدين</option>
                  <option    value="3"> متزن</option>
               </select>
            </div>
         </div>
         <div class="col-md-4 "  >
            <div class="form-group">
               <label>      من  تاريخ اضافة </label>
               <input name="from_date_search" id="from_date_search" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-4 " >
            <div class="form-group">
               <label>     الي تاريخ اضافة  </label>
               <input name="to_date_search" id="to_date_search" class="form-control" type="date" value=""    >
            </div>
         </div>

      </div>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>  الكود </th>
               <th>الاسم </th>
               <th>  القسم </th>
               <th>  الوظيفة </th>
               <th> رقم الهاتف </th>

               <th> التفعيل</th>
               <th></th>
            </thead>
            <tbody>
               <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr>
                  <td><?php echo e($info->employee_code); ?></td>
                  <td><?php echo e($info->name); ?></td>
               
                  <td><?php echo e($info->Departement_name); ?></td>
                  <td><?php echo e($info->Job_name); ?></td>
                  <td><?php echo e($info->phone); ?></td>

                  <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                  <td>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(182)): ?> 
                     <a href="<?php echo e(route('admin.employees.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                     <?php endif; ?>
                     <?php if(  $info->CounterUsed==0): ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(183)): ?> 
                     <a href="<?php echo e(route('admin.employees.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                     <?php endif; ?>
                     <?php endif; ?>
                     <a href="<?php echo e(route('admin.employees.show',$info->id)); ?>" class="btn btn-sm   btn-info">التفاصيل</a>   

                  </td>
               </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
         </table>
         <br>
         <?php echo e($data->links()); ?>

         <?php else: ?>
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         <?php endif; ?>
      </div>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/employees.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/employees/index.blade.php ENDPATH**/ ?>