
<?php $__env->startSection('title'); ?>
شئون الموظفين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الرواتب
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.Finance_Montes_Salaries.index')); ?>"> الشهور المالية للرواتب</a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات الشهور المالية للرواتب</h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.Finance_Montes_Salaries.ajax_search')); ?>">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-6">
            <div class="form-group">
               <label>       بحث بالسنوات المالية</label>
               <select name="finance_calenders_id" id="finance_calenders_id_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <?php if(@isset( $other['finance_calenders']) && !@empty( $other['finance_calenders'])): ?>
                  <?php $__currentLoopData = $other['finance_calenders']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option <?php if(old('finance_calenders_id')==$info->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->FINANCE_YR); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  <?php endif; ?>
               </select>
               <?php $__errorArgs = ['finance_calenders_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               <?php if(@isset($data) && !@empty($data) && count($data) >0): ?>
               <?php
               $i=1;
               ?>
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>   السنة المالية</th>
                     <th> اسم الشهر المالي</th>
                     <th> تاريخ البداية</th>
                     <th> تاريخ النهاية</th>
                     <th> عدد الايام</th>
                     <th> حالة الشهر</th>
                     <th> الرواتب</th>

                  </thead>
                  <tbody>
                     <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr <?php if($info->is_open==1): ?> style="background-color: #b4ffb3;"   <?php endif; ?>>
                        <td> <?php echo e($info->FINANCE_YR); ?> </td>
                        <td> <?php echo e($info->name); ?> </td>
                        <td> <?php echo e($info->START_DATE_M); ?> </td>
                        <td> <?php echo e($info->END_DATE_M); ?> </td>
                        <td> <?php echo e($info->number_of_days); ?> </td>
                        <td> <?php if($info->is_open==1): ?> مفتوح <?php elseif($info->is_open==2): ?> مؤرشف <?php else: ?> بإنتظار الفتح <?php endif; ?>

                        <td >

                           <?php if($info->is_open!=0): ?>
                           <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(192)): ?>
                           <a href="<?php echo e(route('admin.Finance_Montes_Salaries.Dashboard',$info->id)); ?>" class="btn btn-sm btn-success">
                              عرض الرواتب</a>
                              <?php endif; ?>
                           <?php endif; ?>

                        </td>


                     </tr>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
               </table>
               <br>
               <?php echo e($data->links()); ?>

               <?php else: ?>
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/Finance_Montes_Salaries.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp8new\htdocs\sales2\resources\views/admin/Finance_Montes_Salaries/index.blade.php ENDPATH**/ ?>