
<?php $__env->startSection('title'); ?>
شاشة تحصيل النقدية
<?php $__env->stopSection(); ?>
<?php $__env->startSection("css"); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2/css/select2.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الحسابات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.collect_transaction.index')); ?>"> شاشه تحصيل النقدية </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> بيانات حركة تحصيل النقدية بالنظام</h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_url_get_account_blance"
         value="<?php echo e(route('admin.collect_transaction.get_account_blance')); ?>">
      <input type="hidden" id="ajax_url_ajax_search" value="<?php echo e(route('admin.collect_transaction.ajax_search')); ?>">
   </div>
   <!-- /.card-header -->

   <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(29) or
   check_permission_sub_menue_actions(30)): ?>

   
  
    
   <div class="card-body">
      <?php if(!@empty($checkExistsOpenShift)): ?>
      <button class="btn btn-warning   btn-sm" data-toggle="collapse" href="#collapseExampleSearch" style="    background-color: brown;color: white;border-color:brown;margin: 3px;" role="button" aria-expanded="false" aria-controls="collapseExampleSearch">
         اضافة حركة تحصيل جديدة
                </button>
      <form action="<?php echo e(route('admin.collect_transaction.store')); ?>" method="post" class="custom_form collapse" id="collapseExampleSearch">
         <div class="   row" >
            <?php echo csrf_field(); ?>
            <div class="col-md-4> 
               <div class=" form-group">
               <label>تاريخ الحركة </label>
               <input type="date" name="move_date" id="move_date" class="form-control" value="<?php echo date('Y-m-d') ?>">
               <?php $__errorArgs = ['move_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label> الحسابات المالية</label>
                  <select name="account_number" id="account_number" class="form-control select2 ">
                     <option value="">اختر الحساب المالي المحصل منه</option>
                     <?php if(@isset($accounts) && !@empty($accounts)): ?>
                     <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option data-type="<?php echo e($info->account_type); ?>" <?php if(old('account_number')==$info->account_number): ?>
                        selected="selected" <?php endif; ?> value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->account_type_name); ?>) </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                  <?php $__errorArgs = ['account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
   
            <div class="col-md-4" id="account_numberStatusDiv" style="display: none;">
            </div>
            <div class="col-md-4" id="get_account_blancesDiv" style="display: none;">
            </div>


            <div class="col-md-4">
               <div class="form-group">
                  <label> نوع الحركة</label>
                  <select name="mov_type" id="mov_type" class="form-control  ">
                     <option value="">اختر نوع الحركة</option>
                     <?php if(@isset($mov_type) && !@empty($mov_type)): ?>
                     <?php $__currentLoopData = $mov_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <option <?php if(old('mov_type')==$info->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                  </select>
                  <?php $__errorArgs = ['mov_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label> بيانات الخزن</label>
                  <select name="treasuries_id" id="treasuries_id" class="form-control ">
                     <option value="<?php echo e($checkExistsOpenShift['treasuries_id']); ?>"> <?php echo e($checkExistsOpenShift['treasuries_name']); ?> </option>
                  </select>
                  <?php $__errorArgs = ['treasuries_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-4 "> 
               <div class=" form-group">
               <label> الرصيد المتاح بالخزنة </label>
               <input readonly name="treasuries_balance" id="treasuries_balance" class="form-control"
                  value="<?php echo e($checkExistsOpenShift['treasuries_balance_now']*1); ?>">
               <?php $__errorArgs = ['treasuries_balance'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label>قيمة المبلغ المحصل </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="money" id="money"
                  class="form-control" value="<?php echo e(old('money')); ?>">
               <?php $__errorArgs = ['money'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
               <span class="text-danger"><?php echo e($message); ?></span>
               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="col-md-12">
               <div class="form-group">
                  <label> البيان</label>
                  <textarea name="byan" id="byan" class="form-control" rows="4"
                     cols="10"> <?php echo e(old("byan","تحصيل نظير ")); ?> </textarea>
                  <?php $__errorArgs = ['byan'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
                    
  <div class="col-md-12">
               <div class="form-group">
                  <label> العقود المفتوحة</label>
                  <select name="contract_number" id="contract_number" class="form-control select2">
                     <option value="">اختر العقد المحصل منه</option>
                     <?php if(isset($accounts) && !empty($accounts)): ?>
                         <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <option value="<?php echo e($info->contract_number ?? ''); ?>" 
                                 <?php if(old('contract_number') == $info->contract_number): ?> selected <?php endif; ?>>
                                 <?php echo e($info->contract_number ?? 'غير متوفر'); ?>

                             </option>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php endif; ?>
                 </select>
                 
                 
                 
                  <?php $__errorArgs = ['account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>  

            
           

                      <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_collect_now_btn" type="submit" class="btn btn-success btn-sm"> تحصيل الان</button>
               </div>
            </div>
         </div>
   </div>
   </form>
   <?php else: ?>
   <div class="alert alert-warning" style="color:brown !important">
      تنبيه لايوجد شفت مفتوح لك لكي تتمكن من التحصيل
   </div>
   <?php endif; ?>

   <?php endif; ?>

   <div class="clearfix"></div>
   <form action="<?php echo e(route('admin.collect_transaction.print_search')); ?>" method="post" target="_blank">
      <?php echo csrf_field(); ?>
   <div class="row" style="padding: 15px;">
      <div class="col-md-3">
         <input checked type="radio" name="searchbyradio" id="searchbyradio" value="auto_serial"> بالكود
         <input type="radio" name="searchbyradio" id="searchbyradio" value="isal_number"> الايصال
         <input type="radio" name="searchbyradio" id="searchbyradio" value="shift_code"> شفت
         <input style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder="" class="form-control">
         <br>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالحسابات المالية</label>
            <select name="account_number" id="account_number_search" class="form-control select2 ">
               <option value="all"> بحث بالكل</option>
               <?php if(@isset($accounts_search) && !@empty($accounts_search)): ?>
               <?php $__currentLoopData = $accounts_search; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option data-type="<?php echo e($info->account_type); ?>" <?php if(old('account_number')==$info->account_number): ?>
                  selected="selected" <?php endif; ?> value="<?php echo e($info->account_number); ?>"> <?php echo e($info->name); ?> (<?php echo e($info->account_type_name); ?>) <?php echo e($info->account_number); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالحركات المالية</label>
            <select name="mov_type" id="mov_type_search" class="form-control  ">
               <option value="all"> بحث بالكل</option>
               <?php if(@isset($mov_type) && !@empty($mov_type)): ?>
               <?php $__currentLoopData = $mov_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option <?php if(old('mov_type')==$info->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالخزن</label>
            <select name="treasuries" id="treasuries_search" class="form-control select2">
               <option value="all">بحث بكل الخزن</option>
               <?php if(@isset($treasuries) && !@empty($treasuries)): ?>
               <?php $__currentLoopData = $treasuries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالمستخدمين</label>
            <select name="admins" id="admins_search" class="form-control select2">
               <option value="all">بحث بكل الخزن</option>
               <?php if(@isset($admins) && !@empty($admins)): ?>
               <?php $__currentLoopData = $admins; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($info->id); ?>"> <?php echo e($info->name); ?> </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               <?php endif; ?>
            </select>
         </div>
      </div>
    
 
      <div class="col-md-3">
         <div class="form-group">
            <label> من تاريخ حركة</label>
            <input name="from_date" id="from_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> الي تاريخ حركة </label>
            <input name="to_date" id="to_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-2">
         <div class="form-group text-rigth">
          <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
         </div>
      </div>
    
      <div class="clearfix"></div>
   </div>
   </form>
   <div id="ajax_responce_serarchDiv">
      <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
      <table id="example2" class="table table-bordered table-hover">
         <thead class="custom_thead">
            <th>كود الي</th>
            <th> رقم الايصال</th>
            <th> الخزنة</th>
            <th> المبلغ</th>
            <th> الحركة</th>
            <th> الحساب المالي</th>
            <th> البيان</th>
            <th> المستخدم</th>
            <th></th>
         </thead>
         <tbody>
            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
               <td><?php echo e($info->auto_serial); ?></td>
               <td><?php echo e($info->isal_number); ?></td>
               <td><?php echo e($info->treasuries_name); ?> <br>
                  شفت (<?php echo e($info->shift_code); ?>)
               </td>
               <td><?php echo e($info->money*(1)); ?></td>
               <td><?php echo e($info->mov_type_name); ?></td>
               <td><?php echo e($info->account_name); ?> <br>
                  (<?php echo e($info->account_type_name); ?>)
               </td>
               <td><?php echo e($info->byan); ?></td>
               <td>
                  <?php
                  $dt=new DateTime($info->created_at);
                  $date=$dt->format("Y-m-d");
                  $time=$dt->format("h:i");
                  $newDateTime=date("A",strtotime($info->created_at));
                  $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                  ?>
                  <?php echo e($date); ?> <br>
                  <?php echo e($time); ?>

                  <?php echo e($newDateTimeType); ?> <br>
                  بواسطة
                  <?php echo e($info->added_by_admin); ?>

               </td>
               <td>
                  <?php if($info->is_approved==1): ?>
                  <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(34)): ?>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.collect_transaction.printsaleswina4',[$info->id,'A4'])); ?>" class="btn btn-primary btn-xs"> WA4</a>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="<?php echo e(route('admin.collect_transaction.printsaleswina4',[$info->id,'A6'])); ?>" class="btn btn-warning btn-xs"> WA6</a>              
            
                  <?php endif; ?>
                  <?php endif; ?>
               </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </tbody>
      </table>
      <br>
      <?php echo e($data->links()); ?>

      <?php else: ?>
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      <?php endif; ?>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("script"); ?>
<script src="<?php echo e(asset('assets/admin/plugins/select2/js/select2.full.min.js')); ?>"> </script>
<script src="<?php echo e(asset('assets/admin/js/collect_transaction.js')); ?>"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/collect_transactions/index.blade.php ENDPATH**/ ?>