<!DOCTYPE html>
<html>
   <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title> طباعة فاتورة مبيعات </title>
      <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
      <style>
         td{font-size: 15px !important;text-align: center; font-weight: bold;}
         @media print{
            #printButton{
               display: none;
            }
         .mainheadtable{
         width: 30%; margin-right: 5px; float: right;  border: 1px solid black 
         }
         .tdhead{
         padding: 3px; text-align: right;font-weight: bold;
         }
         .mainheadtable2{
         width: 30%;float: right;  margin-right: 5px;
         }
         .headimg{
         width: 35%;float: right; margin-left: 5px;
         }
         .headimg_img{
         width: 150px; height: 110px; border-radius: 10px;
         }
         @media print {        
         @page {
         size: 105mm 148mm;
         }
         td{font-size: 9px !important;text-align: center; font-weight: bold;} 
         table{margin: 0 auto;}   
         .mainheadtable{
         width: 50%; margin-right: 1px; float: right;  border: 1 solid black 
         }
         .tdhead{
         padding: 3px; text-align: right;font-weight: bold;
         }
         .headimg{
         width: 45%;float: right; margin-left: 1px;
         }
         .headimg_img{
         width: 70px; height: 70px; float: left;
         }
         }
      </style>
   <body style="padding-top: 10px;font-family: tahoma;">
      <table class="mainheadtable"  cellspacing="0"   dir="rtl">
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">  فاتورة مبيعات رقم  <span style="margin-right: 10px;">/ <?php echo e($data['auto_serial']); ?></span></td>
         </tr>
    
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">   تاريخ الفاتورة  <span style="margin-right: 10px;">/ <?php echo e($data['invoice_date']); ?></span></td>
         </tr>
      
         <tr>
            <td style="padding: 5px; text-align: right;font-weight: bold;">   حالة الفاتورة  <span style="margin-right: 10px;">/ <?php if($data['is_approved']==1): ?> معتمدة <?php else: ?> غير معتمدة <?php endif; ?></span></td>
         </tr>
      </table>
      <br>
      <table class="headimg"  dir="rtl" style="margin-bottom: 5px;">
         <tr>
            <td style="text-align:left !important;padding: 5px;">
               <img class="headimg_img"  src="<?php echo e(asset('assets/admin/uploads').'/'.$systemData['photo']); ?>"> 
               <p><?php echo e($systemData['system_name']); ?></p>
            </td>
         </tr>
      </table>
      <table  dir="rtl" border="1" style="width: 98%; margin: 0 auto;"  id="example2" cellpadding="1" cellspacing="0"  aria-describedby="example2_info" >
         <tr style="background-color: gainsboro">
            <td style="font-weight: bold;">م</td>
            <td style="font-weight: bold;">كود</td>
            <td  style="font-weight: bold;">الصنف</td>
            <td  style="font-weight: bold;">الوحدة </td>
            <td style="font-weight: bold;">الكمية</td>
            <td  style="font-weight: bold;">السعر</td>
            <td style="font-weight: bold;">اجمالي</td>
            <td style="font-weight: bold;" >المخزن</td>
         </tr>
         <?php if(!@empty($sales_invoices_details) and count($sales_invoices_details)>0): ?>
         <?php $i=1; $totalItems=0; ?>
         <?php $__currentLoopData = $sales_invoices_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <tr>
            <td>
               <?php echo e($i); ?>

            </td>
            <td>
               <?php echo e($info->item_code); ?>

            </td>
            <td>
               <?php echo e($info->item_name); ?>

               <?php if($info->is_normal_orOther>1): ?>:?>
               ( ملاحظة هذا 
               <?php if($info->is_normal_orOther==2): ?> بونص<?php elseif($info->is_normal_orOther==3): ?> دعاية <?php elseif($info->is_normal_orOther==4): ?> هالك <?php else: ?> لم يحدد <?php endif; ?>?>
               )
               <?php endif; ?>
            </td>
            <td>
               <?php echo e($info->uom_name); ?>

            </td>
            <td>
               <?php echo e($info->quantity*1); ?>

            </td>
            <td>
               <?php echo e($info->unit_price*1); ?>

            </td>
            <td>
               <?php echo e($info->total_price*1); ?>                                  
            </td>
            <td>
               <?php echo e($info->store_name); ?>

            </td>
         </tr>
         <?php $i++; endforeach;?>
    
         <?php endif; ?>
      </table>
      <br>
      <table  dir="rtl" border="1" style="width: 98%; margin: 0 auto;"  id="example2" cellpadding="1" cellspacing="0"  aria-describedby="example2_info" >
         <tr >
            <td style="font-weight: bold;">اجمالي الاصناف</td>
            <td style="font-weight: bold;">خصم</td>
            <td style="font-weight: bold;">اجمالي بعد الخصم</td>
            <td style="font-weight: bold;">قيمة مضافة</td>
            <td style="font-weight: bold;">صافي الفاتورة </td>
            <td style="font-weight: bold;">مدفوع</td>
            <?php if($data['Returned_to_customer_instantly']==0 and $data['what_remain'] >0): ?>
            <td  style="font-weight: bold;">آجل متبقي</td>
            <?php endif; ?>
            <?php if($data['Returned_to_customer_instantly']>0 and $data['what_remain'] ==0): ?>
            <td  style="font-weight: bold;"> باقي  للعميل</td>
            <?php endif; ?>
         </tr>
         <tr>
            <td><?php echo e($data["total_cost_items"]*(1)); ?></td>
            <td><?php echo e($data['discount_value']*(1)); ?></td>
            <td><?php echo e($data["total_after_discount"]*(1)); ?></td>
            <td><?php echo e($data['tax_value']*(1)); ?></td>
            <td><?php echo e($data['total_cost']*(1)); ?></td>
            <td><?php echo e($data['what_paid']*(1)); ?></td>
            <?php if($data['Returned_to_customer_instantly']==0 and $data['what_remain'] >0): ?>
            <td><?php echo e($data['what_remain']*(1)); ?></td>
            <?php endif; ?>
            <?php if($data['Returned_to_customer_instantly']>0 and $data['what_remain'] ==0): ?>
            <td><?php echo e($data['Returned_to_customer_instantly']*(1)); ?></td>
            <?php endif; ?>
         
         </tr>
      </table>
      <p style="
         padding: 5px 10px 0px 5px;
         bottom: 0;
         width: 100%;
         /* Height of the footer*/ 
         text-align: center;font-size: 11px; font-weight: bold;
         "> <?php echo e($systemData['address']); ?> - <?php echo e($systemData['phone']); ?>


         <br />
         <br />

         <img style="width: 80px; height: 80px; margin: 0px auto; text-align: center;" src="<?php echo e(url('public/uploads/Sales_invoices/qr/qr-' . $data->auto_serial . '.svg')); ?>">
      </p>
         <div class="clearfix"></div> <br>
         <p class="text-center">
            <button style="padding: 9px; color: red;" onclick="window.print()" class="btn btn-success btn-sm" id="printButton"  >طباعة</button>
         </p>
               <script src="<?php echo e(asset('assets/admin/plugins/jquery/jquery.min.js')); ?>"></script>

      <script>
         window.print();
   
window.onafterprint = function(event) {
   window.location.href = "<?php echo e(route('admin.SalesInvoices.index')); ?>";
};

      </script> 
   </body>
</html><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/sales_invoices/printsaleswina6.blade.php ENDPATH**/ ?>