
<?php $__env->startSection('title'); ?>
ادارة العقود
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
ادارة العقود  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.contract.index')); ?>">    ادارة العقود </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   العقود  </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.contract.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(13)): ?> 
      <a href="<?php echo e(route('admin.contract.create')); ?>" class="btn btn-sm btn-success" >اضافة عقد جديد</a>
       <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="<?php echo e(route('admin.contract.print_search')); ?>" method="post" target="_blank">
         <?php echo csrf_field(); ?>
      <div class="row">
         <div class="col-md-4">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="lift_num"> برقم المصعد
            <input  type="radio"  name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input autofocus style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود العميل" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
              
               <label>  بحث  بالتاريخ</label>
               <input type="date"  name="search_by_date1" id="search_by_date1" class="form-control"   value="<?php echo e(old('maintenance_end_date1')); ?>"    >
               <input type="date"  name="search_by_date2" id="search_by_date2" class="form-control"   value="<?php echo e(old('maintenance_end_date2')); ?>"    >
            </div>
               </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة الرصيد</label>
               <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> دائن</option>
                  <option  value="2"> مدين</option>
                  <option    value="3"> متزن</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التعاقد</label>
               <select name="searchByContractStatus" id="searchByContractStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> تركيب </option>
                  <option   value="2">  صيانة</option>
                  
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
      </div>
      </form>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>الاسم </th>
               <th>  رقم المصعد </th>
               <th> رقم الهاتف </th>
               <th>  رقم الملف </th>
               <th>  العنوان </th>
               <th>  جي بي اس </th>
               <th>  ت نهاية ميلادي </th>
               <th>  ت نهاية هجري </th>
               <th> التفعيل</th>
               <th>  نوع العقد</th>
               
            </thead>
            <tbody>
               <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr>
                  <td><?php echo e($info->name); ?></td>
                  <td><?php echo e($info->lift_num); ?></td>
                  <td><?php echo e($info->phones); ?></td>
                  
                  <td><?php echo e($info->file_num); ?></td>
                  <td><?php echo e($info->address); ?></td>
                  <td><?php echo e($info->gps); ?></td>
                  <td><?php echo e($info->maintenance_end_date); ?></td>
                  <td><?php echo e($info->maintenance_end_date_hijri); ?></td>
                  <td><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td>
                  <td><?php if($info->contract_type==1): ?> صيانة 
                     <?php elseif($info->contract_type==2): ?>  تركيب
                     <?php elseif($info->contract_type==3): ?> استكمال
                     <?php endif; ?></td>
                  <td>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(14)): ?> 
                     <a href="<?php echo e(route('admin.contract.edit',$info->id),); ?>" class="btn btn-sm  btn-primary">تعديل</a>
                     <?php if($info->contract_type<>1): ?>  
                     <a href="<?php echo e(route('admin.contract.edit_stages',$info->id)); ?>" class="btn btn-sm  btn-primary">تحديث المراحل</a>   
                     <?php endif; ?>
                     <?php endif; ?>
                     <?php if(  $info->CounterUsed==0): ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(15)): ?> 
                     <a href="<?php echo e(route('admin.contract.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                     <?php endif; ?>
                     <?php endif; ?>
                  </td>
               </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
         </table>
         <br>
         <?php echo e($data->links()); ?>

         <?php else: ?>
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         <?php endif; ?>
      </div>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/contracts.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/contracts/index.blade.php ENDPATH**/ ?>