
<?php $__env->startSection('title'); ?>
تعديل بيانات عميل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الحسابات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.customer.index')); ?>">    العملاء </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
تعديل
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> تعديل بيانات عميل  </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="<?php echo e(route('admin.customer.update',$data['id'])); ?>" method="post" >
         <div class="row">
            <?php echo csrf_field(); ?>
            <div class="col-md-6">
               <div class="form-group">
                  <label>اسم  العميل </label>
                  <input name="name" id="name" class="form-control" value="<?php echo e(old('name',$data['name'])); ?>"    >
                  <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>رقم المصعد</label>
                  <input name="lift_num" id="lift_num" class="form-control" value="<?php echo e(old('lift_num',$data['lift_num'])); ?>"    >
                  <?php $__errorArgs = ['lift_num'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>  حالة المصعد</label>
                  <select name="lift_status" id="lift_status" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   <?php if(old('lift_status',$data['lift_status']) ==1): ?> selected="selected"  <?php endif; ?> value="1"> عقد تركيب</option>
                     <option   <?php if(old('lift_status',$data['lift_status'])==2): ?> selected="selected"  <?php endif; ?> value="2"> عقد صيانة</option>
                     <option   <?php if(old('lift_status',$data['lift_status'])==3): ?> selected="selected"  <?php endif; ?> value="3"> تم فسخ عقد الصيانة</option>
                  </select>
                  <?php $__errorArgs = ['lift_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>   جي بي اس </label>
                  <input name="gps" id="gps" class="form-control" value="<?php echo e(old('gps',$data['gps'])); ?>"    >
                  <?php $__errorArgs = ['gps'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>تاريخ انتهاء الصيانة</label>
                  <input type="date"  name="maintenance_end_date" id="maintenance_end_date" class="form-control"   value="<?php echo e(old('maintenance_end_date',$data['maintenance_end_date'])); ?>"    >
                  <?php $__errorArgs = ['maintenance_end_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                   <label>تاريخ انتهاء الصيانة (هجري)</label>
                   <input type="text" placeholder="DD-MM-YYYY" name="maintenance_end_date_hijri"
                          id="maintenance_end_date_hijri" class="form-control"
                          value="<?php echo e(old('maintenance_end_date_hijri',$data['maintenance_end_date_hijri'])); ?>"
                          pattern="\d{4}-\d{2}-\d{2}"
                          title="التاريخ يجب أن يكون بصيغة سنة-شهر-يوم (اكتب السنة اولا ثم علامة - ثم الشهر ثم علامة - ثم اليوم)(مثال: 1446-10-30)"
                          lang="en" dir="ltr" inputmode="numeric">
                   <?php $__errorArgs = ['maintenance_end_date_hijri'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                   <span class="text-danger"><?php echo e($message); ?></span>
                   <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
           </div>



            <div class="col-md-6">
               <div class="form-group">
                  <label>   الهاتف 2</label>
                  <input name="phones_2" id="phones_2" class="form-control" value="<?php echo e(old('phones_2',$data['phones_2'])); ?>"    >
                  <?php $__errorArgs = ['phones_2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
           
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   رقم الملف</label>
                  <input name="file_num" id="file_num" class="form-control" value="<?php echo e(old('file_num',$data['file_num'])); ?>"    >
                  <?php $__errorArgs = ['file_num'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>



            <div class="col-md-6">
               <div class="form-group">
                  <label>   العنوان</label>
                  <input name="address" id="address" class="form-control" value="<?php echo e(old('address',$data['address'])); ?>"    >
                  <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   الهاتف</label>
                  <input name="phones" id="phones" class="form-control" value="<?php echo e(old('phones',$data['phones'])); ?>"    >
                  <?php $__errorArgs = ['phones'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="<?php echo e(old('notes',$data['notes'])); ?>"    >
                  <?php $__errorArgs = ['notes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option <?php echo e(old('active',$data['active'])==1 ? 'selected' : ''); ?>  value="1"> نعم</option>
                     <option <?php echo e(old('active',$data['active'])==0 ? 'selected' : ''); ?>   value="0"> لا</option>
                  </select>
                  <?php $__errorArgs = ['active'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <span class="text-danger"><?php echo e($message); ?></span>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> تعديل</button>
                  <a href="<?php echo e(route('admin.customer.index')); ?>" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/accounts.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/admin/customers/edit.blade.php ENDPATH**/ ?>