
<?php $__env->startSection('title'); ?>
الموردين
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheader'); ?>
الحسابات
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderlink'); ?>
<a href="<?php echo e(route('admin.supplier.index')); ?>">    الموردين </a>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contentheaderactive'); ?>
عرض
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   الموردين  </h3>
      <input type="hidden" id="token_search" value="<?php echo e(csrf_token()); ?>">
      <input type="hidden" id="ajax_search_url" value="<?php echo e(route('admin.supplier.ajax_search')); ?>">
      <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(25)): ?> 
      <a href="<?php echo e(route('admin.supplier.create')); ?>" class="btn btn-sm btn-success" >اضافة جديد</a>
      <?php endif; ?>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      	 
      <form action="<?php echo e(route('admin.supplier.print_search')); ?>" method="post" target="_blank">
         <?php echo csrf_field(); ?>
      <div class="row">
         <div class="col-md-4">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="suuplier_code"> برقم المورد
            <input  type="radio"  name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input autofocus style="margin-top: 6px !important;" name="search_by_text" type="text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود المرود" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة الرصيد</label>
               <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> دائن</option>
                  <option  value="2"> مدين</option>
                  <option    value="3"> متزن</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group text-rigth">
             <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
            </div>
         </div>
		 
      </div>
      </form>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         <?php if(@isset($data) && !@empty($data) && count($data)>0): ?>
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>الاسم </th>
               <th>  الكود </th>
               <th>  الفئة </th>
               <th> رقم الحساب </th>
               <th>  الرصيد </th>
               <th>  الهاتف </th>
               <th>  ملاحظات </th>
               <th> التفعيل</th>
               <th></th>
            </thead>
            <tbody>
               <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr>
                  <td><?php echo e($info->name); ?></td>
                  <td><?php echo e($info->suuplier_code); ?></td>
                  <td><?php echo e($info->suppliers_categories_name); ?></td>
                  <td><?php echo e($info->account_number); ?></td>
                  <td> 
                     <?php if($info->current_balance >0): ?>
                     مدين ب (<?php echo e($info->current_balance*1); ?>) جنيه  
                     <?php elseif($info->current_balance <0): ?>
                     دائن ب (<?php echo e($info->current_balance*1*(-1)); ?>)   جنيه
                     <?php else: ?>
                     متزن
                     <?php endif; ?>
                  </td>
                  <td><?php echo e($info->phones); ?></td>
                  <td><?php echo e($info->notes); ?></td>
                  <td <?php if($info->active==1): ?> class="bg-success" <?php else: ?> class="bg-danger" <?php endif; ?>  ><?php if($info->active==1): ?> مفعل <?php else: ?> معطل <?php endif; ?></td> 
                  <td>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(26)): ?> 
                     <a href="<?php echo e(route('admin.supplier.edit',$info->id)); ?>" class="btn btn-sm  btn-primary">تعديل</a>   
                     <?php endif; ?>
                     <?php if($info->CounterUsed==0): ?>
                     <?php if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(26)): ?> 
                     <a href="<?php echo e(route('admin.supplier.delete',$info->id)); ?>" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                     <?php endif; ?>
                     <?php endif; ?>
                  </td>
               

               </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
         </table>
         <br>
         <?php echo e($data->links()); ?>

         <?php else: ?>
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         <?php endif; ?>
      </div>
   </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/admin/js/suppliers.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/injazcartsa/public_html/injaz-erp-2024/resources/views/admin/suppliers/index.blade.php ENDPATH**/ ?>