<!DOCTYPE html>
<html dir="rtl">

<head>
<meta charset="utf-8">
<title><?php echo $__env->yieldContent('title'); ?></title>

<!-- Stylesheets -->
<link href="<?php echo e(asset('assets/admin/theme1/css/bootstrap.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/css/bootstrap_rtl-v4.2.1/bootstrap.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/main.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('assets/admin/theme1/css/responsive.css')); ?>" rel="stylesheet">

<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800;900&amp;family=Roboto:wght@300;400;500;700;900&amp;display=swap" rel="stylesheet">

<!-- Color Switcher Mockup -->
<link href="<?php echo e(asset('assets/admin/theme1/css/color-switcher-design.css')); ?>" rel="stylesheet">
<!-- Color Themes -->
<link id="theme-color-file" href="<?php echo e(asset('assets/admin/theme1/css/color-themes/theme-one.css')); ?>" rel="stylesheet">

<link id="theme-color-file" href="<?php echo e(asset('assets/admin/css/rtl.css')); ?>" rel="stylesheet">

<link rel="shortcut icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">
<link rel="icon" href="<?php echo e(asset('assets/admin/theme1/images/favicon.png')); ?>" type="image/x-icon">

<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

<!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
<!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->
<link href="https://fonts.googleapis.com/css2?family=Cairo:wght@600&family=Tajawal:wght@500;700&display=swap" rel="stylesheet">

</head>

<body class="rtl">

<div class="page-wrapper">
 	
<!-- Navbar -->

<?php echo $__env->make('admin.includes.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- /.navbar -->

	
  
    <!-- Preloader -->
    <div class="preloader"></div>
 	
  
	<!-- Sidebar Page Container -->
	
  <?php echo $__env->make('admin.includes.content', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<!-- Main Footer -->
    
	<?php echo $__env->make('admin.includes.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</div>
<!-- End pagewrapper -->
<?php echo $__env->make('admin.includes.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<!--Scroll to top-->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-arrow-circle-up"></span></div>

 

<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery.fancybox.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/appear.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/isotope.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/owl.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/wow.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/jquery-ui.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/script.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/theme1/js/color-settings.js')); ?>"></script>

<script src="<?php echo e(asset('assets/admin/js/general.js')); ?>"></script>
<?php echo $__env->yieldContent('script'); ?>
</body>

</html><?php /**PATH D:\xampp8-2\htdocs\injaz-erp2024-source-3-3-2025-new\resources\views/layouts/admin.blade.php ENDPATH**/ ?>